# Kamailio Code of Conduct

## Be respectful

Inevitably there will be people in the Kamailio project with whom you may disagree, or find it difficult to cooperate. Accept that, but even so, remain respectful. Disagreement is no excuse for poor behaviour or personal attacks, and a community in which people feel threatened is not a healthy community.

## Assume good faith

Contributors have many ways of reaching the common goals of the project which may differ from your ways. Assume that other people are working towards this goal. Note that many of our Contributors are not native English speakers or may have different cultural backgrounds.

## Be collaborative

It's good to ask for help when you need it. Similarly, offers for help should be seen in the context of our shared goal of improving Kamailio. When you make something for the benefit of the project, be willing to explain to others how it works, so that they can build on your work to make it even better.

## Try to be concise

Keep in mind that what you write once will be read by many persons. Writing a short email means people can understand the conversation as efficiently as possible. When a long explanation is necessary, consider adding a summary.

## Be open

Most ways of communication used within Kamailio allow for public and private communication. You should preferably use public methods of communication for Kamailio-related messages, unless posting something sensitive. This applies also to messages for help or Kamailio-related support.

## In case of problems

While this code of conduct should be adhered to by participants, we recognize that sometimes people may have a bad day, or be unaware of the Kamailio code of conduct. When that happens, you may reply to them and point out this code of conduct. Such messages may be in public or in private, whatever is most appropriate. However, your message should still adhere to the relevant parts of this code of conduct; in particular, it should not be abusive or disrespectful. Assume good faith; participants are probably unaware of their bad behaviour.

Serious or persistent offenders will be temporarily or permanently banned from the Kamailio project infrastructure. Complaints should be made (in private) to the Kamailio management board, by email to: management [at] kamailio (dot) org

The Kamailio management board, while committed to applying its discretion sparingly and judiciously, is the final arbiter on controversies arising from this code of conduct, and indeed, any other controversies. 

#### Adapted from the Debian Code of Conduct: https://www.debian.org/code_of_conduct. 
