-- MySQL dump 10.13  Distrib 5.7.17, for Linux (x86_64)
--
-- Host: localhost    Database: hss_db
-- ------------------------------------------------------
-- Server version	5.7.17

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `aliases_repository_data`
--

DROP TABLE IF EXISTS `aliases_repository_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `aliases_repository_data` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sqn` int(11) NOT NULL DEFAULT '0',
  `id_implicit_set` int(11) NOT NULL DEFAULT '0',
  `service_indication` varchar(255) NOT NULL DEFAULT '',
  `rep_data` blob,
  PRIMARY KEY (`id`),
  KEY `idx_id_implicit_set` (`id_implicit_set`),
  KEY `idx_sqn` (`sqn`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Aliases Repository Data';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `aliases_repository_data`
--

LOCK TABLES `aliases_repository_data` WRITE;
/*!40000 ALTER TABLE `aliases_repository_data` DISABLE KEYS */;
/*!40000 ALTER TABLE `aliases_repository_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `application_server`
--

DROP TABLE IF EXISTS `application_server`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `application_server` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `server_name` varchar(255) NOT NULL DEFAULT '',
  `default_handling` int(11) NOT NULL DEFAULT '0',
  `service_info` varchar(255) NOT NULL DEFAULT '',
  `diameter_address` varchar(255) NOT NULL DEFAULT '',
  `rep_data_size_limit` int(11) NOT NULL DEFAULT '0',
  `udr` tinyint(4) NOT NULL DEFAULT '0',
  `pur` tinyint(4) NOT NULL DEFAULT '0',
  `snr` tinyint(4) NOT NULL DEFAULT '0',
  `udr_rep_data` tinyint(4) NOT NULL DEFAULT '0',
  `udr_impu` tinyint(4) NOT NULL DEFAULT '0',
  `udr_ims_user_state` tinyint(4) NOT NULL DEFAULT '0',
  `udr_scscf_name` tinyint(4) NOT NULL DEFAULT '0',
  `udr_ifc` tinyint(4) NOT NULL DEFAULT '0',
  `udr_location` tinyint(4) NOT NULL DEFAULT '0',
  `udr_user_state` tinyint(4) NOT NULL DEFAULT '0',
  `udr_charging_info` tinyint(4) NOT NULL DEFAULT '0',
  `udr_msisdn` tinyint(4) NOT NULL DEFAULT '0',
  `udr_psi_activation` tinyint(4) NOT NULL DEFAULT '0',
  `udr_dsai` tinyint(4) NOT NULL DEFAULT '0',
  `udr_aliases_rep_data` tinyint(4) NOT NULL DEFAULT '0',
  `pur_rep_data` tinyint(4) NOT NULL DEFAULT '0',
  `pur_psi_activation` tinyint(4) NOT NULL DEFAULT '0',
  `pur_dsai` tinyint(4) NOT NULL DEFAULT '0',
  `pur_aliases_rep_data` tinyint(4) NOT NULL DEFAULT '0',
  `snr_rep_data` tinyint(4) NOT NULL DEFAULT '0',
  `snr_impu` tinyint(4) NOT NULL DEFAULT '0',
  `snr_ims_user_state` tinyint(4) NOT NULL DEFAULT '0',
  `snr_scscf_name` tinyint(4) NOT NULL DEFAULT '0',
  `snr_ifc` tinyint(4) NOT NULL DEFAULT '0',
  `snr_psi_activation` tinyint(4) NOT NULL DEFAULT '0',
  `snr_dsai` tinyint(4) NOT NULL DEFAULT '0',
  `snr_aliases_rep_data` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `idx_diameter_address` (`diameter_address`),
  KEY `idx_server_name` (`server_name`),
  KEY `idx_name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COMMENT='Application Servers';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `application_server`
--

LOCK TABLES `application_server` WRITE;
/*!40000 ALTER TABLE `application_server` DISABLE KEYS */;
INSERT INTO `application_server` VALUES (2,'MMTel','sip:mmtel.volte.guru',0,'','mmtel.volte.guru',1024,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),(4,'SMSC','sip:smsc.volte.guru',0,'','smsc.volte.guru',1024,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);
/*!40000 ALTER TABLE `application_server` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `call_rates`
--

DROP TABLE IF EXISTS `call_rates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `call_rates` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `rate_plan_id` int(11) NOT NULL,
  `country_name` varchar(50) NOT NULL,
  `iso3166` varchar(4) NOT NULL,
  `destination_prefix` varchar(64) CHARACTER SET latin1 NOT NULL,
  `description` varchar(255) CHARACTER SET latin1 NOT NULL,
  `rate_init` float NOT NULL,
  `rate_init_interval` int(11) NOT NULL,
  `rate_follow` float NOT NULL,
  `rate_follow_interval` int(11) NOT NULL,
  `blocked` int(11) DEFAULT '0',
  `max_call_duration` int(11) NOT NULL DEFAULT '-1',
  `type` enum('mobile','fixed','premium','other') CHARACTER SET latin1 NOT NULL DEFAULT 'other',
  PRIMARY KEY (`id`),
  KEY `rate_plan_id` (`rate_plan_id`)
) ENGINE=InnoDB AUTO_INCREMENT=795226 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `call_rates`
--

LOCK TABLES `call_rates` WRITE;
/*!40000 ALTER TABLE `call_rates` DISABLE KEYS */;
INSERT INTO `call_rates` VALUES (721539,1,'Germany (Federal Republic of)','DEU','49','Deutschland (Festnetz)',0.0084,60,0.00840336,60,0,-1,'fixed'),(721549,1,'Germany (Federal Republic of)','DEU','4917','Deutschland (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(721559,1,'Germany (Federal Republic of)','DEU','4916','Deutschland (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(721569,1,'Germany (Federal Republic of)','DEU','4915','Deutschland (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(721579,1,'Germany (Federal Republic of)','DEU','491801','Deutschland (01801)',0.03277,60,0.0327731,60,0,-1,'other'),(721589,1,'Germany (Federal Republic of)','DEU','491802','Deutschland (01802)',0.05042,60,0,60,0,-1,'other'),(721599,1,'Germany (Federal Republic of)','DEU','491803','Deutschland (01803)',0.07563,60,0.0756303,60,0,-1,'other'),(721609,1,'Germany (Federal Republic of)','DEU','491804','Deutschland (01804)',0.16807,60,0,60,0,-1,'other'),(721619,1,'Germany (Federal Republic of)','DEU','491805','Deutschland (01805)',0.11765,60,0.117647,60,0,-1,'other'),(721629,1,'Germany (Federal Republic of)','DEU','491806','Deutschland (01806)',0.16807,60,0,60,0,-1,'other'),(721639,1,'Germany (Federal Republic of)','DEU','491888','Deutschland (01888)',0.05042,60,0.0504202,60,0,-1,'other'),(721649,1,'Germany (Federal Republic of)','DEU','49700','Deutschland (0700)',0.10084,60,0.10084,60,0,-1,'other'),(721659,1,'Germany (Federal Republic of)','DEU','49800','Deutschland (0800)',0,60,0,60,0,-1,'other'),(721669,1,'International Freephone Service','','800','International Freecall (00800)',0,60,0,60,0,-1,'other'),(721679,1,'Germany (Federal Republic of)','DEU','49115','Deutschland (115)',0.57983,60,0.579832,60,0,-1,'other'),(721689,1,'Egypt (Arab Republic of)','EGY','20','Ã„gypten (Festnetz)',0.20084,60,0.20084,60,0,-1,'fixed'),(721699,1,'Egypt (Arab Republic of)','EGY','2010','Ã„gypten (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(721709,1,'Egypt (Arab Republic of)','EGY','2011','Ã„gypten (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(721719,1,'Egypt (Arab Republic of)','EGY','2012','Ã„gypten (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(721729,1,'Egypt (Arab Republic of)','EGY','2014','Ã„gypten (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(721739,1,'Egypt (Arab Republic of)','EGY','20150','Ã„gypten (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(721749,1,'Egypt (Arab Republic of)','EGY','20151','Ã„gypten (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(721759,1,'Egypt (Arab Republic of)','EGY','20152','Ã„gypten (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(721769,1,'Egypt (Arab Republic of)','EGY','20155','Ã„gypten (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(721779,1,'Egypt (Arab Republic of)','EGY','2016','Ã„gypten (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(721789,1,'Egypt (Arab Republic of)','EGY','2017','Ã„gypten (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(721799,1,'Egypt (Arab Republic of)','EGY','2018','Ã„gypten (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(721809,1,'Egypt (Arab Republic of)','EGY','2019','Ã„gypten (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(721819,1,'Egypt (Arab Republic of)','EGY','206','Ã„gypten (Sonderziel)',0.12521,60,0.12521,60,0,-1,'premium'),(721829,1,'Equatorial Guinea (Republic of)','GNQ','240','Ã„quatorialguinea (Festnetz)',0.27647,60,0.276471,60,0,-1,'fixed'),(721839,1,'Equatorial Guinea (Republic of)','GNQ','2402','Ã„quatorialguinea (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(721849,1,'Equatorial Guinea (Republic of)','GNQ','2405','Ã„quatorialguinea (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(721859,1,'Equatorial Guinea (Republic of)','GNQ','2406','Ã„quatorialguinea (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(721869,1,'Equatorial Guinea (Republic of)','GNQ','2407','Ã„quatorialguinea (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(721879,1,'Ethiopia (Federal Democratic Republic of)','ETH','251','Ã„thiopien (Festnetz)',0.24286,60,0.242857,60,0,-1,'fixed'),(721889,1,'Ethiopia (Federal Democratic Republic of)','ETH','2519','Ã„thiopien (Mobilfunk)',0.3437,60,0.343697,60,0,-1,'mobile'),(721899,1,'Afghanistan','AFG','93','Afghanistan (Festnetz)',0.28487,60,0.284874,60,0,-1,'fixed'),(721909,1,'Afghanistan','AFG','937','Afghanistan (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(721919,1,'Afghanistan','AFG','93705','Afghanistan (Sonderziel)',0.29328,60,0.293277,60,0,-1,'premium'),(721929,1,'Albania (Republic of)','ALB','355','Albanien (Festnetz)',0.12521,60,0.12521,60,0,-1,'fixed'),(721939,1,'Albania (Republic of)','ALB','35566','Albanien (Mobilfunk)',0.54538,60,0.545378,60,0,-1,'mobile'),(721949,1,'Albania (Republic of)','ALB','35567','Albanien (Mobilfunk)',0.54538,60,0.545378,60,0,-1,'mobile'),(721959,1,'Albania (Republic of)','ALB','35568','Albanien (Mobilfunk)',0.54538,60,0.545378,60,0,-1,'mobile'),(721969,1,'Albania (Republic of)','ALB','35569','Albanien (Mobilfunk)',0.54538,60,0.545378,60,0,-1,'mobile'),(721979,1,'Albania (Republic of)','ALB','355424','Albanien (Sonderziel)',0.43613,60,0.436134,60,0,-1,'premium'),(721989,1,'Albania (Republic of)','ALB','3554250','Albanien (Sonderziel)',0.43613,60,0.436134,60,0,-1,'premium'),(721999,1,'Albania (Republic of)','ALB','3554251','Albanien (Sonderziel)',0.43613,60,0.436134,60,0,-1,'premium'),(722009,1,'Albania (Republic of)','ALB','3554252','Albanien (Sonderziel)',0.43613,60,0.436134,60,0,-1,'premium'),(722019,1,'Albania (Republic of)','ALB','35545750','Albanien (Sonderziel)',0.43613,60,0.436134,60,0,-1,'premium'),(722029,1,'Albania (Republic of)','ALB','35545751','Albanien (Sonderziel)',0.43613,60,0.436134,60,0,-1,'premium'),(722039,1,'Albania (Republic of)','ALB','35552450','Albanien (Sonderziel)',0.43613,60,0.436134,60,0,-1,'premium'),(722049,1,'Algeria (People\'s Democratic Republic of)','DZA','213','Algerien (Festnetz)',0.08319,60,0.0831933,60,0,-1,'fixed'),(722059,1,'Algeria (People\'s Democratic Republic of)','DZA','2135','Algerien (Mobilfunk)',0.41092,60,0.410924,60,0,-1,'mobile'),(722069,1,'Algeria (People\'s Democratic Republic of)','DZA','2136','Algerien (Mobilfunk)',0.41092,60,0.410924,60,0,-1,'mobile'),(722079,1,'Algeria (People\'s Democratic Republic of)','DZA','21370','Algerien (Mobilfunk)',0.41092,60,0.410924,60,0,-1,'mobile'),(722089,1,'Algeria (People\'s Democratic Republic of)','DZA','21376','Algerien (Mobilfunk)',0.41092,60,0.410924,60,0,-1,'mobile'),(722099,1,'Algeria (People\'s Democratic Republic of)','DZA','21377','Algerien (Mobilfunk)',0.41092,60,0.410924,60,0,-1,'mobile'),(722109,1,'Algeria (People\'s Democratic Republic of)','DZA','213780','Algerien (Mobilfunk)',0.41092,60,0.410924,60,0,-1,'mobile'),(722119,1,'Algeria (People\'s Democratic Republic of)','DZA','213781','Algerien (Mobilfunk)',0.41092,60,0.410924,60,0,-1,'mobile'),(722129,1,'Algeria (People\'s Democratic Republic of)','DZA','2137899','Algerien (Mobilfunk)',0.41092,60,0.410924,60,0,-1,'mobile'),(722139,1,'Algeria (People\'s Democratic Republic of)','DZA','21379','Algerien (Mobilfunk)',0.41092,60,0.410924,60,0,-1,'mobile'),(722149,1,'American Samoa','ASM','1684','Amerikanisch-Samoa (Festnetz)',0.06639,60,0.0663866,60,0,-1,'fixed'),(722159,1,'American Samoa','ASM','16842','Amerikanisch-Samoa (Mobilfunk)',0.06639,60,0.0663866,60,0,-1,'mobile'),(722169,1,'American Samoa','ASM','168473','Amerikanisch-Samoa (Mobilfunk)',0.06639,60,0.0663866,60,0,-1,'mobile'),(722179,1,'United States Virgin Islands','','1340','Amerikanische Jungferninseln (Festnetz)',0.02437,60,0.0243697,60,0,-1,'fixed'),(722189,1,'Andorra (Principality of)','AND','376','Andorra (Festnetz)',0.03277,60,0.0327731,60,0,-1,'fixed'),(722199,1,'Andorra (Principality of)','AND','3763','Andorra (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(722209,1,'Andorra (Principality of)','AND','3764','Andorra (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(722219,1,'Andorra (Principality of)','AND','3765','Andorra (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(722229,1,'Andorra (Principality of)','AND','3766','Andorra (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(722239,1,'Angola (Republic of)','AGO','244','Angola (Festnetz)',0.15882,60,0.158824,60,0,-1,'fixed'),(722249,1,'Angola (Republic of)','AGO','24491','Angola (Mobilfunk)',0.19244,60,0.192437,60,0,-1,'mobile'),(722259,1,'Angola (Republic of)','AGO','24492','Angola (Mobilfunk)',0.19244,60,0.192437,60,0,-1,'mobile'),(722269,1,'Angola (Republic of)','AGO','24493','Angola (Mobilfunk)',0.19244,60,0.192437,60,0,-1,'mobile'),(722279,1,'Angola (Republic of)','AGO','24494','Angola (Mobilfunk)',0.19244,60,0.192437,60,0,-1,'mobile'),(722289,1,'Anguilla','AIA','1264','Anguilla (Festnetz)',0.11681,60,0.116807,60,0,-1,'fixed'),(722299,1,'Anguilla','AIA','1264235','Anguilla (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(722309,1,'Anguilla','AIA','1264469','Anguilla (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(722319,1,'Anguilla','AIA','1264476','Anguilla (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(722329,1,'Anguilla','AIA','1264536','Anguilla (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(722339,1,'Anguilla','AIA','1264537','Anguilla (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(722349,1,'Anguilla','AIA','1264538','Anguilla (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(722359,1,'Anguilla','AIA','1264539','Anguilla (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(722369,1,'Anguilla','AIA','1264543','Anguilla (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(722379,1,'Anguilla','AIA','1264581','Anguilla (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(722389,1,'Anguilla','AIA','1264582','Anguilla (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(722399,1,'Anguilla','AIA','1264583','Anguilla (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(722409,1,'Anguilla','AIA','1264584','Anguilla (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(722419,1,'Anguilla','AIA','1264729','Anguilla (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(722429,1,'Anguilla','AIA','1264772','Anguilla (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(722439,1,'Anguilla','AIA','1264845','Anguilla (Sonderziel)',0.26807,60,0.268067,60,0,-1,'premium'),(722449,1,'Australia','AUS','672','Antarktis-Basis (Festnetz)',0.62941,60,0.629412,60,0,-1,'fixed'),(722459,1,'Antigua and Barbuda','ATG','1268','Antigua und Barbuda (Festnetz)',0.33529,60,0.335294,60,0,-1,'fixed'),(722469,1,'Antigua and Barbuda','ATG','1268464','Antigua und Barbuda (Mobilfunk)',0.33529,60,0.335294,60,0,-1,'mobile'),(722479,1,'Antigua and Barbuda','ATG','1268716','Antigua und Barbuda (Mobilfunk)',0.33529,60,0.335294,60,0,-1,'mobile'),(722489,1,'Antigua and Barbuda','ATG','1268717','Antigua und Barbuda (Mobilfunk)',0.33529,60,0.335294,60,0,-1,'mobile'),(722499,1,'Antigua and Barbuda','ATG','1268718','Antigua und Barbuda (Mobilfunk)',0.33529,60,0.335294,60,0,-1,'mobile'),(722509,1,'Antigua and Barbuda','ATG','1268719','Antigua und Barbuda (Mobilfunk)',0.33529,60,0.335294,60,0,-1,'mobile'),(722519,1,'Antigua and Barbuda','ATG','126872','Antigua und Barbuda (Mobilfunk)',0.33529,60,0.335294,60,0,-1,'mobile'),(722529,1,'Antigua and Barbuda','ATG','1268732','Antigua und Barbuda (Mobilfunk)',0.33529,60,0.335294,60,0,-1,'mobile'),(722539,1,'Antigua and Barbuda','ATG','1268734','Antigua und Barbuda (Mobilfunk)',0.33529,60,0.335294,60,0,-1,'mobile'),(722549,1,'Antigua and Barbuda','ATG','1268736','Antigua und Barbuda (Mobilfunk)',0.33529,60,0.335294,60,0,-1,'mobile'),(722559,1,'Antigua and Barbuda','ATG','1268764','Antigua und Barbuda (Mobilfunk)',0.33529,60,0.335294,60,0,-1,'mobile'),(722569,1,'Antigua and Barbuda','ATG','126877','Antigua und Barbuda (Mobilfunk)',0.33529,60,0.335294,60,0,-1,'mobile'),(722579,1,'Antigua and Barbuda','ATG','126878','Antigua und Barbuda (Mobilfunk)',0.33529,60,0.335294,60,0,-1,'mobile'),(722589,1,'Antigua and Barbuda','ATG','1268404','Antigua und Barbuda (Sonderziel)',0.25126,60,0.251261,60,0,-1,'premium'),(722599,1,'Antigua and Barbuda','ATG','1268739','Antigua und Barbuda (Sonderziel)',0.25126,60,0.251261,60,0,-1,'premium'),(722609,1,'Antigua and Barbuda','ATG','1268938','Antigua und Barbuda (Sonderziel)',0.25126,60,0.251261,60,0,-1,'premium'),(722619,1,'Argentine Republic','ARG','54','Argentinien (Festnetz)',0.02437,60,0.0243697,60,0,-1,'fixed'),(722629,1,'Argentine Republic','ARG','549','Argentinien (Mobilfunk)',0.28487,60,0.284874,60,0,-1,'mobile'),(722639,1,'Armenia (Republic of)','ARM','374','Armenien (Festnetz)',0.19244,60,0.192437,60,0,-1,'fixed'),(722649,1,'Armenia (Republic of)','ARM','37455','Armenien (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(722659,1,'Armenia (Republic of)','ARM','37477','Armenien (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(722669,1,'Armenia (Republic of)','ARM','37491','Armenien (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(722679,1,'Armenia (Republic of)','ARM','37493','Armenien (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(722689,1,'Armenia (Republic of)','ARM','37494','Armenien (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(722699,1,'Armenia (Republic of)','ARM','37495','Armenien (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(722709,1,'Armenia (Republic of)','ARM','37496','Armenien (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(722719,1,'Azerbaijan','AZE','37497','Armenien (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(722729,1,'Armenia (Republic of)','ARM','37498','Armenien (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(722739,1,'Armenia (Republic of)','ARM','37499','Armenien (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(722749,1,'Armenia (Republic of)','ARM','37460','Armenien (Sonderziel)',0.21765,60,0.217647,60,0,-1,'premium'),(722759,1,'Aruba','ABW','297','Aruba (Festnetz)',0.26807,60,0.268067,60,0,-1,'fixed'),(722769,1,'Aruba','ABW','29756','Aruba (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(722779,1,'Aruba','ABW','29759','Aruba (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(722789,1,'Aruba','ABW','297600','Aruba (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(722799,1,'Aruba','ABW','297622','Aruba (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(722809,1,'Aruba','ABW','297630','Aruba (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(722819,1,'Aruba','ABW','297640','Aruba (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(722829,1,'Aruba','ABW','297641','Aruba (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(722839,1,'Aruba','ABW','29766','Aruba (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(722849,1,'Aruba','ABW','29769','Aruba (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(722859,1,'Aruba','ABW','29773','Aruba (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(722869,1,'Aruba','ABW','29774','Aruba (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(722879,1,'Aruba','ABW','2979','Aruba (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(722889,1,'Ascension','','247','Ascension (Festnetz)',1.90672,60,1.90672,60,0,-1,'fixed'),(722899,1,'Ascension','','24740','Ascension (Sonderziel)',1.90672,60,1.90672,60,0,-1,'premium'),(722909,1,'Ascension','','24741','Ascension (Sonderziel)',1.90672,60,1.90672,60,0,-1,'premium'),(722919,1,'Ascension','','24742','Ascension (Sonderziel)',1.90672,60,1.90672,60,0,-1,'premium'),(722929,1,'Ascension','','24743','Ascension (Sonderziel)',1.90672,60,1.90672,60,0,-1,'premium'),(722939,1,'Ascension','','24747','Ascension (Sonderziel)',1.90672,60,1.90672,60,0,-1,'premium'),(722949,1,'Ascension','','24748','Ascension (Sonderziel)',1.90672,60,1.90672,60,0,-1,'premium'),(722959,1,'Ascension','','24749','Ascension (Sonderziel)',1.90672,60,1.90672,60,0,-1,'premium'),(722969,1,'Ascension','','2478','Ascension (Sonderziel)',1.90672,60,1.90672,60,0,-1,'premium'),(722979,1,'Ascension','','2479','Ascension (Sonderziel)',1.90672,60,1.90672,60,0,-1,'premium'),(722989,1,'Azerbaijani Republic','AZE','994','Aserbaidschan (Festnetz)',0.73866,60,0.738655,60,0,-1,'fixed'),(722999,1,'Azerbaijani Republic','AZE','99440','Aserbaidschan (Mobilfunk)',0.44454,60,0.444538,60,0,-1,'mobile'),(723009,1,'Azerbaijani Republic','AZE','99444','Aserbaidschan (Mobilfunk)',0.44454,60,0.444538,60,0,-1,'mobile'),(723019,1,'Azerbaijani Republic','AZE','99450','Aserbaidschan (Mobilfunk)',0.44454,60,0.444538,60,0,-1,'mobile'),(723029,1,'Azerbaijani Republic','AZE','99451','Aserbaidschan (Mobilfunk)',0.44454,60,0.444538,60,0,-1,'mobile'),(723039,1,'Azerbaijani Republic','AZE','99455','Aserbaidschan (Mobilfunk)',0.44454,60,0.444538,60,0,-1,'mobile'),(723049,1,'Azerbaijani Republic','AZE','99460','Aserbaidschan (Mobilfunk)',0.44454,60,0.444538,60,0,-1,'mobile'),(723059,1,'Azerbaijani Republic','AZE','99470','Aserbaidschan (Mobilfunk)',0.44454,60,0.444538,60,0,-1,'mobile'),(723069,1,'Azerbaijani Republic','AZE','99477','Aserbaidschan (Mobilfunk)',0.44454,60,0.444538,60,0,-1,'mobile'),(723079,1,'Azerbaijani Republic','AZE','994900','Aserbaidschan (Sonderziel)',0.41933,60,0.419328,60,0,-1,'premium'),(723089,1,'Australia','AUS','61','Australien (Festnetz)',0.02437,60,0.0243697,60,0,-1,'fixed'),(723099,1,'Australia','AUS','6114','Australien (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(723109,1,'Australia','AUS','6116','Australien (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(723119,1,'Australia','AUS','614','Australien (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(723129,1,'Australia','AUS','6113','Australien (Sonderziel)',0.29328,60,0.293277,60,0,-1,'premium'),(723139,1,'Australia','AUS','61141','Australien (Sonderziel)',0.29328,60,0.293277,60,0,-1,'premium'),(723149,1,'Australia','AUS','61142','Australien (Sonderziel)',0.29328,60,0.293277,60,0,-1,'premium'),(723159,1,'Australia','AUS','61143','Australien (Sonderziel)',0.29328,60,0.293277,60,0,-1,'premium'),(723169,1,'Australia','AUS','61145','Australien (Sonderziel)',0.29328,60,0.293277,60,0,-1,'premium'),(723179,1,'Australia','AUS','61147','Australien (Sonderziel)',0.29328,60,0.293277,60,0,-1,'premium'),(723189,1,'Australia','AUS','6119','Australien (Sonderziel)',0.29328,60,0.293277,60,0,-1,'premium'),(723199,1,'Australia','AUS','61891006','Australien (Sonderziel)',0.29328,60,0.293277,60,0,-1,'premium'),(723209,1,'Australia','AUS','61891007','Australien (Sonderziel)',0.29328,60,0.293277,60,0,-1,'premium'),(723219,1,'Australia','AUS','61891008','Australien (Sonderziel)',0.29328,60,0.293277,60,0,-1,'premium'),(723229,1,'Australia','AUS','61891010','Australien (Sonderziel)',0.29328,60,0.293277,60,0,-1,'premium'),(723239,1,'Australia','AUS','61891011','Australien (Sonderziel)',0.29328,60,0.293277,60,0,-1,'premium'),(723249,1,'Australia','AUS','61891012','Australien (Sonderziel)',0.29328,60,0.293277,60,0,-1,'premium'),(723259,1,'Cocos (Keeling) Islands','CCK','6189162','Australien (Sonderziel)',0.29328,60,0.293277,60,0,-1,'premium'),(723269,1,'Christmas Island','CXR','6189164','Australien (Sonderziel)',0.29328,60,0.293277,60,0,-1,'premium'),(723279,1,'Norfolk Island','NFK','67231','Australien (Sonderziel)',0.29328,60,0.293277,60,0,-1,'premium'),(723289,1,'Norfolk Island','NFK','67233','Australien (Sonderziel)',0.29328,60,0.293277,60,0,-1,'premium'),(723299,1,'Norfolk Island','NFK','67234','Australien (Sonderziel)',0.29328,60,0.293277,60,0,-1,'premium'),(723309,1,'Norfolk Island','NFK','67235','Australien (Sonderziel)',0.29328,60,0.293277,60,0,-1,'premium'),(723319,1,'Norfolk Island','NFK','67236','Australien (Sonderziel)',0.29328,60,0.293277,60,0,-1,'premium'),(723329,1,'Norfolk Island','NFK','67237','Australien (Sonderziel)',0.29328,60,0.293277,60,0,-1,'premium'),(723339,1,'Norfolk Island','NFK','67239','Australien (Sonderziel)',0.29328,60,0.293277,60,0,-1,'premium'),(723349,1,'Bahamas, The','BHS','1242','Bahamas (Festnetz)',0.21765,60,0.217647,60,0,-1,'fixed'),(723359,1,'Bahamas, The','BHS','124235','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723369,1,'Bahamas, The','BHS','124237','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723379,1,'Bahamas, The','BHS','124238','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723389,1,'Bahamas, The','BHS','1242395','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723399,1,'Bahamas, The','BHS','1242421','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723409,1,'Bahamas, The','BHS','1242422','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723419,1,'Bahamas, The','BHS','1242423','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723429,1,'Bahamas, The','BHS','1242424','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723439,1,'Bahamas, The','BHS','1242425','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723449,1,'Bahamas, The','BHS','1242426','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723459,1,'Bahamas, The','BHS','1242427','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723469,1,'Bahamas, The','BHS','1242428','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723479,1,'Bahamas, The','BHS','1242429','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723489,1,'Bahamas, The','BHS','1242431','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723499,1,'Bahamas, The','BHS','1242432','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723509,1,'Bahamas, The','BHS','1242433','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723519,1,'Bahamas, The','BHS','1242434','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723529,1,'Bahamas, The','BHS','1242435','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723539,1,'Bahamas, The','BHS','1242436','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723549,1,'Bahamas, The','BHS','1242437','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723559,1,'Bahamas, The','BHS','1242438','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723569,1,'Bahamas, The','BHS','1242439','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723579,1,'Bahamas, The','BHS','1242441','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723589,1,'Bahamas, The','BHS','1242442','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723599,1,'Bahamas, The','BHS','1242443','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723609,1,'Bahamas, The','BHS','1242445','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723619,1,'Bahamas, The','BHS','1242446','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723629,1,'Bahamas, The','BHS','1242447','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723639,1,'Bahamas, The','BHS','1242448','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723649,1,'Bahamas, The','BHS','1242449','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723659,1,'Bahamas, The','BHS','1242451','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723669,1,'Bahamas, The','BHS','1242452','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723679,1,'Bahamas, The','BHS','1242453','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723689,1,'Bahamas, The','BHS','1242454','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723699,1,'Bahamas, The','BHS','1242455','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723709,1,'Bahamas, The','BHS','1242456','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723719,1,'Bahamas, The','BHS','1242457','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723729,1,'Bahamas, The','BHS','1242458','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723739,1,'Bahamas, The','BHS','1242462','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723749,1,'Bahamas, The','BHS','1242463','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723759,1,'Bahamas, The','BHS','1242464','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723769,1,'Bahamas, The','BHS','1242465','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723779,1,'Bahamas, The','BHS','1242466','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723789,1,'Bahamas, The','BHS','1242467','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723799,1,'Bahamas, The','BHS','1242468','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723809,1,'Bahamas, The','BHS','124247','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723819,1,'Bahamas, The','BHS','1242481','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723829,1,'Bahamas, The','BHS','1242524','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723839,1,'Bahamas, The','BHS','1242525','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723849,1,'Bahamas, The','BHS','1242533','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723859,1,'Bahamas, The','BHS','1242535','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723869,1,'Bahamas, The','BHS','1242544','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723879,1,'Bahamas, The','BHS','1242551','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723889,1,'Bahamas, The','BHS','1242552','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723899,1,'Bahamas, The','BHS','1242553','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723909,1,'Bahamas, The','BHS','1242554','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723919,1,'Bahamas, The','BHS','1242556','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723929,1,'Bahamas, The','BHS','1242557','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723939,1,'Bahamas, The','BHS','1242558','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723949,1,'Bahamas, The','BHS','1242559','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723959,1,'Bahamas, The','BHS','1242565','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723969,1,'Bahamas, The','BHS','1242577','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723979,1,'Bahamas, The','BHS','1242636','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723989,1,'Bahamas, The','BHS','1242646','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(723999,1,'Bahamas, The','BHS','1242727','Bahamas (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(724009,1,'Bahrain (Kingdom of)','BHR','973','Bahrain (Festnetz)',0.14202,60,0.142017,60,0,-1,'fixed'),(724019,1,'Bahrain (Kingdom of)','BHR','9733','Bahrain (Mobilfunk)',0.0916,60,0.0915966,60,0,-1,'mobile'),(724029,1,'Bahrain (Kingdom of)','BHR','973663','Bahrain (Mobilfunk)',0.0916,60,0.0915966,60,0,-1,'mobile'),(724039,1,'Bahrain (Kingdom of)','BHR','973666','Bahrain (Mobilfunk)',0.0916,60,0.0915966,60,0,-1,'mobile'),(724049,1,'Bahrain (Kingdom of)','BHR','9737','Bahrain (Mobilfunk)',0.0916,60,0.0915966,60,0,-1,'mobile'),(724059,1,'Bahrain (Kingdom of)','BHR','9733935','Bahrain (Sonderziel)',0.0916,60,0.0915966,60,0,-1,'premium'),(724069,1,'Bahrain (Kingdom of)','BHR','9733936','Bahrain (Sonderziel)',0.0916,60,0.0915966,60,0,-1,'premium'),(724079,1,'Bahrain (Kingdom of)','BHR','9733937','Bahrain (Sonderziel)',0.0916,60,0.0915966,60,0,-1,'premium'),(724089,1,'Bahrain (Kingdom of)','BHR','9733938','Bahrain (Sonderziel)',0.0916,60,0.0915966,60,0,-1,'premium'),(724099,1,'Bahrain (Kingdom of)','BHR','9733939','Bahrain (Sonderziel)',0.0916,60,0.0915966,60,0,-1,'premium'),(724109,1,'Bahrain (Kingdom of)','BHR','9733948','Bahrain (Sonderziel)',0.0916,60,0.0915966,60,0,-1,'premium'),(724119,1,'Bahrain (Kingdom of)','BHR','9733949','Bahrain (Sonderziel)',0.0916,60,0.0915966,60,0,-1,'premium'),(724129,1,'Bahrain (Kingdom of)','BHR','9733950','Bahrain (Sonderziel)',0.0916,60,0.0915966,60,0,-1,'premium'),(724139,1,'Bahrain (Kingdom of)','BHR','9733951','Bahrain (Sonderziel)',0.0916,60,0.0915966,60,0,-1,'premium'),(724149,1,'Bahrain (Kingdom of)','BHR','97339560','Bahrain (Sonderziel)',0.0916,60,0.0915966,60,0,-1,'premium'),(724159,1,'Bahrain (Kingdom of)','BHR','97339561','Bahrain (Sonderziel)',0.0916,60,0.0915966,60,0,-1,'premium'),(724169,1,'Bahrain (Kingdom of)','BHR','97339562','Bahrain (Sonderziel)',0.0916,60,0.0915966,60,0,-1,'premium'),(724179,1,'Bahrain (Kingdom of)','BHR','973900','Bahrain (Sonderziel)',0.0916,60,0.0915966,60,0,-1,'premium'),(724189,1,'Bahrain (Kingdom of)','BHR','973901','Bahrain (Sonderziel)',0.0916,60,0.0915966,60,0,-1,'premium'),(724199,1,'Bangladesh (People\'s Republic of)','BGD','880','Bangladesch (Festnetz)',0.1084,60,0.108403,60,0,-1,'fixed'),(724209,1,'Bangladesh (People\'s Republic of)','BGD','8801','Bangladesch (Mobilfunk)',0.07479,60,0.0747899,60,0,-1,'mobile'),(724219,1,'Barbados','BRB','1246','Barbados (Festnetz)',0.13361,60,0.133613,60,0,-1,'fixed'),(724229,1,'Barbados','BRB','124623','Barbados (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(724239,1,'Barbados','BRB','124624','Barbados (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(724249,1,'Barbados','BRB','124625','Barbados (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(724259,1,'Barbados','BRB','124626','Barbados (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(724269,1,'Barbados','BRB','1246446','Barbados (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(724279,1,'Barbados','BRB','1246447','Barbados (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(724289,1,'Barbados','BRB','1246448','Barbados (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(724299,1,'Barbados','BRB','1246449','Barbados (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(724309,1,'Barbados','BRB','124645','Barbados (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(724319,1,'Barbados','BRB','124652','Barbados (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(724329,1,'Barbados','BRB','1246530','Barbados (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(724339,1,'Barbados','BRB','1246531','Barbados (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(724349,1,'Barbados','BRB','1246532','Barbados (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(724359,1,'Barbados','BRB','1246533','Barbados (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(724369,1,'Barbados','BRB','1246534','Barbados (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(724379,1,'Barbados','BRB','124682','Barbados (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(724389,1,'Barbados','BRB','124683','Barbados (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(724399,1,'Barbados','BRB','124684','Barbados (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(724409,1,'Barbados','BRB','124685','Barbados (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(724419,1,'Belgium','BEL','32','Belgien (Festnetz)',0.02437,60,0.0243697,60,0,-1,'fixed'),(724429,1,'Belgium','BEL','32702','Belgien (Festnetz)',0.02437,60,0.0243697,60,0,-1,'fixed'),(724439,1,'Belgium','BEL','32703','Belgien (Festnetz)',0.02437,60,0.0243697,60,0,-1,'fixed'),(724449,1,'Belgium','BEL','32704','Belgien (Festnetz)',0.02437,60,0.0243697,60,0,-1,'fixed'),(724459,1,'Belgium','BEL','32706','Belgien (Festnetz)',0.02437,60,0.0243697,60,0,-1,'fixed'),(724469,1,'Belgium','BEL','32707','Belgien (Festnetz)',0.02437,60,0.0243697,60,0,-1,'fixed'),(724479,1,'Belgium','BEL','32460','Belgien (Mobilfunk)',0.06639,60,0.0663866,60,0,-1,'mobile'),(724489,1,'Belgium','BEL','324630','Belgien (Mobilfunk)',0.06639,60,0.0663866,60,0,-1,'mobile'),(724499,1,'Belgium','BEL','324660','Belgien (Mobilfunk)',0.06639,60,0.0663866,60,0,-1,'mobile'),(724509,1,'Belgium','BEL','324661','Belgien (Mobilfunk)',0.06639,60,0.0663866,60,0,-1,'mobile'),(724519,1,'Belgium','BEL','324662','Belgien (Mobilfunk)',0.06639,60,0.0663866,60,0,-1,'mobile'),(724529,1,'Belgium','BEL','324681','Belgien (Mobilfunk)',0.06639,60,0.0663866,60,0,-1,'mobile'),(724539,1,'Belgium','BEL','324682','Belgien (Mobilfunk)',0.06639,60,0.0663866,60,0,-1,'mobile'),(724549,1,'Belgium','BEL','324683','Belgien (Mobilfunk)',0.06639,60,0.0663866,60,0,-1,'mobile'),(724559,1,'Belgium','BEL','3247','Belgien (Mobilfunk)',0.06639,60,0.0663866,60,0,-1,'mobile'),(724569,1,'Belgium','BEL','3248','Belgien (Mobilfunk)',0.06639,60,0.0663866,60,0,-1,'mobile'),(724579,1,'Belgium','BEL','3249','Belgien (Mobilfunk)',0.06639,60,0.0663866,60,0,-1,'mobile'),(724589,1,'Belgium','BEL','3217','Belgien (Sonderziel)',0.14202,60,0.142017,60,0,-1,'premium'),(724599,1,'Belgium','BEL','3218','Belgien (Sonderziel)',0.14202,60,0.142017,60,0,-1,'premium'),(724609,1,'Belgium','BEL','3244','Belgien (Sonderziel)',0.14202,60,0.142017,60,0,-1,'premium'),(724619,1,'Belgium','BEL','3245','Belgien (Sonderziel)',0.14202,60,0.142017,60,0,-1,'premium'),(724629,1,'Belgium','BEL','32463','Belgien (Sonderziel)',0.14202,60,0.142017,60,0,-1,'premium'),(724639,1,'Belgium','BEL','3250890650','Belgien (Sonderziel)',0.14202,60,0.142017,60,0,-1,'premium'),(724649,1,'Belgium','BEL','3270','Belgien (Sonderziel)',0.14202,60,0.142017,60,0,-1,'premium'),(724659,1,'Belgium','BEL','3272','Belgien (Sonderziel)',0.14202,60,0.142017,60,0,-1,'premium'),(724669,1,'Belgium','BEL','3273','Belgien (Sonderziel)',0.14202,60,0.142017,60,0,-1,'premium'),(724679,1,'Belgium','BEL','3275','Belgien (Sonderziel)',0.14202,60,0.142017,60,0,-1,'premium'),(724689,1,'Belgium','BEL','3277','Belgien (Sonderziel)',0.14202,60,0.142017,60,0,-1,'premium'),(724699,1,'Belgium','BEL','3278','Belgien (Sonderziel)',0.14202,60,0.142017,60,0,-1,'premium'),(724709,1,'Belgium','BEL','3290','Belgien (Sonderziel)',0.14202,60,0.142017,60,0,-1,'premium'),(724719,1,'Belgium','BEL','3295','Belgien (Sonderziel)',0.14202,60,0.142017,60,0,-1,'premium'),(724729,1,'Belgium','BEL','3296','Belgien (Sonderziel)',0.14202,60,0.142017,60,0,-1,'premium'),(724739,1,'Belize','BLZ','501','Belize (Festnetz)',0.27647,60,0.276471,60,0,-1,'fixed'),(724749,1,'Belize','BLZ','5016','Belize (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(724759,1,'Benin (Republic of)','BEN','229','Benin (Festnetz)',0.29328,60,0.293277,60,0,-1,'fixed'),(724769,1,'Benin (Republic of)','BEN','22964','Benin (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(724779,1,'Benin (Republic of)','BEN','22965','Benin (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(724789,1,'Benin (Republic of)','BEN','22966','Benin (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(724799,1,'Benin (Republic of)','BEN','22967','Benin (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(724809,1,'Benin (Republic of)','BEN','22968','Benin (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(724819,1,'Benin (Republic of)','BEN','22990','Benin (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(724829,1,'Benin (Republic of)','BEN','22992','Benin (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(724839,1,'Benin (Republic of)','BEN','22993','Benin (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(724849,1,'Benin (Republic of)','BEN','22994','Benin (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(724859,1,'Benin (Republic of)','BEN','22995','Benin (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(724869,1,'Benin (Republic of)','BEN','22996','Benin (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(724879,1,'Benin (Republic of)','BEN','22997','Benin (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(724889,1,'Benin (Republic of)','BEN','22998','Benin (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(724899,1,'Benin (Republic of)','BEN','22999','Benin (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(724909,1,'Bermuda','BMU','1441','Bermuda (Festnetz)',0.04958,60,0.0495798,60,0,-1,'fixed'),(724919,1,'Bermuda','BMU','14413','Bermuda (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(724929,1,'Bermuda','BMU','144150','Bermuda (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(724939,1,'Bermuda','BMU','144151','Bermuda (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(724949,1,'Bermuda','BMU','144152','Bermuda (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(724959,1,'Bermuda','BMU','144153','Bermuda (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(724969,1,'Bermuda','BMU','1441590','Bermuda (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(724979,1,'Bermuda','BMU','1441599','Bermuda (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(724989,1,'Bermuda','BMU','14417','Bermuda (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(724999,1,'Bermuda','BMU','1441011','Bermuda (Sonderziel)',0.05798,60,0.0579832,60,0,-1,'premium'),(725009,1,'Bhutan (Kingdom of)','BTN','975','Bhutan (Festnetz)',0.17563,60,0.17563,60,0,-1,'fixed'),(725019,1,'Bhutan (Kingdom of)','BTN','97516','Bhutan (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(725029,1,'Bhutan (Kingdom of)','BTN','97517','Bhutan (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(725039,1,'Bhutan (Kingdom of)','BTN','97577','Bhutan (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(725049,1,'Bhutan (Kingdom of)','BTN','9750','Bhutan (Sonderziel)',0.14202,60,0.142017,60,0,-1,'premium'),(725059,1,'Bolivia (Republic of)','BOL','591','Bolivien (Festnetz)',0.0916,60,0.0915966,60,0,-1,'fixed'),(725069,1,'Bolivia (Republic of)','BOL','5916','Bolivien (Mobilfunk)',0.20084,60,0.20084,60,0,-1,'mobile'),(725079,1,'Bolivia (Republic of)','BOL','5917','Bolivien (Mobilfunk)',0.20084,60,0.20084,60,0,-1,'mobile'),(725089,1,'Bolivia (Republic of)','BOL','59190','Bolivien (Sonderziel)',0.20924,60,0.209244,60,0,-1,'premium'),(725099,1,'Bosnia and Herzegovina','BIH','387','Bosnien-Herzegowina (Festnetz)',0.14202,60,0.142017,60,0,-1,'fixed'),(725109,1,'Bosnia and Herzegovina','BIH','387362','Bosnien-Herzegowina (Festnetz)',0.14202,60,0.142017,60,0,-1,'fixed'),(725119,1,'Bosnia and Herzegovina','BIH','387363','Bosnien-Herzegowina (Festnetz)',0.14202,60,0.142017,60,0,-1,'fixed'),(725129,1,'Bosnia and Herzegovina','BIH','387364','Bosnien-Herzegowina (Festnetz)',0.14202,60,0.142017,60,0,-1,'fixed'),(725139,1,'Bosnia and Herzegovina','BIH','387365','Bosnien-Herzegowina (Festnetz)',0.14202,60,0.142017,60,0,-1,'fixed'),(725149,1,'Bosnia and Herzegovina','BIH','387366','Bosnien-Herzegowina (Festnetz)',0.14202,60,0.142017,60,0,-1,'fixed'),(725159,1,'Bosnia and Herzegovina','BIH','3873672','Bosnien-Herzegowina (Festnetz)',0.14202,60,0.142017,60,0,-1,'fixed'),(725169,1,'Bosnia and Herzegovina','BIH','3873673','Bosnien-Herzegowina (Festnetz)',0.14202,60,0.142017,60,0,-1,'fixed'),(725179,1,'Bosnia and Herzegovina','BIH','3873674','Bosnien-Herzegowina (Festnetz)',0.14202,60,0.142017,60,0,-1,'fixed'),(725189,1,'Bosnia and Herzegovina','BIH','3873675','Bosnien-Herzegowina (Festnetz)',0.14202,60,0.142017,60,0,-1,'fixed'),(725199,1,'Bosnia and Herzegovina','BIH','3873677','Bosnien-Herzegowina (Festnetz)',0.14202,60,0.142017,60,0,-1,'fixed'),(725209,1,'Bosnia and Herzegovina','BIH','3873678','Bosnien-Herzegowina (Festnetz)',0.14202,60,0.142017,60,0,-1,'fixed'),(725219,1,'Bosnia and Herzegovina','BIH','387368','Bosnien-Herzegowina (Festnetz)',0.14202,60,0.142017,60,0,-1,'fixed'),(725229,1,'Bosnia and Herzegovina','BIH','3876','Bosnien-Herzegowina (Mobilfunk)',0.3437,60,0.343697,60,0,-1,'mobile'),(725239,1,'Bosnia and Herzegovina','BIH','38736','Bosnien-Herzegowina (Sonderziel)',0.3605,60,0.360504,60,0,-1,'premium'),(725249,1,'Bosnia and Herzegovina','BIH','387529117','Bosnien-Herzegowina (Sonderziel)',0.3605,60,0.360504,60,0,-1,'premium'),(725259,1,'Bosnia and Herzegovina','BIH','3879','Bosnien-Herzegowina (Sonderziel)',0.3605,60,0.360504,60,0,-1,'premium'),(725269,1,'Botswana (Republic of)','BWA','267','Botsuana (Festnetz)',0.57899,60,0.578992,60,0,-1,'fixed'),(725279,1,'Botswana (Republic of)','BWA','2677','Botsuana (Mobilfunk)',0.25966,60,0.259664,60,0,-1,'mobile'),(725289,1,'Brazil (Federative Republic of)','BRA','55','Brasilien (Festnetz)',0.02437,60,0.0243697,60,0,-1,'fixed'),(725299,1,'Brazil (Federative Republic of)','BRA','55106','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725309,1,'Brazil (Federative Republic of)','BRA','55107','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725319,1,'Brazil (Federative Republic of)','BRA','55108','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725329,1,'Brazil (Federative Republic of)','BRA','55109','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725339,1,'Brazil (Federative Republic of)','BRA','551152','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725349,1,'Brazil (Federative Republic of)','BRA','551153','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725359,1,'Brazil (Federative Republic of)','BRA','551154','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725369,1,'Brazil (Federative Republic of)','BRA','551157','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725379,1,'Brazil (Federative Republic of)','BRA','55116','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725389,1,'Brazil (Federative Republic of)','BRA','55117','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725399,1,'Brazil (Federative Republic of)','BRA','55118','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725409,1,'Brazil (Federative Republic of)','BRA','55119','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725419,1,'Brazil (Federative Republic of)','BRA','55126','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725429,1,'Brazil (Federative Republic of)','BRA','55127','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725439,1,'Brazil (Federative Republic of)','BRA','55128','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725449,1,'Brazil (Federative Republic of)','BRA','55129','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725459,1,'Brazil (Federative Republic of)','BRA','55136','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725469,1,'Brazil (Federative Republic of)','BRA','55137','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725479,1,'Brazil (Federative Republic of)','BRA','55138','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725489,1,'Brazil (Federative Republic of)','BRA','55139','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725499,1,'Brazil (Federative Republic of)','BRA','55146','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725509,1,'Brazil (Federative Republic of)','BRA','55147','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725519,1,'Brazil (Federative Republic of)','BRA','55148','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725529,1,'Brazil (Federative Republic of)','BRA','55149','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725539,1,'Brazil (Federative Republic of)','BRA','55156','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725549,1,'Brazil (Federative Republic of)','BRA','55157','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725559,1,'Brazil (Federative Republic of)','BRA','55158','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725569,1,'Brazil (Federative Republic of)','BRA','55159','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725579,1,'Brazil (Federative Republic of)','BRA','55166','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725589,1,'Brazil (Federative Republic of)','BRA','55167','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725599,1,'Brazil (Federative Republic of)','BRA','55168','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725609,1,'Brazil (Federative Republic of)','BRA','55169','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725619,1,'Brazil (Federative Republic of)','BRA','55176','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725629,1,'Brazil (Federative Republic of)','BRA','55177','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725639,1,'Brazil (Federative Republic of)','BRA','55178','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725649,1,'Brazil (Federative Republic of)','BRA','55179','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725659,1,'Brazil (Federative Republic of)','BRA','55186','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725669,1,'Brazil (Federative Republic of)','BRA','55187','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725679,1,'Brazil (Federative Republic of)','BRA','55188','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725689,1,'Brazil (Federative Republic of)','BRA','55189','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725699,1,'Brazil (Federative Republic of)','BRA','55196','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725709,1,'Brazil (Federative Republic of)','BRA','55197','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725719,1,'Brazil (Federative Republic of)','BRA','55198','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725729,1,'Brazil (Federative Republic of)','BRA','55199','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725739,1,'Brazil (Federative Republic of)','BRA','55206','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725749,1,'Brazil (Federative Republic of)','BRA','55207','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725759,1,'Brazil (Federative Republic of)','BRA','55208','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725769,1,'Brazil (Federative Republic of)','BRA','55209','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725779,1,'Brazil (Federative Republic of)','BRA','55216','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725789,1,'Brazil (Federative Republic of)','BRA','55217','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725799,1,'Brazil (Federative Republic of)','BRA','55218','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725809,1,'Brazil (Federative Republic of)','BRA','55219','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725819,1,'Brazil (Federative Republic of)','BRA','55226','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725829,1,'Brazil (Federative Republic of)','BRA','55227','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725839,1,'Brazil (Federative Republic of)','BRA','55228','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725849,1,'Brazil (Federative Republic of)','BRA','55229','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725859,1,'Brazil (Federative Republic of)','BRA','55236','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725869,1,'Brazil (Federative Republic of)','BRA','55237','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725879,1,'Brazil (Federative Republic of)','BRA','55238','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725889,1,'Brazil (Federative Republic of)','BRA','55239','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725899,1,'Brazil (Federative Republic of)','BRA','55246','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725909,1,'Brazil (Federative Republic of)','BRA','55247','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725919,1,'Brazil (Federative Republic of)','BRA','55248','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725929,1,'Brazil (Federative Republic of)','BRA','55249','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725939,1,'Brazil (Federative Republic of)','BRA','55256','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725949,1,'Brazil (Federative Republic of)','BRA','55257','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725959,1,'Brazil (Federative Republic of)','BRA','55258','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725969,1,'Brazil (Federative Republic of)','BRA','55259','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725979,1,'Brazil (Federative Republic of)','BRA','55266','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725989,1,'Brazil (Federative Republic of)','BRA','55267','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(725999,1,'Brazil (Federative Republic of)','BRA','55268','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726009,1,'Brazil (Federative Republic of)','BRA','55269','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726019,1,'Brazil (Federative Republic of)','BRA','55276','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726029,1,'Brazil (Federative Republic of)','BRA','55277','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726039,1,'Brazil (Federative Republic of)','BRA','55278','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726049,1,'Brazil (Federative Republic of)','BRA','55279','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726059,1,'Brazil (Federative Republic of)','BRA','55286','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726069,1,'Brazil (Federative Republic of)','BRA','55287','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726079,1,'Brazil (Federative Republic of)','BRA','55288','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726089,1,'Brazil (Federative Republic of)','BRA','55289','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726099,1,'Brazil (Federative Republic of)','BRA','55296','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726109,1,'Brazil (Federative Republic of)','BRA','55297','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726119,1,'Brazil (Federative Republic of)','BRA','55298','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726129,1,'Brazil (Federative Republic of)','BRA','55299','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726139,1,'Brazil (Federative Republic of)','BRA','55306','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726149,1,'Brazil (Federative Republic of)','BRA','55307','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726159,1,'Brazil (Federative Republic of)','BRA','55308','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726169,1,'Brazil (Federative Republic of)','BRA','55309','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726179,1,'Brazil (Federative Republic of)','BRA','55316','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726189,1,'Brazil (Federative Republic of)','BRA','55317','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726199,1,'Brazil (Federative Republic of)','BRA','55318','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726209,1,'Brazil (Federative Republic of)','BRA','55319','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726219,1,'Brazil (Federative Republic of)','BRA','55326','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726229,1,'Brazil (Federative Republic of)','BRA','55327','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726239,1,'Brazil (Federative Republic of)','BRA','55328','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726249,1,'Brazil (Federative Republic of)','BRA','55329','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726259,1,'Brazil (Federative Republic of)','BRA','55336','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726269,1,'Brazil (Federative Republic of)','BRA','55337','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726279,1,'Brazil (Federative Republic of)','BRA','55338','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726289,1,'Brazil (Federative Republic of)','BRA','55339','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726299,1,'Brazil (Federative Republic of)','BRA','55346','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726309,1,'Brazil (Federative Republic of)','BRA','55347','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726319,1,'Brazil (Federative Republic of)','BRA','55348','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726329,1,'Brazil (Federative Republic of)','BRA','55349','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726339,1,'Brazil (Federative Republic of)','BRA','55356','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726349,1,'Brazil (Federative Republic of)','BRA','55357','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726359,1,'Brazil (Federative Republic of)','BRA','55358','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726369,1,'Brazil (Federative Republic of)','BRA','55359','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726379,1,'Brazil (Federative Republic of)','BRA','55366','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726389,1,'Brazil (Federative Republic of)','BRA','55367','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726399,1,'Brazil (Federative Republic of)','BRA','55368','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726409,1,'Brazil (Federative Republic of)','BRA','55369','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726419,1,'Brazil (Federative Republic of)','BRA','55376','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726429,1,'Brazil (Federative Republic of)','BRA','55377','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726439,1,'Brazil (Federative Republic of)','BRA','55378','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726449,1,'Brazil (Federative Republic of)','BRA','55379','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726459,1,'Brazil (Federative Republic of)','BRA','55386','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726469,1,'Brazil (Federative Republic of)','BRA','55387','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726479,1,'Brazil (Federative Republic of)','BRA','55388','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726489,1,'Brazil (Federative Republic of)','BRA','55389','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726499,1,'Brazil (Federative Republic of)','BRA','55396','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726509,1,'Brazil (Federative Republic of)','BRA','55397','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726519,1,'Brazil (Federative Republic of)','BRA','55398','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726529,1,'Brazil (Federative Republic of)','BRA','55399','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726539,1,'Brazil (Federative Republic of)','BRA','55406','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726549,1,'Brazil (Federative Republic of)','BRA','55407','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726559,1,'Brazil (Federative Republic of)','BRA','55408','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726569,1,'Brazil (Federative Republic of)','BRA','55409','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726579,1,'Brazil (Federative Republic of)','BRA','55416','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726589,1,'Brazil (Federative Republic of)','BRA','55417','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726599,1,'Brazil (Federative Republic of)','BRA','55418','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726609,1,'Brazil (Federative Republic of)','BRA','55419','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726619,1,'Brazil (Federative Republic of)','BRA','55426','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726629,1,'Brazil (Federative Republic of)','BRA','55427','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726639,1,'Brazil (Federative Republic of)','BRA','55428','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726649,1,'Brazil (Federative Republic of)','BRA','55429','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726659,1,'Brazil (Federative Republic of)','BRA','55436','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726669,1,'Brazil (Federative Republic of)','BRA','55437','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726679,1,'Brazil (Federative Republic of)','BRA','55438','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726689,1,'Brazil (Federative Republic of)','BRA','55439','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726699,1,'Brazil (Federative Republic of)','BRA','55446','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726709,1,'Brazil (Federative Republic of)','BRA','55447','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726719,1,'Brazil (Federative Republic of)','BRA','55448','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726729,1,'Brazil (Federative Republic of)','BRA','55449','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726739,1,'Brazil (Federative Republic of)','BRA','55456','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726749,1,'Brazil (Federative Republic of)','BRA','55457','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726759,1,'Brazil (Federative Republic of)','BRA','55458','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726769,1,'Brazil (Federative Republic of)','BRA','55459','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726779,1,'Brazil (Federative Republic of)','BRA','55466','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726789,1,'Brazil (Federative Republic of)','BRA','55467','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726799,1,'Brazil (Federative Republic of)','BRA','55468','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726809,1,'Brazil (Federative Republic of)','BRA','55469','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726819,1,'Brazil (Federative Republic of)','BRA','55476','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726829,1,'Brazil (Federative Republic of)','BRA','55477','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726839,1,'Brazil (Federative Republic of)','BRA','55478','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726849,1,'Brazil (Federative Republic of)','BRA','55479','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726859,1,'Brazil (Federative Republic of)','BRA','55486','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726869,1,'Brazil (Federative Republic of)','BRA','55487','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726879,1,'Brazil (Federative Republic of)','BRA','55488','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726889,1,'Brazil (Federative Republic of)','BRA','55489','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726899,1,'Brazil (Federative Republic of)','BRA','55496','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726909,1,'Brazil (Federative Republic of)','BRA','55497','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726919,1,'Brazil (Federative Republic of)','BRA','55498','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726929,1,'Brazil (Federative Republic of)','BRA','55499','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726939,1,'Brazil (Federative Republic of)','BRA','55506','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726949,1,'Brazil (Federative Republic of)','BRA','55507','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726959,1,'Brazil (Federative Republic of)','BRA','55508','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726969,1,'Brazil (Federative Republic of)','BRA','55509','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726979,1,'Brazil (Federative Republic of)','BRA','55516','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726989,1,'Brazil (Federative Republic of)','BRA','55517','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(726999,1,'Brazil (Federative Republic of)','BRA','55518','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727009,1,'Brazil (Federative Republic of)','BRA','55519','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727019,1,'Brazil (Federative Republic of)','BRA','55526','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727029,1,'Brazil (Federative Republic of)','BRA','55527','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727039,1,'Brazil (Federative Republic of)','BRA','55528','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727049,1,'Brazil (Federative Republic of)','BRA','55529','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727059,1,'Brazil (Federative Republic of)','BRA','55536','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727069,1,'Brazil (Federative Republic of)','BRA','55537','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727079,1,'Brazil (Federative Republic of)','BRA','55538','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727089,1,'Brazil (Federative Republic of)','BRA','55539','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727099,1,'Brazil (Federative Republic of)','BRA','55546','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727109,1,'Brazil (Federative Republic of)','BRA','55547','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727119,1,'Brazil (Federative Republic of)','BRA','55548','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727129,1,'Brazil (Federative Republic of)','BRA','55549','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727139,1,'Brazil (Federative Republic of)','BRA','55556','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727149,1,'Brazil (Federative Republic of)','BRA','55557','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727159,1,'Brazil (Federative Republic of)','BRA','55558','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727169,1,'Brazil (Federative Republic of)','BRA','55559','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727179,1,'Brazil (Federative Republic of)','BRA','55566','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727189,1,'Brazil (Federative Republic of)','BRA','55567','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727199,1,'Brazil (Federative Republic of)','BRA','55568','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727209,1,'Brazil (Federative Republic of)','BRA','55569','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727219,1,'Brazil (Federative Republic of)','BRA','55576','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727229,1,'Brazil (Federative Republic of)','BRA','55577','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727239,1,'Brazil (Federative Republic of)','BRA','55578','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727249,1,'Brazil (Federative Republic of)','BRA','55579','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727259,1,'Brazil (Federative Republic of)','BRA','55586','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727269,1,'Brazil (Federative Republic of)','BRA','55587','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727279,1,'Brazil (Federative Republic of)','BRA','55588','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727289,1,'Brazil (Federative Republic of)','BRA','55589','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727299,1,'Brazil (Federative Republic of)','BRA','55596','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727309,1,'Brazil (Federative Republic of)','BRA','55597','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727319,1,'Brazil (Federative Republic of)','BRA','55598','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727329,1,'Brazil (Federative Republic of)','BRA','55599','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727339,1,'Brazil (Federative Republic of)','BRA','55606','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727349,1,'Brazil (Federative Republic of)','BRA','55607','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727359,1,'Brazil (Federative Republic of)','BRA','55608','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727369,1,'Brazil (Federative Republic of)','BRA','55609','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727379,1,'Brazil (Federative Republic of)','BRA','55616','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727389,1,'Brazil (Federative Republic of)','BRA','55617','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727399,1,'Brazil (Federative Republic of)','BRA','55618','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727409,1,'Brazil (Federative Republic of)','BRA','55619','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727419,1,'Brazil (Federative Republic of)','BRA','55626','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727429,1,'Brazil (Federative Republic of)','BRA','55627','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727439,1,'Brazil (Federative Republic of)','BRA','55628','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727449,1,'Brazil (Federative Republic of)','BRA','55629','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727459,1,'Brazil (Federative Republic of)','BRA','55636','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727469,1,'Brazil (Federative Republic of)','BRA','55637','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727479,1,'Brazil (Federative Republic of)','BRA','55638','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727489,1,'Brazil (Federative Republic of)','BRA','55639','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727499,1,'Brazil (Federative Republic of)','BRA','55646','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727509,1,'Brazil (Federative Republic of)','BRA','55647','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727519,1,'Brazil (Federative Republic of)','BRA','55648','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727529,1,'Brazil (Federative Republic of)','BRA','55649','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727539,1,'Brazil (Federative Republic of)','BRA','55656','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727549,1,'Brazil (Federative Republic of)','BRA','55657','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727559,1,'Brazil (Federative Republic of)','BRA','55658','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727569,1,'Brazil (Federative Republic of)','BRA','55659','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727579,1,'Brazil (Federative Republic of)','BRA','55666','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727589,1,'Brazil (Federative Republic of)','BRA','55667','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727599,1,'Brazil (Federative Republic of)','BRA','55668','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727609,1,'Brazil (Federative Republic of)','BRA','55669','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727619,1,'Brazil (Federative Republic of)','BRA','55676','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727629,1,'Brazil (Federative Republic of)','BRA','55677','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727639,1,'Brazil (Federative Republic of)','BRA','55678','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727649,1,'Brazil (Federative Republic of)','BRA','55679','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727659,1,'Brazil (Federative Republic of)','BRA','55686','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727669,1,'Brazil (Federative Republic of)','BRA','55687','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727679,1,'Brazil (Federative Republic of)','BRA','55688','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727689,1,'Brazil (Federative Republic of)','BRA','55689','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727699,1,'Brazil (Federative Republic of)','BRA','55696','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727709,1,'Brazil (Federative Republic of)','BRA','55697','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727719,1,'Brazil (Federative Republic of)','BRA','55698','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727729,1,'Brazil (Federative Republic of)','BRA','55699','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727739,1,'Brazil (Federative Republic of)','BRA','55706','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727749,1,'Brazil (Federative Republic of)','BRA','55707','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727759,1,'Brazil (Federative Republic of)','BRA','55708','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727769,1,'Brazil (Federative Republic of)','BRA','55709','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727779,1,'Brazil (Federative Republic of)','BRA','55716','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727789,1,'Brazil (Federative Republic of)','BRA','55717','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727799,1,'Brazil (Federative Republic of)','BRA','55718','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727809,1,'Brazil (Federative Republic of)','BRA','55719','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727819,1,'Brazil (Federative Republic of)','BRA','55726','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727829,1,'Brazil (Federative Republic of)','BRA','55727','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727839,1,'Brazil (Federative Republic of)','BRA','55728','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727849,1,'Brazil (Federative Republic of)','BRA','55729','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727859,1,'Brazil (Federative Republic of)','BRA','55736','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727869,1,'Brazil (Federative Republic of)','BRA','55737','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727879,1,'Brazil (Federative Republic of)','BRA','55738','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727889,1,'Brazil (Federative Republic of)','BRA','55739','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727899,1,'Brazil (Federative Republic of)','BRA','55746','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727909,1,'Brazil (Federative Republic of)','BRA','55747','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727919,1,'Brazil (Federative Republic of)','BRA','55748','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727929,1,'Brazil (Federative Republic of)','BRA','55749','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727939,1,'Brazil (Federative Republic of)','BRA','55756','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727949,1,'Brazil (Federative Republic of)','BRA','55757','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727959,1,'Brazil (Federative Republic of)','BRA','55758','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727969,1,'Brazil (Federative Republic of)','BRA','55759','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727979,1,'Brazil (Federative Republic of)','BRA','55766','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727989,1,'Brazil (Federative Republic of)','BRA','55767','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(727999,1,'Brazil (Federative Republic of)','BRA','55768','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728009,1,'Brazil (Federative Republic of)','BRA','55769','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728019,1,'Brazil (Federative Republic of)','BRA','55776','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728029,1,'Brazil (Federative Republic of)','BRA','55777','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728039,1,'Brazil (Federative Republic of)','BRA','55778','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728049,1,'Brazil (Federative Republic of)','BRA','55779','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728059,1,'Brazil (Federative Republic of)','BRA','55786','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728069,1,'Brazil (Federative Republic of)','BRA','55787','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728079,1,'Brazil (Federative Republic of)','BRA','55788','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728089,1,'Brazil (Federative Republic of)','BRA','55789','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728099,1,'Brazil (Federative Republic of)','BRA','55796','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728109,1,'Brazil (Federative Republic of)','BRA','55797','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728119,1,'Brazil (Federative Republic of)','BRA','55798','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728129,1,'Brazil (Federative Republic of)','BRA','55799','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728139,1,'Brazil (Federative Republic of)','BRA','55800','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728149,1,'Brazil (Federative Republic of)','BRA','55806','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728159,1,'Brazil (Federative Republic of)','BRA','55807','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728169,1,'Brazil (Federative Republic of)','BRA','55808','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728179,1,'Brazil (Federative Republic of)','BRA','55809','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728189,1,'Brazil (Federative Republic of)','BRA','55816','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728199,1,'Brazil (Federative Republic of)','BRA','55817','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728209,1,'Brazil (Federative Republic of)','BRA','55818','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728219,1,'Brazil (Federative Republic of)','BRA','55819','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728229,1,'Brazil (Federative Republic of)','BRA','55826','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728239,1,'Brazil (Federative Republic of)','BRA','55827','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728249,1,'Brazil (Federative Republic of)','BRA','55828','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728259,1,'Brazil (Federative Republic of)','BRA','55829','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728269,1,'Brazil (Federative Republic of)','BRA','55836','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728279,1,'Brazil (Federative Republic of)','BRA','55837','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728289,1,'Brazil (Federative Republic of)','BRA','55838','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728299,1,'Brazil (Federative Republic of)','BRA','55839','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728309,1,'Brazil (Federative Republic of)','BRA','55846','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728319,1,'Brazil (Federative Republic of)','BRA','55847','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728329,1,'Brazil (Federative Republic of)','BRA','55848','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728339,1,'Brazil (Federative Republic of)','BRA','55849','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728349,1,'Brazil (Federative Republic of)','BRA','55856','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728359,1,'Brazil (Federative Republic of)','BRA','55857','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728369,1,'Brazil (Federative Republic of)','BRA','55858','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728379,1,'Brazil (Federative Republic of)','BRA','55859','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728389,1,'Brazil (Federative Republic of)','BRA','55866','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728399,1,'Brazil (Federative Republic of)','BRA','55867','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728409,1,'Brazil (Federative Republic of)','BRA','55868','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728419,1,'Brazil (Federative Republic of)','BRA','55869','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728429,1,'Brazil (Federative Republic of)','BRA','55876','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728439,1,'Brazil (Federative Republic of)','BRA','55877','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728449,1,'Brazil (Federative Republic of)','BRA','55878','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728459,1,'Brazil (Federative Republic of)','BRA','55879','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728469,1,'Brazil (Federative Republic of)','BRA','55886','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728479,1,'Brazil (Federative Republic of)','BRA','55887','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728489,1,'Brazil (Federative Republic of)','BRA','55888','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728499,1,'Brazil (Federative Republic of)','BRA','55889','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728509,1,'Brazil (Federative Republic of)','BRA','55896','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728519,1,'Brazil (Federative Republic of)','BRA','55897','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728529,1,'Brazil (Federative Republic of)','BRA','55898','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728539,1,'Brazil (Federative Republic of)','BRA','55899','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728549,1,'Brazil (Federative Republic of)','BRA','55906','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728559,1,'Brazil (Federative Republic of)','BRA','55907','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728569,1,'Brazil (Federative Republic of)','BRA','55908','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728579,1,'Brazil (Federative Republic of)','BRA','55909','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728589,1,'Brazil (Federative Republic of)','BRA','55916','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728599,1,'Brazil (Federative Republic of)','BRA','55917','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728609,1,'Brazil (Federative Republic of)','BRA','55918','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728619,1,'Brazil (Federative Republic of)','BRA','55919','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728629,1,'Brazil (Federative Republic of)','BRA','55926','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728639,1,'Brazil (Federative Republic of)','BRA','55927','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728649,1,'Brazil (Federative Republic of)','BRA','55928','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728659,1,'Brazil (Federative Republic of)','BRA','55929','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728669,1,'Brazil (Federative Republic of)','BRA','55936','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728679,1,'Brazil (Federative Republic of)','BRA','55937','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728689,1,'Brazil (Federative Republic of)','BRA','55938','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728699,1,'Brazil (Federative Republic of)','BRA','55939','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728709,1,'Brazil (Federative Republic of)','BRA','55946','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728719,1,'Brazil (Federative Republic of)','BRA','55947','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728729,1,'Brazil (Federative Republic of)','BRA','55948','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728739,1,'Brazil (Federative Republic of)','BRA','55949','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728749,1,'Brazil (Federative Republic of)','BRA','55956','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728759,1,'Brazil (Federative Republic of)','BRA','55957','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728769,1,'Brazil (Federative Republic of)','BRA','55958','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728779,1,'Brazil (Federative Republic of)','BRA','55959','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728789,1,'Brazil (Federative Republic of)','BRA','55966','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728799,1,'Brazil (Federative Republic of)','BRA','55967','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728809,1,'Brazil (Federative Republic of)','BRA','55968','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728819,1,'Brazil (Federative Republic of)','BRA','55969','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728829,1,'Brazil (Federative Republic of)','BRA','55976','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728839,1,'Brazil (Federative Republic of)','BRA','55977','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728849,1,'Brazil (Federative Republic of)','BRA','55978','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728859,1,'Brazil (Federative Republic of)','BRA','55979','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728869,1,'Brazil (Federative Republic of)','BRA','55986','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728879,1,'Brazil (Federative Republic of)','BRA','55987','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728889,1,'Brazil (Federative Republic of)','BRA','55988','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728899,1,'Brazil (Federative Republic of)','BRA','55989','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728909,1,'Brazil (Federative Republic of)','BRA','55996','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728919,1,'Brazil (Federative Republic of)','BRA','55997','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728929,1,'Brazil (Federative Republic of)','BRA','55998','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728939,1,'Brazil (Federative Republic of)','BRA','55999','Brasilien (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(728949,1,'Brazil (Federative Republic of)','BRA','5521','Brasilien Rio de Janeiro (Festnetz)',0.01597,60,0.0159664,60,0,-1,'fixed'),(728959,1,'British Virgin Islands','VGB','1284','Britische Jungferninseln (Festnetz)',0.15042,60,0.15042,60,0,-1,'fixed'),(728969,1,'British Virgin Islands','VGB','1284300','Britische Jungferninseln (Mobilfunk)',0.15042,60,0.15042,60,0,-1,'mobile'),(728979,1,'British Virgin Islands','VGB','1284340','Britische Jungferninseln (Mobilfunk)',0.15042,60,0.15042,60,0,-1,'mobile'),(728989,1,'British Virgin Islands','VGB','1284341','Britische Jungferninseln (Mobilfunk)',0.15042,60,0.15042,60,0,-1,'mobile'),(728999,1,'British Virgin Islands','VGB','1284342','Britische Jungferninseln (Mobilfunk)',0.15042,60,0.15042,60,0,-1,'mobile'),(729009,1,'British Virgin Islands','VGB','1284343','Britische Jungferninseln (Mobilfunk)',0.15042,60,0.15042,60,0,-1,'mobile'),(729019,1,'British Virgin Islands','VGB','1284344','Britische Jungferninseln (Mobilfunk)',0.15042,60,0.15042,60,0,-1,'mobile'),(729029,1,'British Virgin Islands','VGB','1284345','Britische Jungferninseln (Mobilfunk)',0.15042,60,0.15042,60,0,-1,'mobile'),(729039,1,'British Virgin Islands','VGB','1284346','Britische Jungferninseln (Mobilfunk)',0.15042,60,0.15042,60,0,-1,'mobile'),(729049,1,'British Virgin Islands','VGB','1284347','Britische Jungferninseln (Mobilfunk)',0.15042,60,0.15042,60,0,-1,'mobile'),(729059,1,'British Virgin Islands','VGB','1284393','Britische Jungferninseln (Mobilfunk)',0.15042,60,0.15042,60,0,-1,'mobile'),(729069,1,'British Virgin Islands','VGB','1284394','Britische Jungferninseln (Mobilfunk)',0.15042,60,0.15042,60,0,-1,'mobile'),(729079,1,'British Virgin Islands','VGB','1284440','Britische Jungferninseln (Mobilfunk)',0.15042,60,0.15042,60,0,-1,'mobile'),(729089,1,'British Virgin Islands','VGB','1284441','Britische Jungferninseln (Mobilfunk)',0.15042,60,0.15042,60,0,-1,'mobile'),(729099,1,'British Virgin Islands','VGB','1284442','Britische Jungferninseln (Mobilfunk)',0.15042,60,0.15042,60,0,-1,'mobile'),(729109,1,'British Virgin Islands','VGB','1284443','Britische Jungferninseln (Mobilfunk)',0.15042,60,0.15042,60,0,-1,'mobile'),(729119,1,'British Virgin Islands','VGB','1284444','Britische Jungferninseln (Mobilfunk)',0.15042,60,0.15042,60,0,-1,'mobile'),(729129,1,'British Virgin Islands','VGB','1284445','Britische Jungferninseln (Mobilfunk)',0.15042,60,0.15042,60,0,-1,'mobile'),(729139,1,'British Virgin Islands','VGB','1284446','Britische Jungferninseln (Mobilfunk)',0.15042,60,0.15042,60,0,-1,'mobile'),(729149,1,'British Virgin Islands','VGB','12844689','Britische Jungferninseln (Mobilfunk)',0.15042,60,0.15042,60,0,-1,'mobile'),(729159,1,'British Virgin Islands','VGB','12844960','Britische Jungferninseln (Mobilfunk)',0.15042,60,0.15042,60,0,-1,'mobile'),(729169,1,'British Virgin Islands','VGB','12844966','Britische Jungferninseln (Mobilfunk)',0.15042,60,0.15042,60,0,-1,'mobile'),(729179,1,'British Virgin Islands','VGB','12844967','Britische Jungferninseln (Mobilfunk)',0.15042,60,0.15042,60,0,-1,'mobile'),(729189,1,'British Virgin Islands','VGB','12844968','Britische Jungferninseln (Mobilfunk)',0.15042,60,0.15042,60,0,-1,'mobile'),(729199,1,'British Virgin Islands','VGB','12844969','Britische Jungferninseln (Mobilfunk)',0.15042,60,0.15042,60,0,-1,'mobile'),(729209,1,'British Virgin Islands','VGB','1284499','Britische Jungferninseln (Mobilfunk)',0.15042,60,0.15042,60,0,-1,'mobile'),(729219,1,'British Virgin Islands','VGB','1284540','Britische Jungferninseln (Mobilfunk)',0.15042,60,0.15042,60,0,-1,'mobile'),(729229,1,'British Virgin Islands','VGB','1284541','Britische Jungferninseln (Mobilfunk)',0.15042,60,0.15042,60,0,-1,'mobile'),(729239,1,'British Virgin Islands','VGB','1284542','Britische Jungferninseln (Mobilfunk)',0.15042,60,0.15042,60,0,-1,'mobile'),(729249,1,'British Virgin Islands','VGB','1284543','Britische Jungferninseln (Mobilfunk)',0.15042,60,0.15042,60,0,-1,'mobile'),(729259,1,'British Virgin Islands','VGB','1284544','Britische Jungferninseln (Mobilfunk)',0.15042,60,0.15042,60,0,-1,'mobile'),(729269,1,'British Virgin Islands','VGB','1284545','Britische Jungferninseln (Mobilfunk)',0.15042,60,0.15042,60,0,-1,'mobile'),(729279,1,'British Virgin Islands','VGB','1284546','Britische Jungferninseln (Mobilfunk)',0.15042,60,0.15042,60,0,-1,'mobile'),(729289,1,'British Virgin Islands','VGB','1284547','Britische Jungferninseln (Mobilfunk)',0.15042,60,0.15042,60,0,-1,'mobile'),(729299,1,'Brunei Darussalam','BRN','673','Brunei Darussalam (Festnetz)',0.04958,60,0.0495798,60,0,-1,'fixed'),(729309,1,'Brunei Darussalam','BRN','67322','Brunei Darussalam (Mobilfunk)',0.04118,60,0.0411765,60,0,-1,'mobile'),(729319,1,'Brunei Darussalam','BRN','6737','Brunei Darussalam (Mobilfunk)',0.04118,60,0.0411765,60,0,-1,'mobile'),(729329,1,'Brunei Darussalam','BRN','6738','Brunei Darussalam (Mobilfunk)',0.04118,60,0.0411765,60,0,-1,'mobile'),(729339,1,'Brunei Darussalam','BRN','6739','Brunei Darussalam (Mobilfunk)',0.04118,60,0.0411765,60,0,-1,'mobile'),(729349,1,'Bulgaria (Republic of)','BGR','359','Bulgarien (Festnetz)',0.05798,60,0.0579832,60,0,-1,'fixed'),(729359,1,'Bulgaria (Republic of)','BGR','35917','Bulgarien (Mobilfunk)',0.40252,60,0.402521,60,0,-1,'mobile'),(729369,1,'Bulgaria (Republic of)','BGR','359430','Bulgarien (Mobilfunk)',0.40252,60,0.402521,60,0,-1,'mobile'),(729379,1,'Bulgaria (Republic of)','BGR','359437','Bulgarien (Mobilfunk)',0.40252,60,0.402521,60,0,-1,'mobile'),(729389,1,'Bulgaria (Republic of)','BGR','359438','Bulgarien (Mobilfunk)',0.40252,60,0.402521,60,0,-1,'mobile'),(729399,1,'Bulgaria (Republic of)','BGR','359439','Bulgarien (Mobilfunk)',0.40252,60,0.402521,60,0,-1,'mobile'),(729409,1,'Bulgaria (Republic of)','BGR','35948','Bulgarien (Mobilfunk)',0.40252,60,0.402521,60,0,-1,'mobile'),(729419,1,'Bulgaria (Republic of)','BGR','35987','Bulgarien (Mobilfunk)',0.40252,60,0.402521,60,0,-1,'mobile'),(729429,1,'Bulgaria (Republic of)','BGR','35988','Bulgarien (Mobilfunk)',0.40252,60,0.402521,60,0,-1,'mobile'),(729439,1,'Bulgaria (Republic of)','BGR','35989','Bulgarien (Mobilfunk)',0.40252,60,0.402521,60,0,-1,'mobile'),(729449,1,'Bulgaria (Republic of)','BGR','35998','Bulgarien (Mobilfunk)',0.40252,60,0.402521,60,0,-1,'mobile'),(729459,1,'Bulgaria (Republic of)','BGR','35956934','Bulgarien (Sonderziel)',0.42773,60,0.427731,60,0,-1,'premium'),(729469,1,'Bulgaria (Republic of)','BGR','359881','Bulgarien (Sonderziel)',0.42773,60,0.427731,60,0,-1,'premium'),(729479,1,'Bulgaria (Republic of)','BGR','359882970','Bulgarien (Sonderziel)',0.42773,60,0.427731,60,0,-1,'premium'),(729489,1,'Bulgaria (Republic of)','BGR','35990033','Bulgarien (Sonderziel)',0.42773,60,0.427731,60,0,-1,'premium'),(729499,1,'Bulgaria (Republic of)','BGR','35990034','Bulgarien (Sonderziel)',0.42773,60,0.427731,60,0,-1,'premium'),(729509,1,'Bulgaria (Republic of)','BGR','35990035','Bulgarien (Sonderziel)',0.42773,60,0.427731,60,0,-1,'premium'),(729519,1,'Bulgaria (Republic of)','BGR','35999','Bulgarien (Sonderziel)',0.42773,60,0.427731,60,0,-1,'premium'),(729529,1,'Burkina Faso','BFA','226','Burkina Faso (Festnetz)',0.33529,60,0.335294,60,0,-1,'fixed'),(729539,1,'Burkina Faso','BFA','22660','Burkina Faso (Mobilfunk)',0.39412,60,0.394118,60,0,-1,'mobile'),(729549,1,'Burkina Faso','BFA','22661','Burkina Faso (Mobilfunk)',0.39412,60,0.394118,60,0,-1,'mobile'),(729559,1,'Burkina Faso','BFA','22664','Burkina Faso (Mobilfunk)',0.39412,60,0.394118,60,0,-1,'mobile'),(729569,1,'Burkina Faso','BFA','22665','Burkina Faso (Mobilfunk)',0.39412,60,0.394118,60,0,-1,'mobile'),(729579,1,'Burkina Faso','BFA','22666','Burkina Faso (Mobilfunk)',0.39412,60,0.394118,60,0,-1,'mobile'),(729589,1,'Burkina Faso','BFA','22668','Burkina Faso (Mobilfunk)',0.39412,60,0.394118,60,0,-1,'mobile'),(729599,1,'Burkina Faso','BFA','2267','Burkina Faso (Mobilfunk)',0.39412,60,0.394118,60,0,-1,'mobile'),(729609,1,'Burkina Faso','BFA','226505','Burkina Faso (Sonderziel)',0.3437,60,0.343697,60,0,-1,'premium'),(729619,1,'Burkina Faso','BFA','226507','Burkina Faso (Sonderziel)',0.3437,60,0.343697,60,0,-1,'premium'),(729629,1,'Burkina Faso','BFA','2267777','Burkina Faso (Sonderziel)',0.3437,60,0.343697,60,0,-1,'premium'),(729639,1,'Central African Republic','CAF','236360','Burkina Faso (Sonderziel)',0.3437,60,0.343697,60,0,-1,'premium'),(729649,1,'Central African Republic','CAF','236647','Burkina Faso (Sonderziel)',0.3437,60,0.343697,60,0,-1,'premium'),(729659,1,'Central African Republic','CAF','236727750','Burkina Faso (Sonderziel)',0.3437,60,0.343697,60,0,-1,'premium'),(729669,1,'Central African Republic','CAF','236877','Burkina Faso (Sonderziel)',0.3437,60,0.343697,60,0,-1,'premium'),(729679,1,'Burundi (Republic of)','BDI','257','Burundi (Festnetz)',0.08319,60,0.0831933,60,0,-1,'fixed'),(729689,1,'Burundi (Republic of)','BDI','25729','Burundi (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(729699,1,'Burundi (Republic of)','BDI','2577','Burundi (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(729709,1,'Chile','CHL','56','Chile (Festnetz)',0.23445,60,0.234454,60,0,-1,'fixed'),(729719,1,'Chile','CHL','5632210','Chile (Festnetz)',0.23445,60,0.234454,60,0,-1,'fixed'),(729729,1,'Chile','CHL','5632255','Chile (Festnetz)',0.23445,60,0.234454,60,0,-1,'fixed'),(729739,1,'Chile','CHL','5688','Chile (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(729749,1,'Chile','CHL','569','Chile (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(729759,1,'Chile','CHL','56113','Chile (Sonderziel)',0.28487,60,0.284874,60,0,-1,'premium'),(729769,1,'Chile','CHL','563221','Chile (Sonderziel)',0.28487,60,0.284874,60,0,-1,'premium'),(729779,1,'Chile','CHL','563225','Chile (Sonderziel)',0.28487,60,0.284874,60,0,-1,'premium'),(729789,1,'China (People\'s Republic of)','CHN','86','China (Festnetz)',0.02437,60,0.0243697,60,0,-1,'fixed'),(729799,1,'China (People\'s Republic of)','CHN','8613','China (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(729809,1,'China (People\'s Republic of)','CHN','86145','China (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(729819,1,'China (People\'s Republic of)','CHN','86147','China (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(729829,1,'China (People\'s Republic of)','CHN','86150','China (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(729839,1,'China (People\'s Republic of)','CHN','86151','China (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(729849,1,'China (People\'s Republic of)','CHN','86152','China (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(729859,1,'China (People\'s Republic of)','CHN','86153','China (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(729869,1,'China (People\'s Republic of)','CHN','86155','China (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(729879,1,'China (People\'s Republic of)','CHN','86156','China (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(729889,1,'China (People\'s Republic of)','CHN','86157','China (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(729899,1,'China (People\'s Republic of)','CHN','86158','China (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(729909,1,'China (People\'s Republic of)','CHN','86159','China (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(729919,1,'China (People\'s Republic of)','CHN','86180','China (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(729929,1,'China (People\'s Republic of)','CHN','86182','China (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(729939,1,'China (People\'s Republic of)','CHN','86183','China (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(729949,1,'China (People\'s Republic of)','CHN','86185','China (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(729959,1,'China (People\'s Republic of)','CHN','86186','China (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(729969,1,'China (People\'s Republic of)','CHN','86187','China (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(729979,1,'China (People\'s Republic of)','CHN','86188','China (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(729989,1,'China (People\'s Republic of)','CHN','86189','China (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(729999,1,'Reserved','TWN','88694','China (Sonderziel)',0.14202,60,0.142017,60,0,-1,'premium'),(730009,1,'Reserved','TWN','8869413','China (Sonderziel)',0.14202,60,0.142017,60,0,-1,'premium'),(730019,1,'Reserved','TWN','886951','China (Sonderziel)',0.14202,60,0.142017,60,0,-1,'premium'),(730029,1,'Reserved','TWN','886','China (Taiwan) (Festnetz)',0.02437,60,0.0243697,60,0,-1,'fixed'),(730039,1,'Reserved','TWN','8869','China (Taiwan) (Mobilfunk)',0.16723,60,0.167227,60,0,-1,'mobile'),(730049,1,'Reserved','TWN','886940','China (Taiwan) (Mobilfunk)',0.16723,60,0.167227,60,0,-1,'mobile'),(730059,1,'Reserved','TWN','886941','China (Taiwan) (Mobilfunk)',0.16723,60,0.167227,60,0,-1,'mobile'),(730069,1,'Reserved','TWN','886943','China (Taiwan) (Mobilfunk)',0.16723,60,0.167227,60,0,-1,'mobile'),(730079,1,'Reserved','TWN','886944','China (Taiwan) (Mobilfunk)',0.16723,60,0.167227,60,0,-1,'mobile'),(730089,1,'Reserved','TWN','886945','China (Taiwan) (Mobilfunk)',0.16723,60,0.167227,60,0,-1,'mobile'),(730099,1,'Reserved','TWN','886946','China (Taiwan) (Mobilfunk)',0.16723,60,0.167227,60,0,-1,'mobile'),(730109,1,'Reserved','TWN','886947','China (Taiwan) (Mobilfunk)',0.16723,60,0.167227,60,0,-1,'mobile'),(730119,1,'Reserved','TWN','886949','China (Taiwan) (Mobilfunk)',0.16723,60,0.167227,60,0,-1,'mobile'),(730129,1,'Cook Islands','COK','682','Cookinseln (Festnetz)',0.99916,60,0.99916,60,0,-1,'fixed'),(730139,1,'Cook Islands','COK','682603','Cookinseln (Sonderziel)',0.66303,60,0.663025,60,0,-1,'premium'),(730149,1,'Costa Rica','CRI','506','Costa Rica (Festnetz)',0.03277,60,0.0327731,60,0,-1,'fixed'),(730159,1,'Costa Rica','CRI','5065','Costa Rica (Mobilfunk)',0.07479,60,0.0747899,60,0,-1,'mobile'),(730169,1,'Costa Rica','CRI','5066','Costa Rica (Mobilfunk)',0.07479,60,0.0747899,60,0,-1,'mobile'),(730179,1,'Costa Rica','CRI','5067','Costa Rica (Mobilfunk)',0.07479,60,0.0747899,60,0,-1,'mobile'),(730189,1,'Costa Rica','CRI','5068','Costa Rica (Mobilfunk)',0.07479,60,0.0747899,60,0,-1,'mobile'),(730199,1,'Diego Garcia','IOT','246','Diego Garcia (Festnetz)',0.78067,60,0.780672,60,0,-1,'fixed'),(730209,1,'Diego Garcia','IOT','246379','Diego Garcia (Sonderziel)',0.52017,60,0.520168,60,0,-1,'premium'),(730219,1,'Puerto Rico','PRI','1767','Dominica (Festnetz)',0.07479,60,0.0747899,60,0,-1,'fixed'),(730229,1,'Puerto Rico','PRI','1767225','Dominica (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(730239,1,'Puerto Rico','PRI','1767235','Dominica (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(730249,1,'Puerto Rico','PRI','1767245','Dominica (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(730259,1,'Puerto Rico','PRI','1767265','Dominica (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(730269,1,'Puerto Rico','PRI','1767275','Dominica (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(730279,1,'Puerto Rico','PRI','1767276','Dominica (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(730289,1,'Puerto Rico','PRI','1767277','Dominica (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(730299,1,'Puerto Rico','PRI','1767285','Dominica (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(730309,1,'Puerto Rico','PRI','1767295','Dominica (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(730319,1,'Puerto Rico','PRI','1767315','Dominica (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(730329,1,'Puerto Rico','PRI','1767316','Dominica (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(730339,1,'Puerto Rico','PRI','1767317','Dominica (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(730349,1,'Puerto Rico','PRI','1767420','Dominica (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(730359,1,'Puerto Rico','PRI','1767421','Dominica (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(730369,1,'Puerto Rico','PRI','1767611','Dominica (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(730379,1,'Puerto Rico','PRI','1767612','Dominica (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(730389,1,'Puerto Rico','PRI','1767613','Dominica (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(730399,1,'Puerto Rico','PRI','1767614','Dominica (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(730409,1,'Puerto Rico','PRI','1767615','Dominica (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(730419,1,'Puerto Rico','PRI','1767616','Dominica (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(730429,1,'Puerto Rico','PRI','1767617','Dominica (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(730439,1,'Puerto Rico','PRI','17674411','Dominica (Sonderziel)',0.26807,60,0.268067,60,0,-1,'premium'),(730449,1,'Puerto Rico','PRI','17674450','Dominica (Sonderziel)',0.26807,60,0.268067,60,0,-1,'premium'),(730459,1,'Puerto Rico','PRI','17674451','Dominica (Sonderziel)',0.26807,60,0.268067,60,0,-1,'premium'),(730469,1,'Puerto Rico','PRI','17674452','Dominica (Sonderziel)',0.26807,60,0.268067,60,0,-1,'premium'),(730479,1,'Puerto Rico','PRI','17674467','Dominica (Sonderziel)',0.26807,60,0.268067,60,0,-1,'premium'),(730489,1,'Puerto Rico','PRI','17674468','Dominica (Sonderziel)',0.26807,60,0.268067,60,0,-1,'premium'),(730499,1,'Puerto Rico','PRI','17674469','Dominica (Sonderziel)',0.26807,60,0.268067,60,0,-1,'premium'),(730509,1,'Puerto Rico','PRI','17674495','Dominica (Sonderziel)',0.26807,60,0.268067,60,0,-1,'premium'),(730519,1,'Puerto Rico','PRI','1767503','Dominica (Sonderziel)',0.26807,60,0.268067,60,0,-1,'premium'),(730529,1,'Dominican Republic','DOM','1809','Dominikanische Republik (Festnetz)',0.05798,60,0.0579832,60,0,-1,'fixed'),(730539,1,'Dominican Republic','DOM','1829','Dominikanische Republik (Festnetz)',0.05798,60,0.0579832,60,0,-1,'fixed'),(730549,1,'Dominican Republic','DOM','1849','Dominikanische Republik (Festnetz)',0.05798,60,0.0579832,60,0,-1,'fixed'),(730559,1,'Dominican Republic','DOM','1809201','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730569,1,'Dominican Republic','DOM','1809203','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730579,1,'Dominican Republic','DOM','1809204','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730589,1,'Dominican Republic','DOM','1809205','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730599,1,'Dominican Republic','DOM','1809206','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730609,1,'Dominican Republic','DOM','1809207','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730619,1,'Dominican Republic','DOM','1809208','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730629,1,'Dominican Republic','DOM','1809209','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730639,1,'Dominican Republic','DOM','1809210','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730649,1,'Dominican Republic','DOM','1809212','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730659,1,'Dominican Republic','DOM','1809214','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730669,1,'Dominican Republic','DOM','1809215','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730679,1,'Dominican Republic','DOM','1809216','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730689,1,'Dominican Republic','DOM','1809217','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730699,1,'Dominican Republic','DOM','1809218','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730709,1,'Dominican Republic','DOM','1809219','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730719,1,'Dominican Republic','DOM','18092223','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730729,1,'Dominican Republic','DOM','18092224','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730739,1,'Dominican Republic','DOM','18092225','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730749,1,'Dominican Republic','DOM','1809223','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730759,1,'Dominican Republic','DOM','1809224','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730769,1,'Dominican Republic','DOM','1809225','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730779,1,'Dominican Republic','DOM','1809228','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730789,1,'Dominican Republic','DOM','1809229','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730799,1,'Dominican Republic','DOM','1809230','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730809,1,'Dominican Republic','DOM','1809232','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730819,1,'Dominican Republic','DOM','1809235','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730829,1,'Dominican Republic','DOM','18092480','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730839,1,'Dominican Republic','DOM','18092482','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730849,1,'Dominican Republic','DOM','18092484','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730859,1,'Dominican Republic','DOM','18092485','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730869,1,'Dominican Republic','DOM','18092486','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730879,1,'Dominican Republic','DOM','18092487','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730889,1,'Dominican Republic','DOM','18092488','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730899,1,'Dominican Republic','DOM','1809249','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730909,1,'Dominican Republic','DOM','1809250','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730919,1,'Dominican Republic','DOM','1809251','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730929,1,'Dominican Republic','DOM','1809252','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730939,1,'Dominican Republic','DOM','1809253','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730949,1,'Dominican Republic','DOM','1809254','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730959,1,'Dominican Republic','DOM','1809256','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730969,1,'Dominican Republic','DOM','1809257','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730979,1,'Dominican Republic','DOM','1809258','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730989,1,'Dominican Republic','DOM','1809259','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(730999,1,'Dominican Republic','DOM','1809260','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731009,1,'Dominican Republic','DOM','1809264','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731019,1,'Dominican Republic','DOM','18092651','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731029,1,'Dominican Republic','DOM','18092652','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731039,1,'Dominican Republic','DOM','18092653','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731049,1,'Dominican Republic','DOM','18092654','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731059,1,'Dominican Republic','DOM','18092655','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731069,1,'Dominican Republic','DOM','18092656','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731079,1,'Dominican Republic','DOM','18092657','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731089,1,'Dominican Republic','DOM','18092658','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731099,1,'Dominican Republic','DOM','18092659','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731109,1,'Dominican Republic','DOM','1809266','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731119,1,'Dominican Republic','DOM','1809267','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731129,1,'Dominican Republic','DOM','1809268','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731139,1,'Dominican Republic','DOM','1809269','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731149,1,'Dominican Republic','DOM','1809270','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731159,1,'Dominican Republic','DOM','1809271','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731169,1,'Dominican Republic','DOM','1809272','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731179,1,'Dominican Republic','DOM','1809280','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731189,1,'Dominican Republic','DOM','1809281','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731199,1,'Dominican Republic','DOM','1809282','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731209,1,'Dominican Republic','DOM','1809283','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731219,1,'Dominican Republic','DOM','1809284','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731229,1,'Dominican Republic','DOM','1809292','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731239,1,'Dominican Republic','DOM','1809293','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731249,1,'Dominican Republic','DOM','1809297','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731259,1,'Dominican Republic','DOM','1809298','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731269,1,'Dominican Republic','DOM','1809299','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731279,1,'Dominican Republic','DOM','1809301','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731289,1,'Dominican Republic','DOM','1809302','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731299,1,'Dominican Republic','DOM','1809303','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731309,1,'Dominican Republic','DOM','1809304','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731319,1,'Dominican Republic','DOM','1809305','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731329,1,'Dominican Republic','DOM','1809306','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731339,1,'Dominican Republic','DOM','1809307','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731349,1,'Dominican Republic','DOM','1809308','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731359,1,'Dominican Republic','DOM','1809309','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731369,1,'Dominican Republic','DOM','1809310','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731379,1,'Dominican Republic','DOM','1809313','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731389,1,'Dominican Republic','DOM','1809315','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731399,1,'Dominican Republic','DOM','1809316','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731409,1,'Dominican Republic','DOM','1809317','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731419,1,'Dominican Republic','DOM','1809318','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731429,1,'Dominican Republic','DOM','1809319','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731439,1,'Dominican Republic','DOM','1809321','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731449,1,'Dominican Republic','DOM','1809322','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731459,1,'Dominican Republic','DOM','1809323','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731469,1,'Dominican Republic','DOM','1809324','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731479,1,'Dominican Republic','DOM','1809325','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731489,1,'Dominican Republic','DOM','1809326','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731499,1,'Dominican Republic','DOM','1809327','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731509,1,'Dominican Republic','DOM','1809330','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731519,1,'Dominican Republic','DOM','1809340','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731529,1,'Dominican Republic','DOM','1809341','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731539,1,'Dominican Republic','DOM','1809342','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731549,1,'Dominican Republic','DOM','1809343','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731559,1,'Dominican Republic','DOM','1809344','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731569,1,'Dominican Republic','DOM','1809345','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731579,1,'Dominican Republic','DOM','1809348','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731589,1,'Dominican Republic','DOM','180935','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731599,1,'Dominican Republic','DOM','1809360','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731609,1,'Dominican Republic','DOM','1809361','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731619,1,'Dominican Republic','DOM','1809366','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731629,1,'Dominican Republic','DOM','1809370','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731639,1,'Dominican Republic','DOM','1809371','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731649,1,'Dominican Republic','DOM','1809374','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731659,1,'Dominican Republic','DOM','1809376','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731669,1,'Dominican Republic','DOM','1809377','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731679,1,'Dominican Republic','DOM','1809383','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731689,1,'Dominican Republic','DOM','1809386','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731699,1,'Dominican Republic','DOM','1809387','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731709,1,'Dominican Republic','DOM','1809389','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731719,1,'Dominican Republic','DOM','180939','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731729,1,'Dominican Republic','DOM','1809401','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731739,1,'Dominican Republic','DOM','1809402','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731749,1,'Dominican Republic','DOM','1809403','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731759,1,'Dominican Republic','DOM','1809404','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731769,1,'Dominican Republic','DOM','1809405','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731779,1,'Dominican Republic','DOM','1809406','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731789,1,'Dominican Republic','DOM','1809407','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731799,1,'Dominican Republic','DOM','1809408','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731809,1,'Dominican Republic','DOM','1809409','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731819,1,'Dominican Republic','DOM','1809410','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731829,1,'Dominican Republic','DOM','1809413','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731839,1,'Dominican Republic','DOM','1809415','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731849,1,'Dominican Republic','DOM','1809416','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731859,1,'Dominican Republic','DOM','1809417','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731869,1,'Dominican Republic','DOM','1809418','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731879,1,'Dominican Republic','DOM','1809419','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731889,1,'Dominican Republic','DOM','1809420','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731899,1,'Dominican Republic','DOM','1809421','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731909,1,'Dominican Republic','DOM','1809423','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731919,1,'Dominican Republic','DOM','1809424','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731929,1,'Dominican Republic','DOM','1809425','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731939,1,'Dominican Republic','DOM','1809426','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731949,1,'Dominican Republic','DOM','1809427','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731959,1,'Dominican Republic','DOM','1809428','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731969,1,'Dominican Republic','DOM','1809429','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731979,1,'Dominican Republic','DOM','1809430','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731989,1,'Dominican Republic','DOM','1809431','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(731999,1,'Dominican Republic','DOM','1809432','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732009,1,'Dominican Republic','DOM','1809433','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732019,1,'Dominican Republic','DOM','1809434','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732029,1,'Dominican Republic','DOM','1809436','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732039,1,'Dominican Republic','DOM','1809437','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732049,1,'Dominican Republic','DOM','1809438','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732059,1,'Dominican Republic','DOM','1809439','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732069,1,'Dominican Republic','DOM','180944','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732079,1,'Dominican Republic','DOM','1809451','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732089,1,'Dominican Republic','DOM','1809452','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732099,1,'Dominican Republic','DOM','1809453','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732109,1,'Dominican Republic','DOM','1809454','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732119,1,'Dominican Republic','DOM','1809456','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732129,1,'Dominican Republic','DOM','1809457','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732139,1,'Dominican Republic','DOM','1809458','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732149,1,'Dominican Republic','DOM','1809459','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732159,1,'Dominican Republic','DOM','1809460','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732169,1,'Dominican Republic','DOM','1809461','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732179,1,'Dominican Republic','DOM','1809462','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732189,1,'Dominican Republic','DOM','1809463','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732199,1,'Dominican Republic','DOM','1809464','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732209,1,'Dominican Republic','DOM','1809465','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732219,1,'Dominican Republic','DOM','1809467','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732229,1,'Dominican Republic','DOM','18094701','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732239,1,'Dominican Republic','DOM','18094702','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732249,1,'Dominican Republic','DOM','18094703','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732259,1,'Dominican Republic','DOM','18094704','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732269,1,'Dominican Republic','DOM','18094705','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732279,1,'Dominican Republic','DOM','18094706','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732289,1,'Dominican Republic','DOM','18094707','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732299,1,'Dominican Republic','DOM','18094708','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732309,1,'Dominican Republic','DOM','1809474','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732319,1,'Dominican Republic','DOM','1809477','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732329,1,'Dominican Republic','DOM','1809478','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732339,1,'Dominican Republic','DOM','1809479','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732349,1,'Dominican Republic','DOM','1809480','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732359,1,'Dominican Republic','DOM','1809481','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732369,1,'Dominican Republic','DOM','1809484','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732379,1,'Dominican Republic','DOM','1809485','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732389,1,'Dominican Republic','DOM','1809486','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732399,1,'Dominican Republic','DOM','1809488','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732409,1,'Dominican Republic','DOM','180949','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732419,1,'Dominican Republic','DOM','1809501','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732429,1,'Dominican Republic','DOM','1809502','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732439,1,'Dominican Republic','DOM','1809504','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732449,1,'Dominican Republic','DOM','1809505','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732459,1,'Dominican Republic','DOM','1809506','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732469,1,'Dominican Republic','DOM','1809507','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732479,1,'Dominican Republic','DOM','1809509','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732489,1,'Dominican Republic','DOM','1809510','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732499,1,'Dominican Republic','DOM','1809512','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732509,1,'Dominican Republic','DOM','1809513','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732519,1,'Dominican Republic','DOM','1809514','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732529,1,'Dominican Republic','DOM','1809515','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732539,1,'Dominican Republic','DOM','1809516','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732549,1,'Dominican Republic','DOM','1809517','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732559,1,'Dominican Republic','DOM','1809519','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732569,1,'Dominican Republic','DOM','1809520','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732579,1,'Dominican Republic','DOM','180954290','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732589,1,'Dominican Republic','DOM','180954291','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732599,1,'Dominican Republic','DOM','180954292','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732609,1,'Dominican Republic','DOM','180954293','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732619,1,'Dominican Republic','DOM','180954295','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732629,1,'Dominican Republic','DOM','180954296','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732639,1,'Dominican Republic','DOM','180954297','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732649,1,'Dominican Republic','DOM','180954298','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732659,1,'Dominican Republic','DOM','18095430','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732669,1,'Dominican Republic','DOM','18095432','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732679,1,'Dominican Republic','DOM','18095433','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732689,1,'Dominican Republic','DOM','18095434','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732699,1,'Dominican Republic','DOM','18095435','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732709,1,'Dominican Republic','DOM','18095436','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732719,1,'Dominican Republic','DOM','18095437','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732729,1,'Dominican Republic','DOM','18095438','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732739,1,'Dominican Republic','DOM','18095439','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732749,1,'Dominican Republic','DOM','18095450','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732759,1,'Dominican Republic','DOM','18095451','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732769,1,'Dominican Republic','DOM','18095454','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732779,1,'Dominican Republic','DOM','18095456','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732789,1,'Dominican Republic','DOM','18095459','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732799,1,'Dominican Republic','DOM','1809546','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732809,1,'Dominican Republic','DOM','1809601','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732819,1,'Dominican Republic','DOM','1809602','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732829,1,'Dominican Republic','DOM','1809603','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732839,1,'Dominican Republic','DOM','1809604','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732849,1,'Dominican Republic','DOM','1809605','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732859,1,'Dominican Republic','DOM','1809606','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732869,1,'Dominican Republic','DOM','1809607','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732879,1,'Dominican Republic','DOM','1809608','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732889,1,'Dominican Republic','DOM','1809609','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732899,1,'Dominican Republic','DOM','1809610','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732909,1,'Dominican Republic','DOM','1809613','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732919,1,'Dominican Republic','DOM','1809614','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732929,1,'Dominican Republic','DOM','1809615','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732939,1,'Dominican Republic','DOM','1809617','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732949,1,'Dominican Republic','DOM','1809618','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732959,1,'Dominican Republic','DOM','1809619','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732969,1,'Dominican Republic','DOM','1809624','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732979,1,'Dominican Republic','DOM','1809627','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732989,1,'Dominican Republic','DOM','1809628','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(732999,1,'Dominican Republic','DOM','1809629','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733009,1,'Dominican Republic','DOM','1809630','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733019,1,'Dominican Republic','DOM','1809631','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733029,1,'Dominican Republic','DOM','1809632','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733039,1,'Dominican Republic','DOM','1809634','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733049,1,'Dominican Republic','DOM','1809635','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733059,1,'Dominican Republic','DOM','1809637','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733069,1,'Dominican Republic','DOM','1809639','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733079,1,'Dominican Republic','DOM','180964','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733089,1,'Dominican Republic','DOM','1809650','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733099,1,'Dominican Republic','DOM','1809651','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733109,1,'Dominican Republic','DOM','1809652','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733119,1,'Dominican Republic','DOM','1809653','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733129,1,'Dominican Republic','DOM','1809654','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733139,1,'Dominican Republic','DOM','1809656','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733149,1,'Dominican Republic','DOM','1809657','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733159,1,'Dominican Republic','DOM','1809658','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733169,1,'Dominican Republic','DOM','1809659','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733179,1,'Dominican Republic','DOM','180966','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733189,1,'Dominican Republic','DOM','1809670','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733199,1,'Dominican Republic','DOM','1809671','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733209,1,'Dominican Republic','DOM','1809672','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733219,1,'Dominican Republic','DOM','1809673','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733229,1,'Dominican Republic','DOM','1809674','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733239,1,'Dominican Republic','DOM','1809675','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733249,1,'Dominican Republic','DOM','1809676','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733259,1,'Dominican Republic','DOM','1809677','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733269,1,'Dominican Republic','DOM','1809678','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733279,1,'Dominican Republic','DOM','1809693','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733289,1,'Dominican Republic','DOM','1809694','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733299,1,'Dominican Republic','DOM','1809696','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733309,1,'Dominican Republic','DOM','1809697','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733319,1,'Dominican Republic','DOM','1809698','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733329,1,'Dominican Republic','DOM','1809702','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733339,1,'Dominican Republic','DOM','1809703','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733349,1,'Dominican Republic','DOM','1809704','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733359,1,'Dominican Republic','DOM','1809705','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733369,1,'Dominican Republic','DOM','1809706','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733379,1,'Dominican Republic','DOM','1809707','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733389,1,'Dominican Republic','DOM','1809708','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733399,1,'Dominican Republic','DOM','1809709','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733409,1,'Dominican Republic','DOM','180971','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733419,1,'Dominican Republic','DOM','1809720','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733429,1,'Dominican Republic','DOM','1809721','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733439,1,'Dominican Republic','DOM','1809722','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733449,1,'Dominican Republic','DOM','1809723','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733459,1,'Dominican Republic','DOM','1809727','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733469,1,'Dominican Republic','DOM','1809729','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733479,1,'Dominican Republic','DOM','1809742','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733489,1,'Dominican Republic','DOM','1809743','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733499,1,'Dominican Republic','DOM','1809747','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733509,1,'Dominican Republic','DOM','1809749','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733519,1,'Dominican Republic','DOM','1809750','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733529,1,'Dominican Republic','DOM','1809751','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733539,1,'Dominican Republic','DOM','1809752','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733549,1,'Dominican Republic','DOM','1809753','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733559,1,'Dominican Republic','DOM','1809754','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733569,1,'Dominican Republic','DOM','1809756','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733579,1,'Dominican Republic','DOM','1809757','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733589,1,'Dominican Republic','DOM','1809758','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733599,1,'Dominican Republic','DOM','1809759','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733609,1,'Dominican Republic','DOM','1809760','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733619,1,'Dominican Republic','DOM','1809761','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733629,1,'Dominican Republic','DOM','1809762','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733639,1,'Dominican Republic','DOM','1809763','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733649,1,'Dominican Republic','DOM','1809764','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733659,1,'Dominican Republic','DOM','1809765','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733669,1,'Dominican Republic','DOM','1809767','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733679,1,'Dominican Republic','DOM','1809768','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733689,1,'Dominican Republic','DOM','1809769','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733699,1,'Dominican Republic','DOM','1809771','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733709,1,'Dominican Republic','DOM','1809772','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733719,1,'Dominican Republic','DOM','1809773','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733729,1,'Dominican Republic','DOM','1809774','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733739,1,'Dominican Republic','DOM','1809775','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733749,1,'Dominican Republic','DOM','1809776','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733759,1,'Dominican Republic','DOM','1809777','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733769,1,'Dominican Republic','DOM','1809778','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733779,1,'Dominican Republic','DOM','1809779','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733789,1,'Dominican Republic','DOM','1809780','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733799,1,'Dominican Republic','DOM','1809781','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733809,1,'Dominican Republic','DOM','1809782','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733819,1,'Dominican Republic','DOM','1809783','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733829,1,'Dominican Republic','DOM','1809785','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733839,1,'Dominican Republic','DOM','1809786','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733849,1,'Dominican Republic','DOM','1809787','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733859,1,'Dominican Republic','DOM','1809789','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733869,1,'Dominican Republic','DOM','1809790','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733879,1,'Dominican Republic','DOM','1809791','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733889,1,'Dominican Republic','DOM','1809796','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733899,1,'Dominican Republic','DOM','1809798','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733909,1,'Dominican Republic','DOM','1809801','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733919,1,'Dominican Republic','DOM','1809802','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733929,1,'Dominican Republic','DOM','1809803','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733939,1,'Dominican Republic','DOM','1809804','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733949,1,'Dominican Republic','DOM','1809805','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733959,1,'Dominican Republic','DOM','1809812','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733969,1,'Dominican Republic','DOM','1809814','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733979,1,'Dominican Republic','DOM','1809815','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733989,1,'Dominican Republic','DOM','1809816','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(733999,1,'Dominican Republic','DOM','1809817','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734009,1,'Dominican Republic','DOM','1809818','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734019,1,'Dominican Republic','DOM','1809819','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734029,1,'Dominican Republic','DOM','1809820','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734039,1,'Dominican Republic','DOM','1809821','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734049,1,'Dominican Republic','DOM','1809827','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734059,1,'Dominican Republic','DOM','1809828','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734069,1,'Dominican Republic','DOM','1809829','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734079,1,'Dominican Republic','DOM','1809834','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734089,1,'Dominican Republic','DOM','1809835','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734099,1,'Dominican Republic','DOM','1809836','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734109,1,'Dominican Republic','DOM','1809837','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734119,1,'Dominican Republic','DOM','1809838','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734129,1,'Dominican Republic','DOM','1809839','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734139,1,'Dominican Republic','DOM','180984','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734149,1,'Dominican Republic','DOM','1809850','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734159,1,'Dominican Republic','DOM','1809851','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734169,1,'Dominican Republic','DOM','1809852','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734179,1,'Dominican Republic','DOM','1809853','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734189,1,'Dominican Republic','DOM','1809854','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734199,1,'Dominican Republic','DOM','1809855','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734209,1,'Dominican Republic','DOM','1809856','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734219,1,'Dominican Republic','DOM','1809857','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734229,1,'Dominican Republic','DOM','1809858','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734239,1,'Dominican Republic','DOM','18098597','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734249,1,'Dominican Republic','DOM','18098598','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734259,1,'Dominican Republic','DOM','180985990','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734269,1,'Dominican Republic','DOM','180985991','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734279,1,'Dominican Republic','DOM','180985992','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734289,1,'Dominican Republic','DOM','180985993','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734299,1,'Dominican Republic','DOM','180985994','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734309,1,'Dominican Republic','DOM','180985995','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734319,1,'Dominican Republic','DOM','180985996','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734329,1,'Dominican Republic','DOM','180985997','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734339,1,'Dominican Republic','DOM','180986','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734349,1,'Dominican Republic','DOM','1809871','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734359,1,'Dominican Republic','DOM','1809873','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734369,1,'Dominican Republic','DOM','1809874','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734379,1,'Dominican Republic','DOM','1809875','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734389,1,'Dominican Republic','DOM','1809876','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734399,1,'Dominican Republic','DOM','1809877','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734409,1,'Dominican Republic','DOM','1809878','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734419,1,'Dominican Republic','DOM','1809879','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734429,1,'Dominican Republic','DOM','1809880','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734439,1,'Dominican Republic','DOM','1809881','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734449,1,'Dominican Republic','DOM','1809882','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734459,1,'Dominican Republic','DOM','1809883','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734469,1,'Dominican Republic','DOM','1809884','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734479,1,'Dominican Republic','DOM','1809885','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734489,1,'Dominican Republic','DOM','1809886','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734499,1,'Dominican Republic','DOM','1809888','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734509,1,'Dominican Republic','DOM','1809889','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734519,1,'Dominican Republic','DOM','1809890','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734529,1,'Dominican Republic','DOM','1809891','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734539,1,'Dominican Republic','DOM','1809897','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734549,1,'Dominican Republic','DOM','1809899','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734559,1,'Dominican Republic','DOM','1809901','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734569,1,'Dominican Republic','DOM','1809902','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734579,1,'Dominican Republic','DOM','1809903','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734589,1,'Dominican Republic','DOM','1809904','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734599,1,'Dominican Republic','DOM','1809905','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734609,1,'Dominican Republic','DOM','1809906','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734619,1,'Dominican Republic','DOM','1809907','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734629,1,'Dominican Republic','DOM','1809909','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734639,1,'Dominican Republic','DOM','1809910','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734649,1,'Dominican Republic','DOM','1809912','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734659,1,'Dominican Republic','DOM','1809913','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734669,1,'Dominican Republic','DOM','1809914','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734679,1,'Dominican Republic','DOM','1809915','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734689,1,'Dominican Republic','DOM','1809916','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734699,1,'Dominican Republic','DOM','1809917','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734709,1,'Dominican Republic','DOM','1809918','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734719,1,'Dominican Republic','DOM','1809919','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734729,1,'Dominican Republic','DOM','1809923','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734739,1,'Dominican Republic','DOM','1809924','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734749,1,'Dominican Republic','DOM','1809928','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734759,1,'Dominican Republic','DOM','1809929','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734769,1,'Dominican Republic','DOM','1809931','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734779,1,'Dominican Republic','DOM','1809932','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734789,1,'Dominican Republic','DOM','1809935','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734799,1,'Dominican Republic','DOM','1809938','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734809,1,'Dominican Republic','DOM','1809939','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734819,1,'Dominican Republic','DOM','1809940','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734829,1,'Dominican Republic','DOM','1809941','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734839,1,'Dominican Republic','DOM','1809942','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734849,1,'Dominican Republic','DOM','1809943','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734859,1,'Dominican Republic','DOM','1809944','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734869,1,'Dominican Republic','DOM','1809945','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734879,1,'Dominican Republic','DOM','1809946','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734889,1,'Dominican Republic','DOM','1809949','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734899,1,'Dominican Republic','DOM','1809952','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734909,1,'Dominican Republic','DOM','1809953','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734919,1,'Dominican Republic','DOM','1809956','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734929,1,'Dominican Republic','DOM','1809958','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734939,1,'Dominican Republic','DOM','1809961','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734949,1,'Dominican Republic','DOM','1809962','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734959,1,'Dominican Republic','DOM','1809963','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734969,1,'Dominican Republic','DOM','1809964','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734979,1,'Dominican Republic','DOM','1809965','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734989,1,'Dominican Republic','DOM','1809966','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(734999,1,'Dominican Republic','DOM','1809967','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735009,1,'Dominican Republic','DOM','1809968','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735019,1,'Dominican Republic','DOM','1809969','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735029,1,'Dominican Republic','DOM','1809972','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735039,1,'Dominican Republic','DOM','1809973','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735049,1,'Dominican Republic','DOM','1809974','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735059,1,'Dominican Republic','DOM','1809975','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735069,1,'Dominican Republic','DOM','1809977','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735079,1,'Dominican Republic','DOM','1809978','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735089,1,'Dominican Republic','DOM','1809979','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735099,1,'Dominican Republic','DOM','1809980','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735109,1,'Dominican Republic','DOM','1809981','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735119,1,'Dominican Republic','DOM','1809982','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735129,1,'Dominican Republic','DOM','1809983','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735139,1,'Dominican Republic','DOM','1809984','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735149,1,'Dominican Republic','DOM','1809986','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735159,1,'Dominican Republic','DOM','1809988','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735169,1,'Dominican Republic','DOM','1809989','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735179,1,'Dominican Republic','DOM','180999','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735189,1,'Dominican Republic','DOM','1829201','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735199,1,'Dominican Republic','DOM','1829202','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735209,1,'Dominican Republic','DOM','1829203','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735219,1,'Dominican Republic','DOM','1829204','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735229,1,'Dominican Republic','DOM','1829205','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735239,1,'Dominican Republic','DOM','1829206','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735249,1,'Dominican Republic','DOM','1829207','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735259,1,'Dominican Republic','DOM','1829208','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735269,1,'Dominican Republic','DOM','1829209','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735279,1,'Dominican Republic','DOM','1829210','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735289,1,'Dominican Republic','DOM','1829212','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735299,1,'Dominican Republic','DOM','1829213','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735309,1,'Dominican Republic','DOM','1829214','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735319,1,'Dominican Republic','DOM','1829215','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735329,1,'Dominican Republic','DOM','1829216','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735339,1,'Dominican Republic','DOM','1829217','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735349,1,'Dominican Republic','DOM','1829218','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735359,1,'Dominican Republic','DOM','1829219','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735369,1,'Dominican Republic','DOM','1829220','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735379,1,'Dominican Republic','DOM','1829221','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735389,1,'Dominican Republic','DOM','1829222','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735399,1,'Dominican Republic','DOM','1829223','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735409,1,'Dominican Republic','DOM','1829224','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735419,1,'Dominican Republic','DOM','1829225','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735429,1,'Dominican Republic','DOM','1829228','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735439,1,'Dominican Republic','DOM','1829230','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735449,1,'Dominican Republic','DOM','1829232','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735459,1,'Dominican Republic','DOM','1829233','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735469,1,'Dominican Republic','DOM','1829246','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735479,1,'Dominican Republic','DOM','1829248','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735489,1,'Dominican Republic','DOM','1829250','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735499,1,'Dominican Republic','DOM','1829252','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735509,1,'Dominican Republic','DOM','1829255','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735519,1,'Dominican Republic','DOM','1829257','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735529,1,'Dominican Republic','DOM','1829258','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735539,1,'Dominican Republic','DOM','1829259','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735549,1,'Dominican Republic','DOM','182926','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735559,1,'Dominican Republic','DOM','182927','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735569,1,'Dominican Republic','DOM','182928','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735579,1,'Dominican Republic','DOM','182929','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735589,1,'Dominican Republic','DOM','1829301','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735599,1,'Dominican Republic','DOM','1829302','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735609,1,'Dominican Republic','DOM','1829303','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735619,1,'Dominican Republic','DOM','1829304','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735629,1,'Dominican Republic','DOM','1829305','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735639,1,'Dominican Republic','DOM','1829306','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735649,1,'Dominican Republic','DOM','1829307','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735659,1,'Dominican Republic','DOM','1829308','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735669,1,'Dominican Republic','DOM','1829309','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735679,1,'Dominican Republic','DOM','1829310','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735689,1,'Dominican Republic','DOM','1829312','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735699,1,'Dominican Republic','DOM','1829313','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735709,1,'Dominican Republic','DOM','1829314','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735719,1,'Dominican Republic','DOM','1829315','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735729,1,'Dominican Republic','DOM','1829316','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735739,1,'Dominican Republic','DOM','1829317','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735749,1,'Dominican Republic','DOM','1829318','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735759,1,'Dominican Republic','DOM','1829319','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735769,1,'Dominican Republic','DOM','182932','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735779,1,'Dominican Republic','DOM','182933','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735789,1,'Dominican Republic','DOM','182934','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735799,1,'Dominican Republic','DOM','182935','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735809,1,'Dominican Republic','DOM','182936','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735819,1,'Dominican Republic','DOM','1829370','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735829,1,'Dominican Republic','DOM','1829371','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735839,1,'Dominican Republic','DOM','1829372','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735849,1,'Dominican Republic','DOM','1829373','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735859,1,'Dominican Republic','DOM','1829374','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735869,1,'Dominican Republic','DOM','1829375','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735879,1,'Dominican Republic','DOM','1829376','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735889,1,'Dominican Republic','DOM','1829377','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735899,1,'Dominican Republic','DOM','1829379','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735909,1,'Dominican Republic','DOM','182938','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735919,1,'Dominican Republic','DOM','182939','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735929,1,'Dominican Republic','DOM','1829401','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735939,1,'Dominican Republic','DOM','1829402','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735949,1,'Dominican Republic','DOM','1829403','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735959,1,'Dominican Republic','DOM','1829404','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735969,1,'Dominican Republic','DOM','1829405','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735979,1,'Dominican Republic','DOM','1829406','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735989,1,'Dominican Republic','DOM','1829407','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(735999,1,'Dominican Republic','DOM','1829408','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736009,1,'Dominican Republic','DOM','1829409','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736019,1,'Dominican Republic','DOM','1829410','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736029,1,'Dominican Republic','DOM','1829412','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736039,1,'Dominican Republic','DOM','1829413','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736049,1,'Dominican Republic','DOM','1829414','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736059,1,'Dominican Republic','DOM','1829415','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736069,1,'Dominican Republic','DOM','1829416','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736079,1,'Dominican Republic','DOM','1829417','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736089,1,'Dominican Republic','DOM','1829418','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736099,1,'Dominican Republic','DOM','1829419','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736109,1,'Dominican Republic','DOM','182942','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736119,1,'Dominican Republic','DOM','1829430','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736129,1,'Dominican Republic','DOM','1829431','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736139,1,'Dominican Republic','DOM','1829432','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736149,1,'Dominican Republic','DOM','1829436','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736159,1,'Dominican Republic','DOM','1829437','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736169,1,'Dominican Republic','DOM','1829438','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736179,1,'Dominican Republic','DOM','1829439','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736189,1,'Dominican Republic','DOM','182944','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736199,1,'Dominican Republic','DOM','182945','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736209,1,'Dominican Republic','DOM','182946','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736219,1,'Dominican Republic','DOM','1829470','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736229,1,'Dominican Republic','DOM','1829471','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736239,1,'Dominican Republic','DOM','1829472','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736249,1,'Dominican Republic','DOM','1829474','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736259,1,'Dominican Republic','DOM','1829475','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736269,1,'Dominican Republic','DOM','1829477','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736279,1,'Dominican Republic','DOM','1829478','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736289,1,'Dominican Republic','DOM','1829479','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736299,1,'Dominican Republic','DOM','1829491','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736309,1,'Dominican Republic','DOM','1829492','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736319,1,'Dominican Republic','DOM','1829493','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736329,1,'Dominican Republic','DOM','1829494','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736339,1,'Dominican Republic','DOM','1829496','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736349,1,'Dominican Republic','DOM','1829497','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736359,1,'Dominican Republic','DOM','1829498','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736369,1,'Dominican Republic','DOM','1829499','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736379,1,'Dominican Republic','DOM','1829502','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736389,1,'Dominican Republic','DOM','1829504','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736399,1,'Dominican Republic','DOM','1829505','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736409,1,'Dominican Republic','DOM','1829506','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736419,1,'Dominican Republic','DOM','1829508','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736429,1,'Dominican Republic','DOM','1829509','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736439,1,'Dominican Republic','DOM','1829510','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736449,1,'Dominican Republic','DOM','1829512','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736459,1,'Dominican Republic','DOM','1829513','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736469,1,'Dominican Republic','DOM','1829514','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736479,1,'Dominican Republic','DOM','1829515','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736489,1,'Dominican Republic','DOM','1829517','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736499,1,'Dominican Republic','DOM','1829518','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736509,1,'Dominican Republic','DOM','1829519','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736519,1,'Dominican Republic','DOM','182952','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736529,1,'Dominican Republic','DOM','1829531','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736539,1,'Dominican Republic','DOM','1829532','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736549,1,'Dominican Republic','DOM','1829533','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736559,1,'Dominican Republic','DOM','1829534','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736569,1,'Dominican Republic','DOM','1829536','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736579,1,'Dominican Republic','DOM','1829537','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736589,1,'Dominican Republic','DOM','1829539','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736599,1,'Dominican Republic','DOM','1829540','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736609,1,'Dominican Republic','DOM','1829542','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736619,1,'Dominican Republic','DOM','1829543','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736629,1,'Dominican Republic','DOM','1829546','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736639,1,'Dominican Republic','DOM','1829548','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736649,1,'Dominican Republic','DOM','1829549','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736659,1,'Dominican Republic','DOM','1829550','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736669,1,'Dominican Republic','DOM','1829551','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736679,1,'Dominican Republic','DOM','1829552','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736689,1,'Dominican Republic','DOM','1829553','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736699,1,'Dominican Republic','DOM','1829554','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736709,1,'Dominican Republic','DOM','1829556','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736719,1,'Dominican Republic','DOM','1829557','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736729,1,'Dominican Republic','DOM','1829558','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736739,1,'Dominican Republic','DOM','1829559','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736749,1,'Dominican Republic','DOM','1829560','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736759,1,'Dominican Republic','DOM','1829561','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736769,1,'Dominican Republic','DOM','1829562','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736779,1,'Dominican Republic','DOM','1829563','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736789,1,'Dominican Republic','DOM','1829564','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736799,1,'Dominican Republic','DOM','1829566','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736809,1,'Dominican Republic','DOM','1829568','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736819,1,'Dominican Republic','DOM','1829569','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736829,1,'Dominican Republic','DOM','1829570','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736839,1,'Dominican Republic','DOM','1829571','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736849,1,'Dominican Republic','DOM','1829572','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736859,1,'Dominican Republic','DOM','1829573','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736869,1,'Dominican Republic','DOM','1829574','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736879,1,'Dominican Republic','DOM','1829576','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736889,1,'Dominican Republic','DOM','1829577','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736899,1,'Dominican Republic','DOM','1829578','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736909,1,'Dominican Republic','DOM','1829579','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736919,1,'Dominican Republic','DOM','1829580','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736929,1,'Dominican Republic','DOM','1829584','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736939,1,'Dominican Republic','DOM','1829585','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736949,1,'Dominican Republic','DOM','1829586','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736959,1,'Dominican Republic','DOM','1829587','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736969,1,'Dominican Republic','DOM','1829589','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736979,1,'Dominican Republic','DOM','1829591','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736989,1,'Dominican Republic','DOM','1829592','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(736999,1,'Dominican Republic','DOM','1829598','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737009,1,'Dominican Republic','DOM','1829599','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737019,1,'Dominican Republic','DOM','1829601','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737029,1,'Dominican Republic','DOM','1829602','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737039,1,'Dominican Republic','DOM','1829603','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737049,1,'Dominican Republic','DOM','1829604','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737059,1,'Dominican Republic','DOM','1829605','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737069,1,'Dominican Republic','DOM','1829606','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737079,1,'Dominican Republic','DOM','1829610','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737089,1,'Dominican Republic','DOM','1829613','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737099,1,'Dominican Republic','DOM','1829616','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737109,1,'Dominican Republic','DOM','1829618','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737119,1,'Dominican Republic','DOM','1829619','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737129,1,'Dominican Republic','DOM','1829629','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737139,1,'Dominican Republic','DOM','182963','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737149,1,'Dominican Republic','DOM','182964','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737159,1,'Dominican Republic','DOM','182965','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737169,1,'Dominican Republic','DOM','1829660','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737179,1,'Dominican Republic','DOM','1829661','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737189,1,'Dominican Republic','DOM','1829662','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737199,1,'Dominican Republic','DOM','1829663','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737209,1,'Dominican Republic','DOM','1829664','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737219,1,'Dominican Republic','DOM','1829665','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737229,1,'Dominican Republic','DOM','1829667','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737239,1,'Dominican Republic','DOM','1829668','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737249,1,'Dominican Republic','DOM','1829669','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737259,1,'Dominican Republic','DOM','182967','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737269,1,'Dominican Republic','DOM','1829680','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737279,1,'Dominican Republic','DOM','1829682','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737289,1,'Dominican Republic','DOM','1829683','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737299,1,'Dominican Republic','DOM','1829684','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737309,1,'Dominican Republic','DOM','1829685','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737319,1,'Dominican Republic','DOM','1829686','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737329,1,'Dominican Republic','DOM','1829689','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737339,1,'Dominican Republic','DOM','182969','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737349,1,'Dominican Republic','DOM','1829701','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737359,1,'Dominican Republic','DOM','1829702','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737369,1,'Dominican Republic','DOM','1829703','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737379,1,'Dominican Republic','DOM','1829704','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737389,1,'Dominican Republic','DOM','1829705','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737399,1,'Dominican Republic','DOM','1829706','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737409,1,'Dominican Republic','DOM','1829707','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737419,1,'Dominican Republic','DOM','1829708','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737429,1,'Dominican Republic','DOM','1829709','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737439,1,'Dominican Republic','DOM','1829710','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737449,1,'Dominican Republic','DOM','1829712','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737459,1,'Dominican Republic','DOM','1829713','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737469,1,'Dominican Republic','DOM','1829714','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737479,1,'Dominican Republic','DOM','1829715','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737489,1,'Dominican Republic','DOM','1829716','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737499,1,'Dominican Republic','DOM','1829717','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737509,1,'Dominican Republic','DOM','1829718','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737519,1,'Dominican Republic','DOM','1829719','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737529,1,'Dominican Republic','DOM','1829720','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737539,1,'Dominican Republic','DOM','1829721','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737549,1,'Dominican Republic','DOM','1829722','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737559,1,'Dominican Republic','DOM','1829723','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737569,1,'Dominican Republic','DOM','1829725','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737579,1,'Dominican Republic','DOM','1829726','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737589,1,'Dominican Republic','DOM','1829727','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737599,1,'Dominican Republic','DOM','1829728','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737609,1,'Dominican Republic','DOM','1829729','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737619,1,'Dominican Republic','DOM','1829730','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737629,1,'Dominican Republic','DOM','1829731','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737639,1,'Dominican Republic','DOM','1829740','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737649,1,'Dominican Republic','DOM','1829741','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737659,1,'Dominican Republic','DOM','1829742','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737669,1,'Dominican Republic','DOM','1829743','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737679,1,'Dominican Republic','DOM','1829744','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737689,1,'Dominican Republic','DOM','1829745','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737699,1,'Dominican Republic','DOM','1829747','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737709,1,'Dominican Republic','DOM','1829748','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737719,1,'Dominican Republic','DOM','1829749','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737729,1,'Dominican Republic','DOM','182975','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737739,1,'Dominican Republic','DOM','182976','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737749,1,'Dominican Republic','DOM','182977','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737759,1,'Dominican Republic','DOM','182978','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737769,1,'Dominican Republic','DOM','182979','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737779,1,'Dominican Republic','DOM','1829801','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737789,1,'Dominican Republic','DOM','1829802','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737799,1,'Dominican Republic','DOM','1829803','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737809,1,'Dominican Republic','DOM','1829804','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737819,1,'Dominican Republic','DOM','1829805','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737829,1,'Dominican Republic','DOM','1829806','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737839,1,'Dominican Republic','DOM','1829807','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737849,1,'Dominican Republic','DOM','1829808','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737859,1,'Dominican Republic','DOM','1829810','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737869,1,'Dominican Republic','DOM','1829812','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737879,1,'Dominican Republic','DOM','1829814','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737889,1,'Dominican Republic','DOM','1829815','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737899,1,'Dominican Republic','DOM','1829816','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737909,1,'Dominican Republic','DOM','1829817','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737919,1,'Dominican Republic','DOM','1829818','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737929,1,'Dominican Republic','DOM','1829819','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737939,1,'Dominican Republic','DOM','1829820','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737949,1,'Dominican Republic','DOM','1829821','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737959,1,'Dominican Republic','DOM','1829826','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737969,1,'Dominican Republic','DOM','1829827','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737979,1,'Dominican Republic','DOM','1829828','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737989,1,'Dominican Republic','DOM','1829830','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(737999,1,'Dominican Republic','DOM','1829835','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738009,1,'Dominican Republic','DOM','1829836','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738019,1,'Dominican Republic','DOM','1829837','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738029,1,'Dominican Republic','DOM','1829838','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738039,1,'Dominican Republic','DOM','1829839','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738049,1,'Dominican Republic','DOM','182984','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738059,1,'Dominican Republic','DOM','182985','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738069,1,'Dominican Republic','DOM','182986','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738079,1,'Dominican Republic','DOM','182987','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738089,1,'Dominican Republic','DOM','1829880','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738099,1,'Dominican Republic','DOM','1829881','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738109,1,'Dominican Republic','DOM','1829882','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738119,1,'Dominican Republic','DOM','1829883','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738129,1,'Dominican Republic','DOM','1829884','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738139,1,'Dominican Republic','DOM','1829885','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738149,1,'Dominican Republic','DOM','1829886','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738159,1,'Dominican Republic','DOM','1829887','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738169,1,'Dominican Republic','DOM','1829889','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738179,1,'Dominican Republic','DOM','1829890','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738189,1,'Dominican Republic','DOM','1829891','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738199,1,'Dominican Republic','DOM','1829892','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738209,1,'Dominican Republic','DOM','1829894','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738219,1,'Dominican Republic','DOM','1829898','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738229,1,'Dominican Republic','DOM','1829899','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738239,1,'Dominican Republic','DOM','1829901','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738249,1,'Dominican Republic','DOM','1829902','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738259,1,'Dominican Republic','DOM','1829903','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738269,1,'Dominican Republic','DOM','1829904','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738279,1,'Dominican Republic','DOM','1829905','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738289,1,'Dominican Republic','DOM','1829906','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738299,1,'Dominican Republic','DOM','1829907','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738309,1,'Dominican Republic','DOM','1829908','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738319,1,'Dominican Republic','DOM','1829909','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738329,1,'Dominican Republic','DOM','1829910','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738339,1,'Dominican Republic','DOM','1829912','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738349,1,'Dominican Republic','DOM','1829913','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738359,1,'Dominican Republic','DOM','1829914','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738369,1,'Dominican Republic','DOM','1829915','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738379,1,'Dominican Republic','DOM','1829916','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738389,1,'Dominican Republic','DOM','1829917','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738399,1,'Dominican Republic','DOM','1829918','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738409,1,'Dominican Republic','DOM','1829919','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738419,1,'Dominican Republic','DOM','182992','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738429,1,'Dominican Republic','DOM','182993','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738439,1,'Dominican Republic','DOM','1829940','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738449,1,'Dominican Republic','DOM','1829941','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738459,1,'Dominican Republic','DOM','1829942','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738469,1,'Dominican Republic','DOM','1829943','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738479,1,'Dominican Republic','DOM','1829944','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738489,1,'Dominican Republic','DOM','1829945','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738499,1,'Dominican Republic','DOM','1829953','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738509,1,'Dominican Republic','DOM','1829957','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738519,1,'Dominican Republic','DOM','1829958','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738529,1,'Dominican Republic','DOM','1829959','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738539,1,'Dominican Republic','DOM','182996','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738549,1,'Dominican Republic','DOM','1829970','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738559,1,'Dominican Republic','DOM','1829972','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738569,1,'Dominican Republic','DOM','1829973','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738579,1,'Dominican Republic','DOM','1829974','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738589,1,'Dominican Republic','DOM','1829975','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738599,1,'Dominican Republic','DOM','1829977','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738609,1,'Dominican Republic','DOM','1829978','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738619,1,'Dominican Republic','DOM','1829979','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738629,1,'Dominican Republic','DOM','182998','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738639,1,'Dominican Republic','DOM','1829990','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738649,1,'Dominican Republic','DOM','1829991','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738659,1,'Dominican Republic','DOM','1829993','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738669,1,'Dominican Republic','DOM','1829994','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738679,1,'Dominican Republic','DOM','1849201','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738689,1,'Dominican Republic','DOM','1849203','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738699,1,'Dominican Republic','DOM','1849205','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738709,1,'Dominican Republic','DOM','1849206','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738719,1,'Dominican Republic','DOM','1849207','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738729,1,'Dominican Republic','DOM','1849208','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738739,1,'Dominican Republic','DOM','1849209','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738749,1,'Dominican Republic','DOM','1849210','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738759,1,'Dominican Republic','DOM','1849212','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738769,1,'Dominican Republic','DOM','1849214','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738779,1,'Dominican Republic','DOM','1849220','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738789,1,'Dominican Republic','DOM','1849305','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738799,1,'Dominican Republic','DOM','1849318','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738809,1,'Dominican Republic','DOM','1849330','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738819,1,'Dominican Republic','DOM','1849340','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738829,1,'Dominican Republic','DOM','1849341','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738839,1,'Dominican Republic','DOM','1849342','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738849,1,'Dominican Republic','DOM','1849343','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738859,1,'Dominican Republic','DOM','1849344','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738869,1,'Dominican Republic','DOM','184935','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738879,1,'Dominican Republic','DOM','1849360','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738889,1,'Dominican Republic','DOM','1849367','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738899,1,'Dominican Republic','DOM','1849401','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738909,1,'Dominican Republic','DOM','1849402','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738919,1,'Dominican Republic','DOM','1849403','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738929,1,'Dominican Republic','DOM','1849404','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738939,1,'Dominican Republic','DOM','1849405','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738949,1,'Dominican Republic','DOM','1849406','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738959,1,'Dominican Republic','DOM','1849407','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738969,1,'Dominican Republic','DOM','1849408','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738979,1,'Dominican Republic','DOM','1849409','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738989,1,'Dominican Republic','DOM','1849410','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(738999,1,'Dominican Republic','DOM','1849437','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739009,1,'Dominican Republic','DOM','184945','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739019,1,'Dominican Republic','DOM','1849484','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739029,1,'Dominican Republic','DOM','1849542','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739039,1,'Dominican Republic','DOM','1849569','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739049,1,'Dominican Republic','DOM','1849573','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739059,1,'Dominican Republic','DOM','1849587','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739069,1,'Dominican Republic','DOM','1849590','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739079,1,'Dominican Republic','DOM','1849607','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739089,1,'Dominican Republic','DOM','1849642','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739099,1,'Dominican Republic','DOM','1849650','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739109,1,'Dominican Republic','DOM','1849651','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739119,1,'Dominican Republic','DOM','1849652','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739129,1,'Dominican Republic','DOM','1849653','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739139,1,'Dominican Republic','DOM','1849654','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739149,1,'Dominican Republic','DOM','1849655','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739159,1,'Dominican Republic','DOM','1849656','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739169,1,'Dominican Republic','DOM','1849657','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739179,1,'Dominican Republic','DOM','1849658','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739189,1,'Dominican Republic','DOM','1849701','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739199,1,'Dominican Republic','DOM','1849707','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739209,1,'Dominican Republic','DOM','1849710','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739219,1,'Dominican Republic','DOM','1849711','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739229,1,'Dominican Republic','DOM','1849720','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739239,1,'Dominican Republic','DOM','1849739','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739249,1,'Dominican Republic','DOM','1849763','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739259,1,'Dominican Republic','DOM','1849785','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739269,1,'Dominican Republic','DOM','1849797','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739279,1,'Dominican Republic','DOM','1849802','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739289,1,'Dominican Republic','DOM','1849803','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739299,1,'Dominican Republic','DOM','1849804','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739309,1,'Dominican Republic','DOM','1849806','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739319,1,'Dominican Republic','DOM','1849814','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739329,1,'Dominican Republic','DOM','1849815','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739339,1,'Dominican Republic','DOM','1849816','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739349,1,'Dominican Republic','DOM','1849817','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739359,1,'Dominican Republic','DOM','1849828','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739369,1,'Dominican Republic','DOM','1849845','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739379,1,'Dominican Republic','DOM','1849846','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739389,1,'Dominican Republic','DOM','1849847','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739399,1,'Dominican Republic','DOM','1849848','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739409,1,'Dominican Republic','DOM','184985','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739419,1,'Dominican Republic','DOM','1849860','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739429,1,'Dominican Republic','DOM','1849861','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739439,1,'Dominican Republic','DOM','1849862','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739449,1,'Dominican Republic','DOM','1849863','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739459,1,'Dominican Republic','DOM','1849864','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739469,1,'Dominican Republic','DOM','1849865','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739479,1,'Dominican Republic','DOM','1849867','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739489,1,'Dominican Republic','DOM','1849868','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739499,1,'Dominican Republic','DOM','1849869','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739509,1,'Dominican Republic','DOM','1849873','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739519,1,'Dominican Republic','DOM','1849875','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739529,1,'Dominican Republic','DOM','1849876','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739539,1,'Dominican Republic','DOM','1849878','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739549,1,'Dominican Republic','DOM','1849879','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739559,1,'Dominican Republic','DOM','1849880','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739569,1,'Dominican Republic','DOM','1849881','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739579,1,'Dominican Republic','DOM','1849882','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739589,1,'Dominican Republic','DOM','1849883','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739599,1,'Dominican Republic','DOM','1849884','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739609,1,'Dominican Republic','DOM','1849885','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739619,1,'Dominican Republic','DOM','1849886','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739629,1,'Dominican Republic','DOM','1849889','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739639,1,'Dominican Republic','DOM','1849912','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739649,1,'Dominican Republic','DOM','1849993','Dominikanische Republik (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(739659,1,'Djibouti (Republic of)','DJI','253','Dschibuti (Festnetz)',0.61261,60,0.612605,60,0,-1,'fixed'),(739669,1,'Djibouti (Republic of)','DJI','25377','Dschibuti (Mobilfunk)',0.61261,60,0.612605,60,0,-1,'mobile'),(739679,1,'Denmark','DNK','45','DÃ¤nemark (Festnetz)',0.01597,60,0.0159664,60,0,-1,'fixed'),(739689,1,'Denmark','DNK','452','DÃ¤nemark (Mobilfunk)',0.06639,60,0.0663866,60,0,-1,'mobile'),(739699,1,'Denmark','DNK','4530','DÃ¤nemark (Mobilfunk)',0.06639,60,0.0663866,60,0,-1,'mobile'),(739709,1,'Denmark','DNK','4531','DÃ¤nemark (Mobilfunk)',0.06639,60,0.0663866,60,0,-1,'mobile'),(739719,1,'Denmark','DNK','453235','DÃ¤nemark (Mobilfunk)',0.06639,60,0.0663866,60,0,-1,'mobile'),(739729,1,'Denmark','DNK','4540','DÃ¤nemark (Mobilfunk)',0.06639,60,0.0663866,60,0,-1,'mobile'),(739739,1,'Denmark','DNK','4541','DÃ¤nemark (Mobilfunk)',0.06639,60,0.0663866,60,0,-1,'mobile'),(739749,1,'Denmark','DNK','4542','DÃ¤nemark (Mobilfunk)',0.06639,60,0.0663866,60,0,-1,'mobile'),(739759,1,'Denmark','DNK','4550','DÃ¤nemark (Mobilfunk)',0.06639,60,0.0663866,60,0,-1,'mobile'),(739769,1,'Denmark','DNK','4551','DÃ¤nemark (Mobilfunk)',0.06639,60,0.0663866,60,0,-1,'mobile'),(739779,1,'Denmark','DNK','4552','DÃ¤nemark (Mobilfunk)',0.06639,60,0.0663866,60,0,-1,'mobile'),(739789,1,'Denmark','DNK','4553','DÃ¤nemark (Mobilfunk)',0.06639,60,0.0663866,60,0,-1,'mobile'),(739799,1,'Denmark','DNK','4560','DÃ¤nemark (Mobilfunk)',0.06639,60,0.0663866,60,0,-1,'mobile'),(739809,1,'Denmark','DNK','4561','DÃ¤nemark (Mobilfunk)',0.06639,60,0.0663866,60,0,-1,'mobile'),(739819,1,'Denmark','DNK','4571','DÃ¤nemark (Mobilfunk)',0.06639,60,0.0663866,60,0,-1,'mobile'),(739829,1,'Denmark','DNK','4581','DÃ¤nemark (Mobilfunk)',0.06639,60,0.0663866,60,0,-1,'mobile'),(739839,1,'Denmark','DNK','4591','DÃ¤nemark (Mobilfunk)',0.06639,60,0.0663866,60,0,-1,'mobile'),(739849,1,'Denmark','DNK','4592','DÃ¤nemark (Mobilfunk)',0.06639,60,0.0663866,60,0,-1,'mobile'),(739859,1,'Denmark','DNK','4593','DÃ¤nemark (Mobilfunk)',0.06639,60,0.0663866,60,0,-1,'mobile'),(739869,1,'Denmark','DNK','4590','DÃ¤nemark (Sonderziel)',0.0916,60,0.0915966,60,0,-1,'premium'),(739879,1,'International Networks, shared code','','882','EMSAT (Festnetz)',4.69664,60,4.69664,60,0,-1,'fixed'),(739889,1,'International Networks, shared code','','88222','EMSAT-DIVONIA (Festnetz)',4.69664,60,4.69664,60,0,-1,'fixed'),(739899,1,'International Networks, shared code','','88216','EMSAT-THURAYA (Festnetz)',4.69664,60,4.69664,60,0,-1,'fixed'),(739909,1,'Ecuador','ECU','593','Ecuador (Festnetz)',0.13361,60,0.133613,60,0,-1,'fixed'),(739919,1,'Ecuador','ECU','59339','Ecuador (Mobilfunk)',0.28487,60,0.284874,60,0,-1,'mobile'),(739929,1,'Ecuador','ECU','59359','Ecuador (Mobilfunk)',0.28487,60,0.284874,60,0,-1,'mobile'),(739939,1,'Ecuador','ECU','59369','Ecuador (Mobilfunk)',0.28487,60,0.284874,60,0,-1,'mobile'),(739949,1,'Ecuador','ECU','59379','Ecuador (Mobilfunk)',0.28487,60,0.284874,60,0,-1,'mobile'),(739959,1,'Ecuador','ECU','5938','Ecuador (Mobilfunk)',0.28487,60,0.284874,60,0,-1,'mobile'),(739969,1,'Ecuador','ECU','5939','Ecuador (Mobilfunk)',0.28487,60,0.284874,60,0,-1,'mobile'),(739979,1,'El Salvador (Republic of)','SLV','503','El Salvador (Festnetz)',0.22605,60,0.22605,60,0,-1,'fixed'),(739989,1,'El Salvador (Republic of)','SLV','50323529','El Salvador (Festnetz)',0.22605,60,0.22605,60,0,-1,'fixed'),(739999,1,'El Salvador (Republic of)','SLV','5032121','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740009,1,'El Salvador (Republic of)','SLV','5032200','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740019,1,'El Salvador (Republic of)','SLV','50322015','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740029,1,'El Salvador (Republic of)','SLV','50322016','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740039,1,'El Salvador (Republic of)','SLV','50322017','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740049,1,'El Salvador (Republic of)','SLV','50322018','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740059,1,'El Salvador (Republic of)','SLV','50322019','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740069,1,'El Salvador (Republic of)','SLV','5032202','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740079,1,'El Salvador (Republic of)','SLV','50322075','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740089,1,'El Salvador (Republic of)','SLV','50322076','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740099,1,'El Salvador (Republic of)','SLV','50322077','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740109,1,'El Salvador (Republic of)','SLV','50322078','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740119,1,'El Salvador (Republic of)','SLV','50322079','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740129,1,'El Salvador (Republic of)','SLV','5032208','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740139,1,'El Salvador (Republic of)','SLV','5032210','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740149,1,'El Salvador (Republic of)','SLV','5032211','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740159,1,'El Salvador (Republic of)','SLV','50322180','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740169,1,'El Salvador (Republic of)','SLV','50322181','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740179,1,'El Salvador (Republic of)','SLV','50322182','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740189,1,'El Salvador (Republic of)','SLV','50322183','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740199,1,'El Salvador (Republic of)','SLV','50322184','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740209,1,'El Salvador (Republic of)','SLV','50322197','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740219,1,'El Salvador (Republic of)','SLV','50322198','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740229,1,'El Salvador (Republic of)','SLV','5032233','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740239,1,'El Salvador (Republic of)','SLV','5032236','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740249,1,'El Salvador (Republic of)','SLV','50322376','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740259,1,'El Salvador (Republic of)','SLV','50322377','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740269,1,'El Salvador (Republic of)','SLV','50322378','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740279,1,'El Salvador (Republic of)','SLV','50322379','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740289,1,'El Salvador (Republic of)','SLV','5032238','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740299,1,'El Salvador (Republic of)','SLV','5032244','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740309,1,'El Salvador (Republic of)','SLV','50322465','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740319,1,'El Salvador (Republic of)','SLV','50322466','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740329,1,'El Salvador (Republic of)','SLV','50322467','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740339,1,'El Salvador (Republic of)','SLV','50322468','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740349,1,'El Salvador (Republic of)','SLV','50322469','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740359,1,'El Salvador (Republic of)','SLV','50322470','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740369,1,'El Salvador (Republic of)','SLV','50322471','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740379,1,'El Salvador (Republic of)','SLV','50322472','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740389,1,'El Salvador (Republic of)','SLV','50322473','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740399,1,'El Salvador (Republic of)','SLV','50322474','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740409,1,'El Salvador (Republic of)','SLV','50322475','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740419,1,'El Salvador (Republic of)','SLV','50322476','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740429,1,'El Salvador (Republic of)','SLV','50322545','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740439,1,'El Salvador (Republic of)','SLV','50322546','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740449,1,'El Salvador (Republic of)','SLV','50322547','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740459,1,'El Salvador (Republic of)','SLV','50322548','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740469,1,'El Salvador (Republic of)','SLV','50322549','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740479,1,'El Salvador (Republic of)','SLV','50322564','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740489,1,'El Salvador (Republic of)','SLV','50322565','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740499,1,'El Salvador (Republic of)','SLV','50322566','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740509,1,'El Salvador (Republic of)','SLV','50322567','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740519,1,'El Salvador (Republic of)','SLV','50322568','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740529,1,'El Salvador (Republic of)','SLV','50322569','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740539,1,'El Salvador (Republic of)','SLV','5032257','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740549,1,'El Salvador (Republic of)','SLV','50322590','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740559,1,'El Salvador (Republic of)','SLV','50322591','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740569,1,'El Salvador (Republic of)','SLV','50322592','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740579,1,'El Salvador (Republic of)','SLV','50322593','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740589,1,'El Salvador (Republic of)','SLV','50322594','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740599,1,'El Salvador (Republic of)','SLV','50322595','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740609,1,'El Salvador (Republic of)','SLV','50322597','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740619,1,'El Salvador (Republic of)','SLV','50322598','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740629,1,'El Salvador (Republic of)','SLV','50322599','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740639,1,'El Salvador (Republic of)','SLV','50322627','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740649,1,'El Salvador (Republic of)','SLV','50322628','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740659,1,'El Salvador (Republic of)','SLV','50322687','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740669,1,'El Salvador (Republic of)','SLV','50322688','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740679,1,'El Salvador (Republic of)','SLV','5032275','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740689,1,'El Salvador (Republic of)','SLV','50322809','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740699,1,'El Salvador (Republic of)','SLV','5032287','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740709,1,'El Salvador (Republic of)','SLV','5032302','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740719,1,'El Salvador (Republic of)','SLV','5032304','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740729,1,'El Salvador (Republic of)','SLV','50323120','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740739,1,'El Salvador (Republic of)','SLV','50323121','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740749,1,'El Salvador (Republic of)','SLV','50323122','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740759,1,'El Salvador (Republic of)','SLV','50323123','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740769,1,'El Salvador (Republic of)','SLV','50323124','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740779,1,'El Salvador (Republic of)','SLV','50323148','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740789,1,'El Salvador (Republic of)','SLV','50323149','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740799,1,'El Salvador (Republic of)','SLV','5032316','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740809,1,'El Salvador (Republic of)','SLV','50323175','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740819,1,'El Salvador (Republic of)','SLV','50323176','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740829,1,'El Salvador (Republic of)','SLV','50323177','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740839,1,'El Salvador (Republic of)','SLV','50323178','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740849,1,'El Salvador (Republic of)','SLV','50323179','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740859,1,'El Salvador (Republic of)','SLV','5032328','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740869,1,'El Salvador (Republic of)','SLV','5032329','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740879,1,'El Salvador (Republic of)','SLV','50323360','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740889,1,'El Salvador (Republic of)','SLV','50323361','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740899,1,'El Salvador (Republic of)','SLV','50323362','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740909,1,'El Salvador (Republic of)','SLV','50323374','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740919,1,'El Salvador (Republic of)','SLV','50323410','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740929,1,'El Salvador (Republic of)','SLV','50323411','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740939,1,'El Salvador (Republic of)','SLV','50323412','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740949,1,'El Salvador (Republic of)','SLV','50323440','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740959,1,'El Salvador (Republic of)','SLV','50323441','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740969,1,'El Salvador (Republic of)','SLV','50323442','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740979,1,'El Salvador (Republic of)','SLV','50323443','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740989,1,'El Salvador (Republic of)','SLV','50323444','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(740999,1,'El Salvador (Republic of)','SLV','50323659','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741009,1,'El Salvador (Republic of)','SLV','5032366','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741019,1,'El Salvador (Republic of)','SLV','5032367','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741029,1,'El Salvador (Republic of)','SLV','5032373','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741039,1,'El Salvador (Republic of)','SLV','50323740','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741049,1,'El Salvador (Republic of)','SLV','50323741','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741059,1,'El Salvador (Republic of)','SLV','50323750','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741069,1,'El Salvador (Republic of)','SLV','50323751','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741079,1,'El Salvador (Republic of)','SLV','50323800','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741089,1,'El Salvador (Republic of)','SLV','50323801','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741099,1,'El Salvador (Republic of)','SLV','50323830','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741109,1,'El Salvador (Republic of)','SLV','50323831','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741119,1,'El Salvador (Republic of)','SLV','50323900','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741129,1,'El Salvador (Republic of)','SLV','50323901','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741139,1,'El Salvador (Republic of)','SLV','50323902','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741149,1,'El Salvador (Republic of)','SLV','50323920','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741159,1,'El Salvador (Republic of)','SLV','5032397','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741169,1,'El Salvador (Republic of)','SLV','5032403','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741179,1,'El Salvador (Republic of)','SLV','5032404','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741189,1,'El Salvador (Republic of)','SLV','5032405','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741199,1,'El Salvador (Republic of)','SLV','5032414','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741209,1,'El Salvador (Republic of)','SLV','5032427','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741219,1,'El Salvador (Republic of)','SLV','5032430','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741229,1,'El Salvador (Republic of)','SLV','5032431','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741239,1,'El Salvador (Republic of)','SLV','5032434','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741249,1,'El Salvador (Republic of)','SLV','50324385','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741259,1,'El Salvador (Republic of)','SLV','50324560','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741269,1,'El Salvador (Republic of)','SLV','50324561','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741279,1,'El Salvador (Republic of)','SLV','50324562','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741289,1,'El Salvador (Republic of)','SLV','50324563','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741299,1,'El Salvador (Republic of)','SLV','50324564','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741309,1,'El Salvador (Republic of)','SLV','50324710','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741319,1,'El Salvador (Republic of)','SLV','50324730','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741329,1,'El Salvador (Republic of)','SLV','50324750','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741339,1,'El Salvador (Republic of)','SLV','50324751','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741349,1,'El Salvador (Republic of)','SLV','50324752','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741359,1,'El Salvador (Republic of)','SLV','50324753','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741369,1,'El Salvador (Republic of)','SLV','50324754','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741379,1,'El Salvador (Republic of)','SLV','5032479','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741389,1,'El Salvador (Republic of)','SLV','5032489','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741399,1,'El Salvador (Republic of)','SLV','5032497','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741409,1,'El Salvador (Republic of)','SLV','5032500','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741419,1,'El Salvador (Republic of)','SLV','5032501','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741429,1,'El Salvador (Republic of)','SLV','5032505','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741439,1,'El Salvador (Republic of)','SLV','50325060','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741449,1,'El Salvador (Republic of)','SLV','50325061','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741459,1,'El Salvador (Republic of)','SLV','50325062','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741469,1,'El Salvador (Republic of)','SLV','50325063','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741479,1,'El Salvador (Republic of)','SLV','50325064','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741489,1,'El Salvador (Republic of)','SLV','5032507','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741499,1,'El Salvador (Republic of)','SLV','5032508','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741509,1,'El Salvador (Republic of)','SLV','5032509','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741519,1,'El Salvador (Republic of)','SLV','5032513','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741529,1,'El Salvador (Republic of)','SLV','5032514','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741539,1,'El Salvador (Republic of)','SLV','5032516','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741549,1,'El Salvador (Republic of)','SLV','5032517','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741559,1,'El Salvador (Republic of)','SLV','50325185','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741569,1,'El Salvador (Republic of)','SLV','5032530','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741579,1,'El Salvador (Republic of)','SLV','5032531','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741589,1,'El Salvador (Republic of)','SLV','5032532','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741599,1,'El Salvador (Republic of)','SLV','5032533','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741609,1,'El Salvador (Republic of)','SLV','5032534','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741619,1,'El Salvador (Republic of)','SLV','5032535','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741629,1,'El Salvador (Republic of)','SLV','5032536','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741639,1,'El Salvador (Republic of)','SLV','50325386','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741649,1,'El Salvador (Republic of)','SLV','5032555','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741659,1,'El Salvador (Republic of)','SLV','5032600','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741669,1,'El Salvador (Republic of)','SLV','5032601','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741679,1,'El Salvador (Republic of)','SLV','5032603','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741689,1,'El Salvador (Republic of)','SLV','5032609','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741699,1,'El Salvador (Republic of)','SLV','5032612','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741709,1,'El Salvador (Republic of)','SLV','5032620','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741719,1,'El Salvador (Republic of)','SLV','5032623','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741729,1,'El Salvador (Republic of)','SLV','5032631','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741739,1,'El Salvador (Republic of)','SLV','5032635','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741749,1,'El Salvador (Republic of)','SLV','50326400','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741759,1,'El Salvador (Republic of)','SLV','50326401','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741769,1,'El Salvador (Republic of)','SLV','50326402','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741779,1,'El Salvador (Republic of)','SLV','50326750','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741789,1,'El Salvador (Republic of)','SLV','50326751','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741799,1,'El Salvador (Republic of)','SLV','50326752','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741809,1,'El Salvador (Republic of)','SLV','50326753','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741819,1,'El Salvador (Republic of)','SLV','50326754','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741829,1,'El Salvador (Republic of)','SLV','5032677','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741839,1,'El Salvador (Republic of)','SLV','5032678','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741849,1,'El Salvador (Republic of)','SLV','5032679','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741859,1,'El Salvador (Republic of)','SLV','5032697','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741869,1,'El Salvador (Republic of)','SLV','503600','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741879,1,'El Salvador (Republic of)','SLV','503610','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741889,1,'El Salvador (Republic of)','SLV','503611','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741899,1,'El Salvador (Republic of)','SLV','503612','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741909,1,'El Salvador (Republic of)','SLV','503613','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741919,1,'El Salvador (Republic of)','SLV','503614','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741929,1,'El Salvador (Republic of)','SLV','503620','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741939,1,'El Salvador (Republic of)','SLV','50371','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741949,1,'El Salvador (Republic of)','SLV','50372','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741959,1,'El Salvador (Republic of)','SLV','50373','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741969,1,'El Salvador (Republic of)','SLV','50374','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741979,1,'El Salvador (Republic of)','SLV','50375','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741989,1,'El Salvador (Republic of)','SLV','5037691','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(741999,1,'El Salvador (Republic of)','SLV','5037692','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(742009,1,'El Salvador (Republic of)','SLV','5037693','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(742019,1,'El Salvador (Republic of)','SLV','5037694','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(742029,1,'El Salvador (Republic of)','SLV','503770','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(742039,1,'El Salvador (Republic of)','SLV','503771','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(742049,1,'El Salvador (Republic of)','SLV','503772','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(742059,1,'El Salvador (Republic of)','SLV','503773','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(742069,1,'El Salvador (Republic of)','SLV','503776','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(742079,1,'El Salvador (Republic of)','SLV','503777','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(742089,1,'El Salvador (Republic of)','SLV','503778','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(742099,1,'El Salvador (Republic of)','SLV','503779','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(742109,1,'El Salvador (Republic of)','SLV','5037800','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(742119,1,'El Salvador (Republic of)','SLV','5037801','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(742129,1,'El Salvador (Republic of)','SLV','50378020','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(742139,1,'El Salvador (Republic of)','SLV','50378021','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(742149,1,'El Salvador (Republic of)','SLV','50378022','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(742159,1,'El Salvador (Republic of)','SLV','50378023','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(742169,1,'El Salvador (Republic of)','SLV','50378024','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(742179,1,'El Salvador (Republic of)','SLV','503781','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(742189,1,'El Salvador (Republic of)','SLV','503782','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(742199,1,'El Salvador (Republic of)','SLV','503783','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(742209,1,'El Salvador (Republic of)','SLV','5037845','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(742219,1,'El Salvador (Republic of)','SLV','5037846','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(742229,1,'El Salvador (Republic of)','SLV','5037847','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(742239,1,'El Salvador (Republic of)','SLV','5037848','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(742249,1,'El Salvador (Republic of)','SLV','5037849','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(742259,1,'El Salvador (Republic of)','SLV','503787','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(742269,1,'El Salvador (Republic of)','SLV','503788','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(742279,1,'El Salvador (Republic of)','SLV','503789','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(742289,1,'El Salvador (Republic of)','SLV','503790','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(742299,1,'El Salvador (Republic of)','SLV','503791','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(742309,1,'El Salvador (Republic of)','SLV','503792','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(742319,1,'El Salvador (Republic of)','SLV','503793','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(742329,1,'El Salvador (Republic of)','SLV','503794','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(742339,1,'El Salvador (Republic of)','SLV','503797','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(742349,1,'El Salvador (Republic of)','SLV','503799','El Salvador (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(742359,1,'El Salvador (Republic of)','SLV','5032100','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742369,1,'El Salvador (Republic of)','SLV','5032101','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742379,1,'El Salvador (Republic of)','SLV','5032102','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742389,1,'El Salvador (Republic of)','SLV','5032103','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742399,1,'El Salvador (Republic of)','SLV','5032104','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742409,1,'El Salvador (Republic of)','SLV','5032130','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742419,1,'El Salvador (Republic of)','SLV','5032131','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742429,1,'El Salvador (Republic of)','SLV','50322663','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742439,1,'El Salvador (Republic of)','SLV','50322664','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742449,1,'El Salvador (Republic of)','SLV','50322665','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742459,1,'El Salvador (Republic of)','SLV','50322666','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742469,1,'El Salvador (Republic of)','SLV','50322667','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742479,1,'El Salvador (Republic of)','SLV','5032300','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742489,1,'El Salvador (Republic of)','SLV','50323013','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742499,1,'El Salvador (Republic of)','SLV','50323014','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742509,1,'El Salvador (Republic of)','SLV','50323015','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742519,1,'El Salvador (Republic of)','SLV','50323016','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742529,1,'El Salvador (Republic of)','SLV','50323017','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742539,1,'El Salvador (Republic of)','SLV','50323018','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742549,1,'El Salvador (Republic of)','SLV','50323019','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742559,1,'El Salvador (Republic of)','SLV','50323050','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742569,1,'El Salvador (Republic of)','SLV','50323051','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742579,1,'El Salvador (Republic of)','SLV','50323052','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742589,1,'El Salvador (Republic of)','SLV','50323053','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742599,1,'El Salvador (Republic of)','SLV','50323054','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742609,1,'El Salvador (Republic of)','SLV','50323055','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742619,1,'El Salvador (Republic of)','SLV','50323056','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742629,1,'El Salvador (Republic of)','SLV','50323057','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742639,1,'El Salvador (Republic of)','SLV','50323064','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742649,1,'El Salvador (Republic of)','SLV','50323065','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742659,1,'El Salvador (Republic of)','SLV','50323066','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742669,1,'El Salvador (Republic of)','SLV','50323105','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742679,1,'El Salvador (Republic of)','SLV','50323106','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742689,1,'El Salvador (Republic of)','SLV','50323107','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742699,1,'El Salvador (Republic of)','SLV','50323108','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742709,1,'El Salvador (Republic of)','SLV','50323109','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742719,1,'El Salvador (Republic of)','SLV','50323131','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742729,1,'El Salvador (Republic of)','SLV','50323132','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742739,1,'El Salvador (Republic of)','SLV','50323133','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742749,1,'El Salvador (Republic of)','SLV','50323134','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742759,1,'El Salvador (Republic of)','SLV','50323135','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742769,1,'El Salvador (Republic of)','SLV','50323136','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742779,1,'El Salvador (Republic of)','SLV','50323137','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742789,1,'El Salvador (Republic of)','SLV','50323138','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742799,1,'El Salvador (Republic of)','SLV','50323139','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742809,1,'El Salvador (Republic of)','SLV','50323197','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742819,1,'El Salvador (Republic of)','SLV','50323198','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742829,1,'El Salvador (Republic of)','SLV','50323199','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742839,1,'El Salvador (Republic of)','SLV','5032323','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742849,1,'El Salvador (Republic of)','SLV','5032352','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742859,1,'El Salvador (Republic of)','SLV','50323530','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742869,1,'El Salvador (Republic of)','SLV','5032355','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742879,1,'El Salvador (Republic of)','SLV','50323571','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742889,1,'El Salvador (Republic of)','SLV','50323572','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742899,1,'El Salvador (Republic of)','SLV','50323573','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742909,1,'El Salvador (Republic of)','SLV','50323574','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742919,1,'El Salvador (Republic of)','SLV','50323575','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742929,1,'El Salvador (Republic of)','SLV','50323576','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742939,1,'El Salvador (Republic of)','SLV','50323577','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742949,1,'El Salvador (Republic of)','SLV','50323578','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742959,1,'El Salvador (Republic of)','SLV','50323579','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742969,1,'El Salvador (Republic of)','SLV','50323629','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742979,1,'El Salvador (Republic of)','SLV','5032411','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742989,1,'El Salvador (Republic of)','SLV','50324125','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(742999,1,'El Salvador (Republic of)','SLV','50324126','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743009,1,'El Salvador (Republic of)','SLV','50324127','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743019,1,'El Salvador (Republic of)','SLV','50324128','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743029,1,'El Salvador (Republic of)','SLV','50324129','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743039,1,'El Salvador (Republic of)','SLV','50324135','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743049,1,'El Salvador (Republic of)','SLV','50324136','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743059,1,'El Salvador (Republic of)','SLV','50324137','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743069,1,'El Salvador (Republic of)','SLV','50324138','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743079,1,'El Salvador (Republic of)','SLV','50324139','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743089,1,'El Salvador (Republic of)','SLV','5032415','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743099,1,'El Salvador (Republic of)','SLV','5032416','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743109,1,'El Salvador (Republic of)','SLV','50324175','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743119,1,'El Salvador (Republic of)','SLV','50324176','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743129,1,'El Salvador (Republic of)','SLV','50324177','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743139,1,'El Salvador (Republic of)','SLV','50324178','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743149,1,'El Salvador (Republic of)','SLV','50324179','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743159,1,'El Salvador (Republic of)','SLV','50324419','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743169,1,'El Salvador (Republic of)','SLV','50324421','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743179,1,'El Salvador (Republic of)','SLV','50324422','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743189,1,'El Salvador (Republic of)','SLV','50324423','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743199,1,'El Salvador (Republic of)','SLV','50324424','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743209,1,'El Salvador (Republic of)','SLV','50324425','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743219,1,'El Salvador (Republic of)','SLV','50324426','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743229,1,'El Salvador (Republic of)','SLV','50324427','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743239,1,'El Salvador (Republic of)','SLV','50324428','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743249,1,'El Salvador (Republic of)','SLV','50324429','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743259,1,'El Salvador (Republic of)','SLV','5032454','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743269,1,'El Salvador (Republic of)','SLV','5032455','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743279,1,'El Salvador (Republic of)','SLV','5032502','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743289,1,'El Salvador (Republic of)','SLV','5032512','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743299,1,'El Salvador (Republic of)','SLV','50326080','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743309,1,'El Salvador (Republic of)','SLV','50326081','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743319,1,'El Salvador (Republic of)','SLV','50326082','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743329,1,'El Salvador (Republic of)','SLV','50326083','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743339,1,'El Salvador (Republic of)','SLV','50326084','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743349,1,'El Salvador (Republic of)','SLV','50326105','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743359,1,'El Salvador (Republic of)','SLV','50326106','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743369,1,'El Salvador (Republic of)','SLV','50326107','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743379,1,'El Salvador (Republic of)','SLV','50326108','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743389,1,'El Salvador (Republic of)','SLV','50326109','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743399,1,'El Salvador (Republic of)','SLV','50326131','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743409,1,'El Salvador (Republic of)','SLV','50326132','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743419,1,'El Salvador (Republic of)','SLV','50326133','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743429,1,'El Salvador (Republic of)','SLV','50326134','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743439,1,'El Salvador (Republic of)','SLV','50326135','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743449,1,'El Salvador (Republic of)','SLV','50326136','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743459,1,'El Salvador (Republic of)','SLV','50326137','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743469,1,'El Salvador (Republic of)','SLV','50326138','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743479,1,'El Salvador (Republic of)','SLV','50326139','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743489,1,'El Salvador (Republic of)','SLV','50326141','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743499,1,'El Salvador (Republic of)','SLV','50326145','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743509,1,'El Salvador (Republic of)','SLV','50326146','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743519,1,'El Salvador (Republic of)','SLV','50326147','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743529,1,'El Salvador (Republic of)','SLV','50326148','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743539,1,'El Salvador (Republic of)','SLV','50326149','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743549,1,'El Salvador (Republic of)','SLV','5032615','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743559,1,'El Salvador (Republic of)','SLV','50326225','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743569,1,'El Salvador (Republic of)','SLV','50326226','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743579,1,'El Salvador (Republic of)','SLV','50326227','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743589,1,'El Salvador (Republic of)','SLV','50326228','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743599,1,'El Salvador (Republic of)','SLV','50326229','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743609,1,'El Salvador (Republic of)','SLV','5032634','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743619,1,'El Salvador (Republic of)','SLV','50326415','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743629,1,'El Salvador (Republic of)','SLV','50326416','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743639,1,'El Salvador (Republic of)','SLV','50326417','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743649,1,'El Salvador (Republic of)','SLV','50326418','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743659,1,'El Salvador (Republic of)','SLV','50326419','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743669,1,'El Salvador (Republic of)','SLV','5032646','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743679,1,'El Salvador (Republic of)','SLV','5032656','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743689,1,'El Salvador (Republic of)','SLV','50370','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743699,1,'El Salvador (Republic of)','SLV','503760','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743709,1,'El Salvador (Republic of)','SLV','503761','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743719,1,'El Salvador (Republic of)','SLV','503762','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743729,1,'El Salvador (Republic of)','SLV','503763','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743739,1,'El Salvador (Republic of)','SLV','503764','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743749,1,'El Salvador (Republic of)','SLV','503765','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743759,1,'El Salvador (Republic of)','SLV','503766','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743769,1,'El Salvador (Republic of)','SLV','5037687','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743779,1,'El Salvador (Republic of)','SLV','5037688','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743789,1,'El Salvador (Republic of)','SLV','5037689','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743799,1,'El Salvador (Republic of)','SLV','5037690','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743809,1,'El Salvador (Republic of)','SLV','5037695','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743819,1,'El Salvador (Republic of)','SLV','5037696','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743829,1,'El Salvador (Republic of)','SLV','5037697','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743839,1,'El Salvador (Republic of)','SLV','5037698','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743849,1,'El Salvador (Republic of)','SLV','5037699','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743859,1,'El Salvador (Republic of)','SLV','503774','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743869,1,'El Salvador (Republic of)','SLV','503775','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743879,1,'El Salvador (Republic of)','SLV','50378025','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743889,1,'El Salvador (Republic of)','SLV','50378026','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743899,1,'El Salvador (Republic of)','SLV','50378027','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743909,1,'El Salvador (Republic of)','SLV','50378028','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743919,1,'El Salvador (Republic of)','SLV','50378029','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743929,1,'El Salvador (Republic of)','SLV','5037803','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743939,1,'El Salvador (Republic of)','SLV','5037805','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743949,1,'El Salvador (Republic of)','SLV','5037806','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743959,1,'El Salvador (Republic of)','SLV','5037807','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743969,1,'El Salvador (Republic of)','SLV','5037808','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743979,1,'El Salvador (Republic of)','SLV','5037809','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743989,1,'El Salvador (Republic of)','SLV','5037840','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(743999,1,'El Salvador (Republic of)','SLV','5037841','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(744009,1,'El Salvador (Republic of)','SLV','5037842','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(744019,1,'El Salvador (Republic of)','SLV','5037843','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(744029,1,'El Salvador (Republic of)','SLV','5037844','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(744039,1,'El Salvador (Republic of)','SLV','503785','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(744049,1,'El Salvador (Republic of)','SLV','503786','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(744059,1,'El Salvador (Republic of)','SLV','503795','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(744069,1,'El Salvador (Republic of)','SLV','503796','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(744079,1,'El Salvador (Republic of)','SLV','5037985','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(744089,1,'El Salvador (Republic of)','SLV','5037986','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(744099,1,'El Salvador (Republic of)','SLV','5037987','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(744109,1,'El Salvador (Republic of)','SLV','5037988','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(744119,1,'El Salvador (Republic of)','SLV','5037989','El Salvador (Sonderziel)',0.24286,60,0.242857,60,0,-1,'premium'),(744129,1,'Cote d\'Ivoire','CIV','225','ElfenbeinkÃ¼ste (Festnetz)',0.29328,60,0.293277,60,0,-1,'fixed'),(744139,1,'Cote d\'Ivoire','CIV','22501','ElfenbeinkÃ¼ste (Mobilfunk)',0.3605,60,0.360504,60,0,-1,'mobile'),(744149,1,'Cote d\'Ivoire','CIV','22502','ElfenbeinkÃ¼ste (Mobilfunk)',0.3605,60,0.360504,60,0,-1,'mobile'),(744159,1,'Cote d\'Ivoire','CIV','22503','ElfenbeinkÃ¼ste (Mobilfunk)',0.3605,60,0.360504,60,0,-1,'mobile'),(744169,1,'Cote d\'Ivoire','CIV','22504','ElfenbeinkÃ¼ste (Mobilfunk)',0.3605,60,0.360504,60,0,-1,'mobile'),(744179,1,'Cote d\'Ivoire','CIV','22505','ElfenbeinkÃ¼ste (Mobilfunk)',0.3605,60,0.360504,60,0,-1,'mobile'),(744189,1,'Cote d\'Ivoire','CIV','22506','ElfenbeinkÃ¼ste (Mobilfunk)',0.3605,60,0.360504,60,0,-1,'mobile'),(744199,1,'Cote d\'Ivoire','CIV','22507','ElfenbeinkÃ¼ste (Mobilfunk)',0.3605,60,0.360504,60,0,-1,'mobile'),(744209,1,'Cote d\'Ivoire','CIV','22508','ElfenbeinkÃ¼ste (Mobilfunk)',0.3605,60,0.360504,60,0,-1,'mobile'),(744219,1,'Cote d\'Ivoire','CIV','22509','ElfenbeinkÃ¼ste (Mobilfunk)',0.3605,60,0.360504,60,0,-1,'mobile'),(744229,1,'Cote d\'Ivoire','CIV','22540','ElfenbeinkÃ¼ste (Mobilfunk)',0.3605,60,0.360504,60,0,-1,'mobile'),(744239,1,'Cote d\'Ivoire','CIV','22541','ElfenbeinkÃ¼ste (Mobilfunk)',0.3605,60,0.360504,60,0,-1,'mobile'),(744249,1,'Cote d\'Ivoire','CIV','22542','ElfenbeinkÃ¼ste (Mobilfunk)',0.3605,60,0.360504,60,0,-1,'mobile'),(744259,1,'Cote d\'Ivoire','CIV','22544','ElfenbeinkÃ¼ste (Mobilfunk)',0.3605,60,0.360504,60,0,-1,'mobile'),(744269,1,'Cote d\'Ivoire','CIV','22545','ElfenbeinkÃ¼ste (Mobilfunk)',0.3605,60,0.360504,60,0,-1,'mobile'),(744279,1,'Cote d\'Ivoire','CIV','22546','ElfenbeinkÃ¼ste (Mobilfunk)',0.3605,60,0.360504,60,0,-1,'mobile'),(744289,1,'Cote d\'Ivoire','CIV','22547','ElfenbeinkÃ¼ste (Mobilfunk)',0.3605,60,0.360504,60,0,-1,'mobile'),(744299,1,'Cote d\'Ivoire','CIV','22548','ElfenbeinkÃ¼ste (Mobilfunk)',0.3605,60,0.360504,60,0,-1,'mobile'),(744309,1,'Cote d\'Ivoire','CIV','22549','ElfenbeinkÃ¼ste (Mobilfunk)',0.3605,60,0.360504,60,0,-1,'mobile'),(744319,1,'Cote d\'Ivoire','CIV','22555','ElfenbeinkÃ¼ste (Mobilfunk)',0.3605,60,0.360504,60,0,-1,'mobile'),(744329,1,'Cote d\'Ivoire','CIV','22556','ElfenbeinkÃ¼ste (Mobilfunk)',0.3605,60,0.360504,60,0,-1,'mobile'),(744339,1,'Cote d\'Ivoire','CIV','22557','ElfenbeinkÃ¼ste (Mobilfunk)',0.3605,60,0.360504,60,0,-1,'mobile'),(744349,1,'Cote d\'Ivoire','CIV','22558','ElfenbeinkÃ¼ste (Mobilfunk)',0.3605,60,0.360504,60,0,-1,'mobile'),(744359,1,'Cote d\'Ivoire','CIV','22560','ElfenbeinkÃ¼ste (Mobilfunk)',0.3605,60,0.360504,60,0,-1,'mobile'),(744369,1,'Cote d\'Ivoire','CIV','22561','ElfenbeinkÃ¼ste (Mobilfunk)',0.3605,60,0.360504,60,0,-1,'mobile'),(744379,1,'Cote d\'Ivoire','CIV','22565','ElfenbeinkÃ¼ste (Mobilfunk)',0.3605,60,0.360504,60,0,-1,'mobile'),(744389,1,'Cote d\'Ivoire','CIV','22566','ElfenbeinkÃ¼ste (Mobilfunk)',0.3605,60,0.360504,60,0,-1,'mobile'),(744399,1,'Cote d\'Ivoire','CIV','22567','ElfenbeinkÃ¼ste (Mobilfunk)',0.3605,60,0.360504,60,0,-1,'mobile'),(744409,1,'Cote d\'Ivoire','CIV','22569','ElfenbeinkÃ¼ste (Mobilfunk)',0.3605,60,0.360504,60,0,-1,'mobile'),(744419,1,'Cote d\'Ivoire','CIV','225217','ElfenbeinkÃ¼ste (Sonderziel)',0.45294,60,0.452941,60,0,-1,'premium'),(744429,1,'Cote d\'Ivoire','CIV','22590409','ElfenbeinkÃ¼ste (Sonderziel)',0.45294,60,0.452941,60,0,-1,'premium'),(744439,1,'Eritrea','ERI','291','Eritrea (Festnetz)',0.3437,60,0.343697,60,0,-1,'fixed'),(744449,1,'Eritrea','ERI','2917','Eritrea (Mobilfunk)',0.33529,60,0.335294,60,0,-1,'mobile'),(744459,1,'Eritrea','ERI','291300','Eritrea (Sonderziel)',0.3437,60,0.343697,60,0,-1,'premium'),(744469,1,'Estonia (Republic of)','EST','372','Estland (Festnetz)',0.02437,60,0.0243697,60,0,-1,'fixed'),(744479,1,'Estonia (Republic of)','EST','3725','Estland (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(744489,1,'Estonia (Republic of)','EST','3728','Estland (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(744499,1,'Estonia (Republic of)','EST','37240','Estland (Sonderziel)',0.46975,60,0.469748,60,0,-1,'premium'),(744509,1,'Estonia (Republic of)','EST','37270','Estland (Sonderziel)',0.46975,60,0.469748,60,0,-1,'premium'),(744519,1,'Estonia (Republic of)','EST','372900','Estland (Sonderziel)',0.46975,60,0.469748,60,0,-1,'premium'),(744529,1,'Falkland Islands (Islas Malvinas)','FLK','500','Falklandinseln (Festnetz)',0.52017,60,0.520168,60,0,-1,'fixed'),(744539,1,'Falkland Islands (Islas Malvinas)','FLK','50090','Falklandinseln (Sonderziel)',0.3521,60,0.352101,60,0,-1,'premium'),(744549,1,'Fiji (Republic of)','FJI','679','Fidschi (Festnetz)',0.37731,60,0.377311,60,0,-1,'fixed'),(744559,1,'Fiji (Republic of)','FJI','6797','Fidschi (Mobilfunk)',0.37731,60,0.377311,60,0,-1,'mobile'),(744569,1,'Fiji (Republic of)','FJI','67983','Fidschi (Mobilfunk)',0.37731,60,0.377311,60,0,-1,'mobile'),(744579,1,'Fiji (Republic of)','FJI','67984','Fidschi (Mobilfunk)',0.37731,60,0.377311,60,0,-1,'mobile'),(744589,1,'Fiji (Republic of)','FJI','67986','Fidschi (Mobilfunk)',0.37731,60,0.377311,60,0,-1,'mobile'),(744599,1,'Fiji (Republic of)','FJI','67987','Fidschi (Mobilfunk)',0.37731,60,0.377311,60,0,-1,'mobile'),(744609,1,'Fiji (Republic of)','FJI','6799','Fidschi (Mobilfunk)',0.37731,60,0.377311,60,0,-1,'mobile'),(744619,1,'Fiji (Republic of)','FJI','67913','Fidschi (Sonderziel)',0.3605,60,0.360504,60,0,-1,'premium'),(744629,1,'Finland','FIN','358','Finnland (Festnetz)',0.06639,60,0.0663866,60,0,-1,'fixed'),(744639,1,'Finland','FIN','3584','Finnland (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(744649,1,'Finland','FIN','35850','Finnland (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(744659,1,'Finland','FIN','35810','Finnland (Sonderziel)',0.05798,60,0.0579832,60,0,-1,'premium'),(744669,1,'Finland','FIN','35819','Finnland (Sonderziel)',0.05798,60,0.0579832,60,0,-1,'premium'),(744679,1,'Finland','FIN','35820','Finnland (Sonderziel)',0.05798,60,0.0579832,60,0,-1,'premium'),(744689,1,'Finland','FIN','35829','Finnland (Sonderziel)',0.05798,60,0.0579832,60,0,-1,'premium'),(744699,1,'Finland','FIN','35830','Finnland (Sonderziel)',0.05798,60,0.0579832,60,0,-1,'premium'),(744709,1,'Finland','FIN','35860','Finnland (Sonderziel)',0.05798,60,0.0579832,60,0,-1,'premium'),(744719,1,'Finland','FIN','3587','Finnland (Sonderziel)',0.05798,60,0.0579832,60,0,-1,'premium'),(744729,1,'Finland','FIN','358800','Finnland (Sonderziel)',0.05798,60,0.0579832,60,0,-1,'premium'),(744739,1,'France','FRA','33','Frankreich (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(744749,1,'France','FRA','33269','Frankreich (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(744759,1,'France','FRA','33508','Frankreich (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(744769,1,'France','FRA','33590','Frankreich (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(744779,1,'France','FRA','33594','Frankreich (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(744789,1,'France','FRA','33596','Frankreich (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(744799,1,'France','FRA','336','Frankreich (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(744809,1,'France','FRA','336381','Frankreich (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(744819,1,'France','FRA','336382','Frankreich (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(744829,1,'France','FRA','336383','Frankreich (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(744839,1,'France','FRA','336384','Frankreich (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(744849,1,'France','FRA','336385','Frankreich (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(744859,1,'France','FRA','336386','Frankreich (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(744869,1,'France','FRA','336387','Frankreich (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(744879,1,'France','FRA','336388','Frankreich (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(744889,1,'France','FRA','336389','Frankreich (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(744899,1,'France','FRA','3364005','Frankreich (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(744909,1,'France','FRA','3364006','Frankreich (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(744919,1,'France','FRA','3364007','Frankreich (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(744929,1,'France','FRA','3364008','Frankreich (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(744939,1,'France','FRA','3364009','Frankreich (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(744949,1,'France','FRA','336401','Frankreich (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(744959,1,'France','FRA','336402','Frankreich (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(744969,1,'France','FRA','336403','Frankreich (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(744979,1,'France','FRA','336404','Frankreich (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(744989,1,'France','FRA','336405','Frankreich (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(744999,1,'France','FRA','336406','Frankreich (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(745009,1,'France','FRA','336407','Frankreich (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(745019,1,'France','FRA','336408','Frankreich (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(745029,1,'France','FRA','336409','Frankreich (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(745039,1,'France','FRA','337','Frankreich (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(745049,1,'France','FRA','33266','Frankreich (Sonderziel)',0.01597,60,0.0159664,60,0,-1,'premium'),(745059,1,'France','FRA','3328','Frankreich (Sonderziel)',0.01597,60,0.0159664,60,0,-1,'premium'),(745069,1,'France','FRA','33638','Frankreich (Sonderziel)',0.01597,60,0.0159664,60,0,-1,'premium'),(745079,1,'France','FRA','33640','Frankreich (Sonderziel)',0.01597,60,0.0159664,60,0,-1,'premium'),(745089,1,'France','FRA','338','Frankreich (Sonderziel)',0.01597,60,0.0159664,60,0,-1,'premium'),(745099,1,'France','FRA','339','Frankreich (Sonderziel)',0.01597,60,0.0159664,60,0,-1,'premium'),(745109,1,'French Guiana (French Department of)','GUF','594','FranzÃ¶sisch-Guayana (Festnetz)',0.05798,60,0.0579832,60,0,-1,'fixed'),(745119,1,'French Guiana (French Department of)','GUF','594694','FranzÃ¶sisch-Guayana (Mobilfunk)',0.19244,60,0.192437,60,0,-1,'mobile'),(745129,1,'French Polynesia (Territoire franÃ§ais d\'outre-mer','PYF','689','FranzÃ¶sisch-Polynesien (Festnetz)',0.39412,60,0.394118,60,0,-1,'fixed'),(745139,1,'French Polynesia (Territoire franÃ§ais d\'outre-mer','PYF','6892','FranzÃ¶sisch-Polynesien (Mobilfunk)',0.39412,60,0.394118,60,0,-1,'mobile'),(745149,1,'French Polynesia (Territoire franÃ§ais d\'outre-mer','PYF','68930','FranzÃ¶sisch-Polynesien (Mobilfunk)',0.39412,60,0.394118,60,0,-1,'mobile'),(745159,1,'French Polynesia (Territoire franÃ§ais d\'outre-mer','PYF','68931','FranzÃ¶sisch-Polynesien (Mobilfunk)',0.39412,60,0.394118,60,0,-1,'mobile'),(745169,1,'French Polynesia (Territoire franÃ§ais d\'outre-mer','PYF','68932','FranzÃ¶sisch-Polynesien (Mobilfunk)',0.39412,60,0.394118,60,0,-1,'mobile'),(745179,1,'French Polynesia (Territoire franÃ§ais d\'outre-mer','PYF','68933','FranzÃ¶sisch-Polynesien (Mobilfunk)',0.39412,60,0.394118,60,0,-1,'mobile'),(745189,1,'French Polynesia (Territoire franÃ§ais d\'outre-mer','PYF','68934','FranzÃ¶sisch-Polynesien (Mobilfunk)',0.39412,60,0.394118,60,0,-1,'mobile'),(745199,1,'French Polynesia (Territoire franÃ§ais d\'outre-mer','PYF','68935','FranzÃ¶sisch-Polynesien (Mobilfunk)',0.39412,60,0.394118,60,0,-1,'mobile'),(745209,1,'French Polynesia (Territoire franÃ§ais d\'outre-mer','PYF','6893917','FranzÃ¶sisch-Polynesien (Mobilfunk)',0.39412,60,0.394118,60,0,-1,'mobile'),(745219,1,'French Polynesia (Territoire franÃ§ais d\'outre-mer','PYF','689411','FranzÃ¶sisch-Polynesien (Mobilfunk)',0.39412,60,0.394118,60,0,-1,'mobile'),(745229,1,'French Polynesia (Territoire franÃ§ais d\'outre-mer','PYF','6897','FranzÃ¶sisch-Polynesien (Mobilfunk)',0.39412,60,0.394118,60,0,-1,'mobile'),(745239,1,'French Polynesia (Territoire franÃ§ais d\'outre-mer','PYF','68989','FranzÃ¶sisch-Polynesien (Mobilfunk)',0.39412,60,0.394118,60,0,-1,'mobile'),(745249,1,'Faroe Islands','FRO','298','FÃ¤rÃ¶er (Festnetz)',0.24286,60,0.242857,60,0,-1,'fixed'),(745259,1,'Faroe Islands','FRO','29821','FÃ¤rÃ¶er (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(745269,1,'Faroe Islands','FRO','29822','FÃ¤rÃ¶er (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(745279,1,'Faroe Islands','FRO','29823','FÃ¤rÃ¶er (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(745289,1,'Faroe Islands','FRO','29824','FÃ¤rÃ¶er (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(745299,1,'Faroe Islands','FRO','29825','FÃ¤rÃ¶er (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(745309,1,'Faroe Islands','FRO','29826','FÃ¤rÃ¶er (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(745319,1,'Faroe Islands','FRO','29827','FÃ¤rÃ¶er (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(745329,1,'Faroe Islands','FRO','29828','FÃ¤rÃ¶er (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(745339,1,'Faroe Islands','FRO','29829','FÃ¤rÃ¶er (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(745349,1,'Faroe Islands','FRO','2985','FÃ¤rÃ¶er (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(745359,1,'Faroe Islands','FRO','29871','FÃ¤rÃ¶er (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(745369,1,'Faroe Islands','FRO','29872','FÃ¤rÃ¶er (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(745379,1,'Faroe Islands','FRO','29873','FÃ¤rÃ¶er (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(745389,1,'Faroe Islands','FRO','29874','FÃ¤rÃ¶er (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(745399,1,'Faroe Islands','FRO','29875','FÃ¤rÃ¶er (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(745409,1,'Faroe Islands','FRO','29876','FÃ¤rÃ¶er (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(745419,1,'Faroe Islands','FRO','29877','FÃ¤rÃ¶er (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(745429,1,'Faroe Islands','FRO','29878','FÃ¤rÃ¶er (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(745439,1,'Faroe Islands','FRO','29879','FÃ¤rÃ¶er (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(745449,1,'Faroe Islands','FRO','2989','FÃ¤rÃ¶er (Sonderziel)',0.27647,60,0.276471,60,0,-1,'premium'),(745459,1,'International Mobile, shared code','','881','GMSS (Global Mobile Satellite System) (Festnetz)',5.20084,60,5.20084,60,0,-1,'fixed'),(745469,1,'International Networks, shared code','','88299','GMSS (Global Mobile Satellite System) - AeroMobile (Festnetz)',5.20084,60,5.20084,60,0,-1,'fixed'),(745479,1,'International Mobile, shared code','','8813','GMSS (Global Mobile Satellite System) - ELLISPSO (Festnetz)',5.20084,60,5.20084,60,0,-1,'fixed'),(745489,1,'International Mobile, shared code','','8818','GMSS (Global Mobile Satellite System) - GLOBALSTAR (Festnetz)',5.20084,60,5.20084,60,0,-1,'fixed'),(745499,1,'International Mobile, shared code','','8816','GMSS (Global Mobile Satellite System) - IRIDIUM (Festnetz)',5.20084,60,5.20084,60,0,-1,'fixed'),(745509,1,'International Mobile, shared code','','8817','GMSS (Global Mobile Satellite System) - IRIDIUM (Festnetz)',5.20084,60,5.20084,60,0,-1,'fixed'),(745519,1,'Gabonese Republic','GAB','241','Gabun (Festnetz)',0.44454,60,0.444538,60,0,-1,'fixed'),(745529,1,'Gabonese Republic','GAB','2410','Gabun (Mobilfunk)',0.44454,60,0.444538,60,0,-1,'mobile'),(745539,1,'Gabonese Republic','GAB','2412','Gabun (Mobilfunk)',0.44454,60,0.444538,60,0,-1,'mobile'),(745549,1,'Gabonese Republic','GAB','2413','Gabun (Mobilfunk)',0.44454,60,0.444538,60,0,-1,'mobile'),(745559,1,'Gabonese Republic','GAB','2414','Gabun (Mobilfunk)',0.44454,60,0.444538,60,0,-1,'mobile'),(745569,1,'Gabonese Republic','GAB','2415','Gabun (Mobilfunk)',0.44454,60,0.444538,60,0,-1,'mobile'),(745579,1,'Gabonese Republic','GAB','2416','Gabun (Mobilfunk)',0.44454,60,0.444538,60,0,-1,'mobile'),(745589,1,'Gabonese Republic','GAB','2417','Gabun (Mobilfunk)',0.44454,60,0.444538,60,0,-1,'mobile'),(745599,1,'Gambia, The','GMB','220','Gambia (Festnetz)',0.6042,60,0.604202,60,0,-1,'fixed'),(745609,1,'Gambia, The','GMB','2206','Gambia (Mobilfunk)',0.61261,60,0.612605,60,0,-1,'mobile'),(745619,1,'Gambia, The','GMB','2207','Gambia (Mobilfunk)',0.61261,60,0.612605,60,0,-1,'mobile'),(745629,1,'Gambia, The','GMB','2209','Gambia (Mobilfunk)',0.61261,60,0.612605,60,0,-1,'mobile'),(745639,1,'Georgia','GEO','995','Georgien (Festnetz)',0.0916,60,0.0915966,60,0,-1,'fixed'),(745649,1,'Georgia','GEO','9955','Georgien (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(745659,1,'Georgia','GEO','995790','Georgien (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(745669,1,'Georgia','GEO','995540','Georgien (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(745679,1,'Georgia','GEO','995720','Georgien (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(745689,1,'Georgia','GEO','995761','Georgien (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(745699,1,'Ghana','GHA','233','Ghana (Festnetz)',0.29328,60,0.293277,60,0,-1,'fixed'),(745709,1,'Ghana','GHA','23320','Ghana (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(745719,1,'Ghana','GHA','23323','Ghana (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(745729,1,'Ghana','GHA','23324','Ghana (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(745739,1,'Ghana','GHA','23326','Ghana (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(745749,1,'Ghana','GHA','23327','Ghana (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(745759,1,'Ghana','GHA','23328','Ghana (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(745769,1,'Ghana','GHA','23329','Ghana (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(745779,1,'Ghana','GHA','23350','Ghana (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(745789,1,'Ghana','GHA','23354','Ghana (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(745799,1,'Ghana','GHA','23357','Ghana (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(745809,1,'Gibraltar','GIB','350','Gibraltar (Festnetz)',0.04958,60,0.0495798,60,0,-1,'fixed'),(745819,1,'Gibraltar','GIB','35050','Gibraltar (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(745829,1,'Gibraltar','GIB','35051','Gibraltar (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(745839,1,'Gibraltar','GIB','35054','Gibraltar (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(745849,1,'Gibraltar','GIB','35056','Gibraltar (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(745859,1,'Gibraltar','GIB','35057','Gibraltar (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(745869,1,'Gibraltar','GIB','35058','Gibraltar (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(745879,1,'Gibraltar','GIB','3506','Gibraltar (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(745889,1,'Grenada','GRD','1473','Grenada (Festnetz)',0.29328,60,0.293277,60,0,-1,'fixed'),(745899,1,'Grenada','GRD','1473403','Grenada (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(745909,1,'Grenada','GRD','1473404','Grenada (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(745919,1,'Grenada','GRD','1473405','Grenada (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(745929,1,'Grenada','GRD','1473406','Grenada (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(745939,1,'Grenada','GRD','1473407','Grenada (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(745949,1,'Grenada','GRD','1473409','Grenada (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(745959,1,'Grenada','GRD','1473410','Grenada (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(745969,1,'Grenada','GRD','1473414','Grenada (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(745979,1,'Grenada','GRD','1473415','Grenada (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(745989,1,'Grenada','GRD','1473416','Grenada (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(745999,1,'Grenada','GRD','1473417','Grenada (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(746009,1,'Grenada','GRD','1473418','Grenada (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(746019,1,'Grenada','GRD','1473419','Grenada (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(746029,1,'Grenada','GRD','1473420','Grenada (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(746039,1,'Grenada','GRD','1473421','Grenada (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(746049,1,'Grenada','GRD','1473422','Grenada (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(746059,1,'Grenada','GRD','1473449','Grenada (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(746069,1,'Grenada','GRD','1473456','Grenada (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(746079,1,'Grenada','GRD','1473457','Grenada (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(746089,1,'Grenada','GRD','1473458','Grenada (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(746099,1,'Grenada','GRD','1473459','Grenada (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(746109,1,'Grenada','GRD','1473520','Grenada (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(746119,1,'Grenada','GRD','1473521','Grenada (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(746129,1,'Grenada','GRD','1473533','Grenada (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(746139,1,'Grenada','GRD','1473534','Grenada (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(746149,1,'Grenada','GRD','1473535','Grenada (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(746159,1,'Grenada','GRD','1473536','Grenada (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(746169,1,'Grenada','GRD','1473537','Grenada (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(746179,1,'Grenada','GRD','1473538','Grenada (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(746189,1,'Grenada','GRD','1473269','Grenada (Sonderziel)',0.26807,60,0.268067,60,0,-1,'premium'),(746199,1,'Grenada','GRD','1473328','Grenada (Sonderziel)',0.26807,60,0.268067,60,0,-1,'premium'),(746209,1,'Grenada','GRD','1473329','Grenada (Sonderziel)',0.26807,60,0.268067,60,0,-1,'premium'),(746219,1,'Grenada','GRD','1473368','Grenada (Sonderziel)',0.26807,60,0.268067,60,0,-1,'premium'),(746229,1,'Grenada','GRD','1473386','Grenada (Sonderziel)',0.26807,60,0.268067,60,0,-1,'premium'),(746239,1,'Grenada','GRD','14734077','Grenada (Sonderziel)',0.26807,60,0.268067,60,0,-1,'premium'),(746249,1,'Grenada','GRD','14734078','Grenada (Sonderziel)',0.26807,60,0.268067,60,0,-1,'premium'),(746259,1,'Grenada','GRD','14734079','Grenada (Sonderziel)',0.26807,60,0.268067,60,0,-1,'premium'),(746269,1,'Grenada','GRD','14734088','Grenada (Sonderziel)',0.26807,60,0.268067,60,0,-1,'premium'),(746279,1,'Grenada','GRD','14734089','Grenada (Sonderziel)',0.26807,60,0.268067,60,0,-1,'premium'),(746289,1,'Grenada','GRD','14734410','Grenada (Sonderziel)',0.26807,60,0.268067,60,0,-1,'premium'),(746299,1,'Grenada','GRD','1473455','Grenada (Sonderziel)',0.26807,60,0.268067,60,0,-1,'premium'),(746309,1,'Grenada','GRD','14734564','Grenada (Sonderziel)',0.26807,60,0.268067,60,0,-1,'premium'),(746319,1,'Grenada','GRD','14734567','Grenada (Sonderziel)',0.26807,60,0.268067,60,0,-1,'premium'),(746329,1,'Grenada','GRD','14734575','Grenada (Sonderziel)',0.26807,60,0.268067,60,0,-1,'premium'),(746339,1,'Grenada','GRD','14734576','Grenada (Sonderziel)',0.26807,60,0.268067,60,0,-1,'premium'),(746349,1,'Grenada','GRD','14734596','Grenada (Sonderziel)',0.26807,60,0.268067,60,0,-1,'premium'),(746359,1,'Grenada','GRD','1473468','Grenada (Sonderziel)',0.26807,60,0.268067,60,0,-1,'premium'),(746369,1,'Grenada','GRD','1473473','Grenada (Sonderziel)',0.26807,60,0.268067,60,0,-1,'premium'),(746379,1,'Grenada','GRD','1473490','Grenada (Sonderziel)',0.26807,60,0.268067,60,0,-1,'premium'),(746389,1,'Grenada','GRD','1473636','Grenada (Sonderziel)',0.26807,60,0.268067,60,0,-1,'premium'),(746399,1,'Grenada','GRD','1473638','Grenada (Sonderziel)',0.26807,60,0.268067,60,0,-1,'premium'),(746409,1,'Grenada','GRD','1473754','Grenada (Sonderziel)',0.26807,60,0.268067,60,0,-1,'premium'),(746419,1,'Grenada','GRD','1473758','Grenada (Sonderziel)',0.26807,60,0.268067,60,0,-1,'premium'),(746429,1,'Grenada','GRD','1473784','Grenada (Sonderziel)',0.26807,60,0.268067,60,0,-1,'premium'),(746439,1,'Grenada','GRD','1473938','Grenada (Sonderziel)',0.26807,60,0.268067,60,0,-1,'premium'),(746449,1,'Greece','GRC','30','Griechenland (Festnetz)',0.01597,60,0.0159664,60,0,-1,'fixed'),(746459,1,'Greece','GRC','3069','Griechenland (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(746469,1,'Greece','GRC','30692','Griechenland (Sonderziel)',0.1084,60,0.108403,60,0,-1,'premium'),(746479,1,'United Kingdom of Great Britain and Northern Irela','GBR','44','GroÃŸbritannien (Festnetz)',0.01597,60,0.0159664,60,0,-1,'fixed'),(746489,1,'United Kingdom of Great Britain and Northern Irela','GBR','447','GroÃŸbritannien (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(746499,1,'United Kingdom of Great Britain and Northern Irela','GBR','447530','GroÃŸbritannien (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(746509,1,'United Kingdom of Great Britain and Northern Irela','GBR','447531','GroÃŸbritannien (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(746519,1,'United Kingdom of Great Britain and Northern Irela','GBR','447532','GroÃŸbritannien (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(746529,1,'United Kingdom of Great Britain and Northern Irela','GBR','447533','GroÃŸbritannien (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(746539,1,'United Kingdom of Great Britain and Northern Irela','GBR','447534','GroÃŸbritannien (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(746549,1,'United Kingdom of Great Britain and Northern Irela','GBR','447535','GroÃŸbritannien (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(746559,1,'United Kingdom of Great Britain and Northern Irela','GBR','447536','GroÃŸbritannien (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(746569,1,'United Kingdom of Great Britain and Northern Irela','GBR','4475374','GroÃŸbritannien (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(746579,1,'United Kingdom of Great Britain and Northern Irela','GBR','447538','GroÃŸbritannien (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(746589,1,'United Kingdom of Great Britain and Northern Irela','GBR','447539','GroÃŸbritannien (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(746599,1,'United Kingdom of Great Britain and Northern Irela','GBR','44208779','GroÃŸbritannien (Sonderziel)',0.3605,60,0.360504,60,0,-1,'premium'),(746609,1,'United Kingdom of Great Britain and Northern Irela','GBR','4450','GroÃŸbritannien (Sonderziel)',0.3605,60,0.360504,60,0,-1,'premium'),(746619,1,'United Kingdom of Great Britain and Northern Irela','GBR','4455','GroÃŸbritannien (Sonderziel)',0.3605,60,0.360504,60,0,-1,'premium'),(746629,1,'United Kingdom of Great Britain and Northern Irela','GBR','44560183','GroÃŸbritannien (Sonderziel)',0.3605,60,0.360504,60,0,-1,'premium'),(746639,1,'United Kingdom of Great Britain and Northern Irela','GBR','4470','GroÃŸbritannien (Sonderziel)',0.3605,60,0.360504,60,0,-1,'premium'),(746649,1,'United Kingdom of Great Britain and Northern Irela','GBR','44753','GroÃŸbritannien (Sonderziel)',0.3605,60,0.360504,60,0,-1,'premium'),(746659,1,'United Kingdom of Great Britain and Northern Irela','GBR','4478609804','GroÃŸbritannien (Sonderziel)',0.3605,60,0.360504,60,0,-1,'premium'),(746669,1,'United Kingdom of Great Britain and Northern Irela','GBR','448','GroÃŸbritannien (Sonderziel)',0.3605,60,0.360504,60,0,-1,'premium'),(746679,1,'United Kingdom of Great Britain and Northern Irela','GBR','449','GroÃŸbritannien (Sonderziel)',0.3605,60,0.360504,60,0,-1,'premium'),(746689,1,'Greenland (Denmark)','GRL','299','GrÃ¶nland (Festnetz)',0.47815,60,0.478151,60,0,-1,'fixed'),(746699,1,'Greenland (Denmark)','GRL','2992','GrÃ¶nland (Mobilfunk)',0.49496,60,0.494958,60,0,-1,'mobile'),(746709,1,'Greenland (Denmark)','GRL','2994','GrÃ¶nland (Mobilfunk)',0.49496,60,0.494958,60,0,-1,'mobile'),(746719,1,'Greenland (Denmark)','GRL','2995','GrÃ¶nland (Mobilfunk)',0.49496,60,0.494958,60,0,-1,'mobile'),(746729,1,'Guadeloupe','GLP','590','Guadeloupe (Festnetz)',0.03277,60,0.0327731,60,0,-1,'fixed'),(746739,1,'Guadeloupe','GLP','590690','Guadeloupe (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(746749,1,'Guam','GUM','1671','Guam (Festnetz)',0.01597,60,0.0159664,60,0,-1,'fixed'),(746759,1,'Guatemala (Republic of)','GTM','502','Guatemala (Festnetz)',0.1,60,0.1,60,0,-1,'fixed'),(746769,1,'Guatemala (Republic of)','GTM','5022222','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(746779,1,'Guatemala (Republic of)','GTM','5022223','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(746789,1,'Guatemala (Republic of)','GTM','5022229','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(746799,1,'Guatemala (Republic of)','GTM','5022267','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(746809,1,'Guatemala (Republic of)','GTM','5022268','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(746819,1,'Guatemala (Republic of)','GTM','5022269','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(746829,1,'Guatemala (Republic of)','GTM','5022277','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(746839,1,'Guatemala (Republic of)','GTM','5022278','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(746849,1,'Guatemala (Republic of)','GTM','5022279','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(746859,1,'Guatemala (Republic of)','GTM','502231','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(746869,1,'Guatemala (Republic of)','GTM','5022320','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(746879,1,'Guatemala (Republic of)','GTM','5022321','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(746889,1,'Guatemala (Republic of)','GTM','5022322','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(746899,1,'Guatemala (Republic of)','GTM','5022323','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(746909,1,'Guatemala (Republic of)','GTM','5022324','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(746919,1,'Guatemala (Republic of)','GTM','5022326','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(746929,1,'Guatemala (Republic of)','GTM','5022327','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(746939,1,'Guatemala (Republic of)','GTM','5022328','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(746949,1,'Guatemala (Republic of)','GTM','5022329','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(746959,1,'Guatemala (Republic of)','GTM','5022375','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(746969,1,'Guatemala (Republic of)','GTM','5022376','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(746979,1,'Guatemala (Republic of)','GTM','5022377','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(746989,1,'Guatemala (Republic of)','GTM','5022378','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(746999,1,'Guatemala (Republic of)','GTM','5022379','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747009,1,'Guatemala (Republic of)','GTM','502241','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747019,1,'Guatemala (Republic of)','GTM','502242','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747029,1,'Guatemala (Republic of)','GTM','5022450','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747039,1,'Guatemala (Republic of)','GTM','5022459','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747049,1,'Guatemala (Republic of)','GTM','5022470','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747059,1,'Guatemala (Republic of)','GTM','50230','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747069,1,'Guatemala (Republic of)','GTM','50231','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747079,1,'Guatemala (Republic of)','GTM','50232','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747089,1,'Guatemala (Republic of)','GTM','502340','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747099,1,'Guatemala (Republic of)','GTM','502341','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747109,1,'Guatemala (Republic of)','GTM','502342','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747119,1,'Guatemala (Republic of)','GTM','502343','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747129,1,'Guatemala (Republic of)','GTM','502344','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747139,1,'Guatemala (Republic of)','GTM','50240','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747149,1,'Guatemala (Republic of)','GTM','50241','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747159,1,'Guatemala (Republic of)','GTM','50242','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747169,1,'Guatemala (Republic of)','GTM','50243','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747179,1,'Guatemala (Republic of)','GTM','50244','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747189,1,'Guatemala (Republic of)','GTM','50245','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747199,1,'Guatemala (Republic of)','GTM','50246','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747209,1,'Guatemala (Republic of)','GTM','50247','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747219,1,'Guatemala (Republic of)','GTM','502480','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747229,1,'Guatemala (Republic of)','GTM','502481','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747239,1,'Guatemala (Republic of)','GTM','5024822','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747249,1,'Guatemala (Republic of)','GTM','5024823','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747259,1,'Guatemala (Republic of)','GTM','5024824','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747269,1,'Guatemala (Republic of)','GTM','5024825','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747279,1,'Guatemala (Republic of)','GTM','5024826','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747289,1,'Guatemala (Republic of)','GTM','5024827','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747299,1,'Guatemala (Republic of)','GTM','5024828','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747309,1,'Guatemala (Republic of)','GTM','5024829','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747319,1,'Guatemala (Republic of)','GTM','502483','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747329,1,'Guatemala (Republic of)','GTM','502484','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747339,1,'Guatemala (Republic of)','GTM','502485','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747349,1,'Guatemala (Republic of)','GTM','502486','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747359,1,'Guatemala (Republic of)','GTM','502487','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747369,1,'Guatemala (Republic of)','GTM','502488','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747379,1,'Guatemala (Republic of)','GTM','502489','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747389,1,'Guatemala (Republic of)','GTM','50249','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747399,1,'Guatemala (Republic of)','GTM','50250','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747409,1,'Guatemala (Republic of)','GTM','50251','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747419,1,'Guatemala (Republic of)','GTM','50252','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747429,1,'Guatemala (Republic of)','GTM','50253','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747439,1,'Guatemala (Republic of)','GTM','50254','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747449,1,'Guatemala (Republic of)','GTM','502550','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747459,1,'Guatemala (Republic of)','GTM','502551','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747469,1,'Guatemala (Republic of)','GTM','502552','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747479,1,'Guatemala (Republic of)','GTM','5025531','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747489,1,'Guatemala (Republic of)','GTM','5025532','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747499,1,'Guatemala (Republic of)','GTM','5025533','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747509,1,'Guatemala (Republic of)','GTM','5025534','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747519,1,'Guatemala (Republic of)','GTM','5025535','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747529,1,'Guatemala (Republic of)','GTM','5025536','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747539,1,'Guatemala (Republic of)','GTM','5025537','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747549,1,'Guatemala (Republic of)','GTM','5025538','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747559,1,'Guatemala (Republic of)','GTM','5025539','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747569,1,'Guatemala (Republic of)','GTM','502554','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747579,1,'Guatemala (Republic of)','GTM','502555','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747589,1,'Guatemala (Republic of)','GTM','502556','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747599,1,'Guatemala (Republic of)','GTM','502557','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747609,1,'Guatemala (Republic of)','GTM','502558','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747619,1,'Guatemala (Republic of)','GTM','502559','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747629,1,'Guatemala (Republic of)','GTM','50256','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747639,1,'Guatemala (Republic of)','GTM','50257','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747649,1,'Guatemala (Republic of)','GTM','50258','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747659,1,'Guatemala (Republic of)','GTM','50259','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747669,1,'Guatemala (Republic of)','GTM','5026620','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747679,1,'Guatemala (Republic of)','GTM','5026621','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747689,1,'Guatemala (Republic of)','GTM','5026623','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747699,1,'Guatemala (Republic of)','GTM','5026624','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747709,1,'Guatemala (Republic of)','GTM','5026625','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747719,1,'Guatemala (Republic of)','GTM','5026626','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747729,1,'Guatemala (Republic of)','GTM','5026627','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747739,1,'Guatemala (Republic of)','GTM','5026628','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747749,1,'Guatemala (Republic of)','GTM','5026638','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747759,1,'Guatemala (Republic of)','GTM','5026648','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747769,1,'Guatemala (Republic of)','GTM','5026649','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747779,1,'Guatemala (Republic of)','GTM','5026659','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747789,1,'Guatemala (Republic of)','GTM','5026660','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747799,1,'Guatemala (Republic of)','GTM','5026677','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747809,1,'Guatemala (Republic of)','GTM','5026679','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747819,1,'Guatemala (Republic of)','GTM','5027723','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747829,1,'Guatemala (Republic of)','GTM','5027728','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747839,1,'Guatemala (Republic of)','GTM','5027740','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747849,1,'Guatemala (Republic of)','GTM','5027741','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747859,1,'Guatemala (Republic of)','GTM','5027742','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747869,1,'Guatemala (Republic of)','GTM','5027743','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747879,1,'Guatemala (Republic of)','GTM','5027744','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747889,1,'Guatemala (Republic of)','GTM','5027759','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747899,1,'Guatemala (Republic of)','GTM','5027779','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747909,1,'Guatemala (Republic of)','GTM','5027820','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747919,1,'Guatemala (Republic of)','GTM','5027821','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747929,1,'Guatemala (Republic of)','GTM','5027822','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747939,1,'Guatemala (Republic of)','GTM','5027823','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747949,1,'Guatemala (Republic of)','GTM','5027828','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747959,1,'Guatemala (Republic of)','GTM','5027859','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747969,1,'Guatemala (Republic of)','GTM','5027879','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747979,1,'Guatemala (Republic of)','GTM','5027920','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747989,1,'Guatemala (Republic of)','GTM','5027929','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(747999,1,'Guatemala (Republic of)','GTM','5027959','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(748009,1,'Guatemala (Republic of)','GTM','5027968','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(748019,1,'Guatemala (Republic of)','GTM','5027969','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(748029,1,'Guatemala (Republic of)','GTM','5027979','Guatemala (Mobilfunk)',0.21765,60,0.217647,60,0,-1,'mobile'),(748039,1,'Guinea (Republic of)','GIN','224','Guinea (Festnetz)',0.55378,60,0.553782,60,0,-1,'fixed'),(748049,1,'Guinea (Republic of)','GIN','22424','Guinea (Mobilfunk)',0.57059,60,0.570588,60,0,-1,'mobile'),(748059,1,'Guinea (Republic of)','GIN','22455','Guinea (Mobilfunk)',0.57059,60,0.570588,60,0,-1,'mobile'),(748069,1,'Guinea (Republic of)','GIN','22460','Guinea (Mobilfunk)',0.57059,60,0.570588,60,0,-1,'mobile'),(748079,1,'Guinea (Republic of)','GIN','22461','Guinea (Mobilfunk)',0.57059,60,0.570588,60,0,-1,'mobile'),(748089,1,'Guinea (Republic of)','GIN','22462','Guinea (Mobilfunk)',0.57059,60,0.570588,60,0,-1,'mobile'),(748099,1,'Guinea (Republic of)','GIN','22463','Guinea (Mobilfunk)',0.57059,60,0.570588,60,0,-1,'mobile'),(748109,1,'Guinea (Republic of)','GIN','22464','Guinea (Mobilfunk)',0.57059,60,0.570588,60,0,-1,'mobile'),(748119,1,'Guinea (Republic of)','GIN','22465','Guinea (Mobilfunk)',0.57059,60,0.570588,60,0,-1,'mobile'),(748129,1,'Guinea (Republic of)','GIN','22466','Guinea (Mobilfunk)',0.57059,60,0.570588,60,0,-1,'mobile'),(748139,1,'Guinea (Republic of)','GIN','22468','Guinea (Mobilfunk)',0.57059,60,0.570588,60,0,-1,'mobile'),(748149,1,'Guinea (Republic of)','GIN','22469','Guinea (Mobilfunk)',0.57059,60,0.570588,60,0,-1,'mobile'),(748159,1,'Guinea (Republic of)','GIN','22472','Guinea (Mobilfunk)',0.57059,60,0.570588,60,0,-1,'mobile'),(748169,1,'Guinea (Republic of)','GIN','224637275','Guinea (Sonderziel)',0.63782,60,0.637815,60,0,-1,'premium'),(748179,1,'Guinea (Republic of)','GIN','224637276','Guinea (Sonderziel)',0.63782,60,0.637815,60,0,-1,'premium'),(748189,1,'Guinea-Bissau (Republic of)','GNB','245','Guinea-Bissau (Festnetz)',0.55378,60,0.553782,60,0,-1,'fixed'),(748199,1,'Guinea-Bissau (Republic of)','GNB','2455','Guinea-Bissau (Mobilfunk)',0.55378,60,0.553782,60,0,-1,'mobile'),(748209,1,'Guinea-Bissau (Republic of)','GNB','2456','Guinea-Bissau (Mobilfunk)',0.55378,60,0.553782,60,0,-1,'mobile'),(748219,1,'Guinea-Bissau (Republic of)','GNB','2457','Guinea-Bissau (Mobilfunk)',0.55378,60,0.553782,60,0,-1,'mobile'),(748229,1,'Guinea-Bissau (Republic of)','GNB','24590','Guinea-Bissau (Mobilfunk)',0.55378,60,0.553782,60,0,-1,'mobile'),(748239,1,'Guinea-Bissau (Republic of)','GNB','24591','Guinea-Bissau (Mobilfunk)',0.55378,60,0.553782,60,0,-1,'mobile'),(748249,1,'Guinea-Bissau (Republic of)','GNB','24592','Guinea-Bissau (Mobilfunk)',0.55378,60,0.553782,60,0,-1,'mobile'),(748259,1,'Guinea-Bissau (Republic of)','GNB','245208','Guinea-Bissau (Sonderziel)',0.50336,60,0.503361,60,0,-1,'premium'),(748269,1,'Guinea-Bissau (Republic of)','GNB','24529','Guinea-Bissau (Sonderziel)',0.50336,60,0.503361,60,0,-1,'premium'),(748279,1,'Guinea-Bissau (Republic of)','GNB','24540','Guinea-Bissau (Sonderziel)',0.50336,60,0.503361,60,0,-1,'premium'),(748289,1,'Guinea-Bissau (Republic of)','GNB','24542','Guinea-Bissau (Sonderziel)',0.50336,60,0.503361,60,0,-1,'premium'),(748299,1,'Guinea-Bissau (Republic of)','GNB','24545','Guinea-Bissau (Sonderziel)',0.50336,60,0.503361,60,0,-1,'premium'),(748309,1,'Guinea-Bissau (Republic of)','GNB','24549','Guinea-Bissau (Sonderziel)',0.50336,60,0.503361,60,0,-1,'premium'),(748319,1,'Guyana','GUY','592','Guyana (Festnetz)',0.27647,60,0.276471,60,0,-1,'fixed'),(748329,1,'Guyana','GUY','592600','Guyana (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(748339,1,'Guyana','GUY','592601','Guyana (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(748349,1,'Guyana','GUY','592602','Guyana (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(748359,1,'Guyana','GUY','592603','Guyana (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(748369,1,'Guyana','GUY','592604','Guyana (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(748379,1,'Guyana','GUY','592609','Guyana (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(748389,1,'Guyana','GUY','59261','Guyana (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(748399,1,'Guyana','GUY','59262','Guyana (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(748409,1,'Guyana','GUY','59263','Guyana (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(748419,1,'Guyana','GUY','59264','Guyana (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(748429,1,'Guyana','GUY','59265','Guyana (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(748439,1,'Guyana','GUY','59266','Guyana (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(748449,1,'Guyana','GUY','59267','Guyana (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(748459,1,'Guyana','GUY','59268','Guyana (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(748469,1,'Guyana','GUY','59269','Guyana (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(748479,1,'Guyana','GUY','59280','Guyana (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(748489,1,'Guyana','GUY','5921','Guyana (Sonderziel)',0.38571,60,0.385714,60,0,-1,'premium'),(748499,1,'Haiti (Republic of)','HTI','509','Haiti (Festnetz)',0.37731,60,0.377311,60,0,-1,'fixed'),(748509,1,'Haiti (Republic of)','HTI','509281','Haiti (Mobilfunk)',0.37731,60,0.377311,60,0,-1,'mobile'),(748519,1,'Haiti (Republic of)','HTI','50929','Haiti (Mobilfunk)',0.37731,60,0.377311,60,0,-1,'mobile'),(748529,1,'Haiti (Republic of)','HTI','5093','Haiti (Mobilfunk)',0.37731,60,0.377311,60,0,-1,'mobile'),(748539,1,'Haiti (Republic of)','HTI','50944','Haiti (Mobilfunk)',0.37731,60,0.377311,60,0,-1,'mobile'),(748549,1,'Haiti (Republic of)','HTI','50946','Haiti (Mobilfunk)',0.37731,60,0.377311,60,0,-1,'mobile'),(748559,1,'Haiti (Republic of)','HTI','50947','Haiti (Mobilfunk)',0.37731,60,0.377311,60,0,-1,'mobile'),(748569,1,'Haiti (Republic of)','HTI','50948','Haiti (Mobilfunk)',0.37731,60,0.377311,60,0,-1,'mobile'),(748579,1,'Haiti (Republic of)','HTI','50949','Haiti (Mobilfunk)',0.37731,60,0.377311,60,0,-1,'mobile'),(748589,1,'Haiti (Republic of)','HTI','5096','Haiti (Mobilfunk)',0.37731,60,0.377311,60,0,-1,'mobile'),(748599,1,'Haiti (Republic of)','HTI','5097','Haiti (Mobilfunk)',0.37731,60,0.377311,60,0,-1,'mobile'),(748609,1,'Haiti (Republic of)','HTI','5098','Haiti (Mobilfunk)',0.37731,60,0.377311,60,0,-1,'mobile'),(748619,1,'Haiti (Republic of)','HTI','50925','Haiti (Sonderziel)',0.43613,60,0.436134,60,0,-1,'premium'),(748629,1,'Haiti (Republic of)','HTI','509290','Haiti (Sonderziel)',0.43613,60,0.436134,60,0,-1,'premium'),(748639,1,'Haiti (Republic of)','HTI','509292','Haiti (Sonderziel)',0.43613,60,0.436134,60,0,-1,'premium'),(748649,1,'Haiti (Republic of)','HTI','509296','Haiti (Sonderziel)',0.43613,60,0.436134,60,0,-1,'premium'),(748659,1,'Haiti (Republic of)','HTI','50935','Haiti (Sonderziel)',0.43613,60,0.436134,60,0,-1,'premium'),(748669,1,'Honduras (Republic of)','HND','504','Honduras (Festnetz)',0.16723,60,0.167227,60,0,-1,'fixed'),(748679,1,'Honduras (Republic of)','HND','5043','Honduras (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(748689,1,'Honduras (Republic of)','HND','5047214','Honduras (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(748699,1,'Honduras (Republic of)','HND','5047215','Honduras (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(748709,1,'Honduras (Republic of)','HND','5047216','Honduras (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(748719,1,'Honduras (Republic of)','HND','5047217','Honduras (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(748729,1,'Honduras (Republic of)','HND','5047218','Honduras (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(748739,1,'Honduras (Republic of)','HND','5047219','Honduras (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(748749,1,'Honduras (Republic of)','HND','5047240','Honduras (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(748759,1,'Honduras (Republic of)','HND','5047241','Honduras (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(748769,1,'Honduras (Republic of)','HND','5047250','Honduras (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(748779,1,'Honduras (Republic of)','HND','5047251','Honduras (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(748789,1,'Honduras (Republic of)','HND','5047252','Honduras (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(748799,1,'Honduras (Republic of)','HND','50474100','Honduras (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(748809,1,'Honduras (Republic of)','HND','50474101','Honduras (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(748819,1,'Honduras (Republic of)','HND','50474102','Honduras (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(748829,1,'Honduras (Republic of)','HND','50474103','Honduras (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(748839,1,'Honduras (Republic of)','HND','50474104','Honduras (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(748849,1,'Honduras (Republic of)','HND','5047411','Honduras (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(748859,1,'Honduras (Republic of)','HND','50474120','Honduras (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(748869,1,'Honduras (Republic of)','HND','50474121','Honduras (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(748879,1,'Honduras (Republic of)','HND','50474123','Honduras (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(748889,1,'Honduras (Republic of)','HND','50474124','Honduras (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(748899,1,'Honduras (Republic of)','HND','5048','Honduras (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(748909,1,'Honduras (Republic of)','HND','5049','Honduras (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(748919,1,'Hong Kong, China','HKG','852','Hongkong (Festnetz)',0.02437,60,0.0243697,60,0,-1,'fixed'),(748929,1,'Hong Kong, China','HKG','85217','Hongkong (Mobilfunk)',0.00756,60,0.00756303,60,0,-1,'mobile'),(748939,1,'Hong Kong, China','HKG','85248','Hongkong (Mobilfunk)',0.00756,60,0.00756303,60,0,-1,'mobile'),(748949,1,'Hong Kong, China','HKG','85249','Hongkong (Mobilfunk)',0.00756,60,0.00756303,60,0,-1,'mobile'),(748959,1,'Hong Kong, China','HKG','85251','Hongkong (Mobilfunk)',0.00756,60,0.00756303,60,0,-1,'mobile'),(748969,1,'Hong Kong, China','HKG','85253','Hongkong (Mobilfunk)',0.00756,60,0.00756303,60,0,-1,'mobile'),(748979,1,'Hong Kong, China','HKG','85254','Hongkong (Mobilfunk)',0.00756,60,0.00756303,60,0,-1,'mobile'),(748989,1,'Hong Kong, China','HKG','85256','Hongkong (Mobilfunk)',0.00756,60,0.00756303,60,0,-1,'mobile'),(748999,1,'Hong Kong, China','HKG','85259','Hongkong (Mobilfunk)',0.00756,60,0.00756303,60,0,-1,'mobile'),(749009,1,'Hong Kong, China','HKG','8526','Hongkong (Mobilfunk)',0.00756,60,0.00756303,60,0,-1,'mobile'),(749019,1,'Hong Kong, China','HKG','8529','Hongkong (Mobilfunk)',0.00756,60,0.00756303,60,0,-1,'mobile'),(749029,1,'Hong Kong, China','HKG','852900','Hongkong (Sonderziel)',0.01597,60,0.0159664,60,0,-1,'premium'),(749039,1,'International Mobile, shared code','','8810','ICO Global Network (Festnetz)',5.20924,60,5.20924,60,0,-1,'fixed'),(749049,1,'International Mobile, shared code','','8811','ICO Global Network (Festnetz)',5.20924,60,5.20924,60,0,-1,'fixed'),(749059,1,'India (Republic of)','IND','91','Indien (Festnetz)',0.02437,60,0.0243697,60,0,-1,'fixed'),(749069,1,'India (Republic of)','IND','9185552','Indien (Festnetz)',0.02437,60,0.0243697,60,0,-1,'fixed'),(749079,1,'India (Republic of)','IND','9185553','Indien (Festnetz)',0.02437,60,0.0243697,60,0,-1,'fixed'),(749089,1,'India (Republic of)','IND','917101','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749099,1,'India (Republic of)','IND','917107','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749109,1,'India (Republic of)','IND','917108','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749119,1,'India (Republic of)','IND','917110','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749129,1,'India (Republic of)','IND','917111','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749139,1,'India (Republic of)','IND','917117','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749149,1,'India (Republic of)','IND','917119','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749159,1,'India (Republic of)','IND','917130','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749169,1,'India (Republic of)','IND','917140','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749179,1,'India (Republic of)','IND','917159','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749189,1,'India (Republic of)','IND','917163','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749199,1,'India (Republic of)','IND','917190','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749209,1,'India (Republic of)','IND','917191','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749219,1,'India (Republic of)','IND','917192','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749229,1,'India (Republic of)','IND','917193','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749239,1,'India (Republic of)','IND','917194','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749249,1,'India (Republic of)','IND','917195','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749259,1,'India (Republic of)','IND','917200','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749269,1,'India (Republic of)','IND','917204','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749279,1,'India (Republic of)','IND','917205','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749289,1,'India (Republic of)','IND','917206','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749299,1,'India (Republic of)','IND','917207','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749309,1,'India (Republic of)','IND','917208','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749319,1,'India (Republic of)','IND','917209','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749329,1,'India (Republic of)','IND','917250','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749339,1,'India (Republic of)','IND','917259','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749349,1,'India (Republic of)','IND','917275','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749359,1,'India (Republic of)','IND','917276','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749369,1,'India (Republic of)','IND','917277','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749379,1,'India (Republic of)','IND','917278','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749389,1,'India (Republic of)','IND','917293','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749399,1,'India (Republic of)','IND','917298','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749409,1,'India (Republic of)','IND','917299','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749419,1,'India (Republic of)','IND','917301','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749429,1,'India (Republic of)','IND','917302','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749439,1,'India (Republic of)','IND','917303','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749449,1,'India (Republic of)','IND','917304','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749459,1,'India (Republic of)','IND','917305','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749469,1,'India (Republic of)','IND','917306','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749479,1,'India (Republic of)','IND','917307','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749489,1,'India (Republic of)','IND','917308','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749499,1,'India (Republic of)','IND','917309','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749509,1,'India (Republic of)','IND','91735','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749519,1,'India (Republic of)','IND','917373','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749529,1,'India (Republic of)','IND','917376','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749539,1,'India (Republic of)','IND','917377','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749549,1,'India (Republic of)','IND','917378','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749559,1,'India (Republic of)','IND','917379','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749569,1,'India (Republic of)','IND','917381','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749579,1,'India (Republic of)','IND','917382','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749589,1,'India (Republic of)','IND','917383','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749599,1,'India (Republic of)','IND','917384','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749609,1,'India (Republic of)','IND','917385','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749619,1,'India (Republic of)','IND','917386','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749629,1,'India (Republic of)','IND','917387','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749639,1,'India (Republic of)','IND','917388','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749649,1,'India (Republic of)','IND','917389','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749659,1,'India (Republic of)','IND','917396','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749669,1,'India (Republic of)','IND','917398','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749679,1,'India (Republic of)','IND','917399','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749689,1,'India (Republic of)','IND','917401','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749699,1,'India (Republic of)','IND','917402','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749709,1,'India (Republic of)','IND','917403','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749719,1,'India (Republic of)','IND','917404','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749729,1,'India (Republic of)','IND','917405','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749739,1,'India (Republic of)','IND','917406','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749749,1,'India (Republic of)','IND','917407','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749759,1,'India (Republic of)','IND','917408','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749769,1,'India (Republic of)','IND','917409','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749779,1,'India (Republic of)','IND','917411','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749789,1,'India (Republic of)','IND','917415','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749799,1,'India (Republic of)','IND','917416','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749809,1,'India (Republic of)','IND','917417','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749819,1,'India (Republic of)','IND','917418','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749829,1,'India (Republic of)','IND','917419','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749839,1,'India (Republic of)','IND','917428','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749849,1,'India (Republic of)','IND','917429','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749859,1,'India (Republic of)','IND','917439','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749869,1,'India (Republic of)','IND','917483','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749879,1,'India (Republic of)','IND','917488','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749889,1,'India (Republic of)','IND','917489','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749899,1,'India (Republic of)','IND','917498','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749909,1,'India (Republic of)','IND','917499','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749919,1,'India (Republic of)','IND','91750','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749929,1,'India (Republic of)','IND','917520','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749939,1,'India (Republic of)','IND','917549','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749949,1,'India (Republic of)','IND','917566','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749959,1,'India (Republic of)','IND','917567','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749969,1,'India (Republic of)','IND','917568','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749979,1,'India (Republic of)','IND','917569','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749989,1,'India (Republic of)','IND','917579','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(749999,1,'India (Republic of)','IND','9175870','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750009,1,'India (Republic of)','IND','9175871','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750019,1,'India (Republic of)','IND','9175872','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750029,1,'India (Republic of)','IND','9175873','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750039,1,'India (Republic of)','IND','9175874','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750049,1,'India (Republic of)','IND','917588','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750059,1,'India (Republic of)','IND','9175890','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750069,1,'India (Republic of)','IND','9175891','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750079,1,'India (Republic of)','IND','9175892','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750089,1,'India (Republic of)','IND','9175893','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750099,1,'India (Republic of)','IND','9175894','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750109,1,'India (Republic of)','IND','9175895','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750119,1,'India (Republic of)','IND','917597','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750129,1,'India (Republic of)','IND','917598','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750139,1,'India (Republic of)','IND','9175990','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750149,1,'India (Republic of)','IND','9175991','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750159,1,'India (Republic of)','IND','9175992','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750169,1,'India (Republic of)','IND','9175993','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750179,1,'India (Republic of)','IND','9175994','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750189,1,'India (Republic of)','IND','917600','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750199,1,'India (Republic of)','IND','917602','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750209,1,'India (Republic of)','IND','917607','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750219,1,'India (Republic of)','IND','917620','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750229,1,'India (Republic of)','IND','917631','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750239,1,'India (Republic of)','IND','917639','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750249,1,'India (Republic of)','IND','917654','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750259,1,'India (Republic of)','IND','917665','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750269,1,'India (Republic of)','IND','917666','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750279,1,'India (Republic of)','IND','917667','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750289,1,'India (Republic of)','IND','917668','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750299,1,'India (Republic of)','IND','917669','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750309,1,'India (Republic of)','IND','917676','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750319,1,'India (Republic of)','IND','917677','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750329,1,'India (Republic of)','IND','917679','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750339,1,'India (Republic of)','IND','917696','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750349,1,'India (Republic of)','IND','917697','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750359,1,'India (Republic of)','IND','917698','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750369,1,'India (Republic of)','IND','917699','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750379,1,'India (Republic of)','IND','917702','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750389,1,'India (Republic of)','IND','917708','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750399,1,'India (Republic of)','IND','917709','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750409,1,'India (Republic of)','IND','917735','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750419,1,'India (Republic of)','IND','917736','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750429,1,'India (Republic of)','IND','917737','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750439,1,'India (Republic of)','IND','917738','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750449,1,'India (Republic of)','IND','917739','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750459,1,'India (Republic of)','IND','917742','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750469,1,'India (Republic of)','IND','917760','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750479,1,'India (Republic of)','IND','9177639','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750489,1,'India (Republic of)','IND','9177640','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750499,1,'India (Republic of)','IND','9177648','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750509,1,'India (Republic of)','IND','9177649','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750519,1,'India (Republic of)','IND','9177650','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750529,1,'India (Republic of)','IND','9177658','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750539,1,'India (Republic of)','IND','9177659','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750549,1,'India (Republic of)','IND','9177660','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750559,1,'India (Republic of)','IND','9177668','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750569,1,'India (Republic of)','IND','9177669','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750579,1,'India (Republic of)','IND','9177670','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750589,1,'India (Republic of)','IND','9177678','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750599,1,'India (Republic of)','IND','9177679','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750609,1,'India (Republic of)','IND','9177680','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750619,1,'India (Republic of)','IND','9177688','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750629,1,'India (Republic of)','IND','9177689','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750639,1,'India (Republic of)','IND','9177690','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750649,1,'India (Republic of)','IND','9177698','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750659,1,'India (Republic of)','IND','9177699','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750669,1,'India (Republic of)','IND','9177700','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750679,1,'India (Republic of)','IND','9177708','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750689,1,'India (Republic of)','IND','9177709','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750699,1,'India (Republic of)','IND','9177710','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750709,1,'India (Republic of)','IND','9177718','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750719,1,'India (Republic of)','IND','9177719','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750729,1,'India (Republic of)','IND','9177720','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750739,1,'India (Republic of)','IND','9177728','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750749,1,'India (Republic of)','IND','9177729','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750759,1,'India (Republic of)','IND','9177730','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750769,1,'India (Republic of)','IND','9177738','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750779,1,'India (Republic of)','IND','9177739','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750789,1,'India (Republic of)','IND','9177740','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750799,1,'India (Republic of)','IND','9177748','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750809,1,'India (Republic of)','IND','9177749','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750819,1,'India (Republic of)','IND','9177750','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750829,1,'India (Republic of)','IND','9177758','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750839,1,'India (Republic of)','IND','9177759','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750849,1,'India (Republic of)','IND','9177760','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750859,1,'India (Republic of)','IND','9177768','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750869,1,'India (Republic of)','IND','9177769','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750879,1,'India (Republic of)','IND','9177779','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750889,1,'India (Republic of)','IND','9177780','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750899,1,'India (Republic of)','IND','9177788','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750909,1,'India (Republic of)','IND','9177789','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750919,1,'India (Republic of)','IND','9177790','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750929,1,'India (Republic of)','IND','9177798','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750939,1,'India (Republic of)','IND','9177799','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750949,1,'India (Republic of)','IND','9177810','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750959,1,'India (Republic of)','IND','9177818','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750969,1,'India (Republic of)','IND','9177819','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750979,1,'India (Republic of)','IND','9177820','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750989,1,'India (Republic of)','IND','9177828','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(750999,1,'India (Republic of)','IND','9177829','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751009,1,'India (Republic of)','IND','9177830','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751019,1,'India (Republic of)','IND','9177838','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751029,1,'India (Republic of)','IND','9177839','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751039,1,'India (Republic of)','IND','9177840','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751049,1,'India (Republic of)','IND','9177848','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751059,1,'India (Republic of)','IND','9177849','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751069,1,'India (Republic of)','IND','9177850','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751079,1,'India (Republic of)','IND','9177858','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751089,1,'India (Republic of)','IND','9177859','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751099,1,'India (Republic of)','IND','9177860','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751109,1,'India (Republic of)','IND','9177868','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751119,1,'India (Republic of)','IND','9177869','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751129,1,'India (Republic of)','IND','9177870','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751139,1,'India (Republic of)','IND','9177878','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751149,1,'India (Republic of)','IND','9177879','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751159,1,'India (Republic of)','IND','9177880','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751169,1,'India (Republic of)','IND','9177888','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751179,1,'India (Republic of)','IND','9177889','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751189,1,'India (Republic of)','IND','9177890','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751199,1,'India (Republic of)','IND','9177898','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751209,1,'India (Republic of)','IND','9177899','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751219,1,'India (Republic of)','IND','9177900','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751229,1,'India (Republic of)','IND','9177908','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751239,1,'India (Republic of)','IND','9177909','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751249,1,'India (Republic of)','IND','9177910','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751259,1,'India (Republic of)','IND','9177918','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751269,1,'India (Republic of)','IND','9177919','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751279,1,'India (Republic of)','IND','9177920','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751289,1,'India (Republic of)','IND','9177928','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751299,1,'India (Republic of)','IND','9177929','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751309,1,'India (Republic of)','IND','9177930','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751319,1,'India (Republic of)','IND','9177938','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751329,1,'India (Republic of)','IND','9177939','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751339,1,'India (Republic of)','IND','9177940','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751349,1,'India (Republic of)','IND','9177948','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751359,1,'India (Republic of)','IND','9177949','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751369,1,'India (Republic of)','IND','917795','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751379,1,'India (Republic of)','IND','917796','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751389,1,'India (Republic of)','IND','917797','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751399,1,'India (Republic of)','IND','917798','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751409,1,'India (Republic of)','IND','917799','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751419,1,'India (Republic of)','IND','917800','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751429,1,'India (Republic of)','IND','9178010','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751439,1,'India (Republic of)','IND','9178018','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751449,1,'India (Republic of)','IND','9178019','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751459,1,'India (Republic of)','IND','9178020','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751469,1,'India (Republic of)','IND','9178028','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751479,1,'India (Republic of)','IND','9178029','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751489,1,'India (Republic of)','IND','9178030','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751499,1,'India (Republic of)','IND','9178038','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751509,1,'India (Republic of)','IND','9178039','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751519,1,'India (Republic of)','IND','9178040','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751529,1,'India (Republic of)','IND','9178048','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751539,1,'India (Republic of)','IND','9178049','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751549,1,'India (Republic of)','IND','9178050','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751559,1,'India (Republic of)','IND','9178058','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751569,1,'India (Republic of)','IND','9178059','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751579,1,'India (Republic of)','IND','9178060','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751589,1,'India (Republic of)','IND','9178068','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751599,1,'India (Republic of)','IND','9178069','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751609,1,'India (Republic of)','IND','917807','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751619,1,'India (Republic of)','IND','917808','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751629,1,'India (Republic of)','IND','917809','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751639,1,'India (Republic of)','IND','9178100','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751649,1,'India (Republic of)','IND','9178108','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751659,1,'India (Republic of)','IND','9178109','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751669,1,'India (Republic of)','IND','9178110','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751679,1,'India (Republic of)','IND','9178118','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751689,1,'India (Republic of)','IND','9178119','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751699,1,'India (Republic of)','IND','9178120','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751709,1,'India (Republic of)','IND','9178128','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751719,1,'India (Republic of)','IND','9178129','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751729,1,'India (Republic of)','IND','9178130','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751739,1,'India (Republic of)','IND','9178138','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751749,1,'India (Republic of)','IND','9178139','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751759,1,'India (Republic of)','IND','917814','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751769,1,'India (Republic of)','IND','9178150','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751779,1,'India (Republic of)','IND','9178158','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751789,1,'India (Republic of)','IND','9178159','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751799,1,'India (Republic of)','IND','9178160','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751809,1,'India (Republic of)','IND','9178168','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751819,1,'India (Republic of)','IND','9178169','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751829,1,'India (Republic of)','IND','9178170','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751839,1,'India (Republic of)','IND','9178178','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751849,1,'India (Republic of)','IND','9178179','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751859,1,'India (Republic of)','IND','9178180','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751869,1,'India (Republic of)','IND','9178188','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751879,1,'India (Republic of)','IND','9178189','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751889,1,'India (Republic of)','IND','9178190','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751899,1,'India (Republic of)','IND','9178198','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751909,1,'India (Republic of)','IND','9178199','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751919,1,'India (Republic of)','IND','9178200','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751929,1,'India (Republic of)','IND','9178208','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751939,1,'India (Republic of)','IND','9178209','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751949,1,'India (Republic of)','IND','9178210','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751959,1,'India (Republic of)','IND','9178218','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751969,1,'India (Republic of)','IND','9178219','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751979,1,'India (Republic of)','IND','9178220','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751989,1,'India (Republic of)','IND','9178228','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(751999,1,'India (Republic of)','IND','9178229','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752009,1,'India (Republic of)','IND','9178230','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752019,1,'India (Republic of)','IND','9178238','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752029,1,'India (Republic of)','IND','9178239','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752039,1,'India (Republic of)','IND','9178240','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752049,1,'India (Republic of)','IND','9178248','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752059,1,'India (Republic of)','IND','9178249','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752069,1,'India (Republic of)','IND','9178250','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752079,1,'India (Republic of)','IND','9178258','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752089,1,'India (Republic of)','IND','9178259','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752099,1,'India (Republic of)','IND','9178260','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752109,1,'India (Republic of)','IND','9178268','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752119,1,'India (Republic of)','IND','9178269','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752129,1,'India (Republic of)','IND','917827','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752139,1,'India (Republic of)','IND','917828','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752149,1,'India (Republic of)','IND','917829','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752159,1,'India (Republic of)','IND','917830','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752169,1,'India (Republic of)','IND','9178310','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752179,1,'India (Republic of)','IND','9178318','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752189,1,'India (Republic of)','IND','9178319','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752199,1,'India (Republic of)','IND','9178320','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752209,1,'India (Republic of)','IND','9178328','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752219,1,'India (Republic of)','IND','9178329','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752229,1,'India (Republic of)','IND','9178330','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752239,1,'India (Republic of)','IND','9178338','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752249,1,'India (Republic of)','IND','9178339','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752259,1,'India (Republic of)','IND','9178340','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752269,1,'India (Republic of)','IND','9178348','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752279,1,'India (Republic of)','IND','9178349','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752289,1,'India (Republic of)','IND','9178350','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752299,1,'India (Republic of)','IND','9178358','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752309,1,'India (Republic of)','IND','9178359','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752319,1,'India (Republic of)','IND','9178360','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752329,1,'India (Republic of)','IND','9178368','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752339,1,'India (Republic of)','IND','9178369','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752349,1,'India (Republic of)','IND','917837','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752359,1,'India (Republic of)','IND','917838','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752369,1,'India (Republic of)','IND','917839','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752379,1,'India (Republic of)','IND','9178400','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752389,1,'India (Republic of)','IND','9178408','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752399,1,'India (Republic of)','IND','9178409','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752409,1,'India (Republic of)','IND','9178410','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752419,1,'India (Republic of)','IND','9178418','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752429,1,'India (Republic of)','IND','9178419','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752439,1,'India (Republic of)','IND','917842','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752449,1,'India (Republic of)','IND','9178430','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752459,1,'India (Republic of)','IND','9178438','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752469,1,'India (Republic of)','IND','9178439','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752479,1,'India (Republic of)','IND','9178440','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752489,1,'India (Republic of)','IND','9178448','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752499,1,'India (Republic of)','IND','9178449','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752509,1,'India (Republic of)','IND','917845','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752519,1,'India (Republic of)','IND','9178460','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752529,1,'India (Republic of)','IND','9178468','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752539,1,'India (Republic of)','IND','9178469','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752549,1,'India (Republic of)','IND','9178470','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752559,1,'India (Republic of)','IND','9178478','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752569,1,'India (Republic of)','IND','9178479','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752579,1,'India (Republic of)','IND','9178480','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752589,1,'India (Republic of)','IND','9178488','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752599,1,'India (Republic of)','IND','9178489','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752609,1,'India (Republic of)','IND','9178490','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752619,1,'India (Republic of)','IND','9178498','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752629,1,'India (Republic of)','IND','9178499','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752639,1,'India (Republic of)','IND','9178500','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752649,1,'India (Republic of)','IND','9178508','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752659,1,'India (Republic of)','IND','9178509','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752669,1,'India (Republic of)','IND','9178510','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752679,1,'India (Republic of)','IND','9178518','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752689,1,'India (Republic of)','IND','9178519','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752699,1,'India (Republic of)','IND','9178520','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752709,1,'India (Republic of)','IND','9178528','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752719,1,'India (Republic of)','IND','9178529','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752729,1,'India (Republic of)','IND','9178530','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752739,1,'India (Republic of)','IND','9178538','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752749,1,'India (Republic of)','IND','9178539','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752759,1,'India (Republic of)','IND','9178540','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752769,1,'India (Republic of)','IND','9178548','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752779,1,'India (Republic of)','IND','9178549','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752789,1,'India (Republic of)','IND','9178550','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752799,1,'India (Republic of)','IND','9178558','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752809,1,'India (Republic of)','IND','9178559','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752819,1,'India (Republic of)','IND','9178560','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752829,1,'India (Republic of)','IND','9178568','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752839,1,'India (Republic of)','IND','9178569','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752849,1,'India (Republic of)','IND','9178570','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752859,1,'India (Republic of)','IND','9178578','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752869,1,'India (Republic of)','IND','9178579','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752879,1,'India (Republic of)','IND','9178580','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752889,1,'India (Republic of)','IND','9178588','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752899,1,'India (Republic of)','IND','9178589','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752909,1,'India (Republic of)','IND','9178590','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752919,1,'India (Republic of)','IND','9178598','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752929,1,'India (Republic of)','IND','9178599','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752939,1,'India (Republic of)','IND','917860','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752949,1,'India (Republic of)','IND','9178610','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752959,1,'India (Republic of)','IND','9178618','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752969,1,'India (Republic of)','IND','9178619','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752979,1,'India (Republic of)','IND','9178620','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752989,1,'India (Republic of)','IND','9178628','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(752999,1,'India (Republic of)','IND','9178629','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753009,1,'India (Republic of)','IND','9178630','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753019,1,'India (Republic of)','IND','9178638','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753029,1,'India (Republic of)','IND','9178639','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753039,1,'India (Republic of)','IND','9178640','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753049,1,'India (Republic of)','IND','9178648','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753059,1,'India (Republic of)','IND','9178649','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753069,1,'India (Republic of)','IND','9178650','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753079,1,'India (Republic of)','IND','9178658','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753089,1,'India (Republic of)','IND','9178659','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753099,1,'India (Republic of)','IND','9178660','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753109,1,'India (Republic of)','IND','9178668','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753119,1,'India (Republic of)','IND','9178669','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753129,1,'India (Republic of)','IND','9178670','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753139,1,'India (Republic of)','IND','9178678','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753149,1,'India (Republic of)','IND','9178679','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753159,1,'India (Republic of)','IND','9178680','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753169,1,'India (Republic of)','IND','9178688','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753179,1,'India (Republic of)','IND','9178689','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753189,1,'India (Republic of)','IND','917869','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753199,1,'India (Republic of)','IND','91787','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753209,1,'India (Republic of)','IND','91789','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753219,1,'India (Republic of)','IND','918000','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753229,1,'India (Republic of)','IND','918001','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753239,1,'India (Republic of)','IND','918002','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753249,1,'India (Republic of)','IND','918003','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753259,1,'India (Republic of)','IND','918004','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753269,1,'India (Republic of)','IND','9180050','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753279,1,'India (Republic of)','IND','9180051','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753289,1,'India (Republic of)','IND','9180052','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753299,1,'India (Republic of)','IND','9180053','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753309,1,'India (Republic of)','IND','9180054','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753319,1,'India (Republic of)','IND','918006','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753329,1,'India (Republic of)','IND','918007','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753339,1,'India (Republic of)','IND','918008','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753349,1,'India (Republic of)','IND','918009','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753359,1,'India (Republic of)','IND','91801','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753369,1,'India (Republic of)','IND','91805','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753379,1,'India (Republic of)','IND','91808','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753389,1,'India (Republic of)','IND','91809','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753399,1,'India (Republic of)','IND','91810','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753409,1,'India (Republic of)','IND','9181100','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753419,1,'India (Republic of)','IND','9181108','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753429,1,'India (Republic of)','IND','9181109','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753439,1,'India (Republic of)','IND','9181110','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753449,1,'India (Republic of)','IND','9181118','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753459,1,'India (Republic of)','IND','9181119','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753469,1,'India (Republic of)','IND','9181130','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753479,1,'India (Republic of)','IND','9181138','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753489,1,'India (Republic of)','IND','9181139','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753499,1,'India (Republic of)','IND','918115','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753509,1,'India (Republic of)','IND','918116','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753519,1,'India (Republic of)','IND','9181170','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753529,1,'India (Republic of)','IND','9181178','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753539,1,'India (Republic of)','IND','9181179','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753549,1,'India (Republic of)','IND','9181180','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753559,1,'India (Republic of)','IND','9181188','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753569,1,'India (Republic of)','IND','9181189','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753579,1,'India (Republic of)','IND','9181190','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753589,1,'India (Republic of)','IND','9181198','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753599,1,'India (Republic of)','IND','9181199','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753609,1,'India (Republic of)','IND','91812','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753619,1,'India (Republic of)','IND','918130','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753629,1,'India (Republic of)','IND','9181310','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753639,1,'India (Republic of)','IND','9181318','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753649,1,'India (Republic of)','IND','9181319','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753659,1,'India (Republic of)','IND','9181320','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753669,1,'India (Republic of)','IND','9181328','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753679,1,'India (Republic of)','IND','9181329','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753689,1,'India (Republic of)','IND','9181330','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753699,1,'India (Republic of)','IND','9181338','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753709,1,'India (Republic of)','IND','9181339','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753719,1,'India (Republic of)','IND','9181340','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753729,1,'India (Republic of)','IND','9181348','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753739,1,'India (Republic of)','IND','9181349','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753749,1,'India (Republic of)','IND','9181350','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753759,1,'India (Republic of)','IND','9181358','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753769,1,'India (Republic of)','IND','9181359','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753779,1,'India (Republic of)','IND','9181360','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753789,1,'India (Republic of)','IND','9181368','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753799,1,'India (Republic of)','IND','9181369','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753809,1,'India (Republic of)','IND','9181370','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753819,1,'India (Republic of)','IND','9181378','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753829,1,'India (Republic of)','IND','9181379','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753839,1,'India (Republic of)','IND','9181380','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753849,1,'India (Republic of)','IND','9181388','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753859,1,'India (Republic of)','IND','9181389','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753869,1,'India (Republic of)','IND','9181390','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753879,1,'India (Republic of)','IND','9181398','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753889,1,'India (Republic of)','IND','9181399','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753899,1,'India (Republic of)','IND','91814','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753909,1,'India (Republic of)','IND','9181500','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753919,1,'India (Republic of)','IND','9181508','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753929,1,'India (Republic of)','IND','9181509','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753939,1,'India (Republic of)','IND','9181510','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753949,1,'India (Republic of)','IND','9181518','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753959,1,'India (Republic of)','IND','9181519','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753969,1,'India (Republic of)','IND','9181520','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753979,1,'India (Republic of)','IND','9181528','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753989,1,'India (Republic of)','IND','9181529','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(753999,1,'India (Republic of)','IND','9181530','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754009,1,'India (Republic of)','IND','9181538','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754019,1,'India (Republic of)','IND','9181539','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754029,1,'India (Republic of)','IND','9181540','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754039,1,'India (Republic of)','IND','9181548','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754049,1,'India (Republic of)','IND','9181549','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754059,1,'India (Republic of)','IND','9181550','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754069,1,'India (Republic of)','IND','9181558','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754079,1,'India (Republic of)','IND','9181559','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754089,1,'India (Republic of)','IND','9181560','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754099,1,'India (Republic of)','IND','9181568','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754109,1,'India (Republic of)','IND','9181569','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754119,1,'India (Republic of)','IND','9181570','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754129,1,'India (Republic of)','IND','9181578','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754139,1,'India (Republic of)','IND','9181579','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754149,1,'India (Republic of)','IND','9181580','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754159,1,'India (Republic of)','IND','9181588','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754169,1,'India (Republic of)','IND','9181589','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754179,1,'India (Republic of)','IND','9181590','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754189,1,'India (Republic of)','IND','9181598','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754199,1,'India (Republic of)','IND','9181599','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754209,1,'India (Republic of)','IND','9181700','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754219,1,'India (Republic of)','IND','9181708','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754229,1,'India (Republic of)','IND','9181709','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754239,1,'India (Republic of)','IND','918171','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754249,1,'India (Republic of)','IND','9181720','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754259,1,'India (Republic of)','IND','9181728','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754269,1,'India (Republic of)','IND','9181729','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754279,1,'India (Republic of)','IND','9181730','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754289,1,'India (Republic of)','IND','9181738','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754299,1,'India (Republic of)','IND','9181739','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754309,1,'India (Republic of)','IND','9181740','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754319,1,'India (Republic of)','IND','9181748','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754329,1,'India (Republic of)','IND','9181749','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754339,1,'India (Republic of)','IND','9181750','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754349,1,'India (Republic of)','IND','9181758','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754359,1,'India (Republic of)','IND','9181759','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754369,1,'India (Republic of)','IND','9181760','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754379,1,'India (Republic of)','IND','9181768','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754389,1,'India (Republic of)','IND','9181769','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754399,1,'India (Republic of)','IND','9181770','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754409,1,'India (Republic of)','IND','9181778','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754419,1,'India (Republic of)','IND','9181779','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754429,1,'India (Republic of)','IND','918179','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754439,1,'India (Republic of)','IND','9181800','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754449,1,'India (Republic of)','IND','9181808','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754459,1,'India (Republic of)','IND','9181809','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754469,1,'India (Republic of)','IND','9181810','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754479,1,'India (Republic of)','IND','9181818','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754489,1,'India (Republic of)','IND','9181819','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754499,1,'India (Republic of)','IND','9181820','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754509,1,'India (Republic of)','IND','9181828','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754519,1,'India (Republic of)','IND','9181829','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754529,1,'India (Republic of)','IND','9181830','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754539,1,'India (Republic of)','IND','9181838','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754549,1,'India (Republic of)','IND','9181839','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754559,1,'India (Republic of)','IND','9181840','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754569,1,'India (Republic of)','IND','9181848','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754579,1,'India (Republic of)','IND','9181849','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754589,1,'India (Republic of)','IND','9181850','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754599,1,'India (Republic of)','IND','9181858','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754609,1,'India (Republic of)','IND','9181859','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754619,1,'India (Republic of)','IND','9181860','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754629,1,'India (Republic of)','IND','9181868','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754639,1,'India (Republic of)','IND','9181869','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754649,1,'India (Republic of)','IND','9181870','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754659,1,'India (Republic of)','IND','9181878','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754669,1,'India (Republic of)','IND','9181879','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754679,1,'India (Republic of)','IND','9181880','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754689,1,'India (Republic of)','IND','9181888','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754699,1,'India (Republic of)','IND','9181889','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754709,1,'India (Republic of)','IND','9181890','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754719,1,'India (Republic of)','IND','9181898','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754729,1,'India (Republic of)','IND','9181899','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754739,1,'India (Republic of)','IND','9181900','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754749,1,'India (Republic of)','IND','9181908','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754759,1,'India (Republic of)','IND','9181909','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754769,1,'India (Republic of)','IND','9181910','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754779,1,'India (Republic of)','IND','9181918','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754789,1,'India (Republic of)','IND','9181919','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754799,1,'India (Republic of)','IND','9181920','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754809,1,'India (Republic of)','IND','9181928','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754819,1,'India (Republic of)','IND','9181929','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754829,1,'India (Republic of)','IND','9181930','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754839,1,'India (Republic of)','IND','9181938','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754849,1,'India (Republic of)','IND','9181939','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754859,1,'India (Republic of)','IND','9181940','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754869,1,'India (Republic of)','IND','9181948','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754879,1,'India (Republic of)','IND','9181949','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754889,1,'India (Republic of)','IND','9181950','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754899,1,'India (Republic of)','IND','9181958','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754909,1,'India (Republic of)','IND','9181959','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754919,1,'India (Republic of)','IND','9181960','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754929,1,'India (Republic of)','IND','9181968','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754939,1,'India (Republic of)','IND','9181969','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754949,1,'India (Republic of)','IND','918197','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754959,1,'India (Republic of)','IND','9181980','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754969,1,'India (Republic of)','IND','9181988','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754979,1,'India (Republic of)','IND','9181989','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754989,1,'India (Republic of)','IND','9181990','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(754999,1,'India (Republic of)','IND','9181998','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755009,1,'India (Republic of)','IND','9181999','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755019,1,'India (Republic of)','IND','918220','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755029,1,'India (Republic of)','IND','9182210','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755039,1,'India (Republic of)','IND','9182218','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755049,1,'India (Republic of)','IND','9182219','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755059,1,'India (Republic of)','IND','9182220','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755069,1,'India (Republic of)','IND','9182228','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755079,1,'India (Republic of)','IND','9182229','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755089,1,'India (Republic of)','IND','9182230','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755099,1,'India (Republic of)','IND','9182238','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755109,1,'India (Republic of)','IND','9182239','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755119,1,'India (Republic of)','IND','9182240','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755129,1,'India (Republic of)','IND','9182248','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755139,1,'India (Republic of)','IND','9182249','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755149,1,'India (Republic of)','IND','9182250','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755159,1,'India (Republic of)','IND','9182258','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755169,1,'India (Republic of)','IND','9182259','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755179,1,'India (Republic of)','IND','9182260','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755189,1,'India (Republic of)','IND','9182268','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755199,1,'India (Republic of)','IND','9182269','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755209,1,'India (Republic of)','IND','9182270','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755219,1,'India (Republic of)','IND','9182278','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755229,1,'India (Republic of)','IND','9182279','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755239,1,'India (Republic of)','IND','9182280','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755249,1,'India (Republic of)','IND','9182288','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755259,1,'India (Republic of)','IND','9182289','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755269,1,'India (Republic of)','IND','9182290','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755279,1,'India (Republic of)','IND','9182298','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755289,1,'India (Republic of)','IND','9182299','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755299,1,'India (Republic of)','IND','9182300','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755309,1,'India (Republic of)','IND','9182308','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755319,1,'India (Republic of)','IND','9182309','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755329,1,'India (Republic of)','IND','9182310','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755339,1,'India (Republic of)','IND','9182318','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755349,1,'India (Republic of)','IND','9182319','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755359,1,'India (Republic of)','IND','9182320','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755369,1,'India (Republic of)','IND','9182328','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755379,1,'India (Republic of)','IND','9182329','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755389,1,'India (Republic of)','IND','918233','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755399,1,'India (Republic of)','IND','9182340','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755409,1,'India (Republic of)','IND','9182348','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755419,1,'India (Republic of)','IND','9182349','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755429,1,'India (Republic of)','IND','918235','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755439,1,'India (Republic of)','IND','9182360','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755449,1,'India (Republic of)','IND','9182368','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755459,1,'India (Republic of)','IND','9182369','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755469,1,'India (Republic of)','IND','918237','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755479,1,'India (Republic of)','IND','918238','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755489,1,'India (Republic of)','IND','918239','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755499,1,'India (Republic of)','IND','9182510','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755509,1,'India (Republic of)','IND','9182518','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755519,1,'India (Republic of)','IND','9182519','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755529,1,'India (Republic of)','IND','918252','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755539,1,'India (Republic of)','IND','9182530','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755549,1,'India (Republic of)','IND','9182538','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755559,1,'India (Republic of)','IND','9182539','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755569,1,'India (Republic of)','IND','9182540','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755579,1,'India (Republic of)','IND','9182548','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755589,1,'India (Republic of)','IND','9182549','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755599,1,'India (Republic of)','IND','9182550','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755609,1,'India (Republic of)','IND','9182558','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755619,1,'India (Republic of)','IND','9182559','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755629,1,'India (Republic of)','IND','9182560','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755639,1,'India (Republic of)','IND','9182568','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755649,1,'India (Republic of)','IND','9182569','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755659,1,'India (Republic of)','IND','9182570','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755669,1,'India (Republic of)','IND','9182578','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755679,1,'India (Republic of)','IND','9182579','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755689,1,'India (Republic of)','IND','9182580','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755699,1,'India (Republic of)','IND','9182588','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755709,1,'India (Republic of)','IND','9182589','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755719,1,'India (Republic of)','IND','9182590','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755729,1,'India (Republic of)','IND','9182598','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755739,1,'India (Republic of)','IND','9182599','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755749,1,'India (Republic of)','IND','918260','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755759,1,'India (Republic of)','IND','9182610','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755769,1,'India (Republic of)','IND','9182618','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755779,1,'India (Republic of)','IND','9182619','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755789,1,'India (Republic of)','IND','9182620','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755799,1,'India (Republic of)','IND','9182628','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755809,1,'India (Republic of)','IND','9182629','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755819,1,'India (Republic of)','IND','9182630','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755829,1,'India (Republic of)','IND','9182638','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755839,1,'India (Republic of)','IND','9182639','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755849,1,'India (Republic of)','IND','918264','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755859,1,'India (Republic of)','IND','9182650','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755869,1,'India (Republic of)','IND','9182658','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755879,1,'India (Republic of)','IND','9182659','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755889,1,'India (Republic of)','IND','9182660','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755899,1,'India (Republic of)','IND','9182668','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755909,1,'India (Republic of)','IND','9182669','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755919,1,'India (Republic of)','IND','9182670','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755929,1,'India (Republic of)','IND','9182678','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755939,1,'India (Republic of)','IND','9182679','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755949,1,'India (Republic of)','IND','918268','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755959,1,'India (Republic of)','IND','918269','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755969,1,'India (Republic of)','IND','918270','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755979,1,'India (Republic of)','IND','918271','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755989,1,'India (Republic of)','IND','9182720','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(755999,1,'India (Republic of)','IND','9182728','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756009,1,'India (Republic of)','IND','9182729','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756019,1,'India (Republic of)','IND','918273','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756029,1,'India (Republic of)','IND','9182740','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756039,1,'India (Republic of)','IND','9182748','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756049,1,'India (Republic of)','IND','9182749','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756059,1,'India (Republic of)','IND','918275','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756069,1,'India (Republic of)','IND','9182760','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756079,1,'India (Republic of)','IND','9182768','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756089,1,'India (Republic of)','IND','9182769','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756099,1,'India (Republic of)','IND','9182770','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756109,1,'India (Republic of)','IND','9182771','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756119,1,'India (Republic of)','IND','9182772','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756129,1,'India (Republic of)','IND','9182773','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756139,1,'India (Republic of)','IND','9182774','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756149,1,'India (Republic of)','IND','9182775','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756159,1,'India (Republic of)','IND','9182776','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756169,1,'India (Republic of)','IND','9182777','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756179,1,'India (Republic of)','IND','9182778','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756189,1,'India (Republic of)','IND','918278','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756199,1,'India (Republic of)','IND','918279','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756209,1,'India (Republic of)','IND','9182800','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756219,1,'India (Republic of)','IND','9182801','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756229,1,'India (Republic of)','IND','9182802','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756239,1,'India (Republic of)','IND','9182803','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756249,1,'India (Republic of)','IND','9182804','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756259,1,'India (Republic of)','IND','918281','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756269,1,'India (Republic of)','IND','9182820','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756279,1,'India (Republic of)','IND','9182828','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756289,1,'India (Republic of)','IND','9182829','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756299,1,'India (Republic of)','IND','9182830','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756309,1,'India (Republic of)','IND','9182838','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756319,1,'India (Republic of)','IND','9182839','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756329,1,'India (Republic of)','IND','9182840','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756339,1,'India (Republic of)','IND','9182848','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756349,1,'India (Republic of)','IND','9182849','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756359,1,'India (Republic of)','IND','918285','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756369,1,'India (Republic of)','IND','918286','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756379,1,'India (Republic of)','IND','918287','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756389,1,'India (Republic of)','IND','9182880','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756399,1,'India (Republic of)','IND','9182888','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756409,1,'India (Republic of)','IND','9182889','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756419,1,'India (Republic of)','IND','9182890','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756429,1,'India (Republic of)','IND','918290','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756439,1,'India (Republic of)','IND','918291','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756449,1,'India (Republic of)','IND','918292','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756459,1,'India (Republic of)','IND','918293','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756469,1,'India (Republic of)','IND','918294','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756479,1,'India (Republic of)','IND','918295','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756489,1,'India (Republic of)','IND','918296','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756499,1,'India (Republic of)','IND','918297','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756509,1,'India (Republic of)','IND','918298','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756519,1,'India (Republic of)','IND','9183000','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756529,1,'India (Republic of)','IND','9183001','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756539,1,'India (Republic of)','IND','918302','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756549,1,'India (Republic of)','IND','918303','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756559,1,'India (Republic of)','IND','918305','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756569,1,'India (Republic of)','IND','918306','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756579,1,'India (Republic of)','IND','918307','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756589,1,'India (Republic of)','IND','918308','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756599,1,'India (Republic of)','IND','9183309','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756609,1,'India (Republic of)','IND','9183310','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756619,1,'India (Republic of)','IND','9183318','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756629,1,'India (Republic of)','IND','9183319','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756639,1,'India (Republic of)','IND','9183320','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756649,1,'India (Republic of)','IND','9183328','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756659,1,'India (Republic of)','IND','9183329','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756669,1,'India (Republic of)','IND','9183330','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756679,1,'India (Republic of)','IND','9183338','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756689,1,'India (Republic of)','IND','9183339','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756699,1,'India (Republic of)','IND','9183340','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756709,1,'India (Republic of)','IND','9183348','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756719,1,'India (Republic of)','IND','9183349','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756729,1,'India (Republic of)','IND','9183350','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756739,1,'India (Republic of)','IND','9183358','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756749,1,'India (Republic of)','IND','9183359','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756759,1,'India (Republic of)','IND','9183360','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756769,1,'India (Republic of)','IND','9183368','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756779,1,'India (Republic of)','IND','9183369','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756789,1,'India (Republic of)','IND','9183370','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756799,1,'India (Republic of)','IND','9183379','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756809,1,'India (Republic of)','IND','9183380','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756819,1,'India (Republic of)','IND','9183388','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756829,1,'India (Republic of)','IND','9183389','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756839,1,'India (Republic of)','IND','9183390','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756849,1,'India (Republic of)','IND','9183398','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756859,1,'India (Republic of)','IND','9183399','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756869,1,'India (Republic of)','IND','918341','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756879,1,'India (Republic of)','IND','9183420','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756889,1,'India (Republic of)','IND','9183428','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756899,1,'India (Republic of)','IND','9183429','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756909,1,'India (Republic of)','IND','9183430','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756919,1,'India (Republic of)','IND','9183438','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756929,1,'India (Republic of)','IND','9183439','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756939,1,'India (Republic of)','IND','918344','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756949,1,'India (Republic of)','IND','9183450','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756959,1,'India (Republic of)','IND','9183458','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756969,1,'India (Republic of)','IND','9183459','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756979,1,'India (Republic of)','IND','9183460','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756989,1,'India (Republic of)','IND','9183468','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(756999,1,'India (Republic of)','IND','9183469','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757009,1,'India (Republic of)','IND','918347','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757019,1,'India (Republic of)','IND','918348','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757029,1,'India (Republic of)','IND','918349','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757039,1,'India (Republic of)','IND','9183500','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757049,1,'India (Republic of)','IND','9183508','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757059,1,'India (Republic of)','IND','9183509','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757069,1,'India (Republic of)','IND','9183510','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757079,1,'India (Republic of)','IND','9183518','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757089,1,'India (Republic of)','IND','9183519','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757099,1,'India (Republic of)','IND','9183520','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757109,1,'India (Republic of)','IND','9183528','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757119,1,'India (Republic of)','IND','9183529','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757129,1,'India (Republic of)','IND','9183530','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757139,1,'India (Republic of)','IND','9183538','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757149,1,'India (Republic of)','IND','9183539','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757159,1,'India (Republic of)','IND','9183540','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757169,1,'India (Republic of)','IND','9183548','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757179,1,'India (Republic of)','IND','9183549','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757189,1,'India (Republic of)','IND','9183550','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757199,1,'India (Republic of)','IND','9183558','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757209,1,'India (Republic of)','IND','9183559','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757219,1,'India (Republic of)','IND','9183560','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757229,1,'India (Republic of)','IND','9183568','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757239,1,'India (Republic of)','IND','9183569','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757249,1,'India (Republic of)','IND','9183570','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757259,1,'India (Republic of)','IND','9183578','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757269,1,'India (Republic of)','IND','9183579','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757279,1,'India (Republic of)','IND','9183580','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757289,1,'India (Republic of)','IND','9183588','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757299,1,'India (Republic of)','IND','9183589','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757309,1,'India (Republic of)','IND','9183590','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757319,1,'India (Republic of)','IND','9183598','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757329,1,'India (Republic of)','IND','9183599','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757339,1,'India (Republic of)','IND','9183700','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757349,1,'India (Republic of)','IND','9183708','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757359,1,'India (Republic of)','IND','9183709','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757369,1,'India (Republic of)','IND','9183710','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757379,1,'India (Republic of)','IND','9183718','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757389,1,'India (Republic of)','IND','9183719','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757399,1,'India (Republic of)','IND','9183720','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757409,1,'India (Republic of)','IND','9183728','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757419,1,'India (Republic of)','IND','9183729','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757429,1,'India (Republic of)','IND','9183730','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757439,1,'India (Republic of)','IND','9183738','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757449,1,'India (Republic of)','IND','9183739','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757459,1,'India (Republic of)','IND','918374','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757469,1,'India (Republic of)','IND','9183750','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757479,1,'India (Republic of)','IND','9183758','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757489,1,'India (Republic of)','IND','9183759','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757499,1,'India (Republic of)','IND','9183760','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757509,1,'India (Republic of)','IND','9183768','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757519,1,'India (Republic of)','IND','9183769','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757529,1,'India (Republic of)','IND','9183770','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757539,1,'India (Republic of)','IND','9183778','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757549,1,'India (Republic of)','IND','9183779','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757559,1,'India (Republic of)','IND','9183780','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757569,1,'India (Republic of)','IND','9183788','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757579,1,'India (Republic of)','IND','9183789','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757589,1,'India (Republic of)','IND','9183790','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757599,1,'India (Republic of)','IND','9183798','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757609,1,'India (Republic of)','IND','9183799','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757619,1,'India (Republic of)','IND','9183800','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757629,1,'India (Republic of)','IND','9183808','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757639,1,'India (Republic of)','IND','9183809','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757649,1,'India (Republic of)','IND','9183810','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757659,1,'India (Republic of)','IND','9183818','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757669,1,'India (Republic of)','IND','9183819','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757679,1,'India (Republic of)','IND','9183820','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757689,1,'India (Republic of)','IND','9183828','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757699,1,'India (Republic of)','IND','9183829','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757709,1,'India (Republic of)','IND','9183830','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757719,1,'India (Republic of)','IND','9183838','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757729,1,'India (Republic of)','IND','9183839','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757739,1,'India (Republic of)','IND','9183840','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757749,1,'India (Republic of)','IND','9183848','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757759,1,'India (Republic of)','IND','9183849','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757769,1,'India (Republic of)','IND','9183850','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757779,1,'India (Republic of)','IND','9183858','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757789,1,'India (Republic of)','IND','9183859','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757799,1,'India (Republic of)','IND','9183860','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757809,1,'India (Republic of)','IND','9183868','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757819,1,'India (Republic of)','IND','9183869','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757829,1,'India (Republic of)','IND','9183870','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757839,1,'India (Republic of)','IND','9183878','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757849,1,'India (Republic of)','IND','9183879','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757859,1,'India (Republic of)','IND','9183880','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757869,1,'India (Republic of)','IND','9183888','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757879,1,'India (Republic of)','IND','9183889','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757889,1,'India (Republic of)','IND','9183890','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757899,1,'India (Republic of)','IND','9183898','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757909,1,'India (Republic of)','IND','9183899','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757919,1,'India (Republic of)','IND','918390','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757929,1,'India (Republic of)','IND','9183910','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757939,1,'India (Republic of)','IND','9183918','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757949,1,'India (Republic of)','IND','9183919','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757959,1,'India (Republic of)','IND','9183920','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757969,1,'India (Republic of)','IND','9183928','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757979,1,'India (Republic of)','IND','9183929','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757989,1,'India (Republic of)','IND','9183930','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(757999,1,'India (Republic of)','IND','9183938','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758009,1,'India (Republic of)','IND','9183939','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758019,1,'India (Republic of)','IND','9183940','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758029,1,'India (Republic of)','IND','9183948','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758039,1,'India (Republic of)','IND','9183949','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758049,1,'India (Republic of)','IND','9183950','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758059,1,'India (Republic of)','IND','9183958','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758069,1,'India (Republic of)','IND','9183959','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758079,1,'India (Republic of)','IND','9183960','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758089,1,'India (Republic of)','IND','9183968','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758099,1,'India (Republic of)','IND','9183969','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758109,1,'India (Republic of)','IND','9183970','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758119,1,'India (Republic of)','IND','9183978','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758129,1,'India (Republic of)','IND','9183979','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758139,1,'India (Republic of)','IND','9183980','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758149,1,'India (Republic of)','IND','9183988','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758159,1,'India (Republic of)','IND','9183989','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758169,1,'India (Republic of)','IND','9183990','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758179,1,'India (Republic of)','IND','9183998','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758189,1,'India (Republic of)','IND','9183999','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758199,1,'India (Republic of)','IND','918400','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758209,1,'India (Republic of)','IND','918401','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758219,1,'India (Republic of)','IND','9184020','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758229,1,'India (Republic of)','IND','9184028','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758239,1,'India (Republic of)','IND','9184029','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758249,1,'India (Republic of)','IND','9184030','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758259,1,'India (Republic of)','IND','9184038','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758269,1,'India (Republic of)','IND','9184039','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758279,1,'India (Republic of)','IND','9184040','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758289,1,'India (Republic of)','IND','9184048','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758299,1,'India (Republic of)','IND','9184049','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758309,1,'India (Republic of)','IND','9184050','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758319,1,'India (Republic of)','IND','9184058','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758329,1,'India (Republic of)','IND','9184059','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758339,1,'India (Republic of)','IND','9184060','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758349,1,'India (Republic of)','IND','9184068','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758359,1,'India (Republic of)','IND','9184069','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758369,1,'India (Republic of)','IND','9184070','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758379,1,'India (Republic of)','IND','9184078','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758389,1,'India (Republic of)','IND','9184079','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758399,1,'India (Republic of)','IND','9184080','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758409,1,'India (Republic of)','IND','9184088','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758419,1,'India (Republic of)','IND','9184089','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758429,1,'India (Republic of)','IND','918409','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758439,1,'India (Republic of)','IND','918410','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758449,1,'India (Republic of)','IND','9184110','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758459,1,'India (Republic of)','IND','9184118','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758469,1,'India (Republic of)','IND','9184119','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758479,1,'India (Republic of)','IND','9184120','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758489,1,'India (Republic of)','IND','9184128','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758499,1,'India (Republic of)','IND','9184129','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758509,1,'India (Republic of)','IND','9184130','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758519,1,'India (Republic of)','IND','9184138','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758529,1,'India (Republic of)','IND','9184139','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758539,1,'India (Republic of)','IND','9184140','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758549,1,'India (Republic of)','IND','9184148','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758559,1,'India (Republic of)','IND','9184149','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758569,1,'India (Republic of)','IND','9184150','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758579,1,'India (Republic of)','IND','9184158','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758589,1,'India (Republic of)','IND','9184159','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758599,1,'India (Republic of)','IND','9184160','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758609,1,'India (Republic of)','IND','9184168','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758619,1,'India (Republic of)','IND','9184169','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758629,1,'India (Republic of)','IND','9184170','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758639,1,'India (Republic of)','IND','9184178','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758649,1,'India (Republic of)','IND','9184179','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758659,1,'India (Republic of)','IND','9184180','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758669,1,'India (Republic of)','IND','9184188','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758679,1,'India (Republic of)','IND','9184189','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758689,1,'India (Republic of)','IND','9184190','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758699,1,'India (Republic of)','IND','9184198','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758709,1,'India (Republic of)','IND','9184199','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758719,1,'India (Republic of)','IND','918420','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758729,1,'India (Republic of)','IND','918421','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758739,1,'India (Republic of)','IND','9184220','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758749,1,'India (Republic of)','IND','9184228','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758759,1,'India (Republic of)','IND','9184229','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758769,1,'India (Republic of)','IND','918423','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758779,1,'India (Republic of)','IND','9184240','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758789,1,'India (Republic of)','IND','9184248','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758799,1,'India (Republic of)','IND','9184249','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758809,1,'India (Republic of)','IND','9184250','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758819,1,'India (Republic of)','IND','9184258','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758829,1,'India (Republic of)','IND','9184259','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758839,1,'India (Republic of)','IND','9184260','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758849,1,'India (Republic of)','IND','9184268','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758859,1,'India (Republic of)','IND','9184269','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758869,1,'India (Republic of)','IND','918427','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758879,1,'India (Republic of)','IND','918428','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758889,1,'India (Republic of)','IND','918429','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758899,1,'India (Republic of)','IND','91843','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758909,1,'India (Republic of)','IND','9184400','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758919,1,'India (Republic of)','IND','9184408','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758929,1,'India (Republic of)','IND','9184409','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758939,1,'India (Republic of)','IND','9184410','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758949,1,'India (Republic of)','IND','9184418','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758959,1,'India (Republic of)','IND','9184419','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758969,1,'India (Republic of)','IND','9184420','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758979,1,'India (Republic of)','IND','9184428','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758989,1,'India (Republic of)','IND','9184429','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(758999,1,'India (Republic of)','IND','9184430','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759009,1,'India (Republic of)','IND','9184438','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759019,1,'India (Republic of)','IND','9184439','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759029,1,'India (Republic of)','IND','9184440','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759039,1,'India (Republic of)','IND','9184448','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759049,1,'India (Republic of)','IND','9184449','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759059,1,'India (Republic of)','IND','918445','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759069,1,'India (Republic of)','IND','918446','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759079,1,'India (Republic of)','IND','918447','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759089,1,'India (Republic of)','IND','918448','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759099,1,'India (Republic of)','IND','918449','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759109,1,'India (Republic of)','IND','9184500','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759119,1,'India (Republic of)','IND','9184508','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759129,1,'India (Republic of)','IND','9184509','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759139,1,'India (Republic of)','IND','9184510','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759149,1,'India (Republic of)','IND','9184518','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759159,1,'India (Republic of)','IND','9184519','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759169,1,'India (Republic of)','IND','9184520','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759179,1,'India (Republic of)','IND','9184528','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759189,1,'India (Republic of)','IND','9184529','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759199,1,'India (Republic of)','IND','918453','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759209,1,'India (Republic of)','IND','9184540','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759219,1,'India (Republic of)','IND','9184548','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759229,1,'India (Republic of)','IND','9184549','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759239,1,'India (Republic of)','IND','9184550','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759249,1,'India (Republic of)','IND','9184558','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759259,1,'India (Republic of)','IND','9184559','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759269,1,'India (Republic of)','IND','9184560','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759279,1,'India (Republic of)','IND','9184568','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759289,1,'India (Republic of)','IND','9184569','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759299,1,'India (Republic of)','IND','9184570','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759309,1,'India (Republic of)','IND','9184578','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759319,1,'India (Republic of)','IND','9184579','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759329,1,'India (Republic of)','IND','9184580','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759339,1,'India (Republic of)','IND','9184588','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759349,1,'India (Republic of)','IND','9184589','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759359,1,'India (Republic of)','IND','918459','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759369,1,'India (Republic of)','IND','918460','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759379,1,'India (Republic of)','IND','9184610','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759389,1,'India (Republic of)','IND','9184618','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759399,1,'India (Republic of)','IND','9184619','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759409,1,'India (Republic of)','IND','9184620','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759419,1,'India (Republic of)','IND','9184628','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759429,1,'India (Republic of)','IND','9184629','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759439,1,'India (Republic of)','IND','9184630','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759449,1,'India (Republic of)','IND','9184638','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759459,1,'India (Republic of)','IND','9184639','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759469,1,'India (Republic of)','IND','9184640','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759479,1,'India (Republic of)','IND','9184648','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759489,1,'India (Republic of)','IND','9184649','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759499,1,'India (Republic of)','IND','9184650','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759509,1,'India (Republic of)','IND','9184658','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759519,1,'India (Republic of)','IND','9184659','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759529,1,'India (Republic of)','IND','9184660','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759539,1,'India (Republic of)','IND','9184668','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759549,1,'India (Republic of)','IND','9184669','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759559,1,'India (Republic of)','IND','9184670','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759569,1,'India (Republic of)','IND','9184678','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759579,1,'India (Republic of)','IND','9184679','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759589,1,'India (Republic of)','IND','9184680','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759599,1,'India (Republic of)','IND','9184688','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759609,1,'India (Republic of)','IND','9184689','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759619,1,'India (Republic of)','IND','918469','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759629,1,'India (Republic of)','IND','9184700','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759639,1,'India (Republic of)','IND','9184708','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759649,1,'India (Republic of)','IND','9184709','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759659,1,'India (Republic of)','IND','9184710','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759669,1,'India (Republic of)','IND','9184718','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759679,1,'India (Republic of)','IND','9184719','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759689,1,'India (Republic of)','IND','9184720','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759699,1,'India (Republic of)','IND','9184728','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759709,1,'India (Republic of)','IND','9184729','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759719,1,'India (Republic of)','IND','9184730','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759729,1,'India (Republic of)','IND','9184738','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759739,1,'India (Republic of)','IND','9184739','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759749,1,'India (Republic of)','IND','9184740','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759759,1,'India (Republic of)','IND','9184748','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759769,1,'India (Republic of)','IND','9184749','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759779,1,'India (Republic of)','IND','9184750','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759789,1,'India (Republic of)','IND','9184758','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759799,1,'India (Republic of)','IND','9184759','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759809,1,'India (Republic of)','IND','9184760','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759819,1,'India (Republic of)','IND','9184768','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759829,1,'India (Republic of)','IND','9184769','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759839,1,'India (Republic of)','IND','9184770','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759849,1,'India (Republic of)','IND','9184778','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759859,1,'India (Republic of)','IND','9184779','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759869,1,'India (Republic of)','IND','9184780','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759879,1,'India (Republic of)','IND','9184788','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759889,1,'India (Republic of)','IND','9184789','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759899,1,'India (Republic of)','IND','9184790','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759909,1,'India (Republic of)','IND','9184798','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759919,1,'India (Republic of)','IND','9184799','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759929,1,'India (Republic of)','IND','918480','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759939,1,'India (Republic of)','IND','9184810','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759949,1,'India (Republic of)','IND','9184818','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759959,1,'India (Republic of)','IND','9184819','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759969,1,'India (Republic of)','IND','9184820','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759979,1,'India (Republic of)','IND','9184828','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759989,1,'India (Republic of)','IND','9184829','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(759999,1,'India (Republic of)','IND','9184830','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760009,1,'India (Republic of)','IND','9184838','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760019,1,'India (Republic of)','IND','9184839','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760029,1,'India (Republic of)','IND','9184840','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760039,1,'India (Republic of)','IND','9184848','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760049,1,'India (Republic of)','IND','9184849','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760059,1,'India (Republic of)','IND','9184850','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760069,1,'India (Republic of)','IND','9184858','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760079,1,'India (Republic of)','IND','9184859','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760089,1,'India (Republic of)','IND','918486','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760099,1,'India (Republic of)','IND','9184870','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760109,1,'India (Republic of)','IND','9184878','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760119,1,'India (Republic of)','IND','9184879','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760129,1,'India (Republic of)','IND','9184880','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760139,1,'India (Republic of)','IND','9184888','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760149,1,'India (Republic of)','IND','9184889','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760159,1,'India (Republic of)','IND','918489','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760169,1,'India (Republic of)','IND','9184900','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760179,1,'India (Republic of)','IND','9184908','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760189,1,'India (Republic of)','IND','9184909','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760199,1,'India (Republic of)','IND','9184910','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760209,1,'India (Republic of)','IND','9184918','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760219,1,'India (Republic of)','IND','9184919','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760229,1,'India (Republic of)','IND','9184920','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760239,1,'India (Republic of)','IND','9184928','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760249,1,'India (Republic of)','IND','9184929','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760259,1,'India (Republic of)','IND','9184930','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760269,1,'India (Republic of)','IND','9184938','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760279,1,'India (Republic of)','IND','9184939','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760289,1,'India (Republic of)','IND','9184940','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760299,1,'India (Republic of)','IND','9184948','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760309,1,'India (Republic of)','IND','9184949','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760319,1,'India (Republic of)','IND','9184950','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760329,1,'India (Republic of)','IND','9184958','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760339,1,'India (Republic of)','IND','9184959','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760349,1,'India (Republic of)','IND','9184960','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760359,1,'India (Republic of)','IND','9184968','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760369,1,'India (Republic of)','IND','9184969','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760379,1,'India (Republic of)','IND','9184970','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760389,1,'India (Republic of)','IND','9184978','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760399,1,'India (Republic of)','IND','9184979','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760409,1,'India (Republic of)','IND','9184980','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760419,1,'India (Republic of)','IND','9184988','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760429,1,'India (Republic of)','IND','9184989','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760439,1,'India (Republic of)','IND','9184990','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760449,1,'India (Republic of)','IND','9184998','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760459,1,'India (Republic of)','IND','9184999','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760469,1,'India (Republic of)','IND','918500','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760479,1,'India (Republic of)','IND','9185010','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760489,1,'India (Republic of)','IND','9185018','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760499,1,'India (Republic of)','IND','9185019','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760509,1,'India (Republic of)','IND','9185020','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760519,1,'India (Republic of)','IND','9185028','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760529,1,'India (Republic of)','IND','9185029','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760539,1,'India (Republic of)','IND','9185030','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760549,1,'India (Republic of)','IND','9185038','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760559,1,'India (Republic of)','IND','9185039','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760569,1,'India (Republic of)','IND','9185040','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760579,1,'India (Republic of)','IND','9185048','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760589,1,'India (Republic of)','IND','9185049','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760599,1,'India (Republic of)','IND','9185050','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760609,1,'India (Republic of)','IND','9185058','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760619,1,'India (Republic of)','IND','9185059','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760629,1,'India (Republic of)','IND','9185060','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760639,1,'India (Republic of)','IND','9185068','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760649,1,'India (Republic of)','IND','9185069','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760659,1,'India (Republic of)','IND','918507','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760669,1,'India (Republic of)','IND','918508','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760679,1,'India (Republic of)','IND','918509','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760689,1,'India (Republic of)','IND','9185100','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760699,1,'India (Republic of)','IND','9185108','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760709,1,'India (Republic of)','IND','9185109','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760719,1,'India (Republic of)','IND','918511','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760729,1,'India (Republic of)','IND','9185120','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760739,1,'India (Republic of)','IND','9185128','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760749,1,'India (Republic of)','IND','9185129','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760759,1,'India (Republic of)','IND','9185130','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760769,1,'India (Republic of)','IND','9185138','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760779,1,'India (Republic of)','IND','9185139','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760789,1,'India (Republic of)','IND','9185140','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760799,1,'India (Republic of)','IND','9185148','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760809,1,'India (Republic of)','IND','9185149','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760819,1,'India (Republic of)','IND','9185150','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760829,1,'India (Republic of)','IND','9185158','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760839,1,'India (Republic of)','IND','9185159','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760849,1,'India (Republic of)','IND','9185160','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760859,1,'India (Republic of)','IND','9185168','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760869,1,'India (Republic of)','IND','9185169','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760879,1,'India (Republic of)','IND','9185170','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760889,1,'India (Republic of)','IND','9185178','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760899,1,'India (Republic of)','IND','9185179','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760909,1,'India (Republic of)','IND','9185180','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760919,1,'India (Republic of)','IND','9185188','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760929,1,'India (Republic of)','IND','9185189','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760939,1,'India (Republic of)','IND','9185190','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760949,1,'India (Republic of)','IND','9185198','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760959,1,'India (Republic of)','IND','9185199','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760969,1,'India (Republic of)','IND','9185200','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760979,1,'India (Republic of)','IND','9185208','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760989,1,'India (Republic of)','IND','9185209','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(760999,1,'India (Republic of)','IND','918521','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761009,1,'India (Republic of)','IND','9185220','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761019,1,'India (Republic of)','IND','9185228','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761029,1,'India (Republic of)','IND','9185229','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761039,1,'India (Republic of)','IND','9185230','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761049,1,'India (Republic of)','IND','9185238','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761059,1,'India (Republic of)','IND','9185239','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761069,1,'India (Republic of)','IND','9185240','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761079,1,'India (Republic of)','IND','9185248','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761089,1,'India (Republic of)','IND','9185249','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761099,1,'India (Republic of)','IND','9185250','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761109,1,'India (Republic of)','IND','9185258','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761119,1,'India (Republic of)','IND','9185259','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761129,1,'India (Republic of)','IND','918526','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761139,1,'India (Republic of)','IND','918527','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761149,1,'India (Republic of)','IND','918528','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761159,1,'India (Republic of)','IND','918529','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761169,1,'India (Republic of)','IND','918530','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761179,1,'India (Republic of)','IND','9185310','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761189,1,'India (Republic of)','IND','9185318','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761199,1,'India (Republic of)','IND','9185319','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761209,1,'India (Republic of)','IND','9185320','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761219,1,'India (Republic of)','IND','9185328','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761229,1,'India (Republic of)','IND','9185329','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761239,1,'India (Republic of)','IND','9185330','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761249,1,'India (Republic of)','IND','9185338','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761259,1,'India (Republic of)','IND','9185339','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761269,1,'India (Republic of)','IND','9185340','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761279,1,'India (Republic of)','IND','9185348','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761289,1,'India (Republic of)','IND','9185349','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761299,1,'India (Republic of)','IND','9185350','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761309,1,'India (Republic of)','IND','9185358','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761319,1,'India (Republic of)','IND','9185359','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761329,1,'India (Republic of)','IND','9185360','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761339,1,'India (Republic of)','IND','9185368','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761349,1,'India (Republic of)','IND','9185369','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761359,1,'India (Republic of)','IND','9185370','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761369,1,'India (Republic of)','IND','9185378','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761379,1,'India (Republic of)','IND','9185379','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761389,1,'India (Republic of)','IND','9185380','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761399,1,'India (Republic of)','IND','9185388','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761409,1,'India (Republic of)','IND','9185389','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761419,1,'India (Republic of)','IND','9185390','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761429,1,'India (Republic of)','IND','9185398','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761439,1,'India (Republic of)','IND','9185399','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761449,1,'India (Republic of)','IND','9185400','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761459,1,'India (Republic of)','IND','9185408','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761469,1,'India (Republic of)','IND','9185409','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761479,1,'India (Republic of)','IND','9185410','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761489,1,'India (Republic of)','IND','9185418','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761499,1,'India (Republic of)','IND','9185419','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761509,1,'India (Republic of)','IND','9185420','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761519,1,'India (Republic of)','IND','9185428','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761529,1,'India (Republic of)','IND','9185429','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761539,1,'India (Republic of)','IND','9185430','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761549,1,'India (Republic of)','IND','9185438','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761559,1,'India (Republic of)','IND','9185439','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761569,1,'India (Republic of)','IND','9185440','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761579,1,'India (Republic of)','IND','9185441','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761589,1,'India (Republic of)','IND','9185442','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761599,1,'India (Republic of)','IND','9185443','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761609,1,'India (Republic of)','IND','9185444','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761619,1,'India (Republic of)','IND','9185450','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761629,1,'India (Republic of)','IND','9185458','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761639,1,'India (Republic of)','IND','9185459','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761649,1,'India (Republic of)','IND','9185460','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761659,1,'India (Republic of)','IND','9185468','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761669,1,'India (Republic of)','IND','9185469','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761679,1,'India (Republic of)','IND','918547','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761689,1,'India (Republic of)','IND','9185480','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761699,1,'India (Republic of)','IND','9185488','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761709,1,'India (Republic of)','IND','9185489','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761719,1,'India (Republic of)','IND','9185490','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761729,1,'India (Republic of)','IND','9185498','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761739,1,'India (Republic of)','IND','9185499','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761749,1,'India (Republic of)','IND','9185500','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761759,1,'India (Republic of)','IND','9185508','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761769,1,'India (Republic of)','IND','9185509','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761779,1,'India (Republic of)','IND','9185510','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761789,1,'India (Republic of)','IND','9185518','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761799,1,'India (Republic of)','IND','9185519','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761809,1,'India (Republic of)','IND','9185520','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761819,1,'India (Republic of)','IND','9185528','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761829,1,'India (Republic of)','IND','9185529','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761839,1,'India (Republic of)','IND','918553','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761849,1,'India (Republic of)','IND','9185540','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761859,1,'India (Republic of)','IND','9185548','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761869,1,'India (Republic of)','IND','9185549','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761879,1,'India (Republic of)','IND','918555','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761889,1,'India (Republic of)','IND','9185560','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761899,1,'India (Republic of)','IND','9185568','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761909,1,'India (Republic of)','IND','9185569','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761919,1,'India (Republic of)','IND','9185570','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761929,1,'India (Republic of)','IND','9185578','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761939,1,'India (Republic of)','IND','9185579','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761949,1,'India (Republic of)','IND','9185580','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761959,1,'India (Republic of)','IND','9185588','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761969,1,'India (Republic of)','IND','9185589','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761979,1,'India (Republic of)','IND','9185590','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761989,1,'India (Republic of)','IND','9185598','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(761999,1,'India (Republic of)','IND','9185599','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762009,1,'India (Republic of)','IND','9185600','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762019,1,'India (Republic of)','IND','9185608','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762029,1,'India (Republic of)','IND','9185609','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762039,1,'India (Republic of)','IND','9185610','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762049,1,'India (Republic of)','IND','9185618','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762059,1,'India (Republic of)','IND','9185619','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762069,1,'India (Republic of)','IND','9185620','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762079,1,'India (Republic of)','IND','9185628','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762089,1,'India (Republic of)','IND','9185629','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762099,1,'India (Republic of)','IND','9185630','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762109,1,'India (Republic of)','IND','9185638','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762119,1,'India (Republic of)','IND','9185639','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762129,1,'India (Republic of)','IND','9185640','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762139,1,'India (Republic of)','IND','9185648','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762149,1,'India (Republic of)','IND','9185649','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762159,1,'India (Republic of)','IND','9185650','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762169,1,'India (Republic of)','IND','9185658','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762179,1,'India (Republic of)','IND','9185659','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762189,1,'India (Republic of)','IND','9185660','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762199,1,'India (Republic of)','IND','9185668','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762209,1,'India (Republic of)','IND','9185669','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762219,1,'India (Republic of)','IND','9185670','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762229,1,'India (Republic of)','IND','9185678','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762239,1,'India (Republic of)','IND','9185679','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762249,1,'India (Republic of)','IND','9185680','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762259,1,'India (Republic of)','IND','9185688','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762269,1,'India (Republic of)','IND','9185689','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762279,1,'India (Republic of)','IND','9185690','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762289,1,'India (Republic of)','IND','9185698','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762299,1,'India (Republic of)','IND','9185699','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762309,1,'India (Republic of)','IND','9185700','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762319,1,'India (Republic of)','IND','9185708','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762329,1,'India (Republic of)','IND','9185709','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762339,1,'India (Republic of)','IND','9185710','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762349,1,'India (Republic of)','IND','9185718','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762359,1,'India (Republic of)','IND','9185719','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762369,1,'India (Republic of)','IND','9185720','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762379,1,'India (Republic of)','IND','9185728','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762389,1,'India (Republic of)','IND','9185729','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762399,1,'India (Republic of)','IND','9185730','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762409,1,'India (Republic of)','IND','9185738','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762419,1,'India (Republic of)','IND','9185739','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762429,1,'India (Republic of)','IND','918574','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762439,1,'India (Republic of)','IND','918575','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762449,1,'India (Republic of)','IND','9185760','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762459,1,'India (Republic of)','IND','9185768','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762469,1,'India (Republic of)','IND','9185769','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762479,1,'India (Republic of)','IND','9185770','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762489,1,'India (Republic of)','IND','9185778','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762499,1,'India (Republic of)','IND','9185779','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762509,1,'India (Republic of)','IND','9185780','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762519,1,'India (Republic of)','IND','9185788','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762529,1,'India (Republic of)','IND','9185789','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762539,1,'India (Republic of)','IND','9185790','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762549,1,'India (Republic of)','IND','9185798','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762559,1,'India (Republic of)','IND','9185799','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762569,1,'India (Republic of)','IND','918580','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762579,1,'India (Republic of)','IND','9185810','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762589,1,'India (Republic of)','IND','9185818','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762599,1,'India (Republic of)','IND','9185819','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762609,1,'India (Republic of)','IND','9185820','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762619,1,'India (Republic of)','IND','9185828','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762629,1,'India (Republic of)','IND','9185829','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762639,1,'India (Republic of)','IND','9185830','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762649,1,'India (Republic of)','IND','9185838','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762659,1,'India (Republic of)','IND','9185839','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762669,1,'India (Republic of)','IND','9185840','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762679,1,'India (Republic of)','IND','9185848','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762689,1,'India (Republic of)','IND','9185849','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762699,1,'India (Republic of)','IND','9185850','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762709,1,'India (Republic of)','IND','9185858','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762719,1,'India (Republic of)','IND','9185859','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762729,1,'India (Republic of)','IND','9185860','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762739,1,'India (Republic of)','IND','9185868','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762749,1,'India (Republic of)','IND','9185869','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762759,1,'India (Republic of)','IND','9185870','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762769,1,'India (Republic of)','IND','9185878','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762779,1,'India (Republic of)','IND','9185879','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762789,1,'India (Republic of)','IND','9185880','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762799,1,'India (Republic of)','IND','9185888','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762809,1,'India (Republic of)','IND','9185889','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762819,1,'India (Republic of)','IND','9185890','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762829,1,'India (Republic of)','IND','9185898','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762839,1,'India (Republic of)','IND','9185899','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762849,1,'India (Republic of)','IND','918590','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762859,1,'India (Republic of)','IND','918591','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762869,1,'India (Republic of)','IND','9185920','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762879,1,'India (Republic of)','IND','9185928','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762889,1,'India (Republic of)','IND','9185929','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762899,1,'India (Republic of)','IND','9185930','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762909,1,'India (Republic of)','IND','9185938','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762919,1,'India (Republic of)','IND','9185939','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762929,1,'India (Republic of)','IND','9185940','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762939,1,'India (Republic of)','IND','9185948','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762949,1,'India (Republic of)','IND','9185949','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762959,1,'India (Republic of)','IND','918595','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762969,1,'India (Republic of)','IND','9185960','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762979,1,'India (Republic of)','IND','9185968','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762989,1,'India (Republic of)','IND','9185969','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(762999,1,'India (Republic of)','IND','918597','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763009,1,'India (Republic of)','IND','9185980','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763019,1,'India (Republic of)','IND','9185988','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763029,1,'India (Republic of)','IND','9185989','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763039,1,'India (Republic of)','IND','9185990','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763049,1,'India (Republic of)','IND','9185998','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763059,1,'India (Republic of)','IND','9185999','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763069,1,'India (Republic of)','IND','91860','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763079,1,'India (Republic of)','IND','9186200','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763089,1,'India (Republic of)','IND','9186208','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763099,1,'India (Republic of)','IND','9186209','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763109,1,'India (Republic of)','IND','9186210','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763119,1,'India (Republic of)','IND','9186218','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763129,1,'India (Republic of)','IND','9186219','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763139,1,'India (Republic of)','IND','9186220','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763149,1,'India (Republic of)','IND','9186228','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763159,1,'India (Republic of)','IND','9186229','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763169,1,'India (Republic of)','IND','9186230','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763179,1,'India (Republic of)','IND','9186238','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763189,1,'India (Republic of)','IND','9186239','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763199,1,'India (Republic of)','IND','9186240','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763209,1,'India (Republic of)','IND','9186248','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763219,1,'India (Republic of)','IND','9186249','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763229,1,'India (Republic of)','IND','9186250','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763239,1,'India (Republic of)','IND','9186258','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763249,1,'India (Republic of)','IND','9186259','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763259,1,'India (Republic of)','IND','9186260','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763269,1,'India (Republic of)','IND','9186268','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763279,1,'India (Republic of)','IND','9186269','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763289,1,'India (Republic of)','IND','9186270','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763299,1,'India (Republic of)','IND','9186278','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763309,1,'India (Republic of)','IND','9186279','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763319,1,'India (Republic of)','IND','9186280','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763329,1,'India (Republic of)','IND','9186288','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763339,1,'India (Republic of)','IND','9186289','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763349,1,'India (Republic of)','IND','9186290','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763359,1,'India (Republic of)','IND','9186298','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763369,1,'India (Republic of)','IND','9186299','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763379,1,'India (Republic of)','IND','9186400','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763389,1,'India (Republic of)','IND','9186408','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763399,1,'India (Republic of)','IND','9186409','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763409,1,'India (Republic of)','IND','9186410','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763419,1,'India (Republic of)','IND','9186418','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763429,1,'India (Republic of)','IND','9186419','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763439,1,'India (Republic of)','IND','9186420','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763449,1,'India (Republic of)','IND','9186428','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763459,1,'India (Republic of)','IND','9186429','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763469,1,'India (Republic of)','IND','9186430','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763479,1,'India (Republic of)','IND','9186438','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763489,1,'India (Republic of)','IND','9186439','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763499,1,'India (Republic of)','IND','9186440','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763509,1,'India (Republic of)','IND','9186448','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763519,1,'India (Republic of)','IND','9186449','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763529,1,'India (Republic of)','IND','9186450','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763539,1,'India (Republic of)','IND','9186458','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763549,1,'India (Republic of)','IND','9186459','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763559,1,'India (Republic of)','IND','9186460','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763569,1,'India (Republic of)','IND','9186468','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763579,1,'India (Republic of)','IND','9186469','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763589,1,'India (Republic of)','IND','9186470','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763599,1,'India (Republic of)','IND','9186478','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763609,1,'India (Republic of)','IND','9186479','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763619,1,'India (Republic of)','IND','9186480','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763629,1,'India (Republic of)','IND','9186488','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763639,1,'India (Republic of)','IND','9186489','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763649,1,'India (Republic of)','IND','9186490','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763659,1,'India (Republic of)','IND','9186498','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763669,1,'India (Republic of)','IND','9186499','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763679,1,'India (Republic of)','IND','918650','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763689,1,'India (Republic of)','IND','918651','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763699,1,'India (Republic of)','IND','918652','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763709,1,'India (Republic of)','IND','918653','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763719,1,'India (Republic of)','IND','9186540','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763729,1,'India (Republic of)','IND','9186548','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763739,1,'India (Republic of)','IND','9186549','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763749,1,'India (Republic of)','IND','918655','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763759,1,'India (Republic of)','IND','9186560','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763769,1,'India (Republic of)','IND','9186568','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763779,1,'India (Republic of)','IND','9186569','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763789,1,'India (Republic of)','IND','918657','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763799,1,'India (Republic of)','IND','918658','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763809,1,'India (Republic of)','IND','9186590','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763819,1,'India (Republic of)','IND','9186598','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763829,1,'India (Republic of)','IND','9186599','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763839,1,'India (Republic of)','IND','918670','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763849,1,'India (Republic of)','IND','9186710','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763859,1,'India (Republic of)','IND','9186718','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763869,1,'India (Republic of)','IND','9186719','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763879,1,'India (Republic of)','IND','9186720','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763889,1,'India (Republic of)','IND','9186728','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763899,1,'India (Republic of)','IND','9186729','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763909,1,'India (Republic of)','IND','9186730','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763919,1,'India (Republic of)','IND','9186738','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763929,1,'India (Republic of)','IND','9186739','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763939,1,'India (Republic of)','IND','9186740','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763949,1,'India (Republic of)','IND','9186748','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763959,1,'India (Republic of)','IND','9186749','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763969,1,'India (Republic of)','IND','918675','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763979,1,'India (Republic of)','IND','9186760','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763989,1,'India (Republic of)','IND','9186768','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(763999,1,'India (Republic of)','IND','9186769','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764009,1,'India (Republic of)','IND','9186770','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764019,1,'India (Republic of)','IND','9186778','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764029,1,'India (Republic of)','IND','9186779','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764039,1,'India (Republic of)','IND','9186780','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764049,1,'India (Republic of)','IND','9186788','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764059,1,'India (Republic of)','IND','9186789','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764069,1,'India (Republic of)','IND','918679','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764079,1,'India (Republic of)','IND','9186800','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764089,1,'India (Republic of)','IND','9186808','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764099,1,'India (Republic of)','IND','9186809','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764109,1,'India (Republic of)','IND','9186810','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764119,1,'India (Republic of)','IND','9186818','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764129,1,'India (Republic of)','IND','9186819','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764139,1,'India (Republic of)','IND','9186820','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764149,1,'India (Republic of)','IND','9186828','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764159,1,'India (Republic of)','IND','9186829','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764169,1,'India (Republic of)','IND','9186830','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764179,1,'India (Republic of)','IND','9186838','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764189,1,'India (Republic of)','IND','9186839','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764199,1,'India (Republic of)','IND','9186840','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764209,1,'India (Republic of)','IND','9186848','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764219,1,'India (Republic of)','IND','9186849','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764229,1,'India (Republic of)','IND','9186850','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764239,1,'India (Republic of)','IND','9186858','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764249,1,'India (Republic of)','IND','9186859','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764259,1,'India (Republic of)','IND','918686','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764269,1,'India (Republic of)','IND','918687','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764279,1,'India (Republic of)','IND','918688','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764289,1,'India (Republic of)','IND','9186890','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764299,1,'India (Republic of)','IND','9186898','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764309,1,'India (Republic of)','IND','9186899','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764319,1,'India (Republic of)','IND','918690','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764329,1,'India (Republic of)','IND','9186910','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764339,1,'India (Republic of)','IND','9186918','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764349,1,'India (Republic of)','IND','9186919','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764359,1,'India (Republic of)','IND','9186920','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764369,1,'India (Republic of)','IND','9186928','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764379,1,'India (Republic of)','IND','9186929','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764389,1,'India (Republic of)','IND','9186930','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764399,1,'India (Republic of)','IND','9186938','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764409,1,'India (Republic of)','IND','9186939','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764419,1,'India (Republic of)','IND','9186940','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764429,1,'India (Republic of)','IND','9186948','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764439,1,'India (Republic of)','IND','9186949','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764449,1,'India (Republic of)','IND','918695','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764459,1,'India (Republic of)','IND','918696','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764469,1,'India (Republic of)','IND','918697','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764479,1,'India (Republic of)','IND','918698','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764489,1,'India (Republic of)','IND','918699','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764499,1,'India (Republic of)','IND','9187100','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764509,1,'India (Republic of)','IND','9187108','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764519,1,'India (Republic of)','IND','9187109','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764529,1,'India (Republic of)','IND','9187110','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764539,1,'India (Republic of)','IND','9187118','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764549,1,'India (Republic of)','IND','9187119','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764559,1,'India (Republic of)','IND','918712','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764569,1,'India (Republic of)','IND','9187130','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764579,1,'India (Republic of)','IND','9187138','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764589,1,'India (Republic of)','IND','9187139','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764599,1,'India (Republic of)','IND','918714','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764609,1,'India (Republic of)','IND','9187150','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764619,1,'India (Republic of)','IND','9187158','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764629,1,'India (Republic of)','IND','9187159','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764639,1,'India (Republic of)','IND','9187160','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764649,1,'India (Republic of)','IND','9187168','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764659,1,'India (Republic of)','IND','9187169','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764669,1,'India (Republic of)','IND','9187170','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764679,1,'India (Republic of)','IND','9187178','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764689,1,'India (Republic of)','IND','9187179','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764699,1,'India (Republic of)','IND','9187180','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764709,1,'India (Republic of)','IND','9187188','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764719,1,'India (Republic of)','IND','9187189','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764729,1,'India (Republic of)','IND','9187190','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764739,1,'India (Republic of)','IND','9187198','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764749,1,'India (Republic of)','IND','9187199','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764759,1,'India (Republic of)','IND','9187200','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764769,1,'India (Republic of)','IND','9187208','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764779,1,'India (Republic of)','IND','9187209','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764789,1,'India (Republic of)','IND','9187210','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764799,1,'India (Republic of)','IND','9187218','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764809,1,'India (Republic of)','IND','9187219','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764819,1,'India (Republic of)','IND','918722','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764829,1,'India (Republic of)','IND','9187230','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764839,1,'India (Republic of)','IND','9187238','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764849,1,'India (Republic of)','IND','9187239','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764859,1,'India (Republic of)','IND','9187240','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764869,1,'India (Republic of)','IND','9187248','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764879,1,'India (Republic of)','IND','9187249','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764889,1,'India (Republic of)','IND','9187250','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764899,1,'India (Republic of)','IND','9187258','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764909,1,'India (Republic of)','IND','9187259','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764919,1,'India (Republic of)','IND','918726','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764929,1,'India (Republic of)','IND','9187270','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764939,1,'India (Republic of)','IND','9187278','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764949,1,'India (Republic of)','IND','9187279','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764959,1,'India (Republic of)','IND','9187280','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764969,1,'India (Republic of)','IND','9187288','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764979,1,'India (Republic of)','IND','9187289','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764989,1,'India (Republic of)','IND','9187290','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(764999,1,'India (Republic of)','IND','9187298','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765009,1,'India (Republic of)','IND','9187299','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765019,1,'India (Republic of)','IND','9187300','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765029,1,'India (Republic of)','IND','9187308','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765039,1,'India (Republic of)','IND','9187309','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765049,1,'India (Republic of)','IND','9187310','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765059,1,'India (Republic of)','IND','9187318','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765069,1,'India (Republic of)','IND','9187319','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765079,1,'India (Republic of)','IND','9187320','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765089,1,'India (Republic of)','IND','9187328','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765099,1,'India (Republic of)','IND','9187329','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765109,1,'India (Republic of)','IND','9187330','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765119,1,'India (Republic of)','IND','9187338','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765129,1,'India (Republic of)','IND','9187339','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765139,1,'India (Republic of)','IND','9187340','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765149,1,'India (Republic of)','IND','9187348','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765159,1,'India (Republic of)','IND','9187349','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765169,1,'India (Republic of)','IND','9187350','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765179,1,'India (Republic of)','IND','9187358','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765189,1,'India (Republic of)','IND','9187359','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765199,1,'India (Republic of)','IND','9187360','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765209,1,'India (Republic of)','IND','9187368','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765219,1,'India (Republic of)','IND','9187369','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765229,1,'India (Republic of)','IND','9187370','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765239,1,'India (Republic of)','IND','9187378','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765249,1,'India (Republic of)','IND','9187379','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765259,1,'India (Republic of)','IND','9187380','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765269,1,'India (Republic of)','IND','9187388','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765279,1,'India (Republic of)','IND','9187389','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765289,1,'India (Republic of)','IND','9187390','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765299,1,'India (Republic of)','IND','9187398','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765309,1,'India (Republic of)','IND','9187399','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765319,1,'India (Republic of)','IND','9187400','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765329,1,'India (Republic of)','IND','9187408','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765339,1,'India (Republic of)','IND','9187409','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765349,1,'India (Republic of)','IND','9187410','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765359,1,'India (Republic of)','IND','9187418','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765369,1,'India (Republic of)','IND','9187419','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765379,1,'India (Republic of)','IND','9187420','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765389,1,'India (Republic of)','IND','9187428','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765399,1,'India (Republic of)','IND','9187429','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765409,1,'India (Republic of)','IND','9187430','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765419,1,'India (Republic of)','IND','9187438','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765429,1,'India (Republic of)','IND','9187439','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765439,1,'India (Republic of)','IND','9187440','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765449,1,'India (Republic of)','IND','9187448','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765459,1,'India (Republic of)','IND','9187449','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765469,1,'India (Republic of)','IND','9187450','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765479,1,'India (Republic of)','IND','9187458','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765489,1,'India (Republic of)','IND','9187459','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765499,1,'India (Republic of)','IND','9187460','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765509,1,'India (Republic of)','IND','9187468','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765519,1,'India (Republic of)','IND','9187469','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765529,1,'India (Republic of)','IND','9187470','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765539,1,'India (Republic of)','IND','9187478','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765549,1,'India (Republic of)','IND','9187479','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765559,1,'India (Republic of)','IND','9187480','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765569,1,'India (Republic of)','IND','9187488','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765579,1,'India (Republic of)','IND','9187489','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765589,1,'India (Republic of)','IND','9187490','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765599,1,'India (Republic of)','IND','9187498','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765609,1,'India (Republic of)','IND','9187499','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765619,1,'India (Republic of)','IND','918750','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765629,1,'India (Republic of)','IND','9187510','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765639,1,'India (Republic of)','IND','9187518','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765649,1,'India (Republic of)','IND','9187519','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765659,1,'India (Republic of)','IND','9187520','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765669,1,'India (Republic of)','IND','9187528','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765679,1,'India (Republic of)','IND','9187529','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765689,1,'India (Republic of)','IND','9187530','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765699,1,'India (Republic of)','IND','9187538','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765709,1,'India (Republic of)','IND','9187539','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765719,1,'India (Republic of)','IND','918754','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765729,1,'India (Republic of)','IND','918755','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765739,1,'India (Republic of)','IND','918756','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765749,1,'India (Republic of)','IND','918757','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765759,1,'India (Republic of)','IND','918758','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765769,1,'India (Republic of)','IND','918759','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765779,1,'India (Republic of)','IND','918760','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765789,1,'India (Republic of)','IND','9187610','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765799,1,'India (Republic of)','IND','9187618','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765809,1,'India (Republic of)','IND','9187619','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765819,1,'India (Republic of)','IND','918762','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765829,1,'India (Republic of)','IND','918763','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765839,1,'India (Republic of)','IND','9187640','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765849,1,'India (Republic of)','IND','9187641','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765859,1,'India (Republic of)','IND','9187642','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765869,1,'India (Republic of)','IND','9187643','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765879,1,'India (Republic of)','IND','9187644','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765889,1,'India (Republic of)','IND','9187645','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765899,1,'India (Republic of)','IND','9187646','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765909,1,'India (Republic of)','IND','9187647','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765919,1,'India (Republic of)','IND','918765','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765929,1,'India (Republic of)','IND','918766','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765939,1,'India (Republic of)','IND','918767','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765949,1,'India (Republic of)','IND','918768','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765959,1,'India (Republic of)','IND','918769','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765969,1,'India (Republic of)','IND','91879','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765979,1,'India (Republic of)','IND','91880','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765989,1,'India (Republic of)','IND','918810','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(765999,1,'India (Republic of)','IND','9188110','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766009,1,'India (Republic of)','IND','9188118','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766019,1,'India (Republic of)','IND','9188119','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766029,1,'India (Republic of)','IND','9188120','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766039,1,'India (Republic of)','IND','9188128','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766049,1,'India (Republic of)','IND','9188129','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766059,1,'India (Republic of)','IND','9188130','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766069,1,'India (Republic of)','IND','9188138','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766079,1,'India (Republic of)','IND','9188139','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766089,1,'India (Republic of)','IND','9188140','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766099,1,'India (Republic of)','IND','9188148','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766109,1,'India (Republic of)','IND','9188149','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766119,1,'India (Republic of)','IND','918815','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766129,1,'India (Republic of)','IND','9188160','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766139,1,'India (Republic of)','IND','9188168','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766149,1,'India (Republic of)','IND','9188169','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766159,1,'India (Republic of)','IND','918817','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766169,1,'India (Republic of)','IND','9188180','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766179,1,'India (Republic of)','IND','9188188','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766189,1,'India (Republic of)','IND','9188189','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766199,1,'India (Republic of)','IND','9188190','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766209,1,'India (Republic of)','IND','9188198','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766219,1,'India (Republic of)','IND','9188199','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766229,1,'India (Republic of)','IND','918820','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766239,1,'India (Republic of)','IND','9188210','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766249,1,'India (Republic of)','IND','9188218','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766259,1,'India (Republic of)','IND','9188219','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766269,1,'India (Republic of)','IND','918822','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766279,1,'India (Republic of)','IND','9188230','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766289,1,'India (Republic of)','IND','9188238','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766299,1,'India (Republic of)','IND','9188239','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766309,1,'India (Republic of)','IND','918824','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766319,1,'India (Republic of)','IND','918825','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766329,1,'India (Republic of)','IND','918826','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766339,1,'India (Republic of)','IND','918827','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766349,1,'India (Republic of)','IND','918828','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766359,1,'India (Republic of)','IND','9188290','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766369,1,'India (Republic of)','IND','9188298','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766379,1,'India (Republic of)','IND','9188299','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766389,1,'India (Republic of)','IND','9188520','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766399,1,'India (Republic of)','IND','9188528','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766409,1,'India (Republic of)','IND','9188529','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766419,1,'India (Republic of)','IND','918853','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766429,1,'India (Republic of)','IND','9188540','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766439,1,'India (Republic of)','IND','9188548','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766449,1,'India (Republic of)','IND','9188549','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766459,1,'India (Republic of)','IND','9188550','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766469,1,'India (Republic of)','IND','9188558','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766479,1,'India (Republic of)','IND','9188559','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766489,1,'India (Republic of)','IND','9188560','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766499,1,'India (Republic of)','IND','9188568','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766509,1,'India (Republic of)','IND','9188569','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766519,1,'India (Republic of)','IND','9188570','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766529,1,'India (Republic of)','IND','9188578','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766539,1,'India (Republic of)','IND','9188579','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766549,1,'India (Republic of)','IND','918858','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766559,1,'India (Republic of)','IND','918859','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766569,1,'India (Republic of)','IND','918860','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766579,1,'India (Republic of)','IND','918861','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766589,1,'India (Republic of)','IND','9188620','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766599,1,'India (Republic of)','IND','9188628','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766609,1,'India (Republic of)','IND','9188629','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766619,1,'India (Republic of)','IND','9188630','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766629,1,'India (Republic of)','IND','9188638','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766639,1,'India (Republic of)','IND','9188639','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766649,1,'India (Republic of)','IND','9188640','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766659,1,'India (Republic of)','IND','9188648','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766669,1,'India (Republic of)','IND','9188649','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766679,1,'India (Republic of)','IND','9188650','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766689,1,'India (Republic of)','IND','9188658','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766699,1,'India (Republic of)','IND','9188659','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766709,1,'India (Republic of)','IND','918866','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766719,1,'India (Republic of)','IND','918867','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766729,1,'India (Republic of)','IND','9188680','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766739,1,'India (Republic of)','IND','9188688','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766749,1,'India (Republic of)','IND','9188689','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766759,1,'India (Republic of)','IND','9188690','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766769,1,'India (Republic of)','IND','9188698','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766779,1,'India (Republic of)','IND','9188699','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766789,1,'India (Republic of)','IND','91887','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766799,1,'India (Republic of)','IND','91888','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766809,1,'India (Republic of)','IND','91889','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766819,1,'India (Republic of)','IND','918900','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766829,1,'India (Republic of)','IND','9189010','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766839,1,'India (Republic of)','IND','9189011','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766849,1,'India (Republic of)','IND','9189012','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766859,1,'India (Republic of)','IND','9189013','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766869,1,'India (Republic of)','IND','9189014','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766879,1,'India (Republic of)','IND','9189015','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766889,1,'India (Republic of)','IND','9189020','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766899,1,'India (Republic of)','IND','9189021','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766909,1,'India (Republic of)','IND','9189022','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766919,1,'India (Republic of)','IND','9189023','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766929,1,'India (Republic of)','IND','9189024','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766939,1,'India (Republic of)','IND','9189025','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766949,1,'India (Republic of)','IND','9189026','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766959,1,'India (Republic of)','IND','9189027','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766969,1,'India (Republic of)','IND','918903','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766979,1,'India (Republic of)','IND','918904','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766989,1,'India (Republic of)','IND','918905','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(766999,1,'India (Republic of)','IND','918906','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767009,1,'India (Republic of)','IND','918907','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767019,1,'India (Republic of)','IND','918908','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767029,1,'India (Republic of)','IND','918909','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767039,1,'India (Republic of)','IND','9189220','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767049,1,'India (Republic of)','IND','9189228','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767059,1,'India (Republic of)','IND','9189229','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767069,1,'India (Republic of)','IND','918923','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767079,1,'India (Republic of)','IND','9189240','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767089,1,'India (Republic of)','IND','9189248','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767099,1,'India (Republic of)','IND','9189249','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767109,1,'India (Republic of)','IND','918925','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767119,1,'India (Republic of)','IND','918926','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767129,1,'India (Republic of)','IND','918927','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767139,1,'India (Republic of)','IND','918928','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767149,1,'India (Republic of)','IND','918929','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767159,1,'India (Republic of)','IND','918930','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767169,1,'India (Republic of)','IND','9189310','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767179,1,'India (Republic of)','IND','9189318','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767189,1,'India (Republic of)','IND','9189319','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767199,1,'India (Republic of)','IND','9189320','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767209,1,'India (Republic of)','IND','9189328','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767219,1,'India (Republic of)','IND','9189329','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767229,1,'India (Republic of)','IND','9189330','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767239,1,'India (Republic of)','IND','9189338','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767249,1,'India (Republic of)','IND','9189339','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767259,1,'India (Republic of)','IND','9189340','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767269,1,'India (Republic of)','IND','9189348','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767279,1,'India (Republic of)','IND','9189349','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767289,1,'India (Republic of)','IND','9189350','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767299,1,'India (Republic of)','IND','9189358','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767309,1,'India (Republic of)','IND','9189359','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767319,1,'India (Republic of)','IND','9189360','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767329,1,'India (Republic of)','IND','9189368','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767339,1,'India (Republic of)','IND','9189369','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767349,1,'India (Republic of)','IND','9189370','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767359,1,'India (Republic of)','IND','9189378','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767369,1,'India (Republic of)','IND','9189379','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767379,1,'India (Republic of)','IND','9189380','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767389,1,'India (Republic of)','IND','9189388','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767399,1,'India (Republic of)','IND','9189389','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767409,1,'India (Republic of)','IND','918939','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767419,1,'India (Republic of)','IND','918940','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767429,1,'India (Republic of)','IND','9189410','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767439,1,'India (Republic of)','IND','9189418','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767449,1,'India (Republic of)','IND','9189419','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767459,1,'India (Republic of)','IND','9189420','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767469,1,'India (Republic of)','IND','9189428','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767479,1,'India (Republic of)','IND','9189429','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767489,1,'India (Republic of)','IND','918943','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767499,1,'India (Republic of)','IND','9189440','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767509,1,'India (Republic of)','IND','9189448','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767519,1,'India (Republic of)','IND','9189449','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767529,1,'India (Republic of)','IND','9189450','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767539,1,'India (Republic of)','IND','9189458','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767549,1,'India (Republic of)','IND','9189459','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767559,1,'India (Republic of)','IND','9189460','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767569,1,'India (Republic of)','IND','9189468','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767579,1,'India (Republic of)','IND','9189469','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767589,1,'India (Republic of)','IND','9189470','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767599,1,'India (Republic of)','IND','9189478','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767609,1,'India (Republic of)','IND','9189479','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767619,1,'India (Republic of)','IND','918948','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767629,1,'India (Republic of)','IND','91895','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767639,1,'India (Republic of)','IND','918960','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767649,1,'India (Republic of)','IND','918961','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767659,1,'India (Republic of)','IND','918962','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767669,1,'India (Republic of)','IND','9189630','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767679,1,'India (Republic of)','IND','9189638','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767689,1,'India (Republic of)','IND','9189639','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767699,1,'India (Republic of)','IND','9189640','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767709,1,'India (Republic of)','IND','9189648','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767719,1,'India (Republic of)','IND','9189649','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767729,1,'India (Republic of)','IND','9189650','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767739,1,'India (Republic of)','IND','9189658','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767749,1,'India (Republic of)','IND','9189659','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767759,1,'India (Republic of)','IND','9189660','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767769,1,'India (Republic of)','IND','9189668','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767779,1,'India (Republic of)','IND','9189669','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767789,1,'India (Republic of)','IND','918967','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767799,1,'India (Republic of)','IND','918968','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767809,1,'India (Republic of)','IND','918969','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767819,1,'India (Republic of)','IND','91897','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767829,1,'India (Republic of)','IND','918980','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767839,1,'India (Republic of)','IND','918981','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767849,1,'India (Republic of)','IND','918982','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767859,1,'India (Republic of)','IND','918983','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767869,1,'India (Republic of)','IND','918984','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767879,1,'India (Republic of)','IND','918985','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767889,1,'India (Republic of)','IND','918986','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767899,1,'India (Republic of)','IND','9189870','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767909,1,'India (Republic of)','IND','9189871','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767919,1,'India (Republic of)','IND','9189872','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767929,1,'India (Republic of)','IND','9189873','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767939,1,'India (Republic of)','IND','9189874','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767949,1,'India (Republic of)','IND','9189875','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767959,1,'India (Republic of)','IND','9189876','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767969,1,'India (Republic of)','IND','9189877','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767979,1,'India (Republic of)','IND','9189880','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767989,1,'India (Republic of)','IND','9189881','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(767999,1,'India (Republic of)','IND','9189882','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(768009,1,'India (Republic of)','IND','9189883','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(768019,1,'India (Republic of)','IND','9189884','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(768029,1,'India (Republic of)','IND','918989','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(768039,1,'India (Republic of)','IND','91899','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(768049,1,'India (Republic of)','IND','919','Indien (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(768059,1,'India (Republic of)','IND','91095','Indien (Sonderziel)',0.03277,60,0.0327731,60,0,-1,'premium'),(768069,1,'India (Republic of)','IND','91096','Indien (Sonderziel)',0.03277,60,0.0327731,60,0,-1,'premium'),(768079,1,'India (Republic of)','IND','91097','Indien (Sonderziel)',0.03277,60,0.0327731,60,0,-1,'premium'),(768089,1,'Indonesia (Republic of)','IDN','62','Indonesien (Festnetz)',0.08319,60,0.0831933,60,0,-1,'fixed'),(768099,1,'Indonesia (Republic of)','IDN','628','Indonesien (Mobilfunk)',0.06639,60,0.0663866,60,0,-1,'mobile'),(768109,1,'Indonesia (Republic of)','IDN','628681','Indonesien (Sonderziel)',0.15882,60,0.158824,60,0,-1,'premium'),(768119,1,'Inmarsat (Atlantic Ocean-East)','','8711','Inmarsat A Atlantik Ost (Festnetz)',4.99916,60,4.99916,60,0,-1,'fixed'),(768129,1,'Inmarsat (Atlantic Ocean-East)','','8718','Inmarsat A Atlantik Ost (Festnetz)',4.99916,60,4.99916,60,0,-1,'fixed'),(768139,1,'Inmarsat (Atlantic Ocean-West)','','8741','Inmarsat A Atlantik West (Festnetz)',4.99916,60,4.99916,60,0,-1,'fixed'),(768149,1,'Inmarsat (Atlantic Ocean-West)','','8748','Inmarsat A Atlantik West (Festnetz)',4.99916,60,4.99916,60,0,-1,'fixed'),(768159,1,'Inmarsat (Indian Ocean)','','8731','Inmarsat A Indischer Ozean (Festnetz)',5.52857,60,5.52857,60,0,-1,'fixed'),(768169,1,'Inmarsat (Indian Ocean)','','8738','Inmarsat A Indischer Ozean (Festnetz)',5.52857,60,5.52857,60,0,-1,'fixed'),(768179,1,'Inmarsat (Pacific Ocean)','','8721','Inmarsat A Pazifik (Festnetz)',5.50336,60,5.50336,60,0,-1,'fixed'),(768189,1,'Inmarsat (Pacific Ocean)','','8728','Inmarsat A Pazifik (Festnetz)',5.50336,60,5.50336,60,0,-1,'fixed'),(768199,1,'Inmarsat SNAC','','8705','Inmarsat Aero (Festnetz)',5.76387,60,5.76387,60,0,-1,'fixed'),(768209,1,'Inmarsat (Atlantic Ocean-East)','','8715','Inmarsat Aero (Festnetz)',5.76387,60,5.76387,60,0,-1,'fixed'),(768219,1,'Inmarsat (Pacific Ocean)','','8725','Inmarsat Aero (Festnetz)',5.76387,60,5.76387,60,0,-1,'fixed'),(768229,1,'Inmarsat (Indian Ocean)','','8735','Inmarsat Aero (Festnetz)',5.76387,60,5.76387,60,0,-1,'fixed'),(768239,1,'Inmarsat (Atlantic Ocean-East)','','87130','Inmarsat B Atlantik Ost (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768249,1,'Inmarsat (Atlantic Ocean-East)','','87131','Inmarsat B Atlantik Ost (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768259,1,'Inmarsat (Atlantic Ocean-East)','','87132','Inmarsat B Atlantik Ost (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768269,1,'Inmarsat (Atlantic Ocean-East)','','87133','Inmarsat B Atlantik Ost (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768279,1,'Inmarsat (Atlantic Ocean-East)','','87134','Inmarsat B Atlantik Ost (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768289,1,'Inmarsat (Atlantic Ocean-East)','','87135','Inmarsat B Atlantik Ost (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768299,1,'Inmarsat (Atlantic Ocean-East)','','87136','Inmarsat B Atlantik Ost (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768309,1,'Inmarsat (Atlantic Ocean-East)','','87137','Inmarsat B Atlantik Ost (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768319,1,'Inmarsat (Atlantic Ocean-East)','','87138','Inmarsat B Atlantik Ost (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768329,1,'Inmarsat (Atlantic Ocean-East)','','87139','Inmarsat B Atlantik Ost HSD (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768339,1,'Inmarsat (Atlantic Ocean-West)','','87430','Inmarsat B Atlantik West (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768349,1,'Inmarsat (Atlantic Ocean-West)','','87431','Inmarsat B Atlantik West (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768359,1,'Inmarsat (Atlantic Ocean-West)','','87432','Inmarsat B Atlantik West (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768369,1,'Inmarsat (Atlantic Ocean-West)','','87433','Inmarsat B Atlantik West (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768379,1,'Inmarsat (Atlantic Ocean-West)','','87434','Inmarsat B Atlantik West (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768389,1,'Inmarsat (Atlantic Ocean-West)','','87435','Inmarsat B Atlantik West (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768399,1,'Inmarsat (Atlantic Ocean-West)','','87436','Inmarsat B Atlantik West (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768409,1,'Inmarsat (Atlantic Ocean-West)','','87437','Inmarsat B Atlantik West (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768419,1,'Inmarsat (Atlantic Ocean-West)','','87438','Inmarsat B Atlantik West (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768429,1,'Inmarsat (Atlantic Ocean-West)','','87439','Inmarsat B Atlantik West HSD (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768439,1,'Inmarsat SNAC','','87077','Inmarsat B GAN (Festnetz)',1.39412,60,1.39412,60,0,-1,'fixed'),(768449,1,'Inmarsat SNAC','','87078','Inmarsat B GAN HSD (Festnetz)',7.51176,60,7.51176,60,0,-1,'fixed'),(768459,1,'Inmarsat (Indian Ocean)','','87330','Inmarsat B Indischer Ozean (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768469,1,'Inmarsat (Indian Ocean)','','87331','Inmarsat B Indischer Ozean (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768479,1,'Inmarsat (Indian Ocean)','','87332','Inmarsat B Indischer Ozean (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768489,1,'Inmarsat (Indian Ocean)','','87333','Inmarsat B Indischer Ozean (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768499,1,'Inmarsat (Indian Ocean)','','87334','Inmarsat B Indischer Ozean (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768509,1,'Inmarsat (Indian Ocean)','','87335','Inmarsat B Indischer Ozean (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768519,1,'Inmarsat (Indian Ocean)','','87336','Inmarsat B Indischer Ozean (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768529,1,'Inmarsat (Indian Ocean)','','87337','Inmarsat B Indischer Ozean (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768539,1,'Inmarsat (Indian Ocean)','','87338','Inmarsat B Indischer Ozean (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768549,1,'Inmarsat (Indian Ocean)','','87339','Inmarsat B Indischer Ozean HSD (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768559,1,'Inmarsat (Pacific Ocean)','','87230','Inmarsat B Pazifik (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768569,1,'Inmarsat (Pacific Ocean)','','87231','Inmarsat B Pazifik (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768579,1,'Inmarsat (Pacific Ocean)','','87232','Inmarsat B Pazifik (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768589,1,'Inmarsat (Pacific Ocean)','','87233','Inmarsat B Pazifik (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768599,1,'Inmarsat (Pacific Ocean)','','87234','Inmarsat B Pazifik (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768609,1,'Inmarsat (Pacific Ocean)','','87235','Inmarsat B Pazifik (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768619,1,'Inmarsat (Pacific Ocean)','','87236','Inmarsat B Pazifik (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768629,1,'Inmarsat (Pacific Ocean)','','87237','Inmarsat B Pazifik (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768639,1,'Inmarsat (Pacific Ocean)','','87238','Inmarsat B Pazifik (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768649,1,'Inmarsat (Pacific Ocean)','','87239','Inmarsat B Pazifik HSD (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768659,1,'Inmarsat SNAC','','87030','Inmarsat B SNAC (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768669,1,'Inmarsat SNAC','','87031','Inmarsat B SNAC (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768679,1,'Inmarsat SNAC','','87032','Inmarsat B SNAC (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768689,1,'Inmarsat SNAC','','87033','Inmarsat B SNAC (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768699,1,'Inmarsat SNAC','','87034','Inmarsat B SNAC (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768709,1,'Inmarsat SNAC','','87035','Inmarsat B SNAC (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768719,1,'Inmarsat SNAC','','87036','Inmarsat B SNAC (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768729,1,'Inmarsat SNAC','','87037','Inmarsat B SNAC (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768739,1,'Inmarsat SNAC','','87038','Inmarsat B SNAC (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768749,1,'Inmarsat SNAC','','87039','Inmarsat B SNAC HSD (Festnetz)',2.0916,60,2.0916,60,0,-1,'fixed'),(768759,1,'Inmarsat (Atlantic Ocean-East)','','87161','Inmarsat M Atlantik Ost (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(768769,1,'Inmarsat (Atlantic Ocean-East)','','87162','Inmarsat M Atlantik Ost (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(768779,1,'Inmarsat (Atlantic Ocean-East)','','87163','Inmarsat M Atlantik Ost (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(768789,1,'Inmarsat (Atlantic Ocean-East)','','87164','Inmarsat M Atlantik Ost (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(768799,1,'Inmarsat (Atlantic Ocean-East)','','87165','Inmarsat M Atlantik Ost (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(768809,1,'Inmarsat (Atlantic Ocean-East)','','87166','Inmarsat M Atlantik Ost (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(768819,1,'Inmarsat (Atlantic Ocean-East)','','87167','Inmarsat M Atlantik Ost (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(768829,1,'Inmarsat (Atlantic Ocean-East)','','87168','Inmarsat M Atlantik Ost (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(768839,1,'Inmarsat (Atlantic Ocean-East)','','87169','Inmarsat M Atlantik Ost (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(768849,1,'Inmarsat (Atlantic Ocean-East)','','87160','Inmarsat M Atlantik Ost HSD (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(768859,1,'Inmarsat (Atlantic Ocean-East)','','87176','Inmarsat M Atlantik Ost MINI (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(768869,1,'Inmarsat (Atlantic Ocean-West)','','87461','Inmarsat M Atlantik West (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(768879,1,'Inmarsat (Atlantic Ocean-West)','','87462','Inmarsat M Atlantik West (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(768889,1,'Inmarsat (Atlantic Ocean-West)','','87463','Inmarsat M Atlantik West (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(768899,1,'Inmarsat (Atlantic Ocean-West)','','87464','Inmarsat M Atlantik West (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(768909,1,'Inmarsat (Atlantic Ocean-West)','','87465','Inmarsat M Atlantik West (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(768919,1,'Inmarsat (Atlantic Ocean-West)','','87466','Inmarsat M Atlantik West (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(768929,1,'Inmarsat (Atlantic Ocean-West)','','87467','Inmarsat M Atlantik West (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(768939,1,'Inmarsat (Atlantic Ocean-West)','','87468','Inmarsat M Atlantik West (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(768949,1,'Inmarsat (Atlantic Ocean-West)','','87469','Inmarsat M Atlantik West (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(768959,1,'Inmarsat (Atlantic Ocean-West)','','87460','Inmarsat M Atlantik West HSD (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(768969,1,'Inmarsat (Atlantic Ocean-West)','','87476','Inmarsat M Atlantik West MINI (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(768979,1,'Inmarsat (Indian Ocean)','','87361','Inmarsat M Indischer Ozean (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(768989,1,'Inmarsat (Indian Ocean)','','87362','Inmarsat M Indischer Ozean (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(768999,1,'Inmarsat (Indian Ocean)','','87363','Inmarsat M Indischer Ozean (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(769009,1,'Inmarsat (Indian Ocean)','','87364','Inmarsat M Indischer Ozean (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(769019,1,'Inmarsat (Indian Ocean)','','87365','Inmarsat M Indischer Ozean (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(769029,1,'Inmarsat (Indian Ocean)','','87366','Inmarsat M Indischer Ozean (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(769039,1,'Inmarsat (Indian Ocean)','','87367','Inmarsat M Indischer Ozean (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(769049,1,'Inmarsat (Indian Ocean)','','87368','Inmarsat M Indischer Ozean (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(769059,1,'Inmarsat (Indian Ocean)','','87369','Inmarsat M Indischer Ozean (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(769069,1,'Inmarsat (Indian Ocean)','','87360','Inmarsat M Indischer Ozean HSD (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(769079,1,'Inmarsat (Indian Ocean)','','87376','Inmarsat M Indischer Ozean MINI (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(769089,1,'Inmarsat (Pacific Ocean)','','87261','Inmarsat M Pazifik (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(769099,1,'Inmarsat (Pacific Ocean)','','87262','Inmarsat M Pazifik (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(769109,1,'Inmarsat (Pacific Ocean)','','87263','Inmarsat M Pazifik (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(769119,1,'Inmarsat (Pacific Ocean)','','87264','Inmarsat M Pazifik (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(769129,1,'Inmarsat (Pacific Ocean)','','87265','Inmarsat M Pazifik (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(769139,1,'Inmarsat (Pacific Ocean)','','87266','Inmarsat M Pazifik (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(769149,1,'Inmarsat (Pacific Ocean)','','87267','Inmarsat M Pazifik (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(769159,1,'Inmarsat (Pacific Ocean)','','87268','Inmarsat M Pazifik (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(769169,1,'Inmarsat (Pacific Ocean)','','87269','Inmarsat M Pazifik (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(769179,1,'Inmarsat (Pacific Ocean)','','87260','Inmarsat M Pazifik HSD (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(769189,1,'Inmarsat (Pacific Ocean)','','87276','Inmarsat M Pazifik MINI (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(769199,1,'Inmarsat SNAC','','87061','Inmarsat M SNAC (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(769209,1,'Inmarsat SNAC','','87062','Inmarsat M SNAC (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(769219,1,'Inmarsat SNAC','','87063','Inmarsat M SNAC (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(769229,1,'Inmarsat SNAC','','87064','Inmarsat M SNAC (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(769239,1,'Inmarsat SNAC','','87065','Inmarsat M SNAC (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(769249,1,'Inmarsat SNAC','','87066','Inmarsat M SNAC (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(769259,1,'Inmarsat SNAC','','87067','Inmarsat M SNAC (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(769269,1,'Inmarsat SNAC','','87068','Inmarsat M SNAC (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(769279,1,'Inmarsat SNAC','','87069','Inmarsat M SNAC (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(769289,1,'Inmarsat SNAC','','87060','Inmarsat M SNAC HSD (Festnetz)',8.08319,60,8.08319,60,0,-1,'fixed'),(769299,1,'Inmarsat SNAC','','87076','Inmarsat M SNAC MINI (Festnetz)',1.53697,60,1.53697,60,0,-1,'fixed'),(769309,1,'Iraq (Republic of)','IRQ','964','Irak (Festnetz)',0.14202,60,0.142017,60,0,-1,'fixed'),(769319,1,'Iraq (Republic of)','IRQ','9647','Irak (Mobilfunk)',0.15042,60,0.15042,60,0,-1,'mobile'),(769329,1,'Iraq (Republic of)','IRQ','96482','Irak (Sonderziel)',0.15882,60,0.158824,60,0,-1,'premium'),(769339,1,'Iran (Islamic Republic of)','IRN','98308','Iran (Sonderziel)',0.12521,60,0.12521,60,0,-1,'premium'),(769349,1,'Iran (Islamic Republic of)','IRN','98943','Iran (Sonderziel)',0.12521,60,0.12521,60,0,-1,'premium'),(769359,1,'Iran (Islamic Republic of)','IRN','98999','Iran (Sonderziel)',0.12521,60,0.12521,60,0,-1,'premium'),(769369,1,'Iran (Islamic Republic of)','IRN','98','Iran (Islamische Republik) (Festnetz)',0.07479,60,0.0747899,60,0,-1,'fixed'),(769379,1,'Iran (Islamic Republic of)','IRN','989','Iran (Islamische Republik) (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(769389,1,'Ireland','IRL','353','Irland (Festnetz)',0.01597,60,0.0159664,60,0,-1,'fixed'),(769399,1,'Ireland','IRL','3538','Irland (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(769409,1,'Ireland','IRL','3531520','Irland (Sonderziel)',0.38571,60,0.385714,60,0,-1,'premium'),(769419,1,'Ireland','IRL','3531530','Irland (Sonderziel)',0.38571,60,0.385714,60,0,-1,'premium'),(769429,1,'Ireland','IRL','3531540','Irland (Sonderziel)',0.38571,60,0.385714,60,0,-1,'premium'),(769439,1,'Ireland','IRL','3531550','Irland (Sonderziel)',0.38571,60,0.385714,60,0,-1,'premium'),(769449,1,'Ireland','IRL','3531559','Irland (Sonderziel)',0.38571,60,0.385714,60,0,-1,'premium'),(769459,1,'Ireland','IRL','3531560','Irland (Sonderziel)',0.38571,60,0.385714,60,0,-1,'premium'),(769469,1,'Ireland','IRL','3531570','Irland (Sonderziel)',0.38571,60,0.385714,60,0,-1,'premium'),(769479,1,'Ireland','IRL','3531580','Irland (Sonderziel)',0.38571,60,0.385714,60,0,-1,'premium'),(769489,1,'Ireland','IRL','3531590','Irland (Sonderziel)',0.38571,60,0.385714,60,0,-1,'premium'),(769499,1,'Ireland','IRL','353700','Irland (Sonderziel)',0.38571,60,0.385714,60,0,-1,'premium'),(769509,1,'Ireland','IRL','35376','Irland (Sonderziel)',0.38571,60,0.385714,60,0,-1,'premium'),(769519,1,'Ireland','IRL','353818','Irland (Sonderziel)',0.38571,60,0.385714,60,0,-1,'premium'),(769529,1,'Ireland','IRL','35382','Irland (Sonderziel)',0.38571,60,0.385714,60,0,-1,'premium'),(769539,1,'Iceland','ISL','354','Island (Festnetz)',0.1084,60,0.108403,60,0,-1,'fixed'),(769549,1,'Iceland','ISL','3543','Island (Mobilfunk)',0.14202,60,0.142017,60,0,-1,'mobile'),(769559,1,'Iceland','ISL','354412','Island (Mobilfunk)',0.14202,60,0.142017,60,0,-1,'mobile'),(769569,1,'Iceland','ISL','354490','Island (Mobilfunk)',0.14202,60,0.142017,60,0,-1,'mobile'),(769579,1,'Iceland','ISL','354495','Island (Mobilfunk)',0.14202,60,0.142017,60,0,-1,'mobile'),(769589,1,'Iceland','ISL','3546','Island (Mobilfunk)',0.14202,60,0.142017,60,0,-1,'mobile'),(769599,1,'Iceland','ISL','3547','Island (Mobilfunk)',0.14202,60,0.142017,60,0,-1,'mobile'),(769609,1,'Iceland','ISL','3548','Island (Mobilfunk)',0.14202,60,0.142017,60,0,-1,'mobile'),(769619,1,'Iceland','ISL','354958','Island (Mobilfunk)',0.14202,60,0.142017,60,0,-1,'mobile'),(769629,1,'Iceland','ISL','354959','Island (Mobilfunk)',0.14202,60,0.142017,60,0,-1,'mobile'),(769639,1,'Iceland','ISL','35490','Island (Sonderziel)',0.11681,60,0.116807,60,0,-1,'premium'),(769649,1,'Israel (State of)','ISR','972','Israel (Festnetz)',0.01597,60,0.0159664,60,0,-1,'fixed'),(769659,1,'Israel (State of)','ISR','9725','Israel (Mobilfunk)',0.04118,60,0.0411765,60,0,-1,'mobile'),(769669,1,'Vatican City State','ITA','39','Italien (Festnetz)',0.01597,60,0.0159664,60,0,-1,'fixed'),(769679,1,'Vatican City State','ITA','39178','Italien (Sonderziel)',0.15882,60,0.158824,60,0,-1,'premium'),(769689,1,'Vatican City State','ITA','39199','Italien (Sonderziel)',0.15882,60,0.158824,60,0,-1,'premium'),(769699,1,'Vatican City State','ITA','393193','Italien (Sonderziel)',0.15882,60,0.158824,60,0,-1,'premium'),(769709,1,'Vatican City State','ITA','39840','Italien (Sonderziel)',0.15882,60,0.158824,60,0,-1,'premium'),(769719,1,'Vatican City State','ITA','39841','Italien (Sonderziel)',0.15882,60,0.158824,60,0,-1,'premium'),(769729,1,'Vatican City State','ITA','39847','Italien (Sonderziel)',0.15882,60,0.158824,60,0,-1,'premium'),(769739,1,'Vatican City State','ITA','39848','Italien (Sonderziel)',0.15882,60,0.158824,60,0,-1,'premium'),(769749,1,'Vatican City State','ITA','393','Italien Mobil inkl. Vatikan (Mobilfunk)',0.12521,60,0.12521,60,0,-1,'mobile'),(769759,1,'Jamaica','JAM','1876','Jamaika (Festnetz)',0.30168,60,0.301681,60,0,-1,'fixed'),(769769,1,'Jamaica','JAM','1876210','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(769779,1,'Jamaica','JAM','187624','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(769789,1,'Jamaica','JAM','187625','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(769799,1,'Jamaica','JAM','187626','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(769809,1,'Jamaica','JAM','1876275','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(769819,1,'Jamaica','JAM','1876276','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(769829,1,'Jamaica','JAM','1876277','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(769839,1,'Jamaica','JAM','1876278','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(769849,1,'Jamaica','JAM','1876279','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(769859,1,'Jamaica','JAM','187628','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(769869,1,'Jamaica','JAM','187629','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(769879,1,'Jamaica','JAM','1876301','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(769889,1,'Jamaica','JAM','1876302','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(769899,1,'Jamaica','JAM','1876303','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(769909,1,'Jamaica','JAM','1876304','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(769919,1,'Jamaica','JAM','1876305','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(769929,1,'Jamaica','JAM','1876306','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(769939,1,'Jamaica','JAM','1876307','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(769949,1,'Jamaica','JAM','1876308','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(769959,1,'Jamaica','JAM','1876309','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(769969,1,'Jamaica','JAM','1876310','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(769979,1,'Jamaica','JAM','1876312','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(769989,1,'Jamaica','JAM','1876313','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(769999,1,'Jamaica','JAM','1876314','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770009,1,'Jamaica','JAM','1876315','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770019,1,'Jamaica','JAM','1876316','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770029,1,'Jamaica','JAM','1876317','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770039,1,'Jamaica','JAM','1876318','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770049,1,'Jamaica','JAM','1876319','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770059,1,'Jamaica','JAM','187632','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770069,1,'Jamaica','JAM','187633','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770079,1,'Jamaica','JAM','187634','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770089,1,'Jamaica','JAM','187635','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770099,1,'Jamaica','JAM','187636','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770109,1,'Jamaica','JAM','187637','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770119,1,'Jamaica','JAM','187638','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770129,1,'Jamaica','JAM','187639','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770139,1,'Jamaica','JAM','1876401','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770149,1,'Jamaica','JAM','1876402','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770159,1,'Jamaica','JAM','1876403','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770169,1,'Jamaica','JAM','1876404','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770179,1,'Jamaica','JAM','1876405','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770189,1,'Jamaica','JAM','1876406','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770199,1,'Jamaica','JAM','1876407','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770209,1,'Jamaica','JAM','1876408','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770219,1,'Jamaica','JAM','1876409','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770229,1,'Jamaica','JAM','187641','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770239,1,'Jamaica','JAM','187642','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770249,1,'Jamaica','JAM','187643','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770259,1,'Jamaica','JAM','187644','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770269,1,'Jamaica','JAM','187645','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770279,1,'Jamaica','JAM','187646','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770289,1,'Jamaica','JAM','187647','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770299,1,'Jamaica','JAM','187648','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770309,1,'Jamaica','JAM','187649','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770319,1,'Jamaica','JAM','1876503','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770329,1,'Jamaica','JAM','1876504','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770339,1,'Jamaica','JAM','1876505','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770349,1,'Jamaica','JAM','1876506','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770359,1,'Jamaica','JAM','1876507','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770369,1,'Jamaica','JAM','1876508','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770379,1,'Jamaica','JAM','1876509','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770389,1,'Jamaica','JAM','1876520','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770399,1,'Jamaica','JAM','1876521','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770409,1,'Jamaica','JAM','1876522','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770419,1,'Jamaica','JAM','1876524','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770429,1,'Jamaica','JAM','1876527','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770439,1,'Jamaica','JAM','1876528','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770449,1,'Jamaica','JAM','1876529','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770459,1,'Jamaica','JAM','187653','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770469,1,'Jamaica','JAM','187654','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770479,1,'Jamaica','JAM','1876550','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770489,1,'Jamaica','JAM','1876551','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770499,1,'Jamaica','JAM','1876552','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770509,1,'Jamaica','JAM','1876553','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770519,1,'Jamaica','JAM','1876554','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770529,1,'Jamaica','JAM','1876556','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770539,1,'Jamaica','JAM','1876557','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770549,1,'Jamaica','JAM','1876558','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770559,1,'Jamaica','JAM','1876559','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770569,1,'Jamaica','JAM','1876560','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770579,1,'Jamaica','JAM','1876561','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770589,1,'Jamaica','JAM','1876562','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770599,1,'Jamaica','JAM','1876564','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770609,1,'Jamaica','JAM','1876565','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770619,1,'Jamaica','JAM','1876566','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770629,1,'Jamaica','JAM','1876567','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770639,1,'Jamaica','JAM','1876568','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770649,1,'Jamaica','JAM','1876569','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770659,1,'Jamaica','JAM','187657','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770669,1,'Jamaica','JAM','187658','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770679,1,'Jamaica','JAM','187659','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770689,1,'Jamaica','JAM','1876618','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770699,1,'Jamaica','JAM','1876619','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770709,1,'Jamaica','JAM','1876648','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770719,1,'Jamaica','JAM','1876649','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770729,1,'Jamaica','JAM','1876665','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770739,1,'Jamaica','JAM','1876667','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770749,1,'Jamaica','JAM','1876668','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770759,1,'Jamaica','JAM','1876669','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770769,1,'Jamaica','JAM','1876700','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770779,1,'Jamaica','JAM','1876707','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770789,1,'Jamaica','JAM','187677','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770799,1,'Jamaica','JAM','1876781','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770809,1,'Jamaica','JAM','1876782','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770819,1,'Jamaica','JAM','1876783','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770829,1,'Jamaica','JAM','1876784','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770839,1,'Jamaica','JAM','1876787','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770849,1,'Jamaica','JAM','1876788','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770859,1,'Jamaica','JAM','1876789','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770869,1,'Jamaica','JAM','1876790','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770879,1,'Jamaica','JAM','1876791','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770889,1,'Jamaica','JAM','1876792','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770899,1,'Jamaica','JAM','1876793','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770909,1,'Jamaica','JAM','1876796','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770919,1,'Jamaica','JAM','1876797','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770929,1,'Jamaica','JAM','1876798','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770939,1,'Jamaica','JAM','1876799','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770949,1,'Jamaica','JAM','1876804','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770959,1,'Jamaica','JAM','1876805','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770969,1,'Jamaica','JAM','1876806','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770979,1,'Jamaica','JAM','1876807','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770989,1,'Jamaica','JAM','1876808','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(770999,1,'Jamaica','JAM','1876809','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(771009,1,'Jamaica','JAM','1876810','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(771019,1,'Jamaica','JAM','1876812','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(771029,1,'Jamaica','JAM','1876813','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(771039,1,'Jamaica','JAM','1876814','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(771049,1,'Jamaica','JAM','1876815','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(771059,1,'Jamaica','JAM','1876816','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(771069,1,'Jamaica','JAM','1876817','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(771079,1,'Jamaica','JAM','1876818','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(771089,1,'Jamaica','JAM','1876819','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(771099,1,'Jamaica','JAM','187682','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(771109,1,'Jamaica','JAM','187683','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(771119,1,'Jamaica','JAM','187684','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(771129,1,'Jamaica','JAM','187685','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(771139,1,'Jamaica','JAM','187686','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(771149,1,'Jamaica','JAM','187687','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(771159,1,'Jamaica','JAM','187688','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(771169,1,'Jamaica','JAM','187689','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(771179,1,'Jamaica','JAM','1876909','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(771189,1,'Jamaica','JAM','1876919','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(771199,1,'Jamaica','JAM','1876990','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(771209,1,'Jamaica','JAM','1876995','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(771219,1,'Jamaica','JAM','1876997','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(771229,1,'Jamaica','JAM','1876999','Jamaika (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(771239,1,'Jamaica','JAM','1876468','Jamaika (Sonderziel)',0.29328,60,0.293277,60,0,-1,'premium'),(771249,1,'Jamaica','JAM','187669','Jamaika (Sonderziel)',0.29328,60,0.293277,60,0,-1,'premium'),(771259,1,'Jamaica','JAM','1876976','Jamaika (Sonderziel)',0.29328,60,0.293277,60,0,-1,'premium'),(771269,1,'Japan','JPN','81','Japan (Festnetz)',0.03277,60,0.0327731,60,0,-1,'fixed'),(771279,1,'Japan','JPN','8170','Japan (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(771289,1,'Japan','JPN','8180','Japan (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(771299,1,'Japan','JPN','8190','Japan (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(771309,1,'Japan','JPN','81990','Japan (Sonderziel)',0.15882,60,0.158824,60,0,-1,'premium'),(771319,1,'Yemen (Republic of)','YEM','967','Jemen (Festnetz)',0.20084,60,0.20084,60,0,-1,'fixed'),(771329,1,'Yemen (Republic of)','YEM','96770','Jemen (Mobilfunk)',0.20084,60,0.20084,60,0,-1,'mobile'),(771339,1,'Yemen (Republic of)','YEM','96771','Jemen (Mobilfunk)',0.20084,60,0.20084,60,0,-1,'mobile'),(771349,1,'Yemen (Republic of)','YEM','96773','Jemen (Mobilfunk)',0.20084,60,0.20084,60,0,-1,'mobile'),(771359,1,'Yemen (Republic of)','YEM','96777','Jemen (Mobilfunk)',0.20084,60,0.20084,60,0,-1,'mobile'),(771369,1,'Jordan (Hashemite Kingdom of)','JOR','962','Jordanien (Festnetz)',0.14202,60,0.142017,60,0,-1,'fixed'),(771379,1,'Jordan (Hashemite Kingdom of)','JOR','96274','Jordanien (Mobilfunk)',0.20084,60,0.20084,60,0,-1,'mobile'),(771389,1,'Jordan (Hashemite Kingdom of)','JOR','96275','Jordanien (Mobilfunk)',0.20084,60,0.20084,60,0,-1,'mobile'),(771399,1,'Jordan (Hashemite Kingdom of)','JOR','96277','Jordanien (Mobilfunk)',0.20084,60,0.20084,60,0,-1,'mobile'),(771409,1,'Jordan (Hashemite Kingdom of)','JOR','96278','Jordanien (Mobilfunk)',0.20084,60,0.20084,60,0,-1,'mobile'),(771419,1,'Jordan (Hashemite Kingdom of)','JOR','96279','Jordanien (Mobilfunk)',0.20084,60,0.20084,60,0,-1,'mobile'),(771429,1,'Cayman Islands','CYM','1345','Kaimaninseln (Festnetz)',0.27647,60,0.276471,60,0,-1,'fixed'),(771439,1,'Cayman Islands','CYM','1345229','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771449,1,'Cayman Islands','CYM','1345249','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771459,1,'Cayman Islands','CYM','134532','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771469,1,'Cayman Islands','CYM','1345514','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771479,1,'Cayman Islands','CYM','1345516','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771489,1,'Cayman Islands','CYM','1345517','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771499,1,'Cayman Islands','CYM','1345525','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771509,1,'Cayman Islands','CYM','1345526','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771519,1,'Cayman Islands','CYM','1345527','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771529,1,'Cayman Islands','CYM','1345529','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771539,1,'Cayman Islands','CYM','1345545','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771549,1,'Cayman Islands','CYM','1345546','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771559,1,'Cayman Islands','CYM','1345547','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771569,1,'Cayman Islands','CYM','1345548','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771579,1,'Cayman Islands','CYM','1345549','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771589,1,'Cayman Islands','CYM','1345550','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771599,1,'Cayman Islands','CYM','1345616','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771609,1,'Cayman Islands','CYM','1345617','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771619,1,'Cayman Islands','CYM','1345625','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771629,1,'Cayman Islands','CYM','1345629','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771639,1,'Cayman Islands','CYM','1345645','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771649,1,'Cayman Islands','CYM','1345646','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771659,1,'Cayman Islands','CYM','1345647','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771669,1,'Cayman Islands','CYM','1345649','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771679,1,'Cayman Islands','CYM','1345916','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771689,1,'Cayman Islands','CYM','1345917','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771699,1,'Cayman Islands','CYM','1345919','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771709,1,'Cayman Islands','CYM','1345922','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771719,1,'Cayman Islands','CYM','1345923','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771729,1,'Cayman Islands','CYM','1345924','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771739,1,'Cayman Islands','CYM','1345925','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771749,1,'Cayman Islands','CYM','1345926','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771759,1,'Cayman Islands','CYM','1345927','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771769,1,'Cayman Islands','CYM','1345928','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771779,1,'Cayman Islands','CYM','1345929','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771789,1,'Cayman Islands','CYM','1345930','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771799,1,'Cayman Islands','CYM','1345936','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771809,1,'Cayman Islands','CYM','1345937','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771819,1,'Cayman Islands','CYM','1345938','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771829,1,'Cayman Islands','CYM','1345939','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771839,1,'Cayman Islands','CYM','134599','Kaimaninseln (Mobilfunk)',0.27647,60,0.276471,60,0,-1,'mobile'),(771849,1,'Cambodia (Kingdom of)','KHM','855','Kambodscha (Festnetz)',0.04958,60,0.0495798,60,0,-1,'fixed'),(771859,1,'Cambodia (Kingdom of)','KHM','8551','Kambodscha (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(771869,1,'Cambodia (Kingdom of)','KHM','8552','Kambodscha (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(771879,1,'Cambodia (Kingdom of)','KHM','8553','Kambodscha (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(771889,1,'Cambodia (Kingdom of)','KHM','8554','Kambodscha (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(771899,1,'Cambodia (Kingdom of)','KHM','8555','Kambodscha (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(771909,1,'Cambodia (Kingdom of)','KHM','8556','Kambodscha (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(771919,1,'Cambodia (Kingdom of)','KHM','85570','Kambodscha (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(771929,1,'Cambodia (Kingdom of)','KHM','85572','Kambodscha (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(771939,1,'Cambodia (Kingdom of)','KHM','85573','Kambodscha (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(771949,1,'Cambodia (Kingdom of)','KHM','85574','Kambodscha (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(771959,1,'Cambodia (Kingdom of)','KHM','85575','Kambodscha (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(771969,1,'Cambodia (Kingdom of)','KHM','85576','Kambodscha (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(771979,1,'Cambodia (Kingdom of)','KHM','85577','Kambodscha (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(771989,1,'Cambodia (Kingdom of)','KHM','85578','Kambodscha (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(771999,1,'Cambodia (Kingdom of)','KHM','85580','Kambodscha (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(772009,1,'Cambodia (Kingdom of)','KHM','85581','Kambodscha (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(772019,1,'Cambodia (Kingdom of)','KHM','85583','Kambodscha (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(772029,1,'Cambodia (Kingdom of)','KHM','85584','Kambodscha (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(772039,1,'Cambodia (Kingdom of)','KHM','85585','Kambodscha (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(772049,1,'Cambodia (Kingdom of)','KHM','85586','Kambodscha (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(772059,1,'Cambodia (Kingdom of)','KHM','85587','Kambodscha (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(772069,1,'Cambodia (Kingdom of)','KHM','85588','Kambodscha (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(772079,1,'Cambodia (Kingdom of)','KHM','85589','Kambodscha (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(772089,1,'Cambodia (Kingdom of)','KHM','8559','Kambodscha (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(772099,1,'Cameroon (Republic of)','CMR','237','Kamerun (Festnetz)',0.15882,60,0.158824,60,0,-1,'fixed'),(772109,1,'Cameroon (Republic of)','CMR','2377','Kamerun (Mobilfunk)',0.31849,60,0.318487,60,0,-1,'mobile'),(772119,1,'Cameroon (Republic of)','CMR','2379','Kamerun (Mobilfunk)',0.31849,60,0.318487,60,0,-1,'mobile'),(772129,1,'Cameroon (Republic of)','CMR','237222','Kamerun (Sonderziel)',0.31849,60,0.318487,60,0,-1,'premium'),(772139,1,'Cameroon (Republic of)','CMR','23722945','Kamerun (Sonderziel)',0.31849,60,0.318487,60,0,-1,'premium'),(772149,1,'Cameroon (Republic of)','CMR','2378','Kamerun (Sonderziel)',0.31849,60,0.318487,60,0,-1,'premium'),(772159,1,'Mayotte','MYT','269771','Kamerun (Sonderziel)',0.31849,60,0.318487,60,0,-1,'premium'),(772169,1,'Canada','CAN','1867','Kanada (Sonderziel)',0.00756,60,0.00756303,60,0,-1,'premium'),(772179,1,'United States of America','USA','108','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772189,1,'United States of America','USA','109','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772199,1,'United States of America','USA','1186','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772209,1,'Canada','CAN','1204','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772219,1,'Canada','CAN','1226','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772229,1,'Canada','CAN','1236','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772239,1,'Canada','CAN','1249','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772249,1,'Canada','CAN','1250','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772259,1,'Canada','CAN','1289','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772269,1,'Canada','CAN','1306','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772279,1,'Canada','CAN','1343','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772289,1,'United States of America','USA','1365','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772299,1,'Canada','CAN','1403','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772309,1,'Canada','CAN','1416','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772319,1,'Canada','CAN','1418','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772329,1,'Canada','CAN','1431','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772339,1,'United States of America','USA','1437','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772349,1,'Canada','CAN','1438','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772359,1,'Canada','CAN','1450','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772369,1,'Canada','CAN','1506','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772379,1,'Canada','CAN','1514','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772389,1,'Canada','CAN','1519','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772399,1,'Canada','CAN','1579','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772409,1,'Canada','CAN','1581','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772419,1,'Canada','CAN','1587','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772429,1,'United States of America','USA','1600','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772439,1,'Canada','CAN','1604','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772449,1,'Canada','CAN','1613','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772459,1,'Canada','CAN','1639','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772469,1,'Canada','CAN','1647','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772479,1,'Canada','CAN','1705','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772489,1,'Canada','CAN','1709','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772499,1,'Canada','CAN','1778','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772509,1,'Canada','CAN','1780','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772519,1,'Canada','CAN','1782','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772529,1,'Canada','CAN','1807','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772539,1,'Canada','CAN','1819','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772549,1,'Canada','CAN','1873','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772559,1,'Canada','CAN','1902','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772569,1,'Canada','CAN','1905','Kanada (Festnetz + Mobil) (Festnetz)',0.00756,60,0.00756303,60,0,-1,'fixed'),(772579,1,'Cabo Verde','CPV','238','Kap Verde (Festnetz)',0.31849,60,0.318487,60,0,-1,'fixed'),(772589,1,'Cabo Verde','CPV','23818','Kap Verde (Mobilfunk)',0.31849,60,0.318487,60,0,-1,'mobile'),(772599,1,'Cabo Verde','CPV','238330','Kap Verde (Mobilfunk)',0.31849,60,0.318487,60,0,-1,'mobile'),(772609,1,'Cabo Verde','CPV','238331','Kap Verde (Mobilfunk)',0.31849,60,0.318487,60,0,-1,'mobile'),(772619,1,'Cabo Verde','CPV','238332','Kap Verde (Mobilfunk)',0.31849,60,0.318487,60,0,-1,'mobile'),(772629,1,'Cabo Verde','CPV','238333','Kap Verde (Mobilfunk)',0.31849,60,0.318487,60,0,-1,'mobile'),(772639,1,'Cabo Verde','CPV','238334','Kap Verde (Mobilfunk)',0.31849,60,0.318487,60,0,-1,'mobile'),(772649,1,'Cabo Verde','CPV','23851','Kap Verde (Mobilfunk)',0.31849,60,0.318487,60,0,-1,'mobile'),(772659,1,'Cabo Verde','CPV','23858','Kap Verde (Mobilfunk)',0.31849,60,0.318487,60,0,-1,'mobile'),(772669,1,'Cabo Verde','CPV','23859','Kap Verde (Mobilfunk)',0.31849,60,0.318487,60,0,-1,'mobile'),(772679,1,'Cabo Verde','CPV','2389','Kap Verde (Mobilfunk)',0.31849,60,0.318487,60,0,-1,'mobile'),(772689,1,'Kazakhstan','KAZ','77','Kasachstan (Festnetz)',0.03277,60,0.0327731,60,0,-1,'fixed'),(772699,1,'Kazakhstan','KAZ','7700','Kasachstan (Mobilfunk)',0.12521,60,0.12521,60,0,-1,'mobile'),(772709,1,'Kazakhstan','KAZ','7701','Kasachstan (Mobilfunk)',0.12521,60,0.12521,60,0,-1,'mobile'),(772719,1,'Kazakhstan','KAZ','7702','Kasachstan (Mobilfunk)',0.12521,60,0.12521,60,0,-1,'mobile'),(772729,1,'Kazakhstan','KAZ','7705','Kasachstan (Mobilfunk)',0.12521,60,0.12521,60,0,-1,'mobile'),(772739,1,'Kazakhstan','KAZ','7707','Kasachstan (Mobilfunk)',0.12521,60,0.12521,60,0,-1,'mobile'),(772749,1,'Kazakhstan','KAZ','7747','Kasachstan (Mobilfunk)',0.12521,60,0.12521,60,0,-1,'mobile'),(772759,1,'Kazakhstan','KAZ','7771','Kasachstan (Mobilfunk)',0.12521,60,0.12521,60,0,-1,'mobile'),(772769,1,'Kazakhstan','KAZ','7775','Kasachstan (Mobilfunk)',0.12521,60,0.12521,60,0,-1,'mobile'),(772779,1,'Kazakhstan','KAZ','7776','Kasachstan (Mobilfunk)',0.12521,60,0.12521,60,0,-1,'mobile'),(772789,1,'Kazakhstan','KAZ','7777','Kasachstan (Mobilfunk)',0.12521,60,0.12521,60,0,-1,'mobile'),(772799,1,'Kazakhstan','KAZ','7778','Kasachstan (Mobilfunk)',0.12521,60,0.12521,60,0,-1,'mobile'),(772809,1,'Qatar (State of)','QAT','974','Katar (Festnetz)',0.20924,60,0.209244,60,0,-1,'fixed'),(772819,1,'Qatar (State of)','QAT','9742','Katar (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(772829,1,'Qatar (State of)','QAT','9743','Katar (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(772839,1,'Qatar (State of)','QAT','9745','Katar (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(772849,1,'Qatar (State of)','QAT','9746','Katar (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(772859,1,'Qatar (State of)','QAT','9747','Katar (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(772869,1,'Qatar (State of)','QAT','974392','Katar (Sonderziel)',0.28487,60,0.284874,60,0,-1,'premium'),(772879,1,'Qatar (State of)','QAT','974900','Katar (Sonderziel)',0.28487,60,0.284874,60,0,-1,'premium'),(772889,1,'Kenya (Republic of)','KEN','254','Kenia (Festnetz)',0.11681,60,0.116807,60,0,-1,'fixed'),(772899,1,'Kenya (Republic of)','KEN','2547','Kenia (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(772909,1,'Kenya (Republic of)','KEN','254203038','Kenia (Sonderziel)',0.11681,60,0.116807,60,0,-1,'premium'),(772919,1,'Kenya (Republic of)','KEN','254204','Kenia (Sonderziel)',0.11681,60,0.116807,60,0,-1,'premium'),(772929,1,'Kenya (Republic of)','KEN','2549','Kenia (Sonderziel)',0.11681,60,0.116807,60,0,-1,'premium'),(772939,1,'Kyrgyz Republic','KGZ','996','Kirgisistan (Festnetz)',0.17563,60,0.17563,60,0,-1,'fixed'),(772949,1,'Kyrgyz Republic','KGZ','99651','Kirgisistan (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(772959,1,'Kyrgyz Republic','KGZ','99654','Kirgisistan (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(772969,1,'Kyrgyz Republic','KGZ','99655','Kirgisistan (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(772979,1,'Kyrgyz Republic','KGZ','99656','Kirgisistan (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(772989,1,'Kyrgyz Republic','KGZ','99657','Kirgisistan (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(772999,1,'Kyrgyz Republic','KGZ','99670','Kirgisistan (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(773009,1,'Kyrgyz Republic','KGZ','99677','Kirgisistan (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(773019,1,'Kiribati (Republic of)','KIR','686','Kiribati (Festnetz)',1.67143,60,1.67143,60,0,-1,'fixed'),(773029,1,'Kiribati (Republic of)','KIR','68630','Kiribati (Mobilfunk)',1.67143,60,1.67143,60,0,-1,'mobile'),(773039,1,'Kiribati (Republic of)','KIR','6869','Kiribati (Mobilfunk)',1.67143,60,1.67143,60,0,-1,'mobile'),(773049,1,'Kiribati (Republic of)','KIR','6860','Kiribati (Sonderziel)',0.88151,60,0.881513,60,0,-1,'premium'),(773059,1,'Kiribati (Republic of)','KIR','6867','Kiribati (Sonderziel)',0.88151,60,0.881513,60,0,-1,'premium'),(773069,1,'Colombia (Republic of)','COL','57','Kolumbien (Festnetz)',0.1084,60,0.108403,60,0,-1,'fixed'),(773079,1,'Colombia (Republic of)','COL','573','Kolumbien (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(773089,1,'Colombia (Republic of)','COL','5790','Kolumbien (Sonderziel)',0.1,60,0.1,60,0,-1,'premium'),(773099,1,'Colombia (Republic of)','COL','57947','Kolumbien (Sonderziel)',0.1,60,0.1,60,0,-1,'premium'),(773109,1,'Mayotte','MYT','269','Komoren (Festnetz)',0.3521,60,0.352101,60,0,-1,'fixed'),(773119,1,'Mayotte','MYT','2693','Komoren (Mobilfunk)',0.3521,60,0.352101,60,0,-1,'mobile'),(773129,1,'Mayotte','MYT','2690','Komoren (Sonderziel)',0.67143,60,0.671429,60,0,-1,'premium'),(773139,1,'Mayotte','MYT','2693905','Komoren (Sonderziel)',0.67143,60,0.671429,60,0,-1,'premium'),(773149,1,'Mayotte','MYT','2693906','Komoren (Sonderziel)',0.67143,60,0.671429,60,0,-1,'premium'),(773159,1,'Mayotte','MYT','2693907','Komoren (Sonderziel)',0.67143,60,0.671429,60,0,-1,'premium'),(773169,1,'Mayotte','MYT','2693908','Komoren (Sonderziel)',0.67143,60,0.671429,60,0,-1,'premium'),(773179,1,'Mayotte','MYT','2693909','Komoren (Sonderziel)',0.67143,60,0.671429,60,0,-1,'premium'),(773189,1,'Mayotte','MYT','269391','Komoren (Sonderziel)',0.67143,60,0.671429,60,0,-1,'premium'),(773199,1,'Mayotte','MYT','2698','Komoren (Sonderziel)',0.67143,60,0.671429,60,0,-1,'premium'),(773209,1,'Mayotte','MYT','2699','Komoren (Sonderziel)',0.67143,60,0.671429,60,0,-1,'premium'),(773219,1,'Congo, Democratic Republic of the','COD','243124','Kongo (Sonderziel)',0.49496,60,0.494958,60,0,-1,'premium'),(773229,1,'Congo, Democratic Republic of the','COD','243127','Kongo (Sonderziel)',0.49496,60,0.494958,60,0,-1,'premium'),(773239,1,'Congo, Democratic Republic of the','COD','243133','Kongo (Sonderziel)',0.49496,60,0.494958,60,0,-1,'premium'),(773249,1,'Congo, Democratic Republic of the','COD','243141','Kongo (Sonderziel)',0.49496,60,0.494958,60,0,-1,'premium'),(773259,1,'Congo, Democratic Republic of the','COD','2434','Kongo (Sonderziel)',0.49496,60,0.494958,60,0,-1,'premium'),(773269,1,'Congo, Democratic Republic of the','COD','243420','Kongo (Sonderziel)',0.49496,60,0.494958,60,0,-1,'premium'),(773279,1,'Congo, Democratic Republic of the','COD','243428','Kongo (Sonderziel)',0.49496,60,0.494958,60,0,-1,'premium'),(773289,1,'Congo, Democratic Republic of the','COD','243738','Kongo (Sonderziel)',0.49496,60,0.494958,60,0,-1,'premium'),(773299,1,'Congo, Democratic Republic of the','COD','243770','Kongo (Sonderziel)',0.49496,60,0.494958,60,0,-1,'premium'),(773309,1,'Congo, Democratic Republic of the','COD','2438099','Kongo (Sonderziel)',0.49496,60,0.494958,60,0,-1,'premium'),(773319,1,'Congo, Democratic Republic of the','COD','24386','Kongo (Sonderziel)',0.49496,60,0.494958,60,0,-1,'premium'),(773329,1,'Congo, Democratic Republic of the','COD','243879','Kongo (Sonderziel)',0.49496,60,0.494958,60,0,-1,'premium'),(773339,1,'Congo, Democratic Republic of the','COD','24312','Kongo (Sonderziel)',0.49496,60,0.494958,60,0,-1,'premium'),(773349,1,'Congo, Democratic Republic of the','COD','24342','Kongo (Sonderziel)',0.49496,60,0.494958,60,0,-1,'premium'),(773359,1,'Congo, Democratic Republic of the','COD','243','Kongo (Demokratische Republik) (Festnetz)',0.56218,60,0.562185,60,0,-1,'fixed'),(773369,1,'Congo, Democratic Republic of the','COD','24381','Kongo (Demokratische Republik) (Mobilfunk)',0.56218,60,0.562185,60,0,-1,'mobile'),(773379,1,'Congo, Democratic Republic of the','COD','24382','Kongo (Demokratische Republik) (Mobilfunk)',0.56218,60,0.562185,60,0,-1,'mobile'),(773389,1,'Congo, Democratic Republic of the','COD','24384','Kongo (Demokratische Republik) (Mobilfunk)',0.56218,60,0.562185,60,0,-1,'mobile'),(773399,1,'Congo, Democratic Republic of the','COD','24385','Kongo (Demokratische Republik) (Mobilfunk)',0.56218,60,0.562185,60,0,-1,'mobile'),(773409,1,'Congo, Democratic Republic of the','COD','24397','Kongo (Demokratische Republik) (Mobilfunk)',0.56218,60,0.562185,60,0,-1,'mobile'),(773419,1,'Congo, Democratic Republic of the','COD','24398','Kongo (Demokratische Republik) (Mobilfunk)',0.56218,60,0.562185,60,0,-1,'mobile'),(773429,1,'Congo, Democratic Republic of the','COD','24399','Kongo (Demokratische Republik) (Mobilfunk)',0.56218,60,0.562185,60,0,-1,'mobile'),(773439,1,'Congo, Republic of the','COG','242','Kongo (Republik) (Festnetz)',0.50336,60,0.503361,60,0,-1,'fixed'),(773449,1,'Congo, Republic of the','COG','24201','Kongo (Republik) (Mobilfunk)',0.43613,60,0.436134,60,0,-1,'mobile'),(773459,1,'Congo, Republic of the','COG','24204','Kongo (Republik) (Mobilfunk)',0.43613,60,0.436134,60,0,-1,'mobile'),(773469,1,'Congo, Republic of the','COG','24205','Kongo (Republik) (Mobilfunk)',0.43613,60,0.436134,60,0,-1,'mobile'),(773479,1,'Congo, Republic of the','COG','24206','Kongo (Republik) (Mobilfunk)',0.43613,60,0.436134,60,0,-1,'mobile'),(773489,1,'Congo, Republic of the','COG','2423','Kongo (Republik) (Mobilfunk)',0.43613,60,0.436134,60,0,-1,'mobile'),(773499,1,'Congo, Republic of the','COG','2424','Kongo (Republik) (Mobilfunk)',0.43613,60,0.436134,60,0,-1,'mobile'),(773509,1,'Congo, Republic of the','COG','2425','Kongo (Republik) (Mobilfunk)',0.43613,60,0.436134,60,0,-1,'mobile'),(773519,1,'Congo, Republic of the','COG','2427','Kongo (Republik) (Mobilfunk)',0.43613,60,0.436134,60,0,-1,'mobile'),(773529,1,'Congo, Democratic Republic of the','COD','24389','Kongo (Republik) (Mobilfunk)',0.43613,60,0.436134,60,0,-1,'mobile'),(773539,1,'Congo, Democratic Republic of the','COD','24390','Kongo (Republik) (Mobilfunk)',0.43613,60,0.436134,60,0,-1,'mobile'),(773549,1,'Croatia (Republic of)','HRV','385','Kroatien (Festnetz)',0.02437,60,0.0243697,60,0,-1,'fixed'),(773559,1,'Croatia (Republic of)','HRV','3859','Kroatien (Mobilfunk)',0.3437,60,0.343697,60,0,-1,'mobile'),(773569,1,'Croatia (Republic of)','HRV','38560','Kroatien (Sonderziel)',0.31849,60,0.318487,60,0,-1,'premium'),(773579,1,'Croatia (Republic of)','HRV','38562','Kroatien (Sonderziel)',0.31849,60,0.318487,60,0,-1,'premium'),(773589,1,'Cuba','CUB','53','Kuba (Festnetz)',1.1084,60,1.1084,60,0,-1,'fixed'),(773599,1,'Cuba','CUB','535','Kuba (Mobilfunk)',1.30168,60,1.30168,60,0,-1,'mobile'),(773609,1,'Cuba','CUB','53593','Kuba (Sonderziel)',1.26807,60,1.26807,60,0,-1,'premium'),(773619,1,'Kuwait (State of)','KWT','965','Kuwait (Festnetz)',0.1,60,0.1,60,0,-1,'fixed'),(773629,1,'Kuwait (State of)','KWT','9655','Kuwait (Mobilfunk)',0.14202,60,0.142017,60,0,-1,'mobile'),(773639,1,'Kuwait (State of)','KWT','9656','Kuwait (Mobilfunk)',0.14202,60,0.142017,60,0,-1,'mobile'),(773649,1,'Kuwait (State of)','KWT','9659','Kuwait (Mobilfunk)',0.14202,60,0.142017,60,0,-1,'mobile'),(773659,1,'Lao People\'s Democratic Republic','LAO','8560','Laos (Sonderziel)',0.04958,60,0.0495798,60,0,-1,'premium'),(773669,1,'Lao People\'s Democratic Republic','LAO','856','Laos (Demokratische Volksrepublik) (Festnetz)',0.05798,60,0.0579832,60,0,-1,'fixed'),(773679,1,'Lao People\'s Democratic Republic','LAO','85620','Laos (Demokratische Volksrepublik) (Mobilfunk)',0.05798,60,0.0579832,60,0,-1,'mobile'),(773689,1,'Lesotho (Kingdom of)','LSO','266','Lesotho (Festnetz)',0.25126,60,0.251261,60,0,-1,'fixed'),(773699,1,'Lesotho (Kingdom of)','LSO','26627','Lesotho (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(773709,1,'Lesotho (Kingdom of)','LSO','26628','Lesotho (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(773719,1,'Lesotho (Kingdom of)','LSO','2665','Lesotho (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(773729,1,'Lesotho (Kingdom of)','LSO','2666','Lesotho (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(773739,1,'Latvia (Republic of)','LVA','371','Lettland (Festnetz)',0.03277,60,0.0327731,60,0,-1,'fixed'),(773749,1,'Latvia (Republic of)','LVA','3712','Lettland (Mobilfunk)',0.55378,60,0.553782,60,0,-1,'mobile'),(773759,1,'Latvia (Republic of)','LVA','3712790','Lettland (Mobilfunk)',0.55378,60,0.553782,60,0,-1,'mobile'),(773769,1,'Latvia (Republic of)','LVA','3712792','Lettland (Mobilfunk)',0.55378,60,0.553782,60,0,-1,'mobile'),(773779,1,'Latvia (Republic of)','LVA','3712799','Lettland (Mobilfunk)',0.55378,60,0.553782,60,0,-1,'mobile'),(773789,1,'Latvia (Republic of)','LVA','3712010','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(773799,1,'Latvia (Republic of)','LVA','3712018','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(773809,1,'Latvia (Republic of)','LVA','37121','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(773819,1,'Latvia (Republic of)','LVA','371222','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(773829,1,'Latvia (Republic of)','LVA','3712266','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(773839,1,'Latvia (Republic of)','LVA','3712277','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(773849,1,'Latvia (Republic of)','LVA','3712278','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(773859,1,'Latvia (Republic of)','LVA','3712400','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(773869,1,'Latvia (Republic of)','LVA','3712444','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(773879,1,'Latvia (Republic of)','LVA','3712500','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(773889,1,'Latvia (Republic of)','LVA','3712501','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(773899,1,'Latvia (Republic of)','LVA','3712722','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(773909,1,'Latvia (Republic of)','LVA','3712723','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(773919,1,'Latvia (Republic of)','LVA','3712724','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(773929,1,'Latvia (Republic of)','LVA','3712725','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(773939,1,'Latvia (Republic of)','LVA','3712726','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(773949,1,'Latvia (Republic of)','LVA','3712727','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(773959,1,'Latvia (Republic of)','LVA','3712769','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(773969,1,'Latvia (Republic of)','LVA','3712777','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(773979,1,'Latvia (Republic of)','LVA','371279','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(773989,1,'Latvia (Republic of)','LVA','3712840','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(773999,1,'Latvia (Republic of)','LVA','3712900','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774009,1,'Latvia (Republic of)','LVA','3716130','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774019,1,'Latvia (Republic of)','LVA','3716210','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774029,1,'Latvia (Republic of)','LVA','3716220','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774039,1,'Latvia (Republic of)','LVA','3716230','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774049,1,'Latvia (Republic of)','LVA','3716260','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774059,1,'Latvia (Republic of)','LVA','3716280','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774069,1,'Latvia (Republic of)','LVA','3716290','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774079,1,'Latvia (Republic of)','LVA','371636101','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774089,1,'Latvia (Republic of)','LVA','371636102','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774099,1,'Latvia (Republic of)','LVA','371636103','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774109,1,'Latvia (Republic of)','LVA','371636104','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774119,1,'Latvia (Republic of)','LVA','371636105','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774129,1,'Latvia (Republic of)','LVA','371636106','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774139,1,'Latvia (Republic of)','LVA','371636535','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774149,1,'Latvia (Republic of)','LVA','371636536','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774159,1,'Latvia (Republic of)','LVA','371636537','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774169,1,'Latvia (Republic of)','LVA','371636538','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774179,1,'Latvia (Republic of)','LVA','37163712','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774189,1,'Latvia (Republic of)','LVA','3716515','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774199,1,'Latvia (Republic of)','LVA','37165418','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774209,1,'Latvia (Republic of)','LVA','37165779','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774219,1,'Latvia (Republic of)','LVA','37165792','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774229,1,'Latvia (Republic of)','LVA','3716590','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774239,1,'Latvia (Republic of)','LVA','3716806','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774249,1,'Latvia (Republic of)','LVA','3716820','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774259,1,'Latvia (Republic of)','LVA','3716830','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774269,1,'Latvia (Republic of)','LVA','371685','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774279,1,'Latvia (Republic of)','LVA','3716880','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774289,1,'Latvia (Republic of)','LVA','3716889','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774299,1,'Latvia (Republic of)','LVA','37168904','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774309,1,'Latvia (Republic of)','LVA','37168905','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774319,1,'Latvia (Republic of)','LVA','37168906','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774329,1,'Latvia (Republic of)','LVA','37168907','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774339,1,'Latvia (Republic of)','LVA','37168908','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774349,1,'Latvia (Republic of)','LVA','3716891','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774359,1,'Latvia (Republic of)','LVA','37178501','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774369,1,'Latvia (Republic of)','LVA','37178502','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774379,1,'Latvia (Republic of)','LVA','37178504','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774389,1,'Latvia (Republic of)','LVA','37178505','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774399,1,'Latvia (Republic of)','LVA','37178509','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774409,1,'Latvia (Republic of)','LVA','37178510','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774419,1,'Latvia (Republic of)','LVA','371785170','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774429,1,'Latvia (Republic of)','LVA','371785171','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774439,1,'Latvia (Republic of)','LVA','371785172','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774449,1,'Latvia (Republic of)','LVA','371785173','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774459,1,'Latvia (Republic of)','LVA','371785174','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774469,1,'Latvia (Republic of)','LVA','37178519','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774479,1,'Latvia (Republic of)','LVA','37178520','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774489,1,'Latvia (Republic of)','LVA','37178521','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774499,1,'Latvia (Republic of)','LVA','37178535','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774509,1,'Latvia (Republic of)','LVA','37178536','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774519,1,'Latvia (Republic of)','LVA','37178540','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774529,1,'Latvia (Republic of)','LVA','37178541','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774539,1,'Latvia (Republic of)','LVA','37178580','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774549,1,'Latvia (Republic of)','LVA','37178581','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774559,1,'Latvia (Republic of)','LVA','37178582','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774569,1,'Latvia (Republic of)','LVA','37178583','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774579,1,'Latvia (Republic of)','LVA','37178584','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774589,1,'Latvia (Republic of)','LVA','37178585','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774599,1,'Latvia (Republic of)','LVA','37178601','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774609,1,'Latvia (Republic of)','LVA','37178602','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774619,1,'Latvia (Republic of)','LVA','37178664','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774629,1,'Latvia (Republic of)','LVA','37178666','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774639,1,'Latvia (Republic of)','LVA','37178668','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774649,1,'Latvia (Republic of)','LVA','3717869','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774659,1,'Latvia (Republic of)','LVA','3717870','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774669,1,'Latvia (Republic of)','LVA','37178710','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774679,1,'Latvia (Republic of)','LVA','37178711','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774689,1,'Latvia (Republic of)','LVA','37178712','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774699,1,'Latvia (Republic of)','LVA','37178713','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774709,1,'Latvia (Republic of)','LVA','37178755','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774719,1,'Latvia (Republic of)','LVA','37178770','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774729,1,'Latvia (Republic of)','LVA','37178773','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774739,1,'Latvia (Republic of)','LVA','37178778','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774749,1,'Latvia (Republic of)','LVA','3717880','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774759,1,'Latvia (Republic of)','LVA','37178810','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774769,1,'Latvia (Republic of)','LVA','37178811','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774779,1,'Latvia (Republic of)','LVA','37178812','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774789,1,'Latvia (Republic of)','LVA','37178813','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774799,1,'Latvia (Republic of)','LVA','37178814','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774809,1,'Latvia (Republic of)','LVA','37178815','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774819,1,'Latvia (Republic of)','LVA','37178816','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774829,1,'Latvia (Republic of)','LVA','37178817','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774839,1,'Latvia (Republic of)','LVA','37178818','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774849,1,'Latvia (Republic of)','LVA','37178820','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774859,1,'Latvia (Republic of)','LVA','37178821','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774869,1,'Latvia (Republic of)','LVA','3717887','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774879,1,'Latvia (Republic of)','LVA','37178890','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774889,1,'Latvia (Republic of)','LVA','37178891','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774899,1,'Latvia (Republic of)','LVA','37178892','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774909,1,'Latvia (Republic of)','LVA','37178893','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774919,1,'Latvia (Republic of)','LVA','37178899','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774929,1,'Latvia (Republic of)','LVA','37178905','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774939,1,'Latvia (Republic of)','LVA','3717891','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774949,1,'Latvia (Republic of)','LVA','37178922','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774959,1,'Latvia (Republic of)','LVA','37178999','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774969,1,'Latvia (Republic of)','LVA','37180400','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774979,1,'Latvia (Republic of)','LVA','37180401','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774989,1,'Latvia (Republic of)','LVA','37180402','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(774999,1,'Latvia (Republic of)','LVA','3718060','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(775009,1,'Latvia (Republic of)','LVA','37180900','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(775019,1,'Latvia (Republic of)','LVA','371810','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(775029,1,'Latvia (Republic of)','LVA','37181111','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(775039,1,'Latvia (Republic of)','LVA','37181112','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(775049,1,'Latvia (Republic of)','LVA','37181809','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(775059,1,'Latvia (Republic of)','LVA','37181815','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(775069,1,'Latvia (Republic of)','LVA','37181816','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(775079,1,'Latvia (Republic of)','LVA','37181817','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(775089,1,'Latvia (Republic of)','LVA','37181818','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(775099,1,'Latvia (Republic of)','LVA','37181819','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(775109,1,'Latvia (Republic of)','LVA','37181820','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(775119,1,'Latvia (Republic of)','LVA','37181821','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(775129,1,'Latvia (Republic of)','LVA','37181822','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(775139,1,'Latvia (Republic of)','LVA','37181900','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(775149,1,'Latvia (Republic of)','LVA','37181901','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(775159,1,'Latvia (Republic of)','LVA','37185','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(775169,1,'Latvia (Republic of)','LVA','37190','Lettland (Sonderziel)',0.67983,60,0.679832,60,0,-1,'premium'),(775179,1,'Lebanon','LBN','961','Libanon (Festnetz)',0.12521,60,0.12521,60,0,-1,'fixed'),(775189,1,'Lebanon','LBN','9613','Libanon (Mobilfunk)',0.22605,60,0.22605,60,0,-1,'mobile'),(775199,1,'Lebanon','LBN','96170','Libanon (Mobilfunk)',0.22605,60,0.22605,60,0,-1,'mobile'),(775209,1,'Lebanon','LBN','96171','Libanon (Mobilfunk)',0.22605,60,0.22605,60,0,-1,'mobile'),(775219,1,'Lebanon','LBN','96176','Libanon (Mobilfunk)',0.22605,60,0.22605,60,0,-1,'mobile'),(775229,1,'Lebanon','LBN','96178','Libanon (Mobilfunk)',0.22605,60,0.22605,60,0,-1,'mobile'),(775239,1,'Lebanon','LBN','96179','Libanon (Mobilfunk)',0.22605,60,0.22605,60,0,-1,'mobile'),(775249,1,'Liberia (Republic of)','LBR','231','Liberia (Festnetz)',0.52017,60,0.520168,60,0,-1,'fixed'),(775259,1,'Liberia (Republic of)','LBR','2312','Liberia (Mobilfunk)',0.52017,60,0.520168,60,0,-1,'mobile'),(775269,1,'Liberia (Republic of)','LBR','2315','Liberia (Mobilfunk)',0.52017,60,0.520168,60,0,-1,'mobile'),(775279,1,'Liberia (Republic of)','LBR','2316','Liberia (Mobilfunk)',0.52017,60,0.520168,60,0,-1,'mobile'),(775289,1,'Liberia (Republic of)','LBR','2317','Liberia (Mobilfunk)',0.52017,60,0.520168,60,0,-1,'mobile'),(775299,1,'Liberia (Republic of)','LBR','23188','Liberia (Mobilfunk)',0.52017,60,0.520168,60,0,-1,'mobile'),(775309,1,'Liberia (Republic of)','LBR','2314','Liberia (Sonderziel)',0.52857,60,0.528571,60,0,-1,'premium'),(775319,1,'Libya (Socialist People\'s Libyan Arab Jamahiriya)','LBY','218','Libysch-Arabische Dschamahirija (Festnetz)',0.28487,60,0.284874,60,0,-1,'fixed'),(775329,1,'Libya (Socialist People\'s Libyan Arab Jamahiriya)','LBY','2189','Libysch-Arabische Dschamahirija (Mobilfunk)',0.3605,60,0.360504,60,0,-1,'mobile'),(775339,1,'Liechtenstein (Principality of)','LIE','423','Liechtenstein (Festnetz)',0.0916,60,0.0915966,60,0,-1,'fixed'),(775349,1,'Liechtenstein (Principality of)','LIE','42369736','Liechtenstein (Mobilfunk)',0.62101,60,0.621008,60,0,-1,'mobile'),(775359,1,'Liechtenstein (Principality of)','LIE','42369756','Liechtenstein (Mobilfunk)',0.62101,60,0.621008,60,0,-1,'mobile'),(775369,1,'Liechtenstein (Principality of)','LIE','4236977','Liechtenstein (Mobilfunk)',0.62101,60,0.621008,60,0,-1,'mobile'),(775379,1,'Liechtenstein (Principality of)','LIE','4236978','Liechtenstein (Mobilfunk)',0.62101,60,0.621008,60,0,-1,'mobile'),(775389,1,'Liechtenstein (Principality of)','LIE','4236979','Liechtenstein (Mobilfunk)',0.62101,60,0.621008,60,0,-1,'mobile'),(775399,1,'Liechtenstein (Principality of)','LIE','4237','Liechtenstein (Mobilfunk)',0.62101,60,0.621008,60,0,-1,'mobile'),(775409,1,'Liechtenstein (Principality of)','LIE','423736','Liechtenstein (Mobilfunk)',0.62101,60,0.621008,60,0,-1,'mobile'),(775419,1,'Liechtenstein (Principality of)','LIE','423756','Liechtenstein (Mobilfunk)',0.62101,60,0.621008,60,0,-1,'mobile'),(775429,1,'Liechtenstein (Principality of)','LIE','4235','Liechtenstein (Sonderziel)',0.31008,60,0.310084,60,0,-1,'premium'),(775439,1,'Liechtenstein (Principality of)','LIE','4236','Liechtenstein (Sonderziel)',0.31008,60,0.310084,60,0,-1,'premium'),(775449,1,'Liechtenstein (Principality of)','LIE','4237010','Liechtenstein (Sonderziel)',0.31008,60,0.310084,60,0,-1,'premium'),(775459,1,'Liechtenstein (Principality of)','LIE','4237011','Liechtenstein (Sonderziel)',0.31008,60,0.310084,60,0,-1,'premium'),(775469,1,'Liechtenstein (Principality of)','LIE','42371','Liechtenstein (Sonderziel)',0.31008,60,0.310084,60,0,-1,'premium'),(775479,1,'Liechtenstein (Principality of)','LIE','42372','Liechtenstein (Sonderziel)',0.31008,60,0.310084,60,0,-1,'premium'),(775489,1,'Liechtenstein (Principality of)','LIE','42373','Liechtenstein (Sonderziel)',0.31008,60,0.310084,60,0,-1,'premium'),(775499,1,'Liechtenstein (Principality of)','LIE','42374','Liechtenstein (Sonderziel)',0.31008,60,0.310084,60,0,-1,'premium'),(775509,1,'Liechtenstein (Principality of)','LIE','42375','Liechtenstein (Sonderziel)',0.31008,60,0.310084,60,0,-1,'premium'),(775519,1,'Liechtenstein (Principality of)','LIE','42376','Liechtenstein (Sonderziel)',0.31008,60,0.310084,60,0,-1,'premium'),(775529,1,'Liechtenstein (Principality of)','LIE','42377','Liechtenstein (Sonderziel)',0.31008,60,0.310084,60,0,-1,'premium'),(775539,1,'Liechtenstein (Principality of)','LIE','42378','Liechtenstein (Sonderziel)',0.31008,60,0.310084,60,0,-1,'premium'),(775549,1,'Liechtenstein (Principality of)','LIE','42379','Liechtenstein (Sonderziel)',0.31008,60,0.310084,60,0,-1,'premium'),(775559,1,'Liechtenstein (Principality of)','LIE','4238','Liechtenstein (Sonderziel)',0.31008,60,0.310084,60,0,-1,'premium'),(775569,1,'Liechtenstein (Principality of)','LIE','4239','Liechtenstein (Sonderziel)',0.31008,60,0.310084,60,0,-1,'premium'),(775579,1,'Lithuania (Republic of)','LTU','370','Litauen (Festnetz)',0.02437,60,0.0243697,60,0,-1,'fixed'),(775589,1,'Lithuania (Republic of)','LTU','3706','Litauen (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(775599,1,'Lithuania (Republic of)','LTU','37037','Litauen (Sonderziel)',0.99076,60,0.990756,60,0,-1,'premium'),(775609,1,'Lithuania (Republic of)','LTU','37042521','Litauen (Sonderziel)',0.99076,60,0.990756,60,0,-1,'premium'),(775619,1,'Lithuania (Republic of)','LTU','37042522','Litauen (Sonderziel)',0.99076,60,0.990756,60,0,-1,'premium'),(775629,1,'Lithuania (Republic of)','LTU','370521939','Litauen (Sonderziel)',0.99076,60,0.990756,60,0,-1,'premium'),(775639,1,'Lithuania (Republic of)','LTU','370521940','Litauen (Sonderziel)',0.99076,60,0.990756,60,0,-1,'premium'),(775649,1,'Lithuania (Republic of)','LTU','370521941','Litauen (Sonderziel)',0.99076,60,0.990756,60,0,-1,'premium'),(775659,1,'Lithuania (Republic of)','LTU','37052354','Litauen (Sonderziel)',0.99076,60,0.990756,60,0,-1,'premium'),(775669,1,'Lithuania (Republic of)','LTU','37052528','Litauen (Sonderziel)',0.99076,60,0.990756,60,0,-1,'premium'),(775679,1,'Lithuania (Republic of)','LTU','37052529','Litauen (Sonderziel)',0.99076,60,0.990756,60,0,-1,'premium'),(775689,1,'Lithuania (Republic of)','LTU','37052530','Litauen (Sonderziel)',0.99076,60,0.990756,60,0,-1,'premium'),(775699,1,'Lithuania (Republic of)','LTU','37052654','Litauen (Sonderziel)',0.99076,60,0.990756,60,0,-1,'premium'),(775709,1,'Lithuania (Republic of)','LTU','370527','Litauen (Sonderziel)',0.99076,60,0.990756,60,0,-1,'premium'),(775719,1,'Lithuania (Republic of)','LTU','370647','Litauen (Sonderziel)',0.99076,60,0.990756,60,0,-1,'premium'),(775729,1,'Lithuania (Republic of)','LTU','3707','Litauen (Sonderziel)',0.99076,60,0.990756,60,0,-1,'premium'),(775739,1,'Lithuania (Republic of)','LTU','3708','Litauen (Sonderziel)',0.99076,60,0.990756,60,0,-1,'premium'),(775749,1,'Lithuania (Republic of)','LTU','3709','Litauen (Sonderziel)',0.99076,60,0.990756,60,0,-1,'premium'),(775759,1,'Luxembourg','LUX','352','Luxemburg (Festnetz)',0.02437,60,0.0243697,60,0,-1,'fixed'),(775769,1,'Luxembourg','LUX','3526021','Luxemburg (Mobilfunk)',0.18403,60,0.184034,60,0,-1,'mobile'),(775779,1,'Luxembourg','LUX','352621','Luxemburg (Mobilfunk)',0.18403,60,0.184034,60,0,-1,'mobile'),(775789,1,'Luxembourg','LUX','352628','Luxemburg (Mobilfunk)',0.18403,60,0.184034,60,0,-1,'mobile'),(775799,1,'Luxembourg','LUX','352661','Luxemburg (Mobilfunk)',0.18403,60,0.184034,60,0,-1,'mobile'),(775809,1,'Luxembourg','LUX','352668','Luxemburg (Mobilfunk)',0.18403,60,0.184034,60,0,-1,'mobile'),(775819,1,'Luxembourg','LUX','352691','Luxemburg (Mobilfunk)',0.18403,60,0.184034,60,0,-1,'mobile'),(775829,1,'Luxembourg','LUX','352698','Luxemburg (Mobilfunk)',0.18403,60,0.184034,60,0,-1,'mobile'),(775839,1,'Luxembourg','LUX','352900','Luxemburg (Sonderziel)',0.20084,60,0.20084,60,0,-1,'premium'),(775849,1,'Luxembourg','LUX','352901','Luxemburg (Sonderziel)',0.20084,60,0.20084,60,0,-1,'premium'),(775859,1,'Luxembourg','LUX','352905','Luxemburg (Sonderziel)',0.20084,60,0.20084,60,0,-1,'premium'),(775869,1,'Macao, China','MAC','853','Macau (Festnetz)',0.12521,60,0.12521,60,0,-1,'fixed'),(775879,1,'Macao, China','MAC','8536','Macau (Mobilfunk)',0.12521,60,0.12521,60,0,-1,'mobile'),(775889,1,'Madagascar (Republic of)','MDG','261','Madagaskar (Festnetz)',0.53697,60,0.536975,60,0,-1,'fixed'),(775899,1,'Madagascar (Republic of)','MDG','2613','Madagaskar (Mobilfunk)',0.53697,60,0.536975,60,0,-1,'mobile'),(775909,1,'Madagascar (Republic of)','MDG','261200','Madagaskar (Sonderziel)',0.65462,60,0.654622,60,0,-1,'premium'),(775919,1,'Madagascar (Republic of)','MDG','26122','Madagaskar (Sonderziel)',0.65462,60,0.654622,60,0,-1,'premium'),(775929,1,'Madagascar (Republic of)','MDG','2613488','Madagaskar (Sonderziel)',0.65462,60,0.654622,60,0,-1,'premium'),(775939,1,'Malawi','MWI','265','Malawi (Festnetz)',0.1,60,0.1,60,0,-1,'fixed'),(775949,1,'Malawi','MWI','2658','Malawi (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(775959,1,'Malawi','MWI','2659','Malawi (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(775969,1,'Malaysia','MYS','60','Malaysia (Festnetz)',0.01597,60,0.0159664,60,0,-1,'fixed'),(775979,1,'Malaysia','MYS','601','Malaysia (Mobilfunk)',0.04118,60,0.0411765,60,0,-1,'mobile'),(775989,1,'Maldives (Republic of)','MDV','960','Malediven (Festnetz)',0.92353,60,0.923529,60,0,-1,'fixed'),(775999,1,'Maldives (Republic of)','MDV','9607','Malediven (Mobilfunk)',0.89832,60,0.898319,60,0,-1,'mobile'),(776009,1,'Maldives (Republic of)','MDV','9608','Malediven (Mobilfunk)',0.89832,60,0.898319,60,0,-1,'mobile'),(776019,1,'Maldives (Republic of)','MDV','960090','Malediven (Sonderziel)',0.89832,60,0.898319,60,0,-1,'premium'),(776029,1,'Maldives (Republic of)','MDV','960792','Malediven (Sonderziel)',0.89832,60,0.898319,60,0,-1,'premium'),(776039,1,'Maldives (Republic of)','MDV','9609','Malediven (Sonderziel)',0.89832,60,0.898319,60,0,-1,'premium'),(776049,1,'Mali (Republic of)','MLI','223','Mali (Festnetz)',0.42773,60,0.427731,60,0,-1,'fixed'),(776059,1,'Mali (Republic of)','MLI','2236','Mali (Mobilfunk)',0.42773,60,0.427731,60,0,-1,'mobile'),(776069,1,'Mali (Republic of)','MLI','2237','Mali (Mobilfunk)',0.42773,60,0.427731,60,0,-1,'mobile'),(776079,1,'Mali (Republic of)','MLI','22390','Mali (Mobilfunk)',0.42773,60,0.427731,60,0,-1,'mobile'),(776089,1,'Mali (Republic of)','MLI','22391','Mali (Mobilfunk)',0.42773,60,0.427731,60,0,-1,'mobile'),(776099,1,'Mali (Republic of)','MLI','22399','Mali (Mobilfunk)',0.42773,60,0.427731,60,0,-1,'mobile'),(776109,1,'Malta','MLT','356','Malta (Festnetz)',0.02437,60,0.0243697,60,0,-1,'fixed'),(776119,1,'Malta','MLT','3567','Malta (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(776129,1,'Malta','MLT','3569','Malta (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(776139,1,'Morocco (Kingdom of)','MAR','212','Marokko (Festnetz)',0.04118,60,0.0411765,60,0,-1,'fixed'),(776149,1,'Morocco (Kingdom of)','MAR','2126','Marokko (Mobilfunk)',0.45294,60,0.452941,60,0,-1,'mobile'),(776159,1,'Morocco (Kingdom of)','MAR','212526','Marokko (Sonderziel)',0.32689,60,0.326891,60,0,-1,'premium'),(776169,1,'Morocco (Kingdom of)','MAR','212527','Marokko (Sonderziel)',0.32689,60,0.326891,60,0,-1,'premium'),(776179,1,'Morocco (Kingdom of)','MAR','212529','Marokko (Sonderziel)',0.32689,60,0.326891,60,0,-1,'premium'),(776189,1,'Morocco (Kingdom of)','MAR','212533','Marokko (Sonderziel)',0.32689,60,0.326891,60,0,-1,'premium'),(776199,1,'Morocco (Kingdom of)','MAR','212534','Marokko (Sonderziel)',0.32689,60,0.326891,60,0,-1,'premium'),(776209,1,'Morocco (Kingdom of)','MAR','212538','Marokko (Sonderziel)',0.32689,60,0.326891,60,0,-1,'premium'),(776219,1,'Morocco (Kingdom of)','MAR','212540','Marokko (Sonderziel)',0.32689,60,0.326891,60,0,-1,'premium'),(776229,1,'Morocco (Kingdom of)','MAR','212546','Marokko (Sonderziel)',0.32689,60,0.326891,60,0,-1,'premium'),(776239,1,'Morocco (Kingdom of)','MAR','212547','Marokko (Sonderziel)',0.32689,60,0.326891,60,0,-1,'premium'),(776249,1,'Morocco (Kingdom of)','MAR','212550','Marokko (Sonderziel)',0.32689,60,0.326891,60,0,-1,'premium'),(776259,1,'Morocco (Kingdom of)','MAR','212553','Marokko (Sonderziel)',0.32689,60,0.326891,60,0,-1,'premium'),(776269,1,'Marshall Islands (Republic of the)','MHL','692','Marshallinseln (Festnetz)',0.29328,60,0.293277,60,0,-1,'fixed'),(776279,1,'Martinique (French Department of)','MTQ','596','Martinique (Festnetz)',0.03277,60,0.0327731,60,0,-1,'fixed'),(776289,1,'Martinique (French Department of)','MTQ','596696','Martinique (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(776299,1,'Mauritania (Islamic Republic of)','MRT','222','Mauretanien (Festnetz)',0.73866,60,0.738655,60,0,-1,'fixed'),(776309,1,'Mauritania (Islamic Republic of)','MRT','2222','Mauretanien (Mobilfunk)',0.73866,60,0.738655,60,0,-1,'mobile'),(776319,1,'Mauritania (Islamic Republic of)','MRT','2223','Mauretanien (Mobilfunk)',0.73866,60,0.738655,60,0,-1,'mobile'),(776329,1,'Mauritania (Islamic Republic of)','MRT','2224','Mauretanien (Mobilfunk)',0.73866,60,0.738655,60,0,-1,'mobile'),(776339,1,'Mauritania (Islamic Republic of)','MRT','2226','Mauretanien (Mobilfunk)',0.73866,60,0.738655,60,0,-1,'mobile'),(776349,1,'Mauritania (Islamic Republic of)','MRT','2227','Mauretanien (Mobilfunk)',0.73866,60,0.738655,60,0,-1,'mobile'),(776359,1,'Mauritius (Republic of)','MUS','230','Mauritius (Festnetz)',0.19244,60,0.192437,60,0,-1,'fixed'),(776369,1,'Mauritius (Republic of)','MUS','23025','Mauritius (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(776379,1,'Mauritius (Republic of)','MUS','230421','Mauritius (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(776389,1,'Mauritius (Republic of)','MUS','230422','Mauritius (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(776399,1,'Mauritius (Republic of)','MUS','230423','Mauritius (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(776409,1,'Mauritius (Republic of)','MUS','230428','Mauritius (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(776419,1,'Mauritius (Republic of)','MUS','230429','Mauritius (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(776429,1,'Mauritius (Republic of)','MUS','23049','Mauritius (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(776439,1,'Mauritius (Republic of)','MUS','2307','Mauritius (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(776449,1,'Mauritius (Republic of)','MUS','230871','Mauritius (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(776459,1,'Mauritius (Republic of)','MUS','230875','Mauritius (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(776469,1,'Mauritius (Republic of)','MUS','230876','Mauritius (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(776479,1,'Mauritius (Republic of)','MUS','230877','Mauritius (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(776489,1,'Mauritius (Republic of)','MUS','23091','Mauritius (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(776499,1,'Mauritius (Republic of)','MUS','23093','Mauritius (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(776509,1,'Mauritius (Republic of)','MUS','23094','Mauritius (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(776519,1,'Mauritius (Republic of)','MUS','23095','Mauritius (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(776529,1,'Mauritius (Republic of)','MUS','23097','Mauritius (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(776539,1,'Mauritius (Republic of)','MUS','23098','Mauritius (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(776549,1,'Mauritius (Republic of)','MUS','230301','Mauritius (Sonderziel)',0.17563,60,0.17563,60,0,-1,'premium'),(776559,1,'Mauritius (Republic of)','MUS','230302','Mauritius (Sonderziel)',0.17563,60,0.17563,60,0,-1,'premium'),(776569,1,'Mauritius (Republic of)','MUS','230303','Mauritius (Sonderziel)',0.17563,60,0.17563,60,0,-1,'premium'),(776579,1,'Mayotte','MYT','2696','Mayotte (Festnetz)',0.07479,60,0.0747899,60,0,-1,'fixed'),(776589,1,'Mayotte','MYT','26920','Mayotte (Mobilfunk)',0.24286,60,0.242857,60,0,-1,'mobile'),(776599,1,'Mayotte','MYT','26921','Mayotte (Mobilfunk)',0.24286,60,0.242857,60,0,-1,'mobile'),(776609,1,'Mayotte','MYT','26922','Mayotte (Mobilfunk)',0.24286,60,0.242857,60,0,-1,'mobile'),(776619,1,'Mayotte','MYT','26923','Mayotte (Mobilfunk)',0.24286,60,0.242857,60,0,-1,'mobile'),(776629,1,'Mayotte','MYT','26924','Mayotte (Mobilfunk)',0.24286,60,0.242857,60,0,-1,'mobile'),(776639,1,'Mayotte','MYT','26965','Mayotte (Mobilfunk)',0.24286,60,0.242857,60,0,-1,'mobile'),(776649,1,'Mayotte','MYT','26966','Mayotte (Mobilfunk)',0.24286,60,0.242857,60,0,-1,'mobile'),(776659,1,'Mayotte','MYT','26967','Mayotte (Mobilfunk)',0.24286,60,0.242857,60,0,-1,'mobile'),(776669,1,'Mayotte','MYT','26968','Mayotte (Mobilfunk)',0.24286,60,0.242857,60,0,-1,'mobile'),(776679,1,'Mayotte','MYT','26969','Mayotte (Mobilfunk)',0.24286,60,0.242857,60,0,-1,'mobile'),(776689,1,'The Former Yugoslav Republic of Macedonia','MKD','389','Mazedonien (Festnetz)',0.15042,60,0.15042,60,0,-1,'fixed'),(776699,1,'The Former Yugoslav Republic of Macedonia','MKD','3897','Mazedonien (Mobilfunk)',0.45294,60,0.452941,60,0,-1,'mobile'),(776709,1,'The Former Yugoslav Republic of Macedonia','MKD','3895','Mazedonien (Sonderziel)',0.44454,60,0.444538,60,0,-1,'premium'),(776719,1,'The Former Yugoslav Republic of Macedonia','MKD','389734','Mazedonien (Sonderziel)',0.44454,60,0.444538,60,0,-1,'premium'),(776729,1,'The Former Yugoslav Republic of Macedonia','MKD','38988','Mazedonien (Sonderziel)',0.44454,60,0.444538,60,0,-1,'premium'),(776739,1,'Mexico','MEX','52','Mexiko (Festnetz)',0.01597,60,0.0159664,60,0,-1,'fixed'),(776749,1,'Mexico','MEX','521','Mexiko (Mobilfunk)',0.05798,60,0.0579832,60,0,-1,'mobile'),(776759,1,'Mexico','MEX','52867190','Mexiko (Sonderziel)',0.11681,60,0.116807,60,0,-1,'premium'),(776769,1,'Micronesia, Federated States of','FSM','691','Mikronesien (Festnetz)',0.22605,60,0.22605,60,0,-1,'fixed'),(776779,1,'Micronesia, Federated States of','FSM','69197','Mikronesien (Mobilfunk)',0.22605,60,0.22605,60,0,-1,'mobile'),(776789,1,'Micronesia, Federated States of','FSM','691011','Mikronesien (Sonderziel)',0.40252,60,0.402521,60,0,-1,'premium'),(776799,1,'Moldova (Republic of)','MDA','373900','Moldau (Sonderziel)',0.31849,60,0.318487,60,0,-1,'premium'),(776809,1,'Moldova (Republic of)','MDA','373','Moldau (Republik) (Festnetz)',0.15882,60,0.158824,60,0,-1,'fixed'),(776819,1,'Moldova (Republic of)','MDA','3736','Moldau (Republik) (Mobilfunk)',0.3605,60,0.360504,60,0,-1,'mobile'),(776829,1,'Moldova (Republic of)','MDA','3737','Moldau (Republik) (Mobilfunk)',0.3605,60,0.360504,60,0,-1,'mobile'),(776839,1,'Monaco (Principality of)','MCO','377','Monaco (Festnetz)',0.0916,60,0.0915966,60,0,-1,'fixed'),(776849,1,'Monaco (Principality of)','MCO','3774','Monaco (Mobilfunk)',0.44454,60,0.444538,60,0,-1,'mobile'),(776859,1,'Monaco (Principality of)','MCO','3776','Monaco (Mobilfunk)',0.44454,60,0.444538,60,0,-1,'mobile'),(776869,1,'Mongolia','MNG','976','Mongolei (Festnetz)',0.06639,60,0.0663866,60,0,-1,'fixed'),(776879,1,'Mongolia','MNG','97650','Mongolei (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(776889,1,'Mongolia','MNG','97655','Mongolei (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(776899,1,'Mongolia','MNG','97656','Mongolei (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(776909,1,'Mongolia','MNG','97658','Mongolei (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(776919,1,'Mongolia','MNG','9768','Mongolei (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(776929,1,'Mongolia','MNG','9769','Mongolei (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(776939,1,'Montserrat','MSR','1664','Montserrat (Festnetz)',0.13361,60,0.133613,60,0,-1,'fixed'),(776949,1,'Montserrat','MSR','1664349','Montserrat (Mobilfunk)',0.14202,60,0.142017,60,0,-1,'mobile'),(776959,1,'Montserrat','MSR','1664492','Montserrat (Mobilfunk)',0.14202,60,0.142017,60,0,-1,'mobile'),(776969,1,'Montserrat','MSR','1664493','Montserrat (Mobilfunk)',0.14202,60,0.142017,60,0,-1,'mobile'),(776979,1,'Montserrat','MSR','1664495','Montserrat (Mobilfunk)',0.14202,60,0.142017,60,0,-1,'mobile'),(776989,1,'Montserrat','MSR','1664496','Montserrat (Mobilfunk)',0.14202,60,0.142017,60,0,-1,'mobile'),(776999,1,'Montserrat','MSR','1664011','Montserrat (Sonderziel)',0.31849,60,0.318487,60,0,-1,'premium'),(777009,1,'Montserrat','MSR','1664410','Montserrat (Sonderziel)',0.31849,60,0.318487,60,0,-1,'premium'),(777019,1,'Montserrat','MSR','1664411','Montserrat (Sonderziel)',0.31849,60,0.318487,60,0,-1,'premium'),(777029,1,'Montserrat','MSR','1664412','Montserrat (Sonderziel)',0.31849,60,0.318487,60,0,-1,'premium'),(777039,1,'Montserrat','MSR','1664413','Montserrat (Sonderziel)',0.31849,60,0.318487,60,0,-1,'premium'),(777049,1,'Montserrat','MSR','1664414','Montserrat (Sonderziel)',0.31849,60,0.318487,60,0,-1,'premium'),(777059,1,'Montserrat','MSR','1664415','Montserrat (Sonderziel)',0.31849,60,0.318487,60,0,-1,'premium'),(777069,1,'Mozambique (Republic of)','MOZ','258','Mosambik (Festnetz)',0.23445,60,0.234454,60,0,-1,'fixed'),(777079,1,'Mozambique (Republic of)','MOZ','2588','Mosambik (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(777089,1,'Burma','MMR','95','Myanmar (Festnetz)',0.37731,60,0.377311,60,0,-1,'fixed'),(777099,1,'Burma','MMR','959','Myanmar (Mobilfunk)',0.41092,60,0.410924,60,0,-1,'mobile'),(777109,1,'Burma','MMR','955258','Myanmar (Sonderziel)',0.43613,60,0.436134,60,0,-1,'premium'),(777119,1,'Namibia (Republic of)','NAM','264','Namibia (Festnetz)',0.1,60,0.1,60,0,-1,'fixed'),(777129,1,'Namibia (Republic of)','NAM','26460','Namibia (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(777139,1,'Namibia (Republic of)','NAM','26481','Namibia (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(777149,1,'Namibia (Republic of)','NAM','26485','Namibia (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(777159,1,'Nauru (Republic of)','NRU','674','Nauru (Festnetz)',0.73866,60,0.738655,60,0,-1,'fixed'),(777169,1,'Nauru (Republic of)','NRU','674555','Nauru (Mobilfunk)',0.73866,60,0.738655,60,0,-1,'mobile'),(777179,1,'Nauru (Republic of)','NRU','674556','Nauru (Mobilfunk)',0.73866,60,0.738655,60,0,-1,'mobile'),(777189,1,'Nauru (Republic of)','NRU','674557','Nauru (Mobilfunk)',0.73866,60,0.738655,60,0,-1,'mobile'),(777199,1,'Nauru (Republic of)','NRU','674558','Nauru (Mobilfunk)',0.73866,60,0.738655,60,0,-1,'mobile'),(777209,1,'Nauru (Republic of)','NRU','674559','Nauru (Mobilfunk)',0.73866,60,0.738655,60,0,-1,'mobile'),(777219,1,'Nauru (Republic of)','NRU','674444','Nauru (Sonderziel)',1.26807,60,1.26807,60,0,-1,'premium'),(777229,1,'Nepal','NPL','977','Nepal (Festnetz)',0.15882,60,0.158824,60,0,-1,'fixed'),(777239,1,'Nepal','NPL','97796','Nepal (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(777249,1,'Nepal','NPL','97797','Nepal (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(777259,1,'Nepal','NPL','97798','Nepal (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(777269,1,'Nepal','NPL','97799','Nepal (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(777279,1,'New Caledonia (Territoire franÃ§ais d\'outre-mer)','NCL','687','Neukaledonien (Festnetz)',0.29328,60,0.293277,60,0,-1,'fixed'),(777289,1,'New Caledonia (Territoire franÃ§ais d\'outre-mer)','NCL','6877','Neukaledonien (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(777299,1,'New Caledonia (Territoire franÃ§ais d\'outre-mer)','NCL','68780','Neukaledonien (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(777309,1,'New Caledonia (Territoire franÃ§ais d\'outre-mer)','NCL','68781','Neukaledonien (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(777319,1,'New Caledonia (Territoire franÃ§ais d\'outre-mer)','NCL','68782','Neukaledonien (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(777329,1,'New Caledonia (Territoire franÃ§ais d\'outre-mer)','NCL','68783','Neukaledonien (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(777339,1,'New Caledonia (Territoire franÃ§ais d\'outre-mer)','NCL','68784','Neukaledonien (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(777349,1,'New Caledonia (Territoire franÃ§ais d\'outre-mer)','NCL','68785','Neukaledonien (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(777359,1,'New Caledonia (Territoire franÃ§ais d\'outre-mer)','NCL','68786','Neukaledonien (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(777369,1,'New Caledonia (Territoire franÃ§ais d\'outre-mer)','NCL','68787','Neukaledonien (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(777379,1,'New Caledonia (Territoire franÃ§ais d\'outre-mer)','NCL','68789','Neukaledonien (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(777389,1,'New Caledonia (Territoire franÃ§ais d\'outre-mer)','NCL','6879','Neukaledonien (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(777399,1,'New Caledonia (Territoire franÃ§ais d\'outre-mer)','NCL','687366','Neukaledonien (Sonderziel)',0.23445,60,0.234454,60,0,-1,'premium'),(777409,1,'New Caledonia (Territoire franÃ§ais d\'outre-mer)','NCL','68768','Neukaledonien (Sonderziel)',0.23445,60,0.234454,60,0,-1,'premium'),(777419,1,'New Zealand','NZL','64','Neuseeland (Festnetz)',0.03277,60,0.0327731,60,0,-1,'fixed'),(777429,1,'New Zealand','NZL','642','Neuseeland (Mobilfunk)',0.06639,60,0.0663866,60,0,-1,'mobile'),(777439,1,'New Zealand','NZL','6490','Neuseeland (Sonderziel)',0.15042,60,0.15042,60,0,-1,'premium'),(777449,1,'Nicaragua','NIC','505','Nicaragua (Festnetz)',0.31008,60,0.310084,60,0,-1,'fixed'),(777459,1,'Nicaragua','NIC','5055500','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777469,1,'Nicaragua','NIC','5055501','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777479,1,'Nicaragua','NIC','5055502','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777489,1,'Nicaragua','NIC','5055503','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777499,1,'Nicaragua','NIC','5055504','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777509,1,'Nicaragua','NIC','50581','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777519,1,'Nicaragua','NIC','50582','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777529,1,'Nicaragua','NIC','505832','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777539,1,'Nicaragua','NIC','505833','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777549,1,'Nicaragua','NIC','505835','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777559,1,'Nicaragua','NIC','505836','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777569,1,'Nicaragua','NIC','505837','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777579,1,'Nicaragua','NIC','505838','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777589,1,'Nicaragua','NIC','505839','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777599,1,'Nicaragua','NIC','50584','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777609,1,'Nicaragua','NIC','50585','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777619,1,'Nicaragua','NIC','50586','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777629,1,'Nicaragua','NIC','50587','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777639,1,'Nicaragua','NIC','5058802','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777649,1,'Nicaragua','NIC','5058803','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777659,1,'Nicaragua','NIC','5058804','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777669,1,'Nicaragua','NIC','5058805','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777679,1,'Nicaragua','NIC','5058806','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777689,1,'Nicaragua','NIC','5058807','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777699,1,'Nicaragua','NIC','5058808','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777709,1,'Nicaragua','NIC','5058809','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777719,1,'Nicaragua','NIC','505881','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777729,1,'Nicaragua','NIC','505882','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777739,1,'Nicaragua','NIC','505883','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777749,1,'Nicaragua','NIC','505884','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777759,1,'Nicaragua','NIC','505885','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777769,1,'Nicaragua','NIC','505886','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777779,1,'Nicaragua','NIC','5058871','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777789,1,'Nicaragua','NIC','5058872','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777799,1,'Nicaragua','NIC','5058873','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777809,1,'Nicaragua','NIC','5058874','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777819,1,'Nicaragua','NIC','5058875','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777829,1,'Nicaragua','NIC','5058876','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777839,1,'Nicaragua','NIC','5058877','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777849,1,'Nicaragua','NIC','5058878','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777859,1,'Nicaragua','NIC','5058879','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777869,1,'Nicaragua','NIC','505888','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777879,1,'Nicaragua','NIC','5058893','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777889,1,'Nicaragua','NIC','5058894','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777899,1,'Nicaragua','NIC','5058895','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777909,1,'Nicaragua','NIC','5058896','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777919,1,'Nicaragua','NIC','5058897','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777929,1,'Nicaragua','NIC','5058898','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777939,1,'Nicaragua','NIC','5058899','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777949,1,'Nicaragua','NIC','50589','Nicaragua (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(777959,1,'Netherlands (Kingdom of the)','NLD','31','Niederlande (Festnetz)',0.01597,60,0.0159664,60,0,-1,'fixed'),(777969,1,'Netherlands (Kingdom of the)','NLD','316','Niederlande (Mobilfunk)',0.05798,60,0.0579832,60,0,-1,'mobile'),(777979,1,'Netherlands (Kingdom of the)','NLD','31665','Niederlande (Mobilfunk)',0.05798,60,0.0579832,60,0,-1,'mobile'),(777989,1,'Netherlands (Kingdom of the)','NLD','316560','Niederlande (Sonderziel)',0.02437,60,0.0243697,60,0,-1,'premium'),(777999,1,'Netherlands (Kingdom of the)','NLD','3166','Niederlande (Sonderziel)',0.02437,60,0.0243697,60,0,-1,'premium'),(778009,1,'Netherlands (Kingdom of the)','NLD','3167','Niederlande (Sonderziel)',0.02437,60,0.0243697,60,0,-1,'premium'),(778019,1,'Netherlands (Kingdom of the)','NLD','318','Niederlande (Sonderziel)',0.02437,60,0.0243697,60,0,-1,'premium'),(778029,1,'Netherlands (Kingdom of the)','NLD','319','Niederlande (Sonderziel)',0.02437,60,0.0243697,60,0,-1,'premium'),(778039,1,'Sint Maarten','SXM','1721','NiederlÃ¤ndische Antillen (Festnetz)',0.15882,60,0.158824,60,0,-1,'fixed'),(778049,1,'Netherlands Antilles','','599','NiederlÃ¤ndische Antillen (Festnetz)',0.15882,60,0.158824,60,0,-1,'fixed'),(778059,1,'Sint Maarten','SXM','1721510','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778069,1,'Sint Maarten','SXM','1721512','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778079,1,'Sint Maarten','SXM','1721520','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778089,1,'Sint Maarten','SXM','1721521','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778099,1,'Sint Maarten','SXM','1721522','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778109,1,'Sint Maarten','SXM','1721523','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778119,1,'Sint Maarten','SXM','1721524','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778129,1,'Sint Maarten','SXM','1721526','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778139,1,'Sint Maarten','SXM','1721527','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778149,1,'Sint Maarten','SXM','1721528','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778159,1,'Sint Maarten','SXM','1721529','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778169,1,'Sint Maarten','SXM','1721551','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778179,1,'Sint Maarten','SXM','1721552','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778189,1,'Sint Maarten','SXM','1721553','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778199,1,'Sint Maarten','SXM','1721554','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778209,1,'Sint Maarten','SXM','1721556','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778219,1,'Sint Maarten','SXM','1721557','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778229,1,'Sint Maarten','SXM','1721558','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778239,1,'Sint Maarten','SXM','1721559','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778249,1,'Sint Maarten','SXM','1721580','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778259,1,'Sint Maarten','SXM','1721581','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778269,1,'Sint Maarten','SXM','1721586','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778279,1,'Sint Maarten','SXM','1721587','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778289,1,'Sint Maarten','SXM','1721588','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778299,1,'Sint Eustatius','','5993181','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778309,1,'Sint Eustatius','','5993184','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778319,1,'Sint Eustatius','','5993185','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778329,1,'Sint Eustatius','','5993186','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778339,1,'Sint Eustatius','','5993187','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778349,1,'Saba','','5994161','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778359,1,'Saba','','5994165','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778369,1,'Saba','','5994166','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778379,1,'Saba','','5994167','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778389,1,'Saba','','5994168','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778399,1,'Netherlands Antilles','','599510','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778409,1,'Netherlands Antilles','','599511','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778419,1,'Netherlands Antilles','','599512','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778429,1,'Netherlands Antilles','','599520','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778439,1,'Netherlands Antilles','','599521','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778449,1,'Netherlands Antilles','','599522','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778459,1,'Netherlands Antilles','','599523','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778469,1,'Netherlands Antilles','','599524','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778479,1,'Netherlands Antilles','','599526','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778489,1,'Netherlands Antilles','','599527','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778499,1,'Netherlands Antilles','','599528','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778509,1,'Netherlands Antilles','','599529','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778519,1,'Netherlands Antilles','','59955','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778529,1,'Netherlands Antilles','','599580','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778539,1,'Netherlands Antilles','','599581','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778549,1,'Netherlands Antilles','','599586','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778559,1,'Netherlands Antilles','','599587','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778569,1,'Netherlands Antilles','','599588','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778579,1,'Bonaire','','59970','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778589,1,'Bonaire','','59978','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778599,1,'Bonaire','','59979','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778609,1,'Curacao','CUW','599951','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778619,1,'Curacao','CUW','599952','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778629,1,'Curacao','CUW','5999530','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778639,1,'Curacao','CUW','599954','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778649,1,'Curacao','CUW','599956','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778659,1,'Curacao','CUW','599957','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778669,1,'Curacao','CUW','599961','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778679,1,'Curacao','CUW','5999630','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778689,1,'Curacao','CUW','5999631','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778699,1,'Curacao','CUW','599966','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778709,1,'Curacao','CUW','599967','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778719,1,'Curacao','CUW','599969','NiederlÃ¤ndische Antillen (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(778729,1,'Netherlands Antilles','','59910','NiederlÃ¤ndische Antillen (Sonderziel)',0.15882,60,0.158824,60,0,-1,'premium'),(778739,1,'Niger (Republic of the)','NER','227','Niger (Festnetz)',0.25966,60,0.259664,60,0,-1,'fixed'),(778749,1,'Niger (Republic of the)','NER','22723','Niger (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(778759,1,'Niger (Republic of the)','NER','2279','Niger (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(778769,1,'Niger (Republic of the)','NER','22709','Niger (Sonderziel)',0.3521,60,0.352101,60,0,-1,'premium'),(778779,1,'Niger (Republic of the)','NER','2271','Niger (Sonderziel)',0.3521,60,0.352101,60,0,-1,'premium'),(778789,1,'Niger (Republic of the)','NER','22720','Niger (Sonderziel)',0.3521,60,0.352101,60,0,-1,'premium'),(778799,1,'Niger (Republic of the)','NER','22739','Niger (Sonderziel)',0.3521,60,0.352101,60,0,-1,'premium'),(778809,1,'Niger (Republic of the)','NER','2279460','Niger (Sonderziel)',0.3521,60,0.352101,60,0,-1,'premium'),(778819,1,'Nigeria (Federal Republic of)','NGA','234','Nigeria (Festnetz)',0.27647,60,0.276471,60,0,-1,'fixed'),(778829,1,'Nigeria (Federal Republic of)','NGA','2347027','Nigeria (Festnetz)',0.27647,60,0.276471,60,0,-1,'fixed'),(778839,1,'Nigeria (Federal Republic of)','NGA','234129','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(778849,1,'Nigeria (Federal Republic of)','NGA','2341342','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(778859,1,'Nigeria (Federal Republic of)','NGA','2341453','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(778869,1,'Nigeria (Federal Republic of)','NGA','2341454','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(778879,1,'Nigeria (Federal Republic of)','NGA','2341804','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(778889,1,'Nigeria (Federal Republic of)','NGA','234183','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(778899,1,'Nigeria (Federal Republic of)','NGA','234188','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(778909,1,'Nigeria (Federal Republic of)','NGA','234229','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(778919,1,'Nigeria (Federal Republic of)','NGA','2342870','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(778929,1,'Nigeria (Federal Republic of)','NGA','2342871','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(778939,1,'Nigeria (Federal Republic of)','NGA','2342872','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(778949,1,'Nigeria (Federal Republic of)','NGA','2342873','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(778959,1,'Nigeria (Federal Republic of)','NGA','2342874','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(778969,1,'Nigeria (Federal Republic of)','NGA','2342875','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(778979,1,'Nigeria (Federal Republic of)','NGA','2342876','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(778989,1,'Nigeria (Federal Republic of)','NGA','2342877','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(778999,1,'Nigeria (Federal Republic of)','NGA','2343129','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779009,1,'Nigeria (Federal Republic of)','NGA','2343181','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779019,1,'Nigeria (Federal Republic of)','NGA','2343182','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779029,1,'Nigeria (Federal Republic of)','NGA','2343183','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779039,1,'Nigeria (Federal Republic of)','NGA','2343184','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779049,1,'Nigeria (Federal Republic of)','NGA','2343185','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779059,1,'Nigeria (Federal Republic of)','NGA','2343186','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779069,1,'Nigeria (Federal Republic of)','NGA','2343187','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779079,1,'Nigeria (Federal Republic of)','NGA','2343188','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779089,1,'Nigeria (Federal Republic of)','NGA','2343880','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779099,1,'Nigeria (Federal Republic of)','NGA','2343881','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779109,1,'Nigeria (Federal Republic of)','NGA','2343882','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779119,1,'Nigeria (Federal Republic of)','NGA','2343883','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779129,1,'Nigeria (Federal Republic of)','NGA','2343884','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779139,1,'Nigeria (Federal Republic of)','NGA','2343885','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779149,1,'Nigeria (Federal Republic of)','NGA','2343886','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779159,1,'Nigeria (Federal Republic of)','NGA','2343887','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779169,1,'Nigeria (Federal Republic of)','NGA','2343929','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779179,1,'Nigeria (Federal Republic of)','NGA','2343961','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779189,1,'Nigeria (Federal Republic of)','NGA','2343962','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779199,1,'Nigeria (Federal Republic of)','NGA','2343963','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779209,1,'Nigeria (Federal Republic of)','NGA','2343964','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779219,1,'Nigeria (Federal Republic of)','NGA','2343965','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779229,1,'Nigeria (Federal Republic of)','NGA','2343985','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779239,1,'Nigeria (Federal Republic of)','NGA','2343986','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779249,1,'Nigeria (Federal Republic of)','NGA','2343987','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779259,1,'Nigeria (Federal Republic of)','NGA','2343988','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779269,1,'Nigeria (Federal Republic of)','NGA','2343989','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779279,1,'Nigeria (Federal Republic of)','NGA','2344229','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779289,1,'Nigeria (Federal Republic of)','NGA','2344266','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779299,1,'Nigeria (Federal Republic of)','NGA','2344280','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779309,1,'Nigeria (Federal Republic of)','NGA','2344281','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779319,1,'Nigeria (Federal Republic of)','NGA','2344282','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779329,1,'Nigeria (Federal Republic of)','NGA','2344329','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779339,1,'Nigeria (Federal Republic of)','NGA','2344628','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779349,1,'Nigeria (Federal Republic of)','NGA','2344629','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779359,1,'Nigeria (Federal Republic of)','NGA','2344666','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779369,1,'Nigeria (Federal Republic of)','NGA','2344671','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779379,1,'Nigeria (Federal Republic of)','NGA','2344672','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779389,1,'Nigeria (Federal Republic of)','NGA','2344673','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779399,1,'Nigeria (Federal Republic of)','NGA','2344674','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779409,1,'Nigeria (Federal Republic of)','NGA','2344675','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779419,1,'Nigeria (Federal Republic of)','NGA','2344676','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779429,1,'Nigeria (Federal Republic of)','NGA','2344677','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779439,1,'Nigeria (Federal Republic of)','NGA','2344678','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779449,1,'Nigeria (Federal Republic of)','NGA','2344679','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779459,1,'Nigeria (Federal Republic of)','NGA','2344680','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779469,1,'Nigeria (Federal Republic of)','NGA','2344682','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779479,1,'Nigeria (Federal Republic of)','NGA','2344683','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779489,1,'Nigeria (Federal Republic of)','NGA','2344684','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779499,1,'Nigeria (Federal Republic of)','NGA','2344687','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779509,1,'Nigeria (Federal Republic of)','NGA','2344829','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779519,1,'Nigeria (Federal Republic of)','NGA','2344880','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779529,1,'Nigeria (Federal Republic of)','NGA','2344881','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779539,1,'Nigeria (Federal Republic of)','NGA','2344882','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779549,1,'Nigeria (Federal Republic of)','NGA','2344888','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779559,1,'Nigeria (Federal Republic of)','NGA','2345229','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779569,1,'Nigeria (Federal Republic of)','NGA','2345277','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779579,1,'Nigeria (Federal Republic of)','NGA','2345278','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779589,1,'Nigeria (Federal Republic of)','NGA','2345279','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779599,1,'Nigeria (Federal Republic of)','NGA','2345381','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779609,1,'Nigeria (Federal Republic of)','NGA','2345382','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779619,1,'Nigeria (Federal Republic of)','NGA','2345383','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779629,1,'Nigeria (Federal Republic of)','NGA','2345384','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779639,1,'Nigeria (Federal Republic of)','NGA','2345385','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779649,1,'Nigeria (Federal Republic of)','NGA','2345386','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779659,1,'Nigeria (Federal Republic of)','NGA','2345387','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779669,1,'Nigeria (Federal Republic of)','NGA','2345389','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779679,1,'Nigeria (Federal Republic of)','NGA','2345480','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779689,1,'Nigeria (Federal Republic of)','NGA','2345481','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779699,1,'Nigeria (Federal Republic of)','NGA','2345482','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779709,1,'Nigeria (Federal Republic of)','NGA','2345483','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779719,1,'Nigeria (Federal Republic of)','NGA','2345484','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779729,1,'Nigeria (Federal Republic of)','NGA','2345485','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779739,1,'Nigeria (Federal Republic of)','NGA','2345486','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779749,1,'Nigeria (Federal Republic of)','NGA','2345487','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779759,1,'Nigeria (Federal Republic of)','NGA','2345529','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779769,1,'Nigeria (Federal Republic of)','NGA','2345629','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779779,1,'Nigeria (Federal Republic of)','NGA','2345684','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779789,1,'Nigeria (Federal Republic of)','NGA','2345685','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779799,1,'Nigeria (Federal Republic of)','NGA','2345686','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779809,1,'Nigeria (Federal Republic of)','NGA','2345687','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779819,1,'Nigeria (Federal Republic of)','NGA','2346229','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779829,1,'Nigeria (Federal Republic of)','NGA','2346277','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779839,1,'Nigeria (Federal Republic of)','NGA','2346278','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779849,1,'Nigeria (Federal Republic of)','NGA','2346279','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779859,1,'Nigeria (Federal Republic of)','NGA','2346429','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779869,1,'Nigeria (Federal Republic of)','NGA','2346437','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779879,1,'Nigeria (Federal Republic of)','NGA','2346438','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779889,1,'Nigeria (Federal Republic of)','NGA','2346439','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779899,1,'Nigeria (Federal Republic of)','NGA','2346443','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779909,1,'Nigeria (Federal Republic of)','NGA','2346461','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779919,1,'Nigeria (Federal Republic of)','NGA','2346462','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779929,1,'Nigeria (Federal Republic of)','NGA','2346469','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779939,1,'Nigeria (Federal Republic of)','NGA','2346470','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779949,1,'Nigeria (Federal Republic of)','NGA','2346474','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779959,1,'Nigeria (Federal Republic of)','NGA','2346475','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779969,1,'Nigeria (Federal Republic of)','NGA','2346476','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779979,1,'Nigeria (Federal Republic of)','NGA','2346479','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779989,1,'Nigeria (Federal Republic of)','NGA','2346481','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(779999,1,'Nigeria (Federal Republic of)','NGA','2346482','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780009,1,'Nigeria (Federal Republic of)','NGA','2346489','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780019,1,'Nigeria (Federal Republic of)','NGA','2346491','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780029,1,'Nigeria (Federal Republic of)','NGA','2346492','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780039,1,'Nigeria (Federal Republic of)','NGA','2346493','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780049,1,'Nigeria (Federal Republic of)','NGA','2346494','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780059,1,'Nigeria (Federal Republic of)','NGA','2346495','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780069,1,'Nigeria (Federal Republic of)','NGA','2346496','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780079,1,'Nigeria (Federal Republic of)','NGA','2346497','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780089,1,'Nigeria (Federal Republic of)','NGA','2346498','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780099,1,'Nigeria (Federal Republic of)','NGA','2346529','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780109,1,'Nigeria (Federal Republic of)','NGA','2346580','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780119,1,'Nigeria (Federal Republic of)','NGA','2346581','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780129,1,'Nigeria (Federal Republic of)','NGA','2346582','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780139,1,'Nigeria (Federal Republic of)','NGA','2346929','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780149,1,'Nigeria (Federal Republic of)','NGA','2346987','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780159,1,'Nigeria (Federal Republic of)','NGA','2346988','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780169,1,'Nigeria (Federal Republic of)','NGA','2346989','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780179,1,'Nigeria (Federal Republic of)','NGA','234701','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780189,1,'Nigeria (Federal Republic of)','NGA','234702','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780199,1,'Nigeria (Federal Republic of)','NGA','234703','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780209,1,'Nigeria (Federal Republic of)','NGA','234704','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780219,1,'Nigeria (Federal Republic of)','NGA','234705','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780229,1,'Nigeria (Federal Republic of)','NGA','234706','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780239,1,'Nigeria (Federal Republic of)','NGA','234708','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780249,1,'Nigeria (Federal Republic of)','NGA','2347329','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780259,1,'Nigeria (Federal Republic of)','NGA','2347380','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780269,1,'Nigeria (Federal Republic of)','NGA','2347381','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780279,1,'Nigeria (Federal Republic of)','NGA','2347382','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780289,1,'Nigeria (Federal Republic of)','NGA','2347383','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780299,1,'Nigeria (Federal Republic of)','NGA','2347384','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780309,1,'Nigeria (Federal Republic of)','NGA','2347385','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780319,1,'Nigeria (Federal Republic of)','NGA','2347386','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780329,1,'Nigeria (Federal Republic of)','NGA','2347387','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780339,1,'Nigeria (Federal Republic of)','NGA','2347629','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780349,1,'Nigeria (Federal Republic of)','NGA','2347691','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780359,1,'Nigeria (Federal Republic of)','NGA','2347692','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780369,1,'Nigeria (Federal Republic of)','NGA','2347693','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780379,1,'Nigeria (Federal Republic of)','NGA','2347694','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780389,1,'Nigeria (Federal Republic of)','NGA','2347695','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780399,1,'Nigeria (Federal Republic of)','NGA','2347696','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780409,1,'Nigeria (Federal Republic of)','NGA','2347697','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780419,1,'Nigeria (Federal Republic of)','NGA','2347698','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780429,1,'Nigeria (Federal Republic of)','NGA','2347782','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780439,1,'Nigeria (Federal Republic of)','NGA','2347783','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780449,1,'Nigeria (Federal Republic of)','NGA','2347784','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780459,1,'Nigeria (Federal Republic of)','NGA','23480','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780469,1,'Nigeria (Federal Republic of)','NGA','234810','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780479,1,'Nigeria (Federal Republic of)','NGA','234811','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780489,1,'Nigeria (Federal Republic of)','NGA','234812','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780499,1,'Nigeria (Federal Republic of)','NGA','234813','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780509,1,'Nigeria (Federal Republic of)','NGA','234814','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780519,1,'Nigeria (Federal Republic of)','NGA','234815','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780529,1,'Nigeria (Federal Republic of)','NGA','234816','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780539,1,'Nigeria (Federal Republic of)','NGA','234817','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780549,1,'Nigeria (Federal Republic of)','NGA','234818','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780559,1,'Nigeria (Federal Republic of)','NGA','2348190','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780569,1,'Nigeria (Federal Republic of)','NGA','2348191','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780579,1,'Nigeria (Federal Republic of)','NGA','2348229','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780589,1,'Nigeria (Federal Republic of)','NGA','2348244','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780599,1,'Nigeria (Federal Republic of)','NGA','2348255','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780609,1,'Nigeria (Federal Republic of)','NGA','2348283','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780619,1,'Nigeria (Federal Republic of)','NGA','2348284','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780629,1,'Nigeria (Federal Republic of)','NGA','2348285','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780639,1,'Nigeria (Federal Republic of)','NGA','2348286','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780649,1,'Nigeria (Federal Republic of)','NGA','2348287','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780659,1,'Nigeria (Federal Republic of)','NGA','2348288','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780669,1,'Nigeria (Federal Republic of)','NGA','2348289','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780679,1,'Nigeria (Federal Republic of)','NGA','2348343','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780689,1,'Nigeria (Federal Republic of)','NGA','2348366','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780699,1,'Nigeria (Federal Republic of)','NGA','2348380','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780709,1,'Nigeria (Federal Republic of)','NGA','2348381','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780719,1,'Nigeria (Federal Republic of)','NGA','2348382','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780729,1,'Nigeria (Federal Republic of)','NGA','2348421','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780739,1,'Nigeria (Federal Republic of)','NGA','2348422','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780749,1,'Nigeria (Federal Republic of)','NGA','2348429','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780759,1,'Nigeria (Federal Republic of)','NGA','2348430','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780769,1,'Nigeria (Federal Republic of)','NGA','2348431','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780779,1,'Nigeria (Federal Republic of)','NGA','2348434','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780789,1,'Nigeria (Federal Republic of)','NGA','2348437','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780799,1,'Nigeria (Federal Republic of)','NGA','2348438','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780809,1,'Nigeria (Federal Republic of)','NGA','2348439','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780819,1,'Nigeria (Federal Republic of)','NGA','2348453','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780829,1,'Nigeria (Federal Republic of)','NGA','2348454','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780839,1,'Nigeria (Federal Republic of)','NGA','2348455','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780849,1,'Nigeria (Federal Republic of)','NGA','2348456','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780859,1,'Nigeria (Federal Republic of)','NGA','2348466','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780869,1,'Nigeria (Federal Republic of)','NGA','2348474','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780879,1,'Nigeria (Federal Republic of)','NGA','2348475','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780889,1,'Nigeria (Federal Republic of)','NGA','2348476','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780899,1,'Nigeria (Federal Republic of)','NGA','2348477','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780909,1,'Nigeria (Federal Republic of)','NGA','2348478','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780919,1,'Nigeria (Federal Republic of)','NGA','2348479','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780929,1,'Nigeria (Federal Republic of)','NGA','2348480','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780939,1,'Nigeria (Federal Republic of)','NGA','2348481','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780949,1,'Nigeria (Federal Republic of)','NGA','2348484','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780959,1,'Nigeria (Federal Republic of)','NGA','2348485','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780969,1,'Nigeria (Federal Republic of)','NGA','2348486','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780979,1,'Nigeria (Federal Republic of)','NGA','2348488','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780989,1,'Nigeria (Federal Republic of)','NGA','2348489','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(780999,1,'Nigeria (Federal Republic of)','NGA','2348490','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(781009,1,'Nigeria (Federal Republic of)','NGA','2348529','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(781019,1,'Nigeria (Federal Republic of)','NGA','2348566','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(781029,1,'Nigeria (Federal Republic of)','NGA','2348581','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(781039,1,'Nigeria (Federal Republic of)','NGA','2348582','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(781049,1,'Nigeria (Federal Republic of)','NGA','2348583','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(781059,1,'Nigeria (Federal Republic of)','NGA','2348584','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(781069,1,'Nigeria (Federal Republic of)','NGA','2348585','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(781079,1,'Nigeria (Federal Republic of)','NGA','2348586','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(781089,1,'Nigeria (Federal Republic of)','NGA','2348587','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(781099,1,'Nigeria (Federal Republic of)','NGA','2348588','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(781109,1,'Nigeria (Federal Republic of)','NGA','2348729','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(781119,1,'Nigeria (Federal Republic of)','NGA','2348766','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(781129,1,'Nigeria (Federal Republic of)','NGA','2348777','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(781139,1,'Nigeria (Federal Republic of)','NGA','2348782','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(781149,1,'Nigeria (Federal Republic of)','NGA','2348783','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(781159,1,'Nigeria (Federal Republic of)','NGA','2348784','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(781169,1,'Nigeria (Federal Republic of)','NGA','2348785','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(781179,1,'Nigeria (Federal Republic of)','NGA','2348786','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(781189,1,'Nigeria (Federal Republic of)','NGA','2348787','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(781199,1,'Nigeria (Federal Republic of)','NGA','2348788','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(781209,1,'Nigeria (Federal Republic of)','NGA','2348789','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(781219,1,'Nigeria (Federal Republic of)','NGA','2348829','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(781229,1,'Nigeria (Federal Republic of)','NGA','2348866','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(781239,1,'Nigeria (Federal Republic of)','NGA','2348885','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(781249,1,'Nigeria (Federal Republic of)','NGA','2348886','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(781259,1,'Nigeria (Federal Republic of)','NGA','2348887','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(781269,1,'Nigeria (Federal Republic of)','NGA','234929','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(781279,1,'Nigeria (Federal Republic of)','NGA','234980','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(781289,1,'Nigeria (Federal Republic of)','NGA','234987','Nigeria (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(781299,1,'Nigeria (Federal Republic of)','NGA','2341288','Nigeria (Sonderziel)',0.13361,60,0.133613,60,0,-1,'premium'),(781309,1,'Nigeria (Federal Republic of)','NGA','234147','Nigeria (Sonderziel)',0.13361,60,0.133613,60,0,-1,'premium'),(781319,1,'Nigeria (Federal Republic of)','NGA','2341578','Nigeria (Sonderziel)',0.13361,60,0.133613,60,0,-1,'premium'),(781329,1,'Nigeria (Federal Republic of)','NGA','2348435','Nigeria (Sonderziel)',0.13361,60,0.133613,60,0,-1,'premium'),(781339,1,'Nigeria (Federal Republic of)','NGA','23499991','Nigeria (Sonderziel)',0.13361,60,0.133613,60,0,-1,'premium'),(781349,1,'Nigeria (Federal Republic of)','NGA','23499992','Nigeria (Sonderziel)',0.13361,60,0.133613,60,0,-1,'premium'),(781359,1,'Nigeria (Federal Republic of)','NGA','23499993','Nigeria (Sonderziel)',0.13361,60,0.133613,60,0,-1,'premium'),(781369,1,'Nigeria (Federal Republic of)','NGA','23499994','Nigeria (Sonderziel)',0.13361,60,0.133613,60,0,-1,'premium'),(781379,1,'Niue','NIU','683','Niue (Festnetz)',1.5958,60,1.5958,60,0,-1,'fixed'),(781389,1,'Niue','NIU','6832','Niue (Sonderziel)',1.06639,60,1.06639,60,0,-1,'premium'),(781399,1,'Niue','NIU','6835','Niue (Sonderziel)',1.06639,60,1.06639,60,0,-1,'premium'),(781409,1,'Niue','NIU','6836','Niue (Sonderziel)',1.06639,60,1.06639,60,0,-1,'premium'),(781419,1,'Niue','NIU','6837','Niue (Sonderziel)',1.06639,60,1.06639,60,0,-1,'premium'),(781429,1,'Niue','NIU','6838','Niue (Sonderziel)',1.06639,60,1.06639,60,0,-1,'premium'),(781439,1,'Niue','NIU','6839','Niue (Sonderziel)',1.06639,60,1.06639,60,0,-1,'premium'),(781449,1,'Korea, North','PRK','850','Nordkorea (Festnetz)',0.62101,60,0.621008,60,0,-1,'fixed'),(781459,1,'Korea, North','PRK','850986','Nordkorea (Sonderziel)',0.41933,60,0.419328,60,0,-1,'premium'),(781469,1,'Korea, North','PRK','850988','Nordkorea (Sonderziel)',0.41933,60,0.419328,60,0,-1,'premium'),(781479,1,'Korea, North','PRK','850999','Nordkorea (Sonderziel)',0.41933,60,0.419328,60,0,-1,'premium'),(781489,1,'Norfolk Island','NFK','6723','Norfolkinseln (Festnetz)',1.52017,60,1.52017,60,0,-1,'fixed'),(781499,1,'Norfolk Island','NFK','672372','Norfolkinseln (Sonderziel)',1.01597,60,1.01597,60,0,-1,'premium'),(781509,1,'Norway','NOR','47','Norwegen (Festnetz)',0.04118,60,0.0411765,60,0,-1,'fixed'),(781519,1,'Norway','NOR','474','Norwegen (Mobilfunk)',0.0916,60,0.0915966,60,0,-1,'mobile'),(781529,1,'Norway','NOR','4758','Norwegen (Mobilfunk)',0.0916,60,0.0915966,60,0,-1,'mobile'),(781539,1,'Norway','NOR','4759','Norwegen (Mobilfunk)',0.0916,60,0.0915966,60,0,-1,'mobile'),(781549,1,'Norway','NOR','479','Norwegen (Mobilfunk)',0.0916,60,0.0915966,60,0,-1,'mobile'),(781559,1,'Norway','NOR','4702','Norwegen (Sonderziel)',0.15882,60,0.158824,60,0,-1,'premium'),(781569,1,'Norway','NOR','4703','Norwegen (Sonderziel)',0.15882,60,0.158824,60,0,-1,'premium'),(781579,1,'Norway','NOR','4704','Norwegen (Sonderziel)',0.15882,60,0.158824,60,0,-1,'premium'),(781589,1,'Norway','NOR','4705','Norwegen (Sonderziel)',0.15882,60,0.158824,60,0,-1,'premium'),(781599,1,'Norway','NOR','4706','Norwegen (Sonderziel)',0.15882,60,0.158824,60,0,-1,'premium'),(781609,1,'Norway','NOR','4707','Norwegen (Sonderziel)',0.15882,60,0.158824,60,0,-1,'premium'),(781619,1,'Norway','NOR','4708','Norwegen (Sonderziel)',0.15882,60,0.158824,60,0,-1,'premium'),(781629,1,'Norway','NOR','4709','Norwegen (Sonderziel)',0.15882,60,0.158824,60,0,-1,'premium'),(781639,1,'Norway','NOR','471','Norwegen (Sonderziel)',0.15882,60,0.158824,60,0,-1,'premium'),(781649,1,'Norway','NOR','47810','Norwegen (Sonderziel)',0.15882,60,0.158824,60,0,-1,'premium'),(781659,1,'Norway','NOR','47811','Norwegen (Sonderziel)',0.15882,60,0.158824,60,0,-1,'premium'),(781669,1,'Norway','NOR','47812','Norwegen (Sonderziel)',0.15882,60,0.158824,60,0,-1,'premium'),(781679,1,'Norway','NOR','47813','Norwegen (Sonderziel)',0.15882,60,0.158824,60,0,-1,'premium'),(781689,1,'Norway','NOR','47814','Norwegen (Sonderziel)',0.15882,60,0.158824,60,0,-1,'premium'),(781699,1,'Norway','NOR','47815','Norwegen (Sonderziel)',0.15882,60,0.158824,60,0,-1,'premium'),(781709,1,'Norway','NOR','4785','Norwegen (Sonderziel)',0.15882,60,0.158824,60,0,-1,'premium'),(781719,1,'Norway','NOR','47880','Norwegen (Sonderziel)',0.15882,60,0.158824,60,0,-1,'premium'),(781729,1,'Northern Mariana Islands (Commonwealth of the)','','1670','NÃ¶rdliche Marianen (Festnetz)',0.03277,60,0.0327731,60,0,-1,'fixed'),(781739,1,'Northern Mariana Islands (Commonwealth of the)','','1670286','NÃ¶rdliche Marianen (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(781749,1,'Northern Mariana Islands (Commonwealth of the)','','1670287','NÃ¶rdliche Marianen (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(781759,1,'Northern Mariana Islands (Commonwealth of the)','','1670483','NÃ¶rdliche Marianen (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(781769,1,'Northern Mariana Islands (Commonwealth of the)','','1670484','NÃ¶rdliche Marianen (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(781779,1,'Northern Mariana Islands (Commonwealth of the)','','1670788','NÃ¶rdliche Marianen (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(781789,1,'Northern Mariana Islands (Commonwealth of the)','','1670011','NÃ¶rdliche Marianen (Sonderziel)',0.23445,60,0.234454,60,0,-1,'premium'),(781799,1,'Austria','AUT','43','Ã–sterreich (Festnetz)',0.02437,60,0.0243697,60,0,-1,'fixed'),(781809,1,'Austria','AUT','43644','Ã–sterreich (Mobilfunk)',0.04118,60,0.0411765,60,0,-1,'mobile'),(781819,1,'Austria','AUT','43650','Ã–sterreich (Mobilfunk)',0.04118,60,0.0411765,60,0,-1,'mobile'),(781829,1,'Austria','AUT','43651','Ã–sterreich (Mobilfunk)',0.04118,60,0.0411765,60,0,-1,'mobile'),(781839,1,'Austria','AUT','43652','Ã–sterreich (Mobilfunk)',0.04118,60,0.0411765,60,0,-1,'mobile'),(781849,1,'Austria','AUT','43653','Ã–sterreich (Mobilfunk)',0.04118,60,0.0411765,60,0,-1,'mobile'),(781859,1,'Austria','AUT','43655','Ã–sterreich (Mobilfunk)',0.04118,60,0.0411765,60,0,-1,'mobile'),(781869,1,'Austria','AUT','43657','Ã–sterreich (Mobilfunk)',0.04118,60,0.0411765,60,0,-1,'mobile'),(781879,1,'Austria','AUT','43659','Ã–sterreich (Mobilfunk)',0.04118,60,0.0411765,60,0,-1,'mobile'),(781889,1,'Austria','AUT','43660','Ã–sterreich (Mobilfunk)',0.04118,60,0.0411765,60,0,-1,'mobile'),(781899,1,'Austria','AUT','43661','Ã–sterreich (Mobilfunk)',0.04118,60,0.0411765,60,0,-1,'mobile'),(781909,1,'Austria','AUT','43663','Ã–sterreich (Mobilfunk)',0.04118,60,0.0411765,60,0,-1,'mobile'),(781919,1,'Austria','AUT','43664','Ã–sterreich (Mobilfunk)',0.04118,60,0.0411765,60,0,-1,'mobile'),(781929,1,'Austria','AUT','43665','Ã–sterreich (Mobilfunk)',0.04118,60,0.0411765,60,0,-1,'mobile'),(781939,1,'Austria','AUT','43666','Ã–sterreich (Mobilfunk)',0.04118,60,0.0411765,60,0,-1,'mobile'),(781949,1,'Austria','AUT','43667','Ã–sterreich (Mobilfunk)',0.04118,60,0.0411765,60,0,-1,'mobile'),(781959,1,'Austria','AUT','43668','Ã–sterreich (Mobilfunk)',0.04118,60,0.0411765,60,0,-1,'mobile'),(781969,1,'Austria','AUT','43669','Ã–sterreich (Mobilfunk)',0.04118,60,0.0411765,60,0,-1,'mobile'),(781979,1,'Austria','AUT','4367','Ã–sterreich (Mobilfunk)',0.04118,60,0.0411765,60,0,-1,'mobile'),(781989,1,'Austria','AUT','4368','Ã–sterreich (Mobilfunk)',0.04118,60,0.0411765,60,0,-1,'mobile'),(781999,1,'Austria','AUT','4369','Ã–sterreich (Mobilfunk)',0.04118,60,0.0411765,60,0,-1,'mobile'),(782009,1,'Austria','AUT','4386034','Ã–sterreich (Mobilfunk)',0.04118,60,0.0411765,60,0,-1,'mobile'),(782019,1,'Austria','AUT','4386061','Ã–sterreich (Mobilfunk)',0.04118,60,0.0411765,60,0,-1,'mobile'),(782029,1,'Austria','AUT','4386064','Ã–sterreich (Mobilfunk)',0.04118,60,0.0411765,60,0,-1,'mobile'),(782039,1,'Austria','AUT','4386134','Ã–sterreich (Mobilfunk)',0.04118,60,0.0411765,60,0,-1,'mobile'),(782049,1,'Austria','AUT','4386164','Ã–sterreich (Mobilfunk)',0.04118,60,0.0411765,60,0,-1,'mobile'),(782059,1,'Austria','AUT','438703411','Ã–sterreich (Mobilfunk)',0.04118,60,0.0411765,60,0,-1,'mobile'),(782069,1,'Austria','AUT','438706411','Ã–sterreich (Mobilfunk)',0.04118,60,0.0411765,60,0,-1,'mobile'),(782079,1,'Austria','AUT','438713411','Ã–sterreich (Mobilfunk)',0.04118,60,0.0411765,60,0,-1,'mobile'),(782089,1,'Austria','AUT','438716411','Ã–sterreich (Mobilfunk)',0.04118,60,0.0411765,60,0,-1,'mobile'),(782099,1,'Austria','AUT','4312288','Ã–sterreich (Sonderziel)',0.05798,60,0.0579832,60,0,-1,'premium'),(782109,1,'Austria','AUT','43123009','Ã–sterreich (Sonderziel)',0.05798,60,0.0579832,60,0,-1,'premium'),(782119,1,'Austria','AUT','43710','Ã–sterreich (Sonderziel)',0.05798,60,0.0579832,60,0,-1,'premium'),(782129,1,'Austria','AUT','43711','Ã–sterreich (Sonderziel)',0.05798,60,0.0579832,60,0,-1,'premium'),(782139,1,'Austria','AUT','43718','Ã–sterreich (Sonderziel)',0.05798,60,0.0579832,60,0,-1,'premium'),(782149,1,'Austria','AUT','43720','Ã–sterreich (Sonderziel)',0.05798,60,0.0579832,60,0,-1,'premium'),(782159,1,'Austria','AUT','43730','Ã–sterreich (Sonderziel)',0.05798,60,0.0579832,60,0,-1,'premium'),(782169,1,'Austria','AUT','43740','Ã–sterreich (Sonderziel)',0.05798,60,0.0579832,60,0,-1,'premium'),(782179,1,'Austria','AUT','43780','Ã–sterreich (Sonderziel)',0.05798,60,0.0579832,60,0,-1,'premium'),(782189,1,'Austria','AUT','43800','Ã–sterreich (Sonderziel)',0.05798,60,0.0579832,60,0,-1,'premium'),(782199,1,'Austria','AUT','43804','Ã–sterreich (Sonderziel)',0.05798,60,0.0579832,60,0,-1,'premium'),(782209,1,'Austria','AUT','43810','Ã–sterreich (Sonderziel)',0.05798,60,0.0579832,60,0,-1,'premium'),(782219,1,'Austria','AUT','43820','Ã–sterreich (Sonderziel)',0.05798,60,0.0579832,60,0,-1,'premium'),(782229,1,'Austria','AUT','43821','Ã–sterreich (Sonderziel)',0.05798,60,0.0579832,60,0,-1,'premium'),(782239,1,'Austria','AUT','43828','Ã–sterreich (Sonderziel)',0.05798,60,0.0579832,60,0,-1,'premium'),(782249,1,'Oman (Sultanate of)','OMN','968','Oman (Festnetz)',0.18403,60,0.184034,60,0,-1,'fixed'),(782259,1,'Oman (Sultanate of)','OMN','9689','Oman (Mobilfunk)',0.3521,60,0.352101,60,0,-1,'mobile'),(782269,1,'Timor-Leste','TLS','670','Osttimor (Festnetz)',1.43613,60,1.43613,60,0,-1,'fixed'),(782279,1,'Timor-Leste','TLS','6707','Osttimor (Mobilfunk)',1.43613,60,1.43613,60,0,-1,'mobile'),(782289,1,'Timor-Leste','TLS','6700','Osttimor (Sonderziel)',1.31849,60,1.31849,60,0,-1,'premium'),(782299,1,'Timor-Leste','TLS','670330','Osttimor (Sonderziel)',1.31849,60,1.31849,60,0,-1,'premium'),(782309,1,'Timor-Leste','TLS','67090','Osttimor (Sonderziel)',1.31849,60,1.31849,60,0,-1,'premium'),(782319,1,'Pakistan (Islamic Republic of)','PAK','92','Pakistan (Festnetz)',0.04958,60,0.0495798,60,0,-1,'fixed'),(782329,1,'Pakistan (Islamic Republic of)','PAK','923','Pakistan (Mobilfunk)',0.04118,60,0.0411765,60,0,-1,'mobile'),(782339,1,'Palau (Republic of)','PLW','680','Palau (Festnetz)',0.24286,60,0.242857,60,0,-1,'fixed'),(782349,1,'Palau (Republic of)','PLW','680620','Palau (Mobilfunk)',0.24286,60,0.242857,60,0,-1,'mobile'),(782359,1,'Palau (Republic of)','PLW','680630','Palau (Mobilfunk)',0.24286,60,0.242857,60,0,-1,'mobile'),(782369,1,'Palau (Republic of)','PLW','680640','Palau (Mobilfunk)',0.24286,60,0.242857,60,0,-1,'mobile'),(782379,1,'Palau (Republic of)','PLW','680660','Palau (Mobilfunk)',0.24286,60,0.242857,60,0,-1,'mobile'),(782389,1,'Palau (Republic of)','PLW','680680','Palau (Mobilfunk)',0.24286,60,0.242857,60,0,-1,'mobile'),(782399,1,'Palau (Republic of)','PLW','680690','Palau (Mobilfunk)',0.24286,60,0.242857,60,0,-1,'mobile'),(782409,1,'Palau (Republic of)','PLW','680775','Palau (Mobilfunk)',0.24286,60,0.242857,60,0,-1,'mobile'),(782419,1,'Palau (Republic of)','PLW','680779','Palau (Mobilfunk)',0.24286,60,0.242857,60,0,-1,'mobile'),(782429,1,'West Bank','PSE','970','PalÃ¤stina (Festnetz)',0.21765,60,0.217647,60,0,-1,'fixed'),(782439,1,'Israel (State of)','ISR','97222','PalÃ¤stina (Festnetz)',0.21765,60,0.217647,60,0,-1,'fixed'),(782449,1,'Israel (State of)','ISR','97242','PalÃ¤stina (Festnetz)',0.21765,60,0.217647,60,0,-1,'fixed'),(782459,1,'Israel (State of)','ISR','97282','PalÃ¤stina (Festnetz)',0.21765,60,0.217647,60,0,-1,'fixed'),(782469,1,'Israel (State of)','ISR','97292','PalÃ¤stina (Festnetz)',0.21765,60,0.217647,60,0,-1,'fixed'),(782479,1,'West Bank','PSE','9705','PalÃ¤stina (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(782489,1,'West Bank','PSE','9706','PalÃ¤stina (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(782499,1,'Israel (State of)','ISR','97259','PalÃ¤stina (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(782509,1,'West Bank','PSE','9701515','PalÃ¤stina (Sonderziel)',0.25126,60,0.251261,60,0,-1,'premium'),(782519,1,'West Bank','PSE','9701535','PalÃ¤stina (Sonderziel)',0.25126,60,0.251261,60,0,-1,'premium'),(782529,1,'Panama (Republic of)','PAN','507','Panama (Festnetz)',0.07479,60,0.0747899,60,0,-1,'fixed'),(782539,1,'Panama (Republic of)','PAN','5076','Panama (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(782549,1,'Panama (Republic of)','PAN','507333','Panama (Sonderziel)',0.18403,60,0.184034,60,0,-1,'premium'),(782559,1,'Panama (Republic of)','PAN','507875','Panama (Sonderziel)',0.18403,60,0.184034,60,0,-1,'premium'),(782569,1,'Panama (Republic of)','PAN','507878','Panama (Sonderziel)',0.18403,60,0.184034,60,0,-1,'premium'),(782579,1,'Panama (Republic of)','PAN','50790','Panama (Sonderziel)',0.18403,60,0.184034,60,0,-1,'premium'),(782589,1,'Papua New Guinea','PNG','675','Papua-Neuguinea (Festnetz)',0.82269,60,0.822689,60,0,-1,'fixed'),(782599,1,'Papua New Guinea','PNG','6757','Papua-Neuguinea (Mobilfunk)',0.82269,60,0.822689,60,0,-1,'mobile'),(782609,1,'Papua New Guinea','PNG','67505','Papua-Neuguinea (Sonderziel)',0.88992,60,0.889916,60,0,-1,'premium'),(782619,1,'Papua New Guinea','PNG','675184','Papua-Neuguinea (Sonderziel)',0.88992,60,0.889916,60,0,-1,'premium'),(782629,1,'Papua New Guinea','PNG','67520','Papua-Neuguinea (Sonderziel)',0.88992,60,0.889916,60,0,-1,'premium'),(782639,1,'Papua New Guinea','PNG','67532','Papua-Neuguinea (Sonderziel)',0.88992,60,0.889916,60,0,-1,'premium'),(782649,1,'Paraguay (Republic of)','PRY','595','Paraguay (Festnetz)',0.04958,60,0.0495798,60,0,-1,'fixed'),(782659,1,'Paraguay (Republic of)','PRY','595220','Paraguay (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(782669,1,'Paraguay (Republic of)','PRY','595330','Paraguay (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(782679,1,'Paraguay (Republic of)','PRY','595350','Paraguay (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(782689,1,'Paraguay (Republic of)','PRY','595360','Paraguay (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(782699,1,'Paraguay (Republic of)','PRY','595370','Paraguay (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(782709,1,'Paraguay (Republic of)','PRY','595420','Paraguay (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(782719,1,'Paraguay (Republic of)','PRY','595570','Paraguay (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(782729,1,'Paraguay (Republic of)','PRY','595571','Paraguay (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(782739,1,'Paraguay (Republic of)','PRY','595572','Paraguay (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(782749,1,'Paraguay (Republic of)','PRY','595573','Paraguay (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(782759,1,'Paraguay (Republic of)','PRY','595580','Paraguay (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(782769,1,'Paraguay (Republic of)','PRY','595660','Paraguay (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(782779,1,'Paraguay (Republic of)','PRY','595750','Paraguay (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(782789,1,'Paraguay (Republic of)','PRY','595790','Paraguay (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(782799,1,'Paraguay (Republic of)','PRY','5959','Paraguay (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(782809,1,'Peru','PER','51','Peru (Festnetz)',0.03277,60,0.0327731,60,0,-1,'fixed'),(782819,1,'Peru','PER','519','Peru (Mobilfunk)',0.26807,60,0.268067,60,0,-1,'mobile'),(782829,1,'Philippines (Republic of the)','PHL','63','Philippinen (Festnetz)',0.15042,60,0.15042,60,0,-1,'fixed'),(782839,1,'Philippines (Republic of the)','PHL','63813','Philippinen (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(782849,1,'Philippines (Republic of the)','PHL','63817','Philippinen (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(782859,1,'Philippines (Republic of the)','PHL','639','Philippinen (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(782869,1,'Poland (Republic of)','POL','48','Polen (Festnetz)',0.02437,60,0.0243697,60,0,-1,'fixed'),(782879,1,'Poland (Republic of)','POL','4850','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(782889,1,'Poland (Republic of)','POL','4851','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(782899,1,'Poland (Republic of)','POL','4853','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(782909,1,'Poland (Republic of)','POL','4860','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(782919,1,'Poland (Republic of)','POL','4866','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(782929,1,'Poland (Republic of)','POL','48690','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(782939,1,'Poland (Republic of)','POL','48691','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(782949,1,'Poland (Republic of)','POL','48692','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(782959,1,'Poland (Republic of)','POL','48693','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(782969,1,'Poland (Republic of)','POL','48694','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(782979,1,'Poland (Republic of)','POL','48695','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(782989,1,'Poland (Republic of)','POL','48696','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(782999,1,'Poland (Republic of)','POL','48697','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783009,1,'Poland (Republic of)','POL','48698','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783019,1,'Poland (Republic of)','POL','4869901','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783029,1,'Poland (Republic of)','POL','4869922','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783039,1,'Poland (Republic of)','POL','4869950','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783049,1,'Poland (Republic of)','POL','4869967','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783059,1,'Poland (Republic of)','POL','4869969','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783069,1,'Poland (Republic of)','POL','486998','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783079,1,'Poland (Republic of)','POL','486999','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783089,1,'Poland (Republic of)','POL','48720','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783099,1,'Poland (Republic of)','POL','48721','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783109,1,'Poland (Republic of)','POL','48722','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783119,1,'Poland (Republic of)','POL','48723','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783129,1,'Poland (Republic of)','POL','48724','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783139,1,'Poland (Republic of)','POL','48725','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783149,1,'Poland (Republic of)','POL','48726','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783159,1,'Poland (Republic of)','POL','48727','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783169,1,'Poland (Republic of)','POL','48728','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783179,1,'Poland (Republic of)','POL','487290','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783189,1,'Poland (Republic of)','POL','487291','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783199,1,'Poland (Republic of)','POL','487292','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783209,1,'Poland (Republic of)','POL','487293','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783219,1,'Poland (Republic of)','POL','487294','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783229,1,'Poland (Republic of)','POL','487295','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783239,1,'Poland (Republic of)','POL','487296','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783249,1,'Poland (Republic of)','POL','4872970','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783259,1,'Poland (Republic of)','POL','48730','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783269,1,'Poland (Republic of)','POL','48731','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783279,1,'Poland (Republic of)','POL','48733','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783289,1,'Poland (Republic of)','POL','487390','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783299,1,'Poland (Republic of)','POL','487392','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783309,1,'Poland (Republic of)','POL','48780','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783319,1,'Poland (Republic of)','POL','48781','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783329,1,'Poland (Republic of)','POL','48782','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783339,1,'Poland (Republic of)','POL','48783','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783349,1,'Poland (Republic of)','POL','48784','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783359,1,'Poland (Republic of)','POL','48785','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783369,1,'Poland (Republic of)','POL','487860','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783379,1,'Poland (Republic of)','POL','487861','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783389,1,'Poland (Republic of)','POL','487862','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783399,1,'Poland (Republic of)','POL','487863','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783409,1,'Poland (Republic of)','POL','487865','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783419,1,'Poland (Republic of)','POL','487866','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783429,1,'Poland (Republic of)','POL','487867','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783439,1,'Poland (Republic of)','POL','487868','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783449,1,'Poland (Republic of)','POL','487869','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783459,1,'Poland (Republic of)','POL','48787','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783469,1,'Poland (Republic of)','POL','48788','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783479,1,'Poland (Republic of)','POL','48789','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783489,1,'Poland (Republic of)','POL','4879','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783499,1,'Poland (Republic of)','POL','4888','Polen (Mobilfunk)',0.08319,60,0.0831933,60,0,-1,'mobile'),(783509,1,'Poland (Republic of)','POL','48118','Polen (Sonderziel)',0.11681,60,0.116807,60,0,-1,'premium'),(783519,1,'Poland (Republic of)','POL','4820','Polen (Sonderziel)',0.11681,60,0.116807,60,0,-1,'premium'),(783529,1,'Poland (Republic of)','POL','482219888','Polen (Sonderziel)',0.11681,60,0.116807,60,0,-1,'premium'),(783539,1,'Poland (Republic of)','POL','4830','Polen (Sonderziel)',0.11681,60,0.116807,60,0,-1,'premium'),(783549,1,'Poland (Republic of)','POL','4840','Polen (Sonderziel)',0.11681,60,0.116807,60,0,-1,'premium'),(783559,1,'Poland (Republic of)','POL','4864','Polen (Sonderziel)',0.11681,60,0.116807,60,0,-1,'premium'),(783569,1,'Poland (Republic of)','POL','4870','Polen (Sonderziel)',0.11681,60,0.116807,60,0,-1,'premium'),(783579,1,'Poland (Republic of)','POL','4880','Polen (Sonderziel)',0.11681,60,0.116807,60,0,-1,'premium'),(783589,1,'Portugal','PRT','351','Portugal (Festnetz)',0.01597,60,0.0159664,60,0,-1,'fixed'),(783599,1,'Portugal','PRT','351169','Portugal (Mobilfunk)',0.05798,60,0.0579832,60,0,-1,'mobile'),(783609,1,'Portugal','PRT','351189','Portugal (Mobilfunk)',0.05798,60,0.0579832,60,0,-1,'mobile'),(783619,1,'Portugal','PRT','3516009','Portugal (Mobilfunk)',0.05798,60,0.0579832,60,0,-1,'mobile'),(783629,1,'Portugal','PRT','351609','Portugal (Mobilfunk)',0.05798,60,0.0579832,60,0,-1,'mobile'),(783639,1,'Portugal','PRT','351639','Portugal (Mobilfunk)',0.05798,60,0.0579832,60,0,-1,'mobile'),(783649,1,'Portugal','PRT','351659','Portugal (Mobilfunk)',0.05798,60,0.0579832,60,0,-1,'mobile'),(783659,1,'Portugal','PRT','351669','Portugal (Mobilfunk)',0.05798,60,0.0579832,60,0,-1,'mobile'),(783669,1,'Portugal','PRT','3519','Portugal (Mobilfunk)',0.05798,60,0.0579832,60,0,-1,'mobile'),(783679,1,'Portugal','PRT','3517','Portugal (Sonderziel)',0.07479,60,0.0747899,60,0,-1,'premium'),(783689,1,'Puerto Rico','PRI','1787','Puerto Rico (Festnetz)',0.01597,60,0.0159664,60,0,-1,'fixed'),(783699,1,'United States of America','USA','1939','Puerto Rico (Festnetz)',0.01597,60,0.0159664,60,0,-1,'fixed'),(783709,1,'Rwanda (Republic of)','RWA','250','Ruanda (Festnetz)',0.38571,60,0.385714,60,0,-1,'fixed'),(783719,1,'Rwanda (Republic of)','RWA','25005','Ruanda (Mobilfunk)',0.38571,60,0.385714,60,0,-1,'mobile'),(783729,1,'Rwanda (Republic of)','RWA','25006','Ruanda (Mobilfunk)',0.38571,60,0.385714,60,0,-1,'mobile'),(783739,1,'Rwanda (Republic of)','RWA','25072','Ruanda (Mobilfunk)',0.38571,60,0.385714,60,0,-1,'mobile'),(783749,1,'Rwanda (Republic of)','RWA','25075','Ruanda (Mobilfunk)',0.38571,60,0.385714,60,0,-1,'mobile'),(783759,1,'Rwanda (Republic of)','RWA','25078','Ruanda (Mobilfunk)',0.38571,60,0.385714,60,0,-1,'mobile'),(783769,1,'Romania','ROU','40','RumÃ¤nien (Festnetz)',0.02437,60,0.0243697,60,0,-1,'fixed'),(783779,1,'Romania','ROU','407300','RumÃ¤nien (Festnetz)',0.02437,60,0.0243697,60,0,-1,'fixed'),(783789,1,'Romania','ROU','407','RumÃ¤nien (Mobilfunk)',0.1,60,0.1,60,0,-1,'mobile'),(783799,1,'Romania','ROU','40118932','RumÃ¤nien (Sonderziel)',0.1,60,0.1,60,0,-1,'premium'),(783809,1,'Romania','ROU','40312','RumÃ¤nien (Sonderziel)',0.1,60,0.1,60,0,-1,'premium'),(783819,1,'Romania','ROU','40337','RumÃ¤nien (Sonderziel)',0.1,60,0.1,60,0,-1,'premium'),(783829,1,'Romania','ROU','40338','RumÃ¤nien (Sonderziel)',0.1,60,0.1,60,0,-1,'premium'),(783839,1,'Romania','ROU','40339','RumÃ¤nien (Sonderziel)',0.1,60,0.1,60,0,-1,'premium'),(783849,1,'Romania','ROU','4034951','RumÃ¤nien (Sonderziel)',0.1,60,0.1,60,0,-1,'premium'),(783859,1,'Russia','RUS','7','Russische FÃ¶deration (Festnetz)',0.04118,60,0.0411765,60,0,-1,'fixed'),(783869,1,'Russia','RUS','7929803','Russische FÃ¶deration (Festnetz)',0.04118,60,0.0411765,60,0,-1,'fixed'),(783879,1,'Russia','RUS','7929804','Russische FÃ¶deration (Festnetz)',0.04118,60,0.0411765,60,0,-1,'fixed'),(783889,1,'Russia','RUS','7929805','Russische FÃ¶deration (Festnetz)',0.04118,60,0.0411765,60,0,-1,'fixed'),(783899,1,'Russia','RUS','7929806','Russische FÃ¶deration (Festnetz)',0.04118,60,0.0411765,60,0,-1,'fixed'),(783909,1,'Russia','RUS','7929807','Russische FÃ¶deration (Festnetz)',0.04118,60,0.0411765,60,0,-1,'fixed'),(783919,1,'Russia','RUS','7929808','Russische FÃ¶deration (Festnetz)',0.04118,60,0.0411765,60,0,-1,'fixed'),(783929,1,'Russia','RUS','7929809','Russische FÃ¶deration (Festnetz)',0.04118,60,0.0411765,60,0,-1,'fixed'),(783939,1,'Russia','RUS','7929810','Russische FÃ¶deration (Festnetz)',0.04118,60,0.0411765,60,0,-1,'fixed'),(783949,1,'Russia','RUS','7929811','Russische FÃ¶deration (Festnetz)',0.04118,60,0.0411765,60,0,-1,'fixed'),(783959,1,'Russia','RUS','7929812','Russische FÃ¶deration (Festnetz)',0.04118,60,0.0411765,60,0,-1,'fixed'),(783969,1,'Russia','RUS','79','Russische FÃ¶deration (Mobilfunk)',0.11681,60,0.116807,60,0,-1,'mobile'),(783979,1,'Russia','RUS','7954','Russische FÃ¶deration (Sonderziel)',0.19244,60,0.192437,60,0,-1,'premium'),(783989,1,'Russia','RUS','7495','Russische FÃ¶deration Moskau (Festnetz)',0.08319,60,0.0831933,60,0,-1,'fixed'),(783999,1,'Russia','RUS','7496','Russische FÃ¶deration Moskau (Festnetz)',0.08319,60,0.0831933,60,0,-1,'fixed'),(784009,1,'Russia','RUS','7498','Russische FÃ¶deration Moskau (Festnetz)',0.08319,60,0.0831933,60,0,-1,'fixed'),(784019,1,'Russia','RUS','7499','Russische FÃ¶deration Moskau (Festnetz)',0.08319,60,0.0831933,60,0,-1,'fixed'),(784029,1,'Russia','RUS','7812','Russische FÃ¶deration Sankt Petersburg (Festnetz)',0.02437,60,0.0243697,60,0,-1,'fixed'),(784039,1,'Reunion','REU','262','RÃ©union (Festnetz)',0.29328,60,0.293277,60,0,-1,'fixed'),(784049,1,'Reunion','REU','262639','RÃ©union (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(784059,1,'Reunion','REU','262692','RÃ©union (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(784069,1,'Reunion','REU','262693','RÃ©union (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(784079,1,'Solomon Islands','SLB','677','Salomonen (Festnetz)',1.97395,60,1.97395,60,0,-1,'fixed'),(784089,1,'Solomon Islands','SLB','67766','Salomonen (Sonderziel)',1.31849,60,1.31849,60,0,-1,'premium'),(784099,1,'Solomon Islands','SLB','67769','Salomonen (Sonderziel)',1.31849,60,1.31849,60,0,-1,'premium'),(784109,1,'Solomon Islands','SLB','677749','Salomonen (Sonderziel)',1.31849,60,1.31849,60,0,-1,'premium'),(784119,1,'Solomon Islands','SLB','67791','Salomonen (Sonderziel)',1.31849,60,1.31849,60,0,-1,'premium'),(784129,1,'Solomon Islands','SLB','67792','Salomonen (Sonderziel)',1.31849,60,1.31849,60,0,-1,'premium'),(784139,1,'Solomon Islands','SLB','67793','Salomonen (Sonderziel)',1.31849,60,1.31849,60,0,-1,'premium'),(784149,1,'Zambia (Republic of)','ZMB','260','Sambia (Festnetz)',0.1,60,0.1,60,0,-1,'fixed'),(784159,1,'Zambia (Republic of)','ZMB','26095','Sambia (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(784169,1,'Zambia (Republic of)','ZMB','26096','Sambia (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(784179,1,'Zambia (Republic of)','ZMB','26097','Sambia (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(784189,1,'San Marino (Republic of)','SMR','378','San Marino (Festnetz)',0.02437,60,0.0243697,60,0,-1,'fixed'),(784199,1,'San Marino (Republic of)','SMR','3786','San Marino (Mobilfunk)',0.02437,60,0.0243697,60,0,-1,'mobile'),(784209,1,'San Marino (Republic of)','SMR','3785','San Marino (Sonderziel)',0.62101,60,0.621008,60,0,-1,'premium'),(784219,1,'San Marino (Republic of)','SMR','37860','San Marino (Sonderziel)',0.62101,60,0.621008,60,0,-1,'premium'),(784229,1,'San Marino (Republic of)','SMR','37861','San Marino (Sonderziel)',0.62101,60,0.621008,60,0,-1,'premium'),(784239,1,'San Marino (Republic of)','SMR','37862','San Marino (Sonderziel)',0.62101,60,0.621008,60,0,-1,'premium'),(784249,1,'San Marino (Republic of)','SMR','37863','San Marino (Sonderziel)',0.62101,60,0.621008,60,0,-1,'premium'),(784259,1,'San Marino (Republic of)','SMR','37864','San Marino (Sonderziel)',0.62101,60,0.621008,60,0,-1,'premium'),(784269,1,'San Marino (Republic of)','SMR','37865','San Marino (Sonderziel)',0.62101,60,0.621008,60,0,-1,'premium'),(784279,1,'San Marino (Republic of)','SMR','378663','San Marino (Sonderziel)',0.62101,60,0.621008,60,0,-1,'premium'),(784289,1,'San Marino (Republic of)','SMR','37867','San Marino (Sonderziel)',0.62101,60,0.621008,60,0,-1,'premium'),(784299,1,'San Marino (Republic of)','SMR','37868','San Marino (Sonderziel)',0.62101,60,0.621008,60,0,-1,'premium'),(784309,1,'San Marino (Republic of)','SMR','37869','San Marino (Sonderziel)',0.62101,60,0.621008,60,0,-1,'premium'),(784319,1,'San Marino (Republic of)','SMR','3787','San Marino (Sonderziel)',0.62101,60,0.621008,60,0,-1,'premium'),(784329,1,'Sao Tome and Principe','STP','239','Sao TomÃ© und Principe (Festnetz)',1.24286,60,1.24286,60,0,-1,'fixed'),(784339,1,'Sao Tome and Principe','STP','2390','Sao TomÃ© und Principe (Sonderziel)',1.24286,60,1.24286,60,0,-1,'premium'),(784349,1,'Sao Tome and Principe','STP','239200','Sao TomÃ© und Principe (Sonderziel)',1.24286,60,1.24286,60,0,-1,'premium'),(784359,1,'Sao Tome and Principe','STP','239203','Sao TomÃ© und Principe (Sonderziel)',1.24286,60,1.24286,60,0,-1,'premium'),(784369,1,'Sao Tome and Principe','STP','2392299','Sao TomÃ© und Principe (Sonderziel)',1.24286,60,1.24286,60,0,-1,'premium'),(784379,1,'Sao Tome and Principe','STP','23928','Sao TomÃ© und Principe (Sonderziel)',1.24286,60,1.24286,60,0,-1,'premium'),(784389,1,'Sao Tome and Principe','STP','23929','Sao TomÃ© und Principe (Sonderziel)',1.24286,60,1.24286,60,0,-1,'premium'),(784399,1,'Sao Tome and Principe','STP','2399','Sao TomÃ© und Principe (Sonderziel)',1.24286,60,1.24286,60,0,-1,'premium'),(784409,1,'Saudi Arabia (Kingdom of)','SAU','966','Saudi-Arabien (Festnetz)',0.15042,60,0.15042,60,0,-1,'fixed'),(784419,1,'Saudi Arabia (Kingdom of)','SAU','9665','Saudi-Arabien (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(784429,1,'Saudi Arabia (Kingdom of)','SAU','9668','Saudi-Arabien (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(784439,1,'Sweden','SWE','46','Schweden (Festnetz)',0.01597,60,0.0159664,60,0,-1,'fixed'),(784449,1,'Sweden','SWE','46252','Schweden (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(784459,1,'Sweden','SWE','46254','Schweden (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(784469,1,'Sweden','SWE','46376','Schweden (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(784479,1,'Sweden','SWE','46518','Schweden (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(784489,1,'Sweden','SWE','46519','Schweden (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(784499,1,'Sweden','SWE','46673','Schweden (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(784509,1,'Sweden','SWE','46674','Schweden (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(784519,1,'Sweden','SWE','46675','Schweden (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(784529,1,'Sweden','SWE','46676','Schweden (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(784539,1,'Sweden','SWE','4670','Schweden (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(784549,1,'Sweden','SWE','4671','Schweden (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(784559,1,'Sweden','SWE','4672','Schweden (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(784569,1,'Sweden','SWE','4673','Schweden (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(784579,1,'Sweden','SWE','4676','Schweden (Mobilfunk)',0.04958,60,0.0495798,60,0,-1,'mobile'),(784589,1,'Sweden','SWE','4610','Schweden (Sonderziel)',0.01597,60,0.0159664,60,0,-1,'premium'),(784599,1,'Sweden','SWE','4675','Schweden (Sonderziel)',0.01597,60,0.0159664,60,0,-1,'premium'),(784609,1,'Sweden','SWE','4677','Schweden (Sonderziel)',0.01597,60,0.0159664,60,0,-1,'premium'),(784619,1,'Sweden','SWE','46900','Schweden (Sonderziel)',0.01597,60,0.0159664,60,0,-1,'premium'),(784629,1,'Sweden','SWE','46939','Schweden (Sonderziel)',0.01597,60,0.0159664,60,0,-1,'premium'),(784639,1,'Sweden','SWE','46944','Schweden (Sonderziel)',0.01597,60,0.0159664,60,0,-1,'premium'),(784649,1,'Switzerland (Confederation of)','CHE','41','Schweiz (Festnetz)',0.01597,60,0.0159664,60,0,-1,'fixed'),(784659,1,'Switzerland (Confederation of)','CHE','4120','Schweiz (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(784669,1,'Switzerland (Confederation of)','CHE','4140','Schweiz (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(784679,1,'Switzerland (Confederation of)','CHE','4170','Schweiz (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(784689,1,'Switzerland (Confederation of)','CHE','4174','Schweiz (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(784699,1,'Switzerland (Confederation of)','CHE','4176','Schweiz (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(784709,1,'Switzerland (Confederation of)','CHE','4177','Schweiz (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(784719,1,'Switzerland (Confederation of)','CHE','4178','Schweiz (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(784729,1,'Switzerland (Confederation of)','CHE','4179','Schweiz (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(784739,1,'Switzerland (Confederation of)','CHE','4186076','Schweiz (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(784749,1,'Switzerland (Confederation of)','CHE','41860774','Schweiz (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(784759,1,'Switzerland (Confederation of)','CHE','41860775','Schweiz (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(784769,1,'Switzerland (Confederation of)','CHE','4186078','Schweiz (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(784779,1,'Switzerland (Confederation of)','CHE','4186079','Schweiz (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(784789,1,'Switzerland (Confederation of)','CHE','4189','Schweiz (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(784799,1,'Switzerland (Confederation of)','CHE','41742','Schweiz (Sonderziel)',0.04118,60,0.0411765,60,0,-1,'premium'),(784809,1,'Switzerland (Confederation of)','CHE','4184','Schweiz (Sonderziel)',0.04118,60,0.0411765,60,0,-1,'premium'),(784819,1,'Switzerland (Confederation of)','CHE','4186','Schweiz (Sonderziel)',0.04118,60,0.0411765,60,0,-1,'premium'),(784829,1,'Switzerland (Confederation of)','CHE','4187','Schweiz (Sonderziel)',0.04118,60,0.0411765,60,0,-1,'premium'),(784839,1,'Switzerland (Confederation of)','CHE','4190','Schweiz (Sonderziel)',0.04118,60,0.0411765,60,0,-1,'premium'),(784849,1,'Senegal (Republic of)','SEN','221','Senegal (Festnetz)',0.20924,60,0.209244,60,0,-1,'fixed'),(784859,1,'Senegal (Republic of)','SEN','22170','Senegal (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(784869,1,'Senegal (Republic of)','SEN','22176','Senegal (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(784879,1,'Senegal (Republic of)','SEN','22177','Senegal (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(784889,1,'Senegal (Republic of)','SEN','22178','Senegal (Mobilfunk)',0.30168,60,0.301681,60,0,-1,'mobile'),(784899,1,'Senegal (Republic of)','SEN','221457','Senegal (Sonderziel)',0.54538,60,0.545378,60,0,-1,'premium'),(784909,1,'Senegal (Republic of)','SEN','22162','Senegal (Sonderziel)',0.54538,60,0.545378,60,0,-1,'premium'),(784919,1,'Senegal (Republic of)','SEN','22176553','Senegal (Sonderziel)',0.54538,60,0.545378,60,0,-1,'premium'),(784929,1,'Senegal (Republic of)','SEN','221766756','Senegal (Sonderziel)',0.54538,60,0.545378,60,0,-1,'premium'),(784939,1,'Serbia and Montenegro','SRB','381','Serbien und Montenegro (Festnetz)',0.15042,60,0.15042,60,0,-1,'fixed'),(784949,1,'Spare code','MNE','382','Serbien und Montenegro (Festnetz)',0.15042,60,0.15042,60,0,-1,'fixed'),(784959,1,'Serbia and Montenegro','SRB','3816','Serbien und Montenegro (Mobilfunk)',0.42773,60,0.427731,60,0,-1,'mobile'),(784969,1,'Spare code','MNE','38263','Serbien und Montenegro (Mobilfunk)',0.42773,60,0.427731,60,0,-1,'mobile'),(784979,1,'Spare code','MNE','38267','Serbien und Montenegro (Mobilfunk)',0.42773,60,0.427731,60,0,-1,'mobile'),(784989,1,'Spare code','MNE','38268','Serbien und Montenegro (Mobilfunk)',0.42773,60,0.427731,60,0,-1,'mobile'),(784999,1,'Spare code','MNE','38269','Serbien und Montenegro (Mobilfunk)',0.42773,60,0.427731,60,0,-1,'mobile'),(785009,1,'Serbia and Montenegro','SRB','38176','Serbien und Montenegro (Sonderziel)',0.41933,60,0.419328,60,0,-1,'premium'),(785019,1,'Spare code','MNE','38288','Serbien und Montenegro (Sonderziel)',0.41933,60,0.419328,60,0,-1,'premium'),(785029,1,'Seychelles (Republic of)','SYC','248','Seychellen (Festnetz)',0.3521,60,0.352101,60,0,-1,'fixed'),(785039,1,'Seychelles (Republic of)','SYC','24825','Seychellen (Mobilfunk)',0.3437,60,0.343697,60,0,-1,'mobile'),(785049,1,'Seychelles (Republic of)','SYC','24826','Seychellen (Mobilfunk)',0.3437,60,0.343697,60,0,-1,'mobile'),(785059,1,'Seychelles (Republic of)','SYC','24827','Seychellen (Mobilfunk)',0.3437,60,0.343697,60,0,-1,'mobile'),(785069,1,'Seychelles (Republic of)','SYC','24828','Seychellen (Mobilfunk)',0.3437,60,0.343697,60,0,-1,'mobile'),(785079,1,'Seychelles (Republic of)','SYC','248271','Seychellen (Sonderziel)',0.3521,60,0.352101,60,0,-1,'premium'),(785089,1,'Seychelles (Republic of)','SYC','24842710','Seychellen (Sonderziel)',0.3521,60,0.352101,60,0,-1,'premium'),(785099,1,'Seychelles (Republic of)','SYC','248641','Seychellen (Sonderziel)',0.3521,60,0.352101,60,0,-1,'premium'),(785109,1,'Seychelles (Republic of)','SYC','24898','Seychellen (Sonderziel)',0.3521,60,0.352101,60,0,-1,'premium'),(785119,1,'Sierra Leone','SLE','232','Sierra Leone (Festnetz)',0.54538,60,0.545378,60,0,-1,'fixed'),(785129,1,'Sierra Leone','SLE','23225','Sierra Leone (Mobilfunk)',0.54538,60,0.545378,60,0,-1,'mobile'),(785139,1,'Sierra Leone','SLE','23230','Sierra Leone (Mobilfunk)',0.54538,60,0.545378,60,0,-1,'mobile'),(785149,1,'Sierra Leone','SLE','23232','Sierra Leone (Mobilfunk)',0.54538,60,0.545378,60,0,-1,'mobile'),(785159,1,'Sierra Leone','SLE','23233','Sierra Leone (Mobilfunk)',0.54538,60,0.545378,60,0,-1,'mobile'),(785169,1,'Sierra Leone','SLE','23234','Sierra Leone (Mobilfunk)',0.54538,60,0.545378,60,0,-1,'mobile'),(785179,1,'Sierra Leone','SLE','23240','Sierra Leone (Mobilfunk)',0.54538,60,0.545378,60,0,-1,'mobile'),(785189,1,'Sierra Leone','SLE','23244','Sierra Leone (Mobilfunk)',0.54538,60,0.545378,60,0,-1,'mobile'),(785199,1,'Sierra Leone','SLE','23250','Sierra Leone (Mobilfunk)',0.54538,60,0.545378,60,0,-1,'mobile'),(785209,1,'Sierra Leone','SLE','23255','Sierra Leone (Mobilfunk)',0.54538,60,0.545378,60,0,-1,'mobile'),(785219,1,'Sierra Leone','SLE','23276','Sierra Leone (Mobilfunk)',0.54538,60,0.545378,60,0,-1,'mobile'),(785229,1,'Sierra Leone','SLE','23277','Sierra Leone (Mobilfunk)',0.54538,60,0.545378,60,0,-1,'mobile'),(785239,1,'Sierra Leone','SLE','23278','Sierra Leone (Mobilfunk)',0.54538,60,0.545378,60,0,-1,'mobile'),(785249,1,'Sierra Leone','SLE','23279','Sierra Leone (Mobilfunk)',0.54538,60,0.545378,60,0,-1,'mobile'),(785259,1,'Sierra Leone','SLE','23288','Sierra Leone (Mobilfunk)',0.54538,60,0.545378,60,0,-1,'mobile'),(785269,1,'Sierra Leone','SLE','232222','Sierra Leone (Sonderziel)',0.62941,60,0.629412,60,0,-1,'premium'),(785279,1,'Sierra Leone','SLE','23224','Sierra Leone (Sonderziel)',0.62941,60,0.629412,60,0,-1,'premium'),(785289,1,'Sierra Leone','SLE','23290','Sierra Leone (Sonderziel)',0.62941,60,0.629412,60,0,-1,'premium'),(785299,1,'Zimbabwe (Republic of)','ZWE','263','Simbabwe (Festnetz)',0.14202,60,0.142017,60,0,-1,'fixed'),(785309,1,'Zimbabwe (Republic of)','ZWE','26311','Simbabwe (Mobilfunk)',0.58739,60,0.587395,60,0,-1,'mobile'),(785319,1,'Zimbabwe (Republic of)','ZWE','26323','Simbabwe (Mobilfunk)',0.58739,60,0.587395,60,0,-1,'mobile'),(785329,1,'Zimbabwe (Republic of)','ZWE','26371','Simbabwe (Mobilfunk)',0.58739,60,0.587395,60,0,-1,'mobile'),(785339,1,'Zimbabwe (Republic of)','ZWE','26373','Simbabwe (Mobilfunk)',0.58739,60,0.587395,60,0,-1,'mobile'),(785349,1,'Zimbabwe (Republic of)','ZWE','26377','Simbabwe (Mobilfunk)',0.58739,60,0.587395,60,0,-1,'mobile'),(785359,1,'Zimbabwe (Republic of)','ZWE','26378','Simbabwe (Mobilfunk)',0.58739,60,0.587395,60,0,-1,'mobile'),(785369,1,'Zimbabwe (Republic of)','ZWE','263091','Simbabwe (Sonderziel)',0.42773,60,0.427731,60,0,-1,'premium'),(785379,1,'Mayotte','MYT','26391','Simbabwe (Sonderziel)',0.42773,60,0.427731,60,0,-1,'premium'),(785389,1,'Mayotte','MYT','263935','Simbabwe (Sonderziel)',0.42773,60,0.427731,60,0,-1,'premium'),(785399,1,'Mayotte','MYT','263953','Simbabwe (Sonderziel)',0.42773,60,0.427731,60,0,-1,'premium'),(785409,1,'Singapore (Republic of)','SGP','65','Singapur (Festnetz)',0.01597,60,0.0159664,60,0,-1,'fixed'),(785419,1,'Singapore (Republic of)','SGP','658','Singapur (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(785429,1,'Singapore (Republic of)','SGP','659','Singapur (Mobilfunk)',0.01597,60,0.0159664,60,0,-1,'mobile'),(785439,1,'Slovak Republic','SVK','421','Slowakei (Festnetz)',0.03277,60,0.0327731,60,0,-1,'fixed'),(785449,1,'Slovak Republic','SVK','4219','Slowakei (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(785459,1,'Slovenia (Republic of)','SVN','38690','Slowakei (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(785469,1,'Slovak Republic','SVK','42118','Slowakei (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(785479,1,'Slovak Republic','SVK','4218','Slowakei (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(785489,1,'Slovak Republic','SVK','42197','Slowakei (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(785499,1,'Slovak Republic','SVK','42198','Slowakei (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(785509,1,'Slovenia (Republic of)','SVN','386','Slowenien (Festnetz)',0.03277,60,0.0327731,60,0,-1,'fixed'),(785519,1,'Slovenia (Republic of)','SVN','3868330','Slowenien (Festnetz)',0.03277,60,0.0327731,60,0,-1,'fixed'),(785529,1,'Slovenia (Republic of)','SVN','38620','Slowenien (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(785539,1,'Slovenia (Republic of)','SVN','38621','Slowenien (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(785549,1,'Slovenia (Republic of)','SVN','38630','Slowenien (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(785559,1,'Slovenia (Republic of)','SVN','38631','Slowenien (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(785569,1,'Slovenia (Republic of)','SVN','38640','Slowenien (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(785579,1,'Slovenia (Republic of)','SVN','38641','Slowenien (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(785589,1,'Kosovo','XKS','38643','Slowenien (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(785599,1,'Kosovo','XKS','38649','Slowenien (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(785609,1,'Slovenia (Republic of)','SVN','38650','Slowenien (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(785619,1,'Slovenia (Republic of)','SVN','38651','Slowenien (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(785629,1,'Slovenia (Republic of)','SVN','38660','Slowenien (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(785639,1,'Slovenia (Republic of)','SVN','38664','Slowenien (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(785649,1,'Slovenia (Republic of)','SVN','38665','Slowenien (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(785659,1,'Slovenia (Republic of)','SVN','38666','Slowenien (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(785669,1,'Slovenia (Republic of)','SVN','38667','Slowenien (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(785679,1,'Slovenia (Republic of)','SVN','38668','Slowenien (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(785689,1,'Slovenia (Republic of)','SVN','38669','Slowenien (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(785699,1,'Slovenia (Republic of)','SVN','38670','Slowenien (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(785709,1,'Slovenia (Republic of)','SVN','38671','Slowenien (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(785719,1,'Slovenia (Republic of)','SVN','386833','Slowenien (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(785729,1,'Slovenia (Republic of)','SVN','3869800','Slowenien (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(785739,1,'Slovenia (Republic of)','SVN','3869801','Slowenien (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(785749,1,'Slovenia (Republic of)','SVN','3869802','Slowenien (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(785759,1,'Slovenia (Republic of)','SVN','3869803','Slowenien (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(785769,1,'Slovenia (Republic of)','SVN','3869814','Slowenien (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(785779,1,'Slovenia (Republic of)','SVN','3869817','Slowenien (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(785789,1,'Slovenia (Republic of)','SVN','3869818','Slowenien (Mobilfunk)',0.23445,60,0.234454,60,0,-1,'mobile'),(785799,1,'Kosovo','XKS','386432434','Slowenien (Sonderziel)',0.48655,60,0.486555,60,0,-1,'premium'),(785809,1,'Kosovo','XKS','386433','Slowenien (Sonderziel)',0.48655,60,0.486555,60,0,-1,'premium'),(785819,1,'Kosovo','XKS','386497','Slowenien (Sonderziel)',0.48655,60,0.486555,60,0,-1,'premium'),(785829,1,'Slovenia (Republic of)','SVN','386649','Slowenien (Sonderziel)',0.48655,60,0.486555,60,0,-1,'premium'),(785839,1,'Slovenia (Republic of)','SVN','3868189','Slowenien (Sonderziel)',0.48655,60,0.486555,60,0,-1,'premium'),(785849,1,'Somali Democratic Republic','SOM','252','Somalia (Festnetz)',0.57899,60,0.578992,60,0,-1,'fixed'),(785859,1,'Somali Democratic Republic','SOM','252793','Somalia (Festnetz)',0.57899,60,0.578992,60,0,-1,'fixed'),(785869,1,'Somali Democratic Republic','SOM','2521210','Somalia (Mobilfunk)',0.57899,60,0.578992,60,0,-1,'mobile'),(785879,1,'Somali Democratic Republic','SOM','2528234','Somalia (Mobilfunk)',0.57899,60,0.578992,60,0,-1,'mobile'),(785889,1,'Somali Democratic Republic','SOM','25230','Somalia (Sonderziel)',0.67143,60,0.671429,60,0,-1,'premium'),(785899,1,'Somali Democratic Republic','SOM','25231','Somalia (Sonderziel)',0.67143,60,0.671429,60,0,-1,'premium'),(785909,1,'Somali Democratic Republic','SOM','25232','Somalia (Sonderziel)',0.67143,60,0.671429,60,0,-1,'premium'),(785919,1,'Somali Democratic Republic','SOM','25233','Somalia (Sonderziel)',0.67143,60,0.671429,60,0,-1,'premium'),(785929,1,'Somali Democratic Republic','SOM','25240','Somalia (Sonderziel)',0.67143,60,0.671429,60,0,-1,'premium'),(785939,1,'Somali Democratic Republic','SOM','25241','Somalia (Sonderziel)',0.67143,60,0.671429,60,0,-1,'premium'),(785949,1,'Somali Democratic Republic','SOM','25252','Somalia (Sonderziel)',0.67143,60,0.671429,60,0,-1,'premium'),(785959,1,'Somali Democratic Republic','SOM','25260','Somalia (Sonderziel)',0.67143,60,0.671429,60,0,-1,'premium'),(785969,1,'Somali Democratic Republic','SOM','25266','Somalia (Sonderziel)',0.67143,60,0.671429,60,0,-1,'premium'),(785979,1,'Somali Democratic Republic','SOM','25270','Somalia (Sonderziel)',0.67143,60,0.671429,60,0,-1,'premium'),(785989,1,'Somali Democratic Republic','SOM','25272','Somalia (Sonderziel)',0.67143,60,0.671429,60,0,-1,'premium'),(785999,1,'Somali Democratic Republic','SOM','25279','Somalia (Sonderziel)',0.67143,60,0.671429,60,0,-1,'premium'),(786009,1,'Spain','ESP','34','Spanien (Festnetz)',0.01597,60,0.0159664,60,0,-1,'fixed'),(786019,1,'Spain','ESP','346','Spanien (Mobilfunk)',0.07479,60,0.0747899,60,0,-1,'mobile'),(786029,1,'Spain','ESP','347','Spanien (Mobilfunk)',0.07479,60,0.0747899,60,0,-1,'mobile'),(786039,1,'Spain','ESP','3451','Spanien (Sonderziel)',0.30168,60,0.301681,60,0,-1,'premium'),(786049,1,'Spain','ESP','3470','Spanien (Sonderziel)',0.30168,60,0.301681,60,0,-1,'premium'),(786059,1,'Spain','ESP','3480','Spanien (Sonderziel)',0.30168,60,0.301681,60,0,-1,'premium'),(786069,1,'Spain','ESP','3490','Spanien (Sonderziel)',0.30168,60,0.301681,60,0,-1,'premium'),(786079,1,'Sri Lanka (Democratic Socialist Republic of)','LKA','94','Sri Lanka (Festnetz)',0.15882,60,0.158824,60,0,-1,'fixed'),(786089,1,'Sri Lanka (Democratic Socialist Republic of)','LKA','94114','Sri Lanka (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(786099,1,'Sri Lanka (Democratic Socialist Republic of)','LKA','94214','Sri Lanka (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(786109,1,'Sri Lanka (Democratic Socialist Republic of)','LKA','94234','Sri Lanka (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(786119,1,'Sri Lanka (Democratic Socialist Republic of)','LKA','94244','Sri Lanka (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(786129,1,'Sri Lanka (Democratic Socialist Republic of)','LKA','94254','Sri Lanka (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(786139,1,'Sri Lanka (Democratic Socialist Republic of)','LKA','94264','Sri Lanka (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(786149,1,'Sri Lanka (Democratic Socialist Republic of)','LKA','94274','Sri Lanka (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(786159,1,'Sri Lanka (Democratic Socialist Republic of)','LKA','94314','Sri Lanka (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(786169,1,'Sri Lanka (Democratic Socialist Republic of)','LKA','94324','Sri Lanka (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(786179,1,'Sri Lanka (Democratic Socialist Republic of)','LKA','94334','Sri Lanka (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(786189,1,'Sri Lanka (Democratic Socialist Republic of)','LKA','94344','Sri Lanka (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(786199,1,'Sri Lanka (Democratic Socialist Republic of)','LKA','94354','Sri Lanka (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(786209,1,'Sri Lanka (Democratic Socialist Republic of)','LKA','94364','Sri Lanka (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(786219,1,'Sri Lanka (Democratic Socialist Republic of)','LKA','94374','Sri Lanka (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(786229,1,'Sri Lanka (Democratic Socialist Republic of)','LKA','94384','Sri Lanka (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(786239,1,'Sri Lanka (Democratic Socialist Republic of)','LKA','94414','Sri Lanka (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(786249,1,'Sri Lanka (Democratic Socialist Republic of)','LKA','94454','Sri Lanka (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(786259,1,'Sri Lanka (Democratic Socialist Republic of)','LKA','94474','Sri Lanka (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(786269,1,'Sri Lanka (Democratic Socialist Republic of)','LKA','94514','Sri Lanka (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(786279,1,'Sri Lanka (Democratic Socialist Republic of)','LKA','94524','Sri Lanka (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(786289,1,'Sri Lanka (Democratic Socialist Republic of)','LKA','94544','Sri Lanka (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(786299,1,'Sri Lanka (Democratic Socialist Republic of)','LKA','94554','Sri Lanka (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(786309,1,'Sri Lanka (Democratic Socialist Republic of)','LKA','94574','Sri Lanka (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(786319,1,'Sri Lanka (Democratic Socialist Republic of)','LKA','94634','Sri Lanka (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(786329,1,'Sri Lanka (Democratic Socialist Republic of)','LKA','94654','Sri Lanka (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(786339,1,'Sri Lanka (Democratic Socialist Republic of)','LKA','94664','Sri Lanka (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(786349,1,'Sri Lanka (Democratic Socialist Republic of)','LKA','94674','Sri Lanka (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(786359,1,'Sri Lanka (Democratic Socialist Republic of)','LKA','947','Sri Lanka (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(786369,1,'Sri Lanka (Democratic Socialist Republic of)','LKA','94814','Sri Lanka (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(786379,1,'Sri Lanka (Democratic Socialist Republic of)','LKA','94914','Sri Lanka (Mobilfunk)',0.15882,60,0.158824,60,0,-1,'mobile'),(786389,1,'Saint Helena, Ascension, and Tristan da Cunha','SHN','290','St. Helena (Festnetz)',0.62101,60,0.621008,60,0,-1,'fixed'),(786399,1,'Saint Helena, Ascension, and Tristan da Cunha','SHN','2905','St. Helena (Sonderziel)',0.41092,60,0.410924,60,0,-1,'premium'),(786409,1,'Saint Helena, Ascension, and Tristan da Cunha','SHN','29072','St. Helena (Sonderziel)',0.41092,60,0.410924,60,0,-1,'premium'),(786419,1,'Saint Helena, Ascension, and Tristan da Cunha','SHN','29073','St. Helena (Sonderziel)',0.41092,60,0.410924,60,0,-1,'premium'),(786429,1,'Saint Helena, Ascension, and Tristan da Cunha','SHN','29074','St. Helena (Sonderziel)',0.41092,60,0.410924,60,0,-1,'premium'),(786439,1,'Saint Helena, Ascension, and Tristan da Cunha','SHN','29075','St. Helena (Sonderziel)',0.41092,60,0.410924,60,0,-1,'premium'),(786449,1,'Saint Helena, Ascension, and Tristan da Cunha','SHN','29076','St. Helena (Sonderziel)',0.41092,60,0.410924,60,0,-1,'premium'),(786459,1,'Saint Helena, Ascension, and Tristan da Cunha','SHN','29077','St. Helena (Sonderziel)',0.41092,60,0.410924,60,0,-1,'premium'),(786469,1,'Saint Helena, Ascension, and Tristan da Cunha','SHN','29078','St. Helena (Sonderziel)',0.41092,60,0.410924,60,0,-1,'premium'),(786479,1,'Saint Helena, Ascension, and Tristan da Cunha','SHN','29079','St. Helena (Sonderziel)',0.41092,60,0.410924,60,0,-1,'premium'),(786489,1,'Saint Helena, Ascension, and Tristan da Cunha','SHN','2909','St. Helena (Sonderziel)',0.41092,60,0.410924,60,0,-1,'premium'),(786499,1,'Saint Kitts and Nevis','KNA','1869','St. Kitts und Nevis (Festnetz)',0.15042,60,0.15042,60,0,-1,'fixed'),(786509,1,'Saint Kitts and Nevis','KNA','1869556','St. Kitts und Nevis (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(786519,1,'Saint Kitts and Nevis','KNA','1869557','St. Kitts und Nevis (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(786529,1,'Saint Kitts and Nevis','KNA','1869558','St. Kitts und Nevis (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(786539,1,'Saint Kitts and Nevis','KNA','1869565','St. Kitts und Nevis (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(786549,1,'Saint Kitts and Nevis','KNA','1869566','St. Kitts und Nevis (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(786559,1,'Saint Kitts and Nevis','KNA','1869567','St. Kitts und Nevis (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(786569,1,'Saint Kitts and Nevis','KNA','1869660','St. Kitts und Nevis (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(786579,1,'Saint Kitts and Nevis','KNA','1869661','St. Kitts und Nevis (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(786589,1,'Saint Kitts and Nevis','KNA','1869662','St. Kitts und Nevis (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(786599,1,'Saint Kitts and Nevis','KNA','1869663','St. Kitts und Nevis (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(786609,1,'Saint Kitts and Nevis','KNA','1869664','St. Kitts und Nevis (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(786619,1,'Saint Kitts and Nevis','KNA','1869665','St. Kitts und Nevis (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(786629,1,'Saint Kitts and Nevis','KNA','1869667','St. Kitts und Nevis (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(786639,1,'Saint Kitts and Nevis','KNA','1869668','St. Kitts und Nevis (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(786649,1,'Saint Kitts and Nevis','KNA','1869669','St. Kitts und Nevis (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(786659,1,'Saint Kitts and Nevis','KNA','1869760','St. Kitts und Nevis (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(786669,1,'Saint Kitts and Nevis','KNA','1869762','St. Kitts und Nevis (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(786679,1,'Saint Kitts and Nevis','KNA','1869763','St. Kitts und Nevis (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(786689,1,'Saint Kitts and Nevis','KNA','1869764','St. Kitts und Nevis (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(786699,1,'Saint Kitts and Nevis','KNA','1869765','St. Kitts und Nevis (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(786709,1,'Saint Kitts and Nevis','KNA','1869766','St. Kitts und Nevis (Mobilfunk)',0.31008,60,0.310084,60,0,-1,'mobile'),(786719,1,'Saint Lucia','LCA','1758','St. Lucia (Festnetz)',0.25126,60,0.251261,60,0,-1,'fixed'),(786729,1,'Saint Lucia','LCA','1758284','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(786739,1,'Saint Lucia','LCA','1758285','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(786749,1,'Saint Lucia','LCA','1758286','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(786759,1,'Saint Lucia','LCA','1758287','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(786769,1,'Saint Lucia','LCA','1758384','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(786779,1,'Saint Lucia','LCA','1758460','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(786789,1,'Saint Lucia','LCA','1758461','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(786799,1,'Saint Lucia','LCA','1758481','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(786809,1,'Saint Lucia','LCA','1758482','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(786819,1,'Saint Lucia','LCA','1758483','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(786829,1,'Saint Lucia','LCA','1758484','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(786839,1,'Saint Lucia','LCA','1758485','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(786849,1,'Saint Lucia','LCA','1758486','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(786859,1,'Saint Lucia','LCA','1758487','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(786869,1,'Saint Lucia','LCA','1758488','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(786879,1,'Saint Lucia','LCA','1758489','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(786889,1,'Saint Lucia','LCA','1758518','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(786899,1,'Saint Lucia','LCA','1758519','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(786909,1,'Saint Lucia','LCA','1758520','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(786919,1,'Saint Lucia','LCA','1758584','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(786929,1,'Saint Lucia','LCA','1758638','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(786939,1,'Saint Lucia','LCA','1758712','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(786949,1,'Saint Lucia','LCA','1758713','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(786959,1,'Saint Lucia','LCA','1758714','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(786969,1,'Saint Lucia','LCA','1758715','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(786979,1,'Saint Lucia','LCA','1758716','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(786989,1,'Saint Lucia','LCA','1758717','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(786999,1,'Saint Lucia','LCA','1758718','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(787009,1,'Saint Lucia','LCA','1758719','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(787019,1,'Saint Lucia','LCA','1758720','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(787029,1,'Saint Lucia','LCA','1758721','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(787039,1,'Saint Lucia','LCA','1758722','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(787049,1,'Saint Lucia','LCA','1758723','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(787059,1,'Saint Lucia','LCA','1758724','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(787069,1,'Saint Lucia','LCA','1758725','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(787079,1,'Saint Lucia','LCA','1758726','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(787089,1,'Saint Lucia','LCA','1758727','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(787099,1,'Saint Lucia','LCA','1758728','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(787109,1,'Saint Lucia','LCA','1758784','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(787119,1,'Saint Lucia','LCA','1758785','St. Lucia (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(787129,1,'Saint Lucia','LCA','1758758','St. Lucia (Sonderziel)',0.28487,60,0.284874,60,0,-1,'premium'),(787139,1,'Saint Pierre and Miquelon','SPM','508','St. Pierre und Miquelon (Festnetz)',0.17563,60,0.17563,60,0,-1,'fixed'),(787149,1,'Saint Pierre and Miquelon','SPM','50855','St. Pierre und Miquelon (Mobilfunk)',0.20084,60,0.20084,60,0,-1,'mobile'),(787159,1,'Saint Pierre and Miquelon','SPM','5080','St. Pierre und Miquelon (Sonderziel)',0.47815,60,0.478151,60,0,-1,'premium'),(787169,1,'Saint Vincent and the Grenadines','VCT','1784','St. Vincent und Grenadinen (Festnetz)',0.13361,60,0.133613,60,0,-1,'fixed'),(787179,1,'Saint Vincent and the Grenadines','VCT','1784430','St. Vincent und Grenadinen (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(787189,1,'Saint Vincent and the Grenadines','VCT','1784431','St. Vincent und Grenadinen (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(787199,1,'Saint Vincent and the Grenadines','VCT','1784432','St. Vincent und Grenadinen (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(787209,1,'Saint Vincent and the Grenadines','VCT','1784433','St. Vincent und Grenadinen (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(787219,1,'Saint Vincent and the Grenadines','VCT','1784434','St. Vincent und Grenadinen (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(787229,1,'Saint Vincent and the Grenadines','VCT','1784435','St. Vincent und Grenadinen (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(787239,1,'Saint Vincent and the Grenadines','VCT','1784454','St. Vincent und Grenadinen (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(787249,1,'Saint Vincent and the Grenadines','VCT','1784455','St. Vincent und Grenadinen (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(787259,1,'Saint Vincent and the Grenadines','VCT','1784491','St. Vincent und Grenadinen (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(787269,1,'Saint Vincent and the Grenadines','VCT','1784492','St. Vincent und Grenadinen (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(787279,1,'Saint Vincent and the Grenadines','VCT','1784493','St. Vincent und Grenadinen (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(787289,1,'Saint Vincent and the Grenadines','VCT','1784494','St. Vincent und Grenadinen (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(787299,1,'Saint Vincent and the Grenadines','VCT','1784495','St. Vincent und Grenadinen (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(787309,1,'Saint Vincent and the Grenadines','VCT','1784496','St. Vincent und Grenadinen (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(787319,1,'Saint Vincent and the Grenadines','VCT','1784497','St. Vincent und Grenadinen (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(787329,1,'Saint Vincent and the Grenadines','VCT','1784498','St. Vincent und Grenadinen (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(787339,1,'Saint Vincent and the Grenadines','VCT','1784526','St. Vincent und Grenadinen (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(787349,1,'Saint Vincent and the Grenadines','VCT','1784527','St. Vincent und Grenadinen (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(787359,1,'Saint Vincent and the Grenadines','VCT','1784528','St. Vincent und Grenadinen (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(787369,1,'Saint Vincent and the Grenadines','VCT','1784529','St. Vincent und Grenadinen (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(787379,1,'Saint Vincent and the Grenadines','VCT','1784530','St. Vincent und Grenadinen (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(787389,1,'Saint Vincent and the Grenadines','VCT','1784531','St. Vincent und Grenadinen (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(787399,1,'Saint Vincent and the Grenadines','VCT','1784532','St. Vincent und Grenadinen (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(787409,1,'Saint Vincent and the Grenadines','VCT','1784533','St. Vincent und Grenadinen (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(787419,1,'Saint Vincent and the Grenadines','VCT','1784593','St. Vincent und Grenadinen (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(787429,1,'Saint Vincent and the Grenadines','VCT','1784266','St. Vincent und Grenadinen (Sonderziel)',0.29328,60,0.293277,60,0,-1,'premium'),(787439,1,'Saint Vincent and the Grenadines','VCT','1784386','St. Vincent und Grenadinen (Sonderziel)',0.29328,60,0.293277,60,0,-1,'premium'),(787449,1,'Saint Vincent and the Grenadines','VCT','1784438','St. Vincent und Grenadinen (Sonderziel)',0.29328,60,0.293277,60,0,-1,'premium'),(787459,1,'Saint Vincent and the Grenadines','VCT','1784490','St. Vincent und Grenadinen (Sonderziel)',0.29328,60,0.293277,60,0,-1,'premium'),(787469,1,'Saint Vincent and the Grenadines','VCT','1784784','St. Vincent und Grenadinen (Sonderziel)',0.29328,60,0.293277,60,0,-1,'premium'),(787479,1,'Sudan (Republic of the)','SDN','249','Sudan (Festnetz)',0.19244,60,0.192437,60,0,-1,'fixed'),(787489,1,'Sudan (Republic of the)','SDN','24911','Sudan (Mobilfunk)',0.19244,60,0.192437,60,0,-1,'mobile'),(787499,1,'Sudan (Republic of the)','SDN','24912','Sudan (Mobilfunk)',0.19244,60,0.192437,60,0,-1,'mobile'),(787509,1,'Sudan (Republic of the)','SDN','24990','Sudan (Mobilfunk)',0.19244,60,0.192437,60,0,-1,'mobile'),(787519,1,'Sudan (Republic of the)','SDN','24991','Sudan (Mobilfunk)',0.19244,60,0.192437,60,0,-1,'mobile'),(787529,1,'Sudan (Republic of the)','SDN','24992','Sudan (Mobilfunk)',0.19244,60,0.192437,60,0,-1,'mobile'),(787539,1,'Sudan (Republic of the)','SDN','24996','Sudan (Mobilfunk)',0.19244,60,0.192437,60,0,-1,'mobile'),(787549,1,'Sudan (Republic of the)','SDN','24999','Sudan (Mobilfunk)',0.19244,60,0.192437,60,0,-1,'mobile'),(787559,1,'Sudan (Republic of the)','SDN','24994','Sudan (Sonderziel)',0.36891,60,0.368908,60,0,-1,'premium'),(787569,1,'Suriname (Republic of)','SUR','597','Suriname (Festnetz)',0.17563,60,0.17563,60,0,-1,'fixed'),(787579,1,'Suriname (Republic of)','SUR','59771','Suriname (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(787589,1,'Suriname (Republic of)','SUR','59772','Suriname (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(787599,1,'Suriname (Republic of)','SUR','59773','Suriname (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(787609,1,'Suriname (Republic of)','SUR','59774','Suriname (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(787619,1,'Suriname (Republic of)','SUR','59775','Suriname (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(787629,1,'Suriname (Republic of)','SUR','59776','Suriname (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(787639,1,'Suriname (Republic of)','SUR','59777','Suriname (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(787649,1,'Suriname (Republic of)','SUR','59781','Suriname (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(787659,1,'Suriname (Republic of)','SUR','59782','Suriname (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(787669,1,'Suriname (Republic of)','SUR','59783','Suriname (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(787679,1,'Suriname (Republic of)','SUR','59784','Suriname (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(787689,1,'Suriname (Republic of)','SUR','59785','Suriname (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(787699,1,'Suriname (Republic of)','SUR','59786','Suriname (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(787709,1,'Suriname (Republic of)','SUR','59787','Suriname (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(787719,1,'Suriname (Republic of)','SUR','59788','Suriname (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(787729,1,'Suriname (Republic of)','SUR','59789','Suriname (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(787739,1,'Swaziland (Kingdom of)','SWZ','268','Swasiland (Festnetz)',0.13361,60,0.133613,60,0,-1,'fixed'),(787749,1,'Swaziland (Kingdom of)','SWZ','2686','Swasiland (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(787759,1,'Swaziland (Kingdom of)','SWZ','2687','Swasiland (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(787769,1,'Syrian Arab Republic','SYR','963','Syrien (Arabische Republik) (Festnetz)',0.13361,60,0.133613,60,0,-1,'fixed'),(787779,1,'Syrian Arab Republic','SYR','9639','Syrien (Arabische Republik) (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(787789,1,'South Africa (Republic of)','ZAF','27','SÃ¼dafrika (Festnetz)',0.28487,60,0.284874,60,0,-1,'fixed'),(787799,1,'South Africa (Republic of)','ZAF','27603','SÃ¼dafrika (Mobilfunk)',0.12521,60,0.12521,60,0,-1,'mobile'),(787809,1,'South Africa (Republic of)','ZAF','27604','SÃ¼dafrika (Mobilfunk)',0.12521,60,0.12521,60,0,-1,'mobile'),(787819,1,'South Africa (Republic of)','ZAF','27605','SÃ¼dafrika (Mobilfunk)',0.12521,60,0.12521,60,0,-1,'mobile'),(787829,1,'South Africa (Republic of)','ZAF','27606','SÃ¼dafrika (Mobilfunk)',0.12521,60,0.12521,60,0,-1,'mobile'),(787839,1,'South Africa (Republic of)','ZAF','27607','SÃ¼dafrika (Mobilfunk)',0.12521,60,0.12521,60,0,-1,'mobile'),(787849,1,'South Africa (Republic of)','ZAF','27608','SÃ¼dafrika (Mobilfunk)',0.12521,60,0.12521,60,0,-1,'mobile'),(787859,1,'South Africa (Republic of)','ZAF','27609','SÃ¼dafrika (Mobilfunk)',0.12521,60,0.12521,60,0,-1,'mobile'),(787869,1,'South Africa (Republic of)','ZAF','27610','SÃ¼dafrika (Mobilfunk)',0.12521,60,0.12521,60,0,-1,'mobile'),(787879,1,'South Africa (Republic of)','ZAF','27611','SÃ¼dafrika (Mobilfunk)',0.12521,60,0.12521,60,0,-1,'mobile'),(787889,1,'South Africa (Republic of)','ZAF','27612','SÃ¼dafrika (Mobilfunk)',0.12521,60,0.12521,60,0,-1,'mobile'),(787899,1,'South Africa (Republic of)','ZAF','27613','SÃ¼dafrika (Mobilfunk)',0.12521,60,0.12521,60,0,-1,'mobile'),(787909,1,'South Africa (Republic of)','ZAF','2771','SÃ¼dafrika (Mobilfunk)',0.12521,60,0.12521,60,0,-1,'mobile'),(787919,1,'South Africa (Republic of)','ZAF','2772','SÃ¼dafrika (Mobilfunk)',0.12521,60,0.12521,60,0,-1,'mobile'),(787929,1,'South Africa (Republic of)','ZAF','2773','SÃ¼dafrika (Mobilfunk)',0.12521,60,0.12521,60,0,-1,'mobile'),(787939,1,'South Africa (Republic of)','ZAF','2774','SÃ¼dafrika (Mobilfunk)',0.12521,60,0.12521,60,0,-1,'mobile'),(787949,1,'South Africa (Republic of)','ZAF','2776','SÃ¼dafrika (Mobilfunk)',0.12521,60,0.12521,60,0,-1,'mobile'),(787959,1,'South Africa (Republic of)','ZAF','2778','SÃ¼dafrika (Mobilfunk)',0.12521,60,0.12521,60,0,-1,'mobile'),(787969,1,'South Africa (Republic of)','ZAF','2779','SÃ¼dafrika (Mobilfunk)',0.12521,60,0.12521,60,0,-1,'mobile'),(787979,1,'South Africa (Republic of)','ZAF','27810','SÃ¼dafrika (Mobilfunk)',0.12521,60,0.12521,60,0,-1,'mobile'),(787989,1,'South Africa (Republic of)','ZAF','27815','SÃ¼dafrika (Mobilfunk)',0.12521,60,0.12521,60,0,-1,'mobile'),(787999,1,'South Africa (Republic of)','ZAF','27818','SÃ¼dafrika (Mobilfunk)',0.12521,60,0.12521,60,0,-1,'mobile'),(788009,1,'South Africa (Republic of)','ZAF','2782','SÃ¼dafrika (Mobilfunk)',0.12521,60,0.12521,60,0,-1,'mobile'),(788019,1,'South Africa (Republic of)','ZAF','2783','SÃ¼dafrika (Mobilfunk)',0.12521,60,0.12521,60,0,-1,'mobile'),(788029,1,'South Africa (Republic of)','ZAF','2784','SÃ¼dafrika (Mobilfunk)',0.12521,60,0.12521,60,0,-1,'mobile'),(788039,1,'South Africa (Republic of)','ZAF','27100','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788049,1,'South Africa (Republic of)','ZAF','2710100','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788059,1,'South Africa (Republic of)','ZAF','27101100','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788069,1,'South Africa (Republic of)','ZAF','27101120','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788079,1,'South Africa (Republic of)','ZAF','27101250','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788089,1,'South Africa (Republic of)','ZAF','27101300','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788099,1,'South Africa (Republic of)','ZAF','2710185','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788109,1,'South Africa (Republic of)','ZAF','27102760','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788119,1,'South Africa (Republic of)','ZAF','27102850','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788129,1,'South Africa (Republic of)','ZAF','27102860','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788139,1,'South Africa (Republic of)','ZAF','27102870','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788149,1,'South Africa (Republic of)','ZAF','27103440','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788159,1,'South Africa (Republic of)','ZAF','27103500','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788169,1,'South Africa (Republic of)','ZAF','27104000','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788179,1,'South Africa (Republic of)','ZAF','27104100','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788189,1,'South Africa (Republic of)','ZAF','27104500','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788199,1,'South Africa (Republic of)','ZAF','2710492','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788209,1,'South Africa (Republic of)','ZAF','2710500','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788219,1,'South Africa (Republic of)','ZAF','271059','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788229,1,'South Africa (Republic of)','ZAF','2710610','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788239,1,'South Africa (Republic of)','ZAF','27106120','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788249,1,'South Africa (Republic of)','ZAF','27107440','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788259,1,'South Africa (Republic of)','ZAF','2710860','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788269,1,'South Africa (Republic of)','ZAF','2710900','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788279,1,'South Africa (Republic of)','ZAF','27110070','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788289,1,'South Africa (Republic of)','ZAF','2711100','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788299,1,'South Africa (Republic of)','ZAF','27112075','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788309,1,'South Africa (Republic of)','ZAF','27112104','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788319,1,'South Africa (Republic of)','ZAF','271121720','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788329,1,'South Africa (Republic of)','ZAF','27112471','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788339,1,'South Africa (Republic of)','ZAF','27112575','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788349,1,'South Africa (Republic of)','ZAF','271129060','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788359,1,'South Africa (Republic of)','ZAF','271131010','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788369,1,'South Africa (Republic of)','ZAF','271131011','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788379,1,'South Africa (Republic of)','ZAF','271131012','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788389,1,'South Africa (Republic of)','ZAF','271131013','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788399,1,'South Africa (Republic of)','ZAF','271131014','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788409,1,'South Africa (Republic of)','ZAF','271135335','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788419,1,'South Africa (Republic of)','ZAF','27114373','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788429,1,'South Africa (Republic of)','ZAF','27114385','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788439,1,'South Africa (Republic of)','ZAF','271145945','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788449,1,'South Africa (Republic of)','ZAF','271147068','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788459,1,'South Africa (Republic of)','ZAF','271148544','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788469,1,'South Africa (Republic of)','ZAF','271148658','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788479,1,'South Africa (Republic of)','ZAF','271150396','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788489,1,'South Africa (Republic of)','ZAF','27115372','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788499,1,'South Africa (Republic of)','ZAF','271156069','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788509,1,'South Africa (Republic of)','ZAF','2711568','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788519,1,'South Africa (Republic of)','ZAF','271157026','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788529,1,'South Africa (Republic of)','ZAF','271161272','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788539,1,'South Africa (Republic of)','ZAF','27116762','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788549,1,'South Africa (Republic of)','ZAF','271169968','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788559,1,'South Africa (Republic of)','ZAF','27117976','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788569,1,'South Africa (Republic of)','ZAF','27118081','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788579,1,'South Africa (Republic of)','ZAF','27118616','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788589,1,'South Africa (Republic of)','ZAF','271186926','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788599,1,'South Africa (Republic of)','ZAF','27118711','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788609,1,'South Africa (Republic of)','ZAF','271188327','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788619,1,'South Africa (Republic of)','ZAF','271192883','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788629,1,'South Africa (Republic of)','ZAF','27119668','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788639,1,'South Africa (Republic of)','ZAF','27119718','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788649,1,'South Africa (Republic of)','ZAF','27120','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788659,1,'South Africa (Republic of)','ZAF','27121003','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788669,1,'South Africa (Republic of)','ZAF','271210410','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788679,1,'South Africa (Republic of)','ZAF','2712110','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788689,1,'South Africa (Republic of)','ZAF','27121110','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788699,1,'South Africa (Republic of)','ZAF','27121250','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788709,1,'South Africa (Republic of)','ZAF','27121420','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788719,1,'South Africa (Republic of)','ZAF','27121500','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788729,1,'South Africa (Republic of)','ZAF','27122850','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788739,1,'South Africa (Republic of)','ZAF','271237310','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788749,1,'South Africa (Republic of)','ZAF','27124100','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788759,1,'South Africa (Republic of)','ZAF','271245013','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788769,1,'South Africa (Republic of)','ZAF','271245090','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788779,1,'South Africa (Republic of)','ZAF','2712492','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788789,1,'South Africa (Republic of)','ZAF','27125100','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788799,1,'South Africa (Republic of)','ZAF','27125160','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788809,1,'South Africa (Republic of)','ZAF','271256209','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788819,1,'South Africa (Republic of)','ZAF','27125629','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788829,1,'South Africa (Republic of)','ZAF','27125800','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788839,1,'South Africa (Republic of)','ZAF','2712610','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788849,1,'South Africa (Republic of)','ZAF','27126120','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788859,1,'South Africa (Republic of)','ZAF','271266551','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788869,1,'South Africa (Republic of)','ZAF','271266890','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788879,1,'South Africa (Republic of)','ZAF','271267471','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788889,1,'South Africa (Republic of)','ZAF','27126831','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788899,1,'South Africa (Republic of)','ZAF','27127440','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788909,1,'South Africa (Republic of)','ZAF','27127860','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788919,1,'South Africa (Republic of)','ZAF','271280702','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788929,1,'South Africa (Republic of)','ZAF','27128800','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788939,1,'South Africa (Republic of)','ZAF','2712940','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788949,1,'South Africa (Republic of)','ZAF','2712941','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788959,1,'South Africa (Republic of)','ZAF','2712942','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788969,1,'South Africa (Republic of)','ZAF','2712943','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788979,1,'South Africa (Republic of)','ZAF','27129904','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788989,1,'South Africa (Republic of)','ZAF','27130','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(788999,1,'South Africa (Republic of)','ZAF','27131010','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789009,1,'South Africa (Republic of)','ZAF','27131011','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789019,1,'South Africa (Republic of)','ZAF','27131012','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789029,1,'South Africa (Republic of)','ZAF','27131013','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789039,1,'South Africa (Republic of)','ZAF','27131014','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789049,1,'South Africa (Republic of)','ZAF','27131100','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789059,1,'South Africa (Republic of)','ZAF','2713120','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789069,1,'South Africa (Republic of)','ZAF','27132850','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789079,1,'South Africa (Republic of)','ZAF','27134920','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789089,1,'South Africa (Republic of)','ZAF','2713590','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789099,1,'South Africa (Republic of)','ZAF','27136120','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789109,1,'South Africa (Republic of)','ZAF','27140','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789119,1,'South Africa (Republic of)','ZAF','27141120','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789129,1,'South Africa (Republic of)','ZAF','27142850','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789139,1,'South Africa (Republic of)','ZAF','27144950','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789149,1,'South Africa (Republic of)','ZAF','27146120','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789159,1,'South Africa (Republic of)','ZAF','2714940','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789169,1,'South Africa (Republic of)','ZAF','27150','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789179,1,'South Africa (Republic of)','ZAF','27151010','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789189,1,'South Africa (Republic of)','ZAF','27151011','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789199,1,'South Africa (Republic of)','ZAF','27151012','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789209,1,'South Africa (Republic of)','ZAF','27151013','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789219,1,'South Africa (Republic of)','ZAF','27151014','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789229,1,'South Africa (Republic of)','ZAF','27151100','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789239,1,'South Africa (Republic of)','ZAF','27152850','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789249,1,'South Africa (Republic of)','ZAF','27154950','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789259,1,'South Africa (Republic of)','ZAF','2715590','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789269,1,'South Africa (Republic of)','ZAF','27156120','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789279,1,'South Africa (Republic of)','ZAF','2715700','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789289,1,'South Africa (Republic of)','ZAF','27160','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789299,1,'South Africa (Republic of)','ZAF','2716100','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789309,1,'South Africa (Republic of)','ZAF','27161100','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789319,1,'South Africa (Republic of)','ZAF','2716130','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789329,1,'South Africa (Republic of)','ZAF','27161500','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789339,1,'South Africa (Republic of)','ZAF','27162850','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789349,1,'South Africa (Republic of)','ZAF','27164920','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789359,1,'South Africa (Republic of)','ZAF','2717001','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789369,1,'South Africa (Republic of)','ZAF','27170070','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789379,1,'South Africa (Republic of)','ZAF','27170130','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789389,1,'South Africa (Republic of)','ZAF','27170650','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789399,1,'South Africa (Republic of)','ZAF','27171100','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789409,1,'South Africa (Republic of)','ZAF','27172000','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789419,1,'South Africa (Republic of)','ZAF','27172850','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789429,1,'South Africa (Republic of)','ZAF','27173440','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789439,1,'South Africa (Republic of)','ZAF','27174920','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789449,1,'South Africa (Republic of)','ZAF','27180','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789459,1,'South Africa (Republic of)','ZAF','27181100','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789469,1,'South Africa (Republic of)','ZAF','27182850','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789479,1,'South Africa (Republic of)','ZAF','27184920','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789489,1,'South Africa (Republic of)','ZAF','27210','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789499,1,'South Africa (Republic of)','ZAF','2721100','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789509,1,'South Africa (Republic of)','ZAF','27211100','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789519,1,'South Africa (Republic of)','ZAF','27211250','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789529,1,'South Africa (Republic of)','ZAF','2721180','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789539,1,'South Africa (Republic of)','ZAF','2721200','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789549,1,'South Africa (Republic of)','ZAF','2721201','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789559,1,'South Africa (Republic of)','ZAF','2721202','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789569,1,'South Africa (Republic of)','ZAF','2721203','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789579,1,'South Africa (Republic of)','ZAF','2721250','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789589,1,'South Africa (Republic of)','ZAF','27212760','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789599,1,'South Africa (Republic of)','ZAF','27212850','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789609,1,'South Africa (Republic of)','ZAF','27212860','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789619,1,'South Africa (Republic of)','ZAF','2721300','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789629,1,'South Africa (Republic of)','ZAF','27213500','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789639,1,'South Africa (Republic of)','ZAF','272138032','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789649,1,'South Africa (Republic of)','ZAF','27214105','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789659,1,'South Africa (Republic of)','ZAF','2721492','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789669,1,'South Africa (Republic of)','ZAF','27215160','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789679,1,'South Africa (Republic of)','ZAF','272152760','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789689,1,'South Africa (Republic of)','ZAF','272155567','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789699,1,'South Africa (Republic of)','ZAF','2721610','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789709,1,'South Africa (Republic of)','ZAF','27216120','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789719,1,'South Africa (Republic of)','ZAF','27216200','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789729,1,'South Africa (Republic of)','ZAF','272167075','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789739,1,'South Africa (Republic of)','ZAF','27217440','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789749,1,'South Africa (Republic of)','ZAF','27217700','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789759,1,'South Africa (Republic of)','ZAF','27219122','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789769,1,'South Africa (Republic of)','ZAF','272193395','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789779,1,'South Africa (Republic of)','ZAF','27220070','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789789,1,'South Africa (Republic of)','ZAF','27220220','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789799,1,'South Africa (Republic of)','ZAF','27220650','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789809,1,'South Africa (Republic of)','ZAF','27221000','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789819,1,'South Africa (Republic of)','ZAF','27221100','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789829,1,'South Africa (Republic of)','ZAF','27222850','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789839,1,'South Africa (Republic of)','ZAF','27224950','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789849,1,'South Africa (Republic of)','ZAF','27230','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789859,1,'South Africa (Republic of)','ZAF','27231000','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789869,1,'South Africa (Republic of)','ZAF','27231100','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789879,1,'South Africa (Republic of)','ZAF','27232850','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789889,1,'South Africa (Republic of)','ZAF','2723300','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789899,1,'South Africa (Republic of)','ZAF','27234920','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789909,1,'South Africa (Republic of)','ZAF','27270070','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789919,1,'South Africa (Republic of)','ZAF','27270220','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789929,1,'South Africa (Republic of)','ZAF','27270500','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789939,1,'South Africa (Republic of)','ZAF','27270650','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789949,1,'South Africa (Republic of)','ZAF','27271100','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789959,1,'South Africa (Republic of)','ZAF','27272850','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789969,1,'South Africa (Republic of)','ZAF','27274950','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789979,1,'South Africa (Republic of)','ZAF','27280070','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789989,1,'South Africa (Republic of)','ZAF','27280220','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(789999,1,'South Africa (Republic of)','ZAF','27280500','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790009,1,'South Africa (Republic of)','ZAF','27280650','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790019,1,'South Africa (Republic of)','ZAF','27281100','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790029,1,'South Africa (Republic of)','ZAF','27282850','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790039,1,'South Africa (Republic of)','ZAF','27283500','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790049,1,'South Africa (Republic of)','ZAF','27284920','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790059,1,'South Africa (Republic of)','ZAF','272884011','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790069,1,'South Africa (Republic of)','ZAF','27310','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790079,1,'South Africa (Republic of)','ZAF','2731100','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790089,1,'South Africa (Republic of)','ZAF','27311013','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790099,1,'South Africa (Republic of)','ZAF','27311100','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790109,1,'South Africa (Republic of)','ZAF','27311200','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790119,1,'South Africa (Republic of)','ZAF','27311250','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790129,1,'South Africa (Republic of)','ZAF','27311420','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790139,1,'South Africa (Republic of)','ZAF','273127480','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790149,1,'South Africa (Republic of)','ZAF','273127550','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790159,1,'South Africa (Republic of)','ZAF','27312850','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790169,1,'South Africa (Republic of)','ZAF','27312860','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790179,1,'South Africa (Republic of)','ZAF','27313440','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790189,1,'South Africa (Republic of)','ZAF','2731350','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790199,1,'South Africa (Republic of)','ZAF','27314100','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790209,1,'South Africa (Republic of)','ZAF','27314400','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790219,1,'South Africa (Republic of)','ZAF','2731492','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790229,1,'South Africa (Republic of)','ZAF','27315335','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790239,1,'South Africa (Republic of)','ZAF','273156975','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790249,1,'South Africa (Republic of)','ZAF','27315711','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790259,1,'South Africa (Republic of)','ZAF','2731610','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790269,1,'South Africa (Republic of)','ZAF','27316120','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790279,1,'South Africa (Republic of)','ZAF','27317440','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790289,1,'South Africa (Republic of)','ZAF','2731940','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790299,1,'South Africa (Republic of)','ZAF','2731941','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790309,1,'South Africa (Republic of)','ZAF','2731942','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790319,1,'South Africa (Republic of)','ZAF','27320','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790329,1,'South Africa (Republic of)','ZAF','27324920','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790339,1,'South Africa (Republic of)','ZAF','27329400','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790349,1,'South Africa (Republic of)','ZAF','2733001','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790359,1,'South Africa (Republic of)','ZAF','2733004','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790369,1,'South Africa (Republic of)','ZAF','27330070','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790379,1,'South Africa (Republic of)','ZAF','27330320','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790389,1,'South Africa (Republic of)','ZAF','27331010','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790399,1,'South Africa (Republic of)','ZAF','27334920','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790409,1,'South Africa (Republic of)','ZAF','2733940','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790419,1,'South Africa (Republic of)','ZAF','2734001','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790429,1,'South Africa (Republic of)','ZAF','27340070','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790439,1,'South Africa (Republic of)','ZAF','27340080','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790449,1,'South Africa (Republic of)','ZAF','27340320','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790459,1,'South Africa (Republic of)','ZAF','27340650','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790469,1,'South Africa (Republic of)','ZAF','27342850','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790479,1,'South Africa (Republic of)','ZAF','27344920','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790489,1,'South Africa (Republic of)','ZAF','2734500','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790499,1,'South Africa (Republic of)','ZAF','2734501','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790509,1,'South Africa (Republic of)','ZAF','27349400','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790519,1,'South Africa (Republic of)','ZAF','2735001','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790529,1,'South Africa (Republic of)','ZAF','27350070','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790539,1,'South Africa (Republic of)','ZAF','27350320','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790549,1,'South Africa (Republic of)','ZAF','27350650','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790559,1,'South Africa (Republic of)','ZAF','27352850','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790569,1,'South Africa (Republic of)','ZAF','27354920','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790579,1,'South Africa (Republic of)','ZAF','2735501','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790589,1,'South Africa (Republic of)','ZAF','27359400','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790599,1,'South Africa (Republic of)','ZAF','27360070','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790609,1,'South Africa (Republic of)','ZAF','27360320','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790619,1,'South Africa (Republic of)','ZAF','27364920','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790629,1,'South Africa (Republic of)','ZAF','27369400','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790639,1,'South Africa (Republic of)','ZAF','2739001','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790649,1,'South Africa (Republic of)','ZAF','27390070','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790659,1,'South Africa (Republic of)','ZAF','27390101','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790669,1,'South Africa (Republic of)','ZAF','27390320','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790679,1,'South Africa (Republic of)','ZAF','27393125','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790689,1,'South Africa (Republic of)','ZAF','27394920','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790699,1,'South Africa (Republic of)','ZAF','2739500','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790709,1,'South Africa (Republic of)','ZAF','2739700','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790719,1,'South Africa (Republic of)','ZAF','27399400','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790729,1,'South Africa (Republic of)','ZAF','27404920','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790739,1,'South Africa (Republic of)','ZAF','2740555','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790749,1,'South Africa (Republic of)','ZAF','27409400','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790759,1,'South Africa (Republic of)','ZAF','27410','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790769,1,'South Africa (Republic of)','ZAF','27411010','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790779,1,'South Africa (Republic of)','ZAF','27411011','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790789,1,'South Africa (Republic of)','ZAF','27411012','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790799,1,'South Africa (Republic of)','ZAF','27411013','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790809,1,'South Africa (Republic of)','ZAF','27411014','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790819,1,'South Africa (Republic of)','ZAF','27411100','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790829,1,'South Africa (Republic of)','ZAF','27411250','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790839,1,'South Africa (Republic of)','ZAF','27411420','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790849,1,'South Africa (Republic of)','ZAF','2741180','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790859,1,'South Africa (Republic of)','ZAF','27412600','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790869,1,'South Africa (Republic of)','ZAF','274136426','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790879,1,'South Africa (Republic of)','ZAF','274139217','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790889,1,'South Africa (Republic of)','ZAF','27413996','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790899,1,'South Africa (Republic of)','ZAF','27414022','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790909,1,'South Africa (Republic of)','ZAF','27414100','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790919,1,'South Africa (Republic of)','ZAF','2741450','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790929,1,'South Africa (Republic of)','ZAF','2741492','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790939,1,'South Africa (Republic of)','ZAF','27416120','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790949,1,'South Africa (Republic of)','ZAF','27420','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790959,1,'South Africa (Republic of)','ZAF','27424920','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790969,1,'South Africa (Republic of)','ZAF','2742940','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790979,1,'South Africa (Republic of)','ZAF','2743001','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790989,1,'South Africa (Republic of)','ZAF','2743004','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(790999,1,'South Africa (Republic of)','ZAF','27430070','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791009,1,'South Africa (Republic of)','ZAF','27430101','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791019,1,'South Africa (Republic of)','ZAF','27430110','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791029,1,'South Africa (Republic of)','ZAF','27430500','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791039,1,'South Africa (Republic of)','ZAF','27430501','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791049,1,'South Africa (Republic of)','ZAF','27430502','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791059,1,'South Africa (Republic of)','ZAF','27430503','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791069,1,'South Africa (Republic of)','ZAF','27430504','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791079,1,'South Africa (Republic of)','ZAF','27430650','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791089,1,'South Africa (Republic of)','ZAF','27431010','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791099,1,'South Africa (Republic of)','ZAF','27431100','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791109,1,'South Africa (Republic of)','ZAF','27431250','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791119,1,'South Africa (Republic of)','ZAF','27432850','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791129,1,'South Africa (Republic of)','ZAF','27434920','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791139,1,'South Africa (Republic of)','ZAF','2743555','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791149,1,'South Africa (Republic of)','ZAF','2743703','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791159,1,'South Africa (Republic of)','ZAF','27440','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791169,1,'South Africa (Republic of)','ZAF','27441100','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791179,1,'South Africa (Republic of)','ZAF','2744220','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791189,1,'South Africa (Republic of)','ZAF','27442850','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791199,1,'South Africa (Republic of)','ZAF','27444920','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791209,1,'South Africa (Republic of)','ZAF','2745001','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791219,1,'South Africa (Republic of)','ZAF','27450110','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791229,1,'South Africa (Republic of)','ZAF','27450500','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791239,1,'South Africa (Republic of)','ZAF','27452850','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791249,1,'South Africa (Republic of)','ZAF','27454920','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791259,1,'South Africa (Republic of)','ZAF','2745555','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791269,1,'South Africa (Republic of)','ZAF','2746001','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791279,1,'South Africa (Republic of)','ZAF','27460110','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791289,1,'South Africa (Republic of)','ZAF','27464920','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791299,1,'South Africa (Republic of)','ZAF','2746555','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791309,1,'South Africa (Republic of)','ZAF','27469400','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791319,1,'South Africa (Republic of)','ZAF','27470110','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791329,1,'South Africa (Republic of)','ZAF','27470500','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791339,1,'South Africa (Republic of)','ZAF','27470501','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791349,1,'South Africa (Republic of)','ZAF','27470502','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791359,1,'South Africa (Republic of)','ZAF','27470503','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791369,1,'South Africa (Republic of)','ZAF','27470504','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791379,1,'South Africa (Republic of)','ZAF','27470650','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791389,1,'South Africa (Republic of)','ZAF','27471100','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791399,1,'South Africa (Republic of)','ZAF','27474950','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791409,1,'South Africa (Republic of)','ZAF','2747554','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791419,1,'South Africa (Republic of)','ZAF','2747700','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791429,1,'South Africa (Republic of)','ZAF','2747701','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791439,1,'South Africa (Republic of)','ZAF','2747710','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791449,1,'South Africa (Republic of)','ZAF','2748001','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791459,1,'South Africa (Republic of)','ZAF','27484920','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791469,1,'South Africa (Republic of)','ZAF','27489400','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791479,1,'South Africa (Republic of)','ZAF','27490110','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791489,1,'South Africa (Republic of)','ZAF','27494920','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791499,1,'South Africa (Republic of)','ZAF','27499400','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791509,1,'South Africa (Republic of)','ZAF','27510','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791519,1,'South Africa (Republic of)','ZAF','27511010','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791529,1,'South Africa (Republic of)','ZAF','27511011','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791539,1,'South Africa (Republic of)','ZAF','27511012','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791549,1,'South Africa (Republic of)','ZAF','27511013','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791559,1,'South Africa (Republic of)','ZAF','27511014','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791569,1,'South Africa (Republic of)','ZAF','27511100','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791579,1,'South Africa (Republic of)','ZAF','27511250','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791589,1,'South Africa (Republic of)','ZAF','27511420','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791599,1,'South Africa (Republic of)','ZAF','27512300','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791609,1,'South Africa (Republic of)','ZAF','2751250','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791619,1,'South Africa (Republic of)','ZAF','27512850','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791629,1,'South Africa (Republic of)','ZAF','27513500','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791639,1,'South Africa (Republic of)','ZAF','275135500','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791649,1,'South Africa (Republic of)','ZAF','27514150','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791659,1,'South Africa (Republic of)','ZAF','2751450','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791669,1,'South Africa (Republic of)','ZAF','2751492','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791679,1,'South Africa (Republic of)','ZAF','2751505','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791689,1,'South Africa (Republic of)','ZAF','27517440','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791699,1,'South Africa (Republic of)','ZAF','27517780','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791709,1,'South Africa (Republic of)','ZAF','2753001','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791719,1,'South Africa (Republic of)','ZAF','2753004','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791729,1,'South Africa (Republic of)','ZAF','27530101','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791739,1,'South Africa (Republic of)','ZAF','27530300','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791749,1,'South Africa (Republic of)','ZAF','27530500','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791759,1,'South Africa (Republic of)','ZAF','27530650','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791769,1,'South Africa (Republic of)','ZAF','27531100','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791779,1,'South Africa (Republic of)','ZAF','27532850','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791789,1,'South Africa (Republic of)','ZAF','27534920','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791799,1,'South Africa (Republic of)','ZAF','27540101','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791809,1,'South Africa (Republic of)','ZAF','27540300','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791819,1,'South Africa (Republic of)','ZAF','27540500','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791829,1,'South Africa (Republic of)','ZAF','27540650','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791839,1,'South Africa (Republic of)','ZAF','27541100','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791849,1,'South Africa (Republic of)','ZAF','27542850','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791859,1,'South Africa (Republic of)','ZAF','27544950','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791869,1,'South Africa (Republic of)','ZAF','27560300','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791879,1,'South Africa (Republic of)','ZAF','27560500','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791889,1,'South Africa (Republic of)','ZAF','27564920','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791899,1,'South Africa (Republic of)','ZAF','2757001','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791909,1,'South Africa (Republic of)','ZAF','27570070','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791919,1,'South Africa (Republic of)','ZAF','27570300','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791929,1,'South Africa (Republic of)','ZAF','27570500','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791939,1,'South Africa (Republic of)','ZAF','27570650','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791949,1,'South Africa (Republic of)','ZAF','27571100','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791959,1,'South Africa (Republic of)','ZAF','27572850','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791969,1,'South Africa (Republic of)','ZAF','27574920','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791979,1,'South Africa (Republic of)','ZAF','2758001','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791989,1,'South Africa (Republic of)','ZAF','27580300','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(791999,1,'South Africa (Republic of)','ZAF','27580500','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(792009,1,'South Africa (Republic of)','ZAF','27581100','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(792019,1,'South Africa (Republic of)','ZAF','27584920','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(792029,1,'South Africa (Republic of)','ZAF','27811','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(792039,1,'South Africa (Republic of)','ZAF','27812','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(792049,1,'South Africa (Republic of)','ZAF','27813','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(792059,1,'South Africa (Republic of)','ZAF','27814','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(792069,1,'South Africa (Republic of)','ZAF','2785','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(792079,1,'South Africa (Republic of)','ZAF','2786','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(792089,1,'South Africa (Republic of)','ZAF','2787','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(792099,1,'South Africa (Republic of)','ZAF','2789850','SÃ¼dafrika (Sonderziel)',0.16723,60,0.167227,60,0,-1,'premium'),(792109,1,'Korea, South','KOR','82','SÃ¼dkorea (Festnetz)',0.02437,60,0.0243697,60,0,-1,'fixed'),(792119,1,'Korea, South','KOR','821','SÃ¼dkorea (Mobilfunk)',0.04118,60,0.0411765,60,0,-1,'mobile'),(792129,1,'Korea, North','PRK','85098','SÃ¼dkorea (Sonderziel)',0.04118,60,0.0411765,60,0,-1,'premium'),(792139,1,'Korea, North','PRK','85099921','SÃ¼dkorea (Sonderziel)',0.04118,60,0.0411765,60,0,-1,'premium'),(792149,1,'Korea, North','PRK','85099922','SÃ¼dkorea (Sonderziel)',0.04118,60,0.0411765,60,0,-1,'premium'),(792159,1,'Korea, North','PRK','85099923','SÃ¼dkorea (Sonderziel)',0.04118,60,0.0411765,60,0,-1,'premium'),(792169,1,'Korea, North','PRK','85099924','SÃ¼dkorea (Sonderziel)',0.04118,60,0.0411765,60,0,-1,'premium'),(792179,1,'Korea, North','PRK','85099925','SÃ¼dkorea (Sonderziel)',0.04118,60,0.0411765,60,0,-1,'premium'),(792189,1,'Korea, North','PRK','85099926','SÃ¼dkorea (Sonderziel)',0.04118,60,0.0411765,60,0,-1,'premium'),(792199,1,'Korea, North','PRK','85099927','SÃ¼dkorea (Sonderziel)',0.04118,60,0.0411765,60,0,-1,'premium'),(792209,1,'Korea, North','PRK','85099928','SÃ¼dkorea (Sonderziel)',0.04118,60,0.0411765,60,0,-1,'premium'),(792219,1,'Korea, North','PRK','85099929','SÃ¼dkorea (Sonderziel)',0.04118,60,0.0411765,60,0,-1,'premium'),(792229,1,'Korea, North','PRK','85099930','SÃ¼dkorea (Sonderziel)',0.04118,60,0.0411765,60,0,-1,'premium'),(792239,1,'Korea, North','PRK','8509993100','SÃ¼dkorea (Sonderziel)',0.04118,60,0.0411765,60,0,-1,'premium'),(792249,1,'Tajikistan (Republic of)','TJK','992','Tadschikistan (Festnetz)',0.19244,60,0.192437,60,0,-1,'fixed'),(792259,1,'Tajikistan (Republic of)','TJK','99241','Tadschikistan (Mobilfunk)',0.28487,60,0.284874,60,0,-1,'mobile'),(792269,1,'Tajikistan (Republic of)','TJK','992501','Tadschikistan (Mobilfunk)',0.28487,60,0.284874,60,0,-1,'mobile'),(792279,1,'Tajikistan (Republic of)','TJK','992505','Tadschikistan (Mobilfunk)',0.28487,60,0.284874,60,0,-1,'mobile'),(792289,1,'Tajikistan (Republic of)','TJK','992507','Tadschikistan (Mobilfunk)',0.28487,60,0.284874,60,0,-1,'mobile'),(792299,1,'Tajikistan (Republic of)','TJK','992508','Tadschikistan (Mobilfunk)',0.28487,60,0.284874,60,0,-1,'mobile'),(792309,1,'Tajikistan (Republic of)','TJK','9929','Tadschikistan (Mobilfunk)',0.28487,60,0.284874,60,0,-1,'mobile'),(792319,1,'Tajikistan (Republic of)','TJK','99237','Tadschikistan (Sonderziel)',0.19244,60,0.192437,60,0,-1,'premium'),(792329,1,'Tanzania (United Republic of)','TZA','255','Tansania (Festnetz)',0.33529,60,0.335294,60,0,-1,'fixed'),(792339,1,'Tanzania (United Republic of)','TZA','25565','Tansania (Mobilfunk)',0.3437,60,0.343697,60,0,-1,'mobile'),(792349,1,'Tanzania (United Republic of)','TZA','25568','Tansania (Mobilfunk)',0.3437,60,0.343697,60,0,-1,'mobile'),(792359,1,'Tanzania (United Republic of)','TZA','2557','Tansania (Mobilfunk)',0.3437,60,0.343697,60,0,-1,'mobile'),(792369,1,'Tanzania (United Republic of)','TZA','2559','Tansania (Sonderziel)',0.31849,60,0.318487,60,0,-1,'premium'),(792379,1,'Thailand','THA','66','Thailand (Festnetz)',0.03277,60,0.0327731,60,0,-1,'fixed'),(792389,1,'Thailand','THA','6681','Thailand (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(792399,1,'Thailand','THA','6683','Thailand (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(792409,1,'Thailand','THA','6684','Thailand (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(792419,1,'Thailand','THA','6685','Thailand (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(792429,1,'Thailand','THA','6686','Thailand (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(792439,1,'Thailand','THA','6687','Thailand (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(792449,1,'Thailand','THA','6689','Thailand (Mobilfunk)',0.03277,60,0.0327731,60,0,-1,'mobile'),(792459,1,'Thailand','THA','6681200','Thailand (Sonderziel)',0.14202,60,0.142017,60,0,-1,'premium'),(792469,1,'Thailand','THA','6681201','Thailand (Sonderziel)',0.14202,60,0.142017,60,0,-1,'premium'),(792479,1,'Togolese Republic','TGO','228','Togo (Festnetz)',0.32689,60,0.326891,60,0,-1,'fixed'),(792489,1,'Togolese Republic','TGO','2289','Togo (Mobilfunk)',0.52857,60,0.528571,60,0,-1,'mobile'),(792499,1,'Togolese Republic','TGO','228426','Togo (Sonderziel)',0.46975,60,0.469748,60,0,-1,'premium'),(792509,1,'Togolese Republic','TGO','228427','Togo (Sonderziel)',0.46975,60,0.469748,60,0,-1,'premium'),(792519,1,'Togolese Republic','TGO','228526','Togo (Sonderziel)',0.46975,60,0.469748,60,0,-1,'premium'),(792529,1,'Togolese Republic','TGO','228527','Togo (Sonderziel)',0.46975,60,0.469748,60,0,-1,'premium'),(792539,1,'Togolese Republic','TGO','228626','Togo (Sonderziel)',0.46975,60,0.469748,60,0,-1,'premium'),(792549,1,'Togolese Republic','TGO','228627','Togo (Sonderziel)',0.46975,60,0.469748,60,0,-1,'premium'),(792559,1,'Togolese Republic','TGO','228726','Togo (Sonderziel)',0.46975,60,0.469748,60,0,-1,'premium'),(792569,1,'Togolese Republic','TGO','228727','Togo (Sonderziel)',0.46975,60,0.469748,60,0,-1,'premium'),(792579,1,'Tokelau','TKL','690','Tokelau (Festnetz)',1.67143,60,1.67143,60,0,-1,'fixed'),(792589,1,'Tonga (Kingdom of)','TON','676','Tonga (Festnetz)',0.61261,60,0.612605,60,0,-1,'fixed'),(792599,1,'Tonga (Kingdom of)','TON','67656','Tonga (Sonderziel)',0.53697,60,0.536975,60,0,-1,'premium'),(792609,1,'Trinidad and Tobago','TTO','1868','Trinidad und Tobago (Festnetz)',0.28487,60,0.284874,60,0,-1,'fixed'),(792619,1,'Trinidad and Tobago','TTO','186829','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(792629,1,'Trinidad and Tobago','TTO','1868301','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(792639,1,'Trinidad and Tobago','TTO','1868302','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(792649,1,'Trinidad and Tobago','TTO','1868303','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(792659,1,'Trinidad and Tobago','TTO','1868304','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(792669,1,'Trinidad and Tobago','TTO','1868305','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(792679,1,'Trinidad and Tobago','TTO','1868306','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(792689,1,'Trinidad and Tobago','TTO','1868307','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(792699,1,'Trinidad and Tobago','TTO','1868308','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(792709,1,'Trinidad and Tobago','TTO','1868309','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(792719,1,'Trinidad and Tobago','TTO','1868310','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(792729,1,'Trinidad and Tobago','TTO','1868312','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(792739,1,'Trinidad and Tobago','TTO','1868313','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(792749,1,'Trinidad and Tobago','TTO','1868314','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(792759,1,'Trinidad and Tobago','TTO','1868315','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(792769,1,'Trinidad and Tobago','TTO','1868316','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(792779,1,'Trinidad and Tobago','TTO','1868317','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(792789,1,'Trinidad and Tobago','TTO','1868318','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(792799,1,'Trinidad and Tobago','TTO','1868319','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(792809,1,'Trinidad and Tobago','TTO','186832','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(792819,1,'Trinidad and Tobago','TTO','186833','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(792829,1,'Trinidad and Tobago','TTO','186834','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(792839,1,'Trinidad and Tobago','TTO','186835','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(792849,1,'Trinidad and Tobago','TTO','186836','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(792859,1,'Trinidad and Tobago','TTO','186837','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(792869,1,'Trinidad and Tobago','TTO','186838','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(792879,1,'Trinidad and Tobago','TTO','186839','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(792889,1,'Trinidad and Tobago','TTO','186840','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(792899,1,'Trinidad and Tobago','TTO','1868410','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(792909,1,'Trinidad and Tobago','TTO','1868412','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(792919,1,'Trinidad and Tobago','TTO','1868413','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(792929,1,'Trinidad and Tobago','TTO','1868414','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(792939,1,'Trinidad and Tobago','TTO','1868415','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(792949,1,'Trinidad and Tobago','TTO','1868416','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(792959,1,'Trinidad and Tobago','TTO','1868417','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(792969,1,'Trinidad and Tobago','TTO','1868418','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(792979,1,'Trinidad and Tobago','TTO','1868419','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(792989,1,'Trinidad and Tobago','TTO','1868420','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(792999,1,'Trinidad and Tobago','TTO','1868421','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(793009,1,'Trinidad and Tobago','TTO','186846','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(793019,1,'Trinidad and Tobago','TTO','186847','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(793029,1,'Trinidad and Tobago','TTO','186848','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(793039,1,'Trinidad and Tobago','TTO','186849','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(793049,1,'Trinidad and Tobago','TTO','1868620','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(793059,1,'Trinidad and Tobago','TTO','1868678','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(793069,1,'Trinidad and Tobago','TTO','186868','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(793079,1,'Trinidad and Tobago','TTO','1868701','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(793089,1,'Trinidad and Tobago','TTO','1868702','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(793099,1,'Trinidad and Tobago','TTO','1868703','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(793109,1,'Trinidad and Tobago','TTO','1868704','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(793119,1,'Trinidad and Tobago','TTO','1868705','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(793129,1,'Trinidad and Tobago','TTO','1868706','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(793139,1,'Trinidad and Tobago','TTO','1868707','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(793149,1,'Trinidad and Tobago','TTO','1868708','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(793159,1,'Trinidad and Tobago','TTO','1868709','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(793169,1,'Trinidad and Tobago','TTO','1868710','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(793179,1,'Trinidad and Tobago','TTO','1868712','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(793189,1,'Trinidad and Tobago','TTO','1868713','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(793199,1,'Trinidad and Tobago','TTO','1868714','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(793209,1,'Trinidad and Tobago','TTO','1868715','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(793219,1,'Trinidad and Tobago','TTO','1868716','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(793229,1,'Trinidad and Tobago','TTO','1868717','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(793239,1,'Trinidad and Tobago','TTO','1868718','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(793249,1,'Trinidad and Tobago','TTO','1868719','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(793259,1,'Trinidad and Tobago','TTO','186872','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(793269,1,'Trinidad and Tobago','TTO','186873','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(793279,1,'Trinidad and Tobago','TTO','186874','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(793289,1,'Trinidad and Tobago','TTO','186875','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(793299,1,'Trinidad and Tobago','TTO','186876','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(793309,1,'Trinidad and Tobago','TTO','186877','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(793319,1,'Trinidad and Tobago','TTO','186878','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(793329,1,'Trinidad and Tobago','TTO','186879','Trinidad und Tobago (Mobilfunk)',0.29328,60,0.293277,60,0,-1,'mobile'),(793339,1,'Chad (Republic of)','TCD','235','Tschad (Festnetz)',0.31849,60,0.318487,60,0,-1,'fixed'),(793349,1,'Chad (Republic of)','TCD','2352','Tschad (Mobilfunk)',0.31849,60,0.318487,60,0,-1,'mobile'),(793359,1,'Chad (Republic of)','TCD','2353','Tschad (Mobilfunk)',0.31849,60,0.318487,60,0,-1,'mobile'),(793369,1,'Chad (Republic of)','TCD','2354','Tschad (Mobilfunk)',0.31849,60,0.318487,60,0,-1,'mobile'),(793379,1,'Chad (Republic of)','TCD','2355','Tschad (Mobilfunk)',0.31849,60,0.318487,60,0,-1,'mobile'),(793389,1,'Chad (Republic of)','TCD','2356','Tschad (Mobilfunk)',0.31849,60,0.318487,60,0,-1,'mobile'),(793399,1,'Chad (Republic of)','TCD','2357','Tschad (Mobilfunk)',0.31849,60,0.318487,60,0,-1,'mobile'),(793409,1,'Chad (Republic of)','TCD','2359','Tschad (Mobilfunk)',0.31849,60,0.318487,60,0,-1,'mobile'),(793419,1,'Czech Republic','CZE','420','Tschechische Republik (Festnetz)',0.03277,60,0.0327731,60,0,-1,'fixed'),(793429,1,'Czech Republic','CZE','4206','Tschechische Republik (Mobilfunk)',0.0916,60,0.0915966,60,0,-1,'mobile'),(793439,1,'Czech Republic','CZE','4207','Tschechische Republik (Mobilfunk)',0.0916,60,0.0915966,60,0,-1,'mobile'),(793449,1,'Czech Republic','CZE','42093','Tschechische Republik (Mobilfunk)',0.0916,60,0.0915966,60,0,-1,'mobile'),(793459,1,'Czech Republic','CZE','42096','Tschechische Republik (Mobilfunk)',0.0916,60,0.0915966,60,0,-1,'mobile'),(793469,1,'Czech Republic','CZE','42081','Tschechische Republik (Sonderziel)',0.1084,60,0.108403,60,0,-1,'premium'),(793479,1,'Czech Republic','CZE','42082','Tschechische Republik (Sonderziel)',0.1084,60,0.108403,60,0,-1,'premium'),(793489,1,'Czech Republic','CZE','42083','Tschechische Republik (Sonderziel)',0.1084,60,0.108403,60,0,-1,'premium'),(793499,1,'Czech Republic','CZE','42084','Tschechische Republik (Sonderziel)',0.1084,60,0.108403,60,0,-1,'premium'),(793509,1,'Czech Republic','CZE','42090','Tschechische Republik (Sonderziel)',0.1084,60,0.108403,60,0,-1,'premium'),(793519,1,'Tunisia','TUN','216','Tunesien (Festnetz)',0.49496,60,0.494958,60,0,-1,'fixed'),(793529,1,'Tunisia','TUN','2162','Tunesien (Mobilfunk)',0.48655,60,0.486555,60,0,-1,'mobile'),(793539,1,'Tunisia','TUN','21640','Tunesien (Mobilfunk)',0.48655,60,0.486555,60,0,-1,'mobile'),(793549,1,'Tunisia','TUN','21641','Tunesien (Mobilfunk)',0.48655,60,0.486555,60,0,-1,'mobile'),(793559,1,'Tunisia','TUN','21642','Tunesien (Mobilfunk)',0.48655,60,0.486555,60,0,-1,'mobile'),(793569,1,'Tunisia','TUN','2165','Tunesien (Mobilfunk)',0.48655,60,0.486555,60,0,-1,'mobile'),(793579,1,'Tunisia','TUN','2169','Tunesien (Mobilfunk)',0.48655,60,0.486555,60,0,-1,'mobile'),(793589,1,'Tunisia','TUN','21680','Tunesien (Sonderziel)',0.52017,60,0.520168,60,0,-1,'premium'),(793599,1,'Tunisia','TUN','21682','Tunesien (Sonderziel)',0.52017,60,0.520168,60,0,-1,'premium'),(793609,1,'Tunisia','TUN','21688','Tunesien (Sonderziel)',0.52017,60,0.520168,60,0,-1,'premium'),(793619,1,'Turkmenistan','TKM','993','Turkmenistan (Festnetz)',0.15042,60,0.15042,60,0,-1,'fixed'),(793629,1,'Turkmenistan','TKM','993122','Turkmenistan (Mobilfunk)',0.14202,60,0.142017,60,0,-1,'mobile'),(793639,1,'Turkmenistan','TKM','993222','Turkmenistan (Mobilfunk)',0.14202,60,0.142017,60,0,-1,'mobile'),(793649,1,'Turkmenistan','TKM','993243','Turkmenistan (Mobilfunk)',0.14202,60,0.142017,60,0,-1,'mobile'),(793659,1,'Turkmenistan','TKM','993322','Turkmenistan (Mobilfunk)',0.14202,60,0.142017,60,0,-1,'mobile'),(793669,1,'Turkmenistan','TKM','993422','Turkmenistan (Mobilfunk)',0.14202,60,0.142017,60,0,-1,'mobile'),(793679,1,'Turkmenistan','TKM','993522','Turkmenistan (Mobilfunk)',0.14202,60,0.142017,60,0,-1,'mobile'),(793689,1,'Turkmenistan','TKM','9936','Turkmenistan (Mobilfunk)',0.14202,60,0.142017,60,0,-1,'mobile'),(793699,1,'Turks and Caicos Islands','TCA','1649','Turks- und Caicosinseln (Festnetz)',0.13361,60,0.133613,60,0,-1,'fixed'),(793709,1,'Turks and Caicos Islands','TCA','1649231','Turks- und Caicosinseln (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(793719,1,'Turks and Caicos Islands','TCA','1649232','Turks- und Caicosinseln (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(793729,1,'Turks and Caicos Islands','TCA','1649241','Turks- und Caicosinseln (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(793739,1,'Turks and Caicos Islands','TCA','1649242','Turks- und Caicosinseln (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(793749,1,'Turks and Caicos Islands','TCA','1649243','Turks- und Caicosinseln (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(793759,1,'Turks and Caicos Islands','TCA','1649244','Turks- und Caicosinseln (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(793769,1,'Turks and Caicos Islands','TCA','1649245','Turks- und Caicosinseln (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(793779,1,'Turks and Caicos Islands','TCA','1649246','Turks- und Caicosinseln (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(793789,1,'Turks and Caicos Islands','TCA','1649247','Turks- und Caicosinseln (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(793799,1,'Turks and Caicos Islands','TCA','16493','Turks- und Caicosinseln (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(793809,1,'Turks and Caicos Islands','TCA','1649431','Turks- und Caicosinseln (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(793819,1,'Turks and Caicos Islands','TCA','1649432','Turks- und Caicosinseln (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(793829,1,'Turks and Caicos Islands','TCA','1649441','Turks- und Caicosinseln (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(793839,1,'Turks and Caicos Islands','TCA','1649442','Turks- und Caicosinseln (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(793849,1,'Turks and Caicos Islands','TCA','1649444','Turks- und Caicosinseln (Sonderziel)',0.3437,60,0.343697,60,0,-1,'premium'),(793859,1,'Turks and Caicos Islands','TCA','1649445','Turks- und Caicosinseln (Sonderziel)',0.3437,60,0.343697,60,0,-1,'premium'),(793869,1,'Turks and Caicos Islands','TCA','1649446','Turks- und Caicosinseln (Sonderziel)',0.3437,60,0.343697,60,0,-1,'premium'),(793879,1,'Tuvalu','TUV','688','Tuvalu (Festnetz)',0.57059,60,0.570588,60,0,-1,'fixed'),(793889,1,'Tuvalu','TUV','688247','Tuvalu (Sonderziel)',0.37731,60,0.377311,60,0,-1,'premium'),(793899,1,'Tuvalu','TUV','688321','Tuvalu (Sonderziel)',0.37731,60,0.377311,60,0,-1,'premium'),(793909,1,'Tuvalu','TUV','6886','Tuvalu (Sonderziel)',0.37731,60,0.377311,60,0,-1,'premium'),(793919,1,'Tuvalu','TUV','6887','Tuvalu (Sonderziel)',0.37731,60,0.377311,60,0,-1,'premium'),(793929,1,'Tuvalu','TUV','6888','Tuvalu (Sonderziel)',0.37731,60,0.377311,60,0,-1,'premium'),(793939,1,'Turkey','TUR','90','TÃ¼rkei (Festnetz)',0.02437,60,0.0243697,60,0,-1,'fixed'),(793949,1,'Turkey','TUR','9050','TÃ¼rkei (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(793959,1,'Turkey','TUR','9053','TÃ¼rkei (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(793969,1,'Turkey','TUR','9054','TÃ¼rkei (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(793979,1,'Turkey','TUR','9055','TÃ¼rkei (Mobilfunk)',0.17563,60,0.17563,60,0,-1,'mobile'),(793989,1,'Turkey','TUR','9011811','TÃ¼rkei (Sonderziel)',0.20084,60,0.20084,60,0,-1,'premium'),(793999,1,'Turkey','TUR','90212444','TÃ¼rkei (Sonderziel)',0.20084,60,0.20084,60,0,-1,'premium'),(794009,1,'Turkey','TUR','90216444','TÃ¼rkei (Sonderziel)',0.20084,60,0.20084,60,0,-1,'premium'),(794019,1,'Turkey','TUR','90232444','TÃ¼rkei (Sonderziel)',0.20084,60,0.20084,60,0,-1,'premium'),(794029,1,'Turkey','TUR','90242444','TÃ¼rkei (Sonderziel)',0.20084,60,0.20084,60,0,-1,'premium'),(794039,1,'Turkey','TUR','90312444','TÃ¼rkei (Sonderziel)',0.20084,60,0.20084,60,0,-1,'premium'),(794049,1,'Turkey','TUR','90322444','TÃ¼rkei (Sonderziel)',0.20084,60,0.20084,60,0,-1,'premium'),(794059,1,'Turkey','TUR','90444','TÃ¼rkei (Sonderziel)',0.20084,60,0.20084,60,0,-1,'premium'),(794069,1,'Turkey','TUR','90592','TÃ¼rkei (Sonderziel)',0.20084,60,0.20084,60,0,-1,'premium'),(794079,1,'Turkey','TUR','90598','TÃ¼rkei (Sonderziel)',0.20084,60,0.20084,60,0,-1,'premium'),(794089,1,'Turkey','TUR','90850','TÃ¼rkei (Sonderziel)',0.20084,60,0.20084,60,0,-1,'premium'),(794099,1,'Turkey','TUR','90900','TÃ¼rkei (Sonderziel)',0.20084,60,0.20084,60,0,-1,'premium'),(794109,1,'Turkey','TUR','90312','TÃ¼rkei Ankara (Festnetz)',0.01597,60,0.0159664,60,0,-1,'fixed'),(794119,1,'Turkey','TUR','9021','TÃ¼rkei Istanbul (Festnetz)',0.02437,60,0.0243697,60,0,-1,'fixed'),(794129,1,'United States of America','USA','1','USA (Festnetz + Mobil) (Festnetz)',0.01597,60,0.0159664,60,0,-1,'fixed'),(794139,1,'Uganda (Republic of)','UGA','256','Uganda (Festnetz)',0.13361,60,0.133613,60,0,-1,'fixed'),(794149,1,'Uganda (Republic of)','UGA','256204','Uganda (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(794159,1,'Uganda (Republic of)','UGA','25632','Uganda (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(794169,1,'Uganda (Republic of)','UGA','25639','Uganda (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(794179,1,'Uganda (Republic of)','UGA','256477','Uganda (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(794189,1,'Uganda (Republic of)','UGA','25670','Uganda (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(794199,1,'Uganda (Republic of)','UGA','25671','Uganda (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(794209,1,'Uganda (Republic of)','UGA','25675','Uganda (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(794219,1,'Uganda (Republic of)','UGA','25677','Uganda (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(794229,1,'Uganda (Republic of)','UGA','25678','Uganda (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(794239,1,'Uganda (Republic of)','UGA','25679','Uganda (Mobilfunk)',0.13361,60,0.133613,60,0,-1,'mobile'),(794249,1,'Uganda (Republic of)','UGA','256902','Uganda (Sonderziel)',0.15882,60,0.158824,60,0,-1,'premium'),(794259,1,'Uganda (Republic of)','UGA','256903','Uganda (Sonderziel)',0.15882,60,0.158824,60,0,-1,'premium'),(794269,1,'Uganda (Republic of)','UGA','256904','Uganda (Sonderziel)',0.15882,60,0.158824,60,0,-1,'premium'),(794279,1,'Ukraine','UKR','380','Ukraine (Festnetz)',0.11681,60,0.116807,60,0,-1,'fixed'),(794289,1,'Ukraine','UKR','38039','Ukraine (Mobilfunk)',0.22605,60,0.22605,60,0,-1,'mobile'),(794299,1,'Ukraine','UKR','38050','Ukraine (Mobilfunk)',0.22605,60,0.22605,60,0,-1,'mobile'),(794309,1,'Ukraine','UKR','38063','Ukraine (Mobilfunk)',0.22605,60,0.22605,60,0,-1,'mobile'),(794319,1,'Ukraine','UKR','38066','Ukraine (Mobilfunk)',0.22605,60,0.22605,60,0,-1,'mobile'),(794329,1,'Ukraine','UKR','38067','Ukraine (Mobilfunk)',0.22605,60,0.22605,60,0,-1,'mobile'),(794339,1,'Ukraine','UKR','38068','Ukraine (Mobilfunk)',0.22605,60,0.22605,60,0,-1,'mobile'),(794349,1,'Ukraine','UKR','38091','Ukraine (Mobilfunk)',0.22605,60,0.22605,60,0,-1,'mobile'),(794359,1,'Ukraine','UKR','38092','Ukraine (Mobilfunk)',0.22605,60,0.22605,60,0,-1,'mobile'),(794369,1,'Ukraine','UKR','38093','Ukraine (Mobilfunk)',0.22605,60,0.22605,60,0,-1,'mobile'),(794379,1,'Ukraine','UKR','38094','Ukraine (Mobilfunk)',0.22605,60,0.22605,60,0,-1,'mobile'),(794389,1,'Ukraine','UKR','38095','Ukraine (Mobilfunk)',0.22605,60,0.22605,60,0,-1,'mobile'),(794399,1,'Ukraine','UKR','38096','Ukraine (Mobilfunk)',0.22605,60,0.22605,60,0,-1,'mobile'),(794409,1,'Ukraine','UKR','38097','Ukraine (Mobilfunk)',0.22605,60,0.22605,60,0,-1,'mobile'),(794419,1,'Ukraine','UKR','38098','Ukraine (Mobilfunk)',0.22605,60,0.22605,60,0,-1,'mobile'),(794429,1,'Ukraine','UKR','38099','Ukraine (Mobilfunk)',0.22605,60,0.22605,60,0,-1,'mobile'),(794439,1,'Ukraine','UKR','38070010','Ukraine (Sonderziel)',0.20084,60,0.20084,60,0,-1,'premium'),(794449,1,'Ukraine','UKR','38089','Ukraine (Sonderziel)',0.20084,60,0.20084,60,0,-1,'premium'),(794459,1,'Hungary (Republic of)','HUN','36','Ungarn (Festnetz)',0.01597,60,0.0159664,60,0,-1,'fixed'),(794469,1,'Hungary (Republic of)','HUN','3620','Ungarn (Mobilfunk)',0.07479,60,0.0747899,60,0,-1,'mobile'),(794479,1,'Hungary (Republic of)','HUN','3630','Ungarn (Mobilfunk)',0.07479,60,0.0747899,60,0,-1,'mobile'),(794489,1,'Hungary (Republic of)','HUN','3631','Ungarn (Mobilfunk)',0.07479,60,0.0747899,60,0,-1,'mobile'),(794499,1,'Hungary (Republic of)','HUN','3670','Ungarn (Mobilfunk)',0.07479,60,0.0747899,60,0,-1,'mobile'),(794509,1,'Hungary (Republic of)','HUN','3690','Ungarn (Sonderziel)',0.0916,60,0.0915966,60,0,-1,'premium'),(794519,1,'Uruguay (Eastern Republic of)','URY','598','Uruguay (Festnetz)',0.0916,60,0.0915966,60,0,-1,'fixed'),(794529,1,'Uruguay (Eastern Republic of)','URY','5989','Uruguay (Mobilfunk)',0.25126,60,0.251261,60,0,-1,'mobile'),(794539,1,'Uzbekistan (Republic of)','UZB','998','Usbekistan (Festnetz)',0.04958,60,0.0495798,60,0,-1,'fixed'),(794549,1,'Uzbekistan (Republic of)','UZB','9989','Usbekistan (Mobilfunk)',0.0916,60,0.0915966,60,0,-1,'mobile'),(794559,1,'Vanuatu (Republic of)','VUT','678','Vanuatu (Festnetz)',0.64622,60,0.646218,60,0,-1,'fixed'),(794569,1,'Vanuatu (Republic of)','VUT','67852','Vanuatu (Sonderziel)',0.69664,60,0.696639,60,0,-1,'premium'),(794579,1,'Vanuatu (Republic of)','VUT','67853','Vanuatu (Sonderziel)',0.69664,60,0.696639,60,0,-1,'premium'),(794589,1,'Vanuatu (Republic of)','VUT','67854','Vanuatu (Sonderziel)',0.69664,60,0.696639,60,0,-1,'premium'),(794599,1,'Vanuatu (Republic of)','VUT','67855','Vanuatu (Sonderziel)',0.69664,60,0.696639,60,0,-1,'premium'),(794609,1,'Vanuatu (Republic of)','VUT','67856','Vanuatu (Sonderziel)',0.69664,60,0.696639,60,0,-1,'premium'),(794619,1,'Vanuatu (Republic of)','VUT','67857','Vanuatu (Sonderziel)',0.69664,60,0.696639,60,0,-1,'premium'),(794629,1,'Vanuatu (Republic of)','VUT','67858','Vanuatu (Sonderziel)',0.69664,60,0.696639,60,0,-1,'premium'),(794639,1,'Vanuatu (Republic of)','VUT','67859','Vanuatu (Sonderziel)',0.69664,60,0.696639,60,0,-1,'premium'),(794649,1,'Vanuatu (Republic of)','VUT','678778','Vanuatu (Sonderziel)',0.69664,60,0.696639,60,0,-1,'premium'),(794659,1,'Vatican City State','ITA','3906','Vatikanstadt (Festnetz)',0.01597,60,0.0159664,60,0,-1,'fixed'),(794669,1,'Venezuela (Bolivarian Republic of)','VEN','58','Venezuela (Festnetz)',0.02437,60,0.0243697,60,0,-1,'fixed'),(794679,1,'Venezuela (Bolivarian Republic of)','VEN','58412','Venezuela (Mobilfunk)',0.20084,60,0.20084,60,0,-1,'mobile'),(794689,1,'Venezuela (Bolivarian Republic of)','VEN','58414','Venezuela (Mobilfunk)',0.20084,60,0.20084,60,0,-1,'mobile'),(794699,1,'Venezuela (Bolivarian Republic of)','VEN','58416','Venezuela (Mobilfunk)',0.20084,60,0.20084,60,0,-1,'mobile'),(794709,1,'Venezuela (Bolivarian Republic of)','VEN','58424','Venezuela (Mobilfunk)',0.20084,60,0.20084,60,0,-1,'mobile'),(794719,1,'Venezuela (Bolivarian Republic of)','VEN','58426','Venezuela (Mobilfunk)',0.20084,60,0.20084,60,0,-1,'mobile'),(794729,1,'United Arab Emirates','ARE','971','Vereinigte Arabische Emirate (Festnetz)',0.21765,60,0.217647,60,0,-1,'fixed'),(794739,1,'United Arab Emirates','ARE','97150','Vereinigte Arabische Emirate (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(794749,1,'United Arab Emirates','ARE','97152','Vereinigte Arabische Emirate (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(794759,1,'United Arab Emirates','ARE','97155','Vereinigte Arabische Emirate (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(794769,1,'United Arab Emirates','ARE','97156','Vereinigte Arabische Emirate (Mobilfunk)',0.20924,60,0.209244,60,0,-1,'mobile'),(794779,1,'Viet Nam (Socialist Republic of)','VNM','84','Vietnam (Festnetz)',0.04958,60,0.0495798,60,0,-1,'fixed'),(794789,1,'Viet Nam (Socialist Republic of)','VNM','8412','Vietnam (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(794799,1,'Viet Nam (Socialist Republic of)','VNM','84162','Vietnam (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(794809,1,'Viet Nam (Socialist Republic of)','VNM','84163','Vietnam (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(794819,1,'Viet Nam (Socialist Republic of)','VNM','84164','Vietnam (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(794829,1,'Viet Nam (Socialist Republic of)','VNM','84165','Vietnam (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(794839,1,'Viet Nam (Socialist Republic of)','VNM','84166','Vietnam (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(794849,1,'Viet Nam (Socialist Republic of)','VNM','84167','Vietnam (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(794859,1,'Viet Nam (Socialist Republic of)','VNM','84168','Vietnam (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(794869,1,'Viet Nam (Socialist Republic of)','VNM','84169','Vietnam (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(794879,1,'Viet Nam (Socialist Republic of)','VNM','84188','Vietnam (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(794889,1,'Viet Nam (Socialist Republic of)','VNM','84199','Vietnam (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(794899,1,'Viet Nam (Socialist Republic of)','VNM','849','Vietnam (Mobilfunk)',0.1084,60,0.108403,60,0,-1,'mobile'),(794909,1,'Viet Nam (Socialist Republic of)','VNM','841900','Vietnam (Sonderziel)',0.0916,60,0.0915966,60,0,-1,'premium'),(794919,1,'Wallis and Futuna (Territoire franÃ§ais d\'outre-me','WLF','681','Wallis und Futuna (Festnetz)',0.46975,60,0.469748,60,0,-1,'fixed'),(794929,1,'Wallis and Futuna (Territoire franÃ§ais d\'outre-me','WLF','681681','Wallis und Futuna (Sonderziel)',0.31008,60,0.310084,60,0,-1,'premium'),(794939,1,'Belarus (Republic of)','BLR','375','WeiÃŸrussland (Festnetz)',0.33529,60,0.335294,60,0,-1,'fixed'),(794949,1,'Belarus (Republic of)','BLR','37525','WeiÃŸrussland (Mobilfunk)',0.3521,60,0.352101,60,0,-1,'mobile'),(794959,1,'Belarus (Republic of)','BLR','37529','WeiÃŸrussland (Mobilfunk)',0.3521,60,0.352101,60,0,-1,'mobile'),(794969,1,'Belarus (Republic of)','BLR','37533','WeiÃŸrussland (Mobilfunk)',0.3521,60,0.352101,60,0,-1,'mobile'),(794979,1,'Belarus (Republic of)','BLR','37544','WeiÃŸrussland (Mobilfunk)',0.3521,60,0.352101,60,0,-1,'mobile'),(794989,1,'Belarus (Republic of)','BLR','37533357','WeiÃŸrussland (Sonderziel)',0.42773,60,0.427731,60,0,-1,'premium'),(794999,1,'Belarus (Republic of)','BLR','375602','WeiÃŸrussland (Sonderziel)',0.42773,60,0.427731,60,0,-1,'premium'),(795009,1,'Belarus (Republic of)','BLR','375860000','WeiÃŸrussland (Sonderziel)',0.42773,60,0.427731,60,0,-1,'premium'),(795019,1,'Samoa (Independent State of)','WSM','685','Westsamoa (Festnetz)',0.69664,60,0.696639,60,0,-1,'fixed'),(795029,1,'Samoa (Independent State of)','WSM','6857','Westsamoa (Mobilfunk)',0.69664,60,0.696639,60,0,-1,'mobile'),(795039,1,'Samoa (Independent State of)','WSM','6859','Westsamoa (Mobilfunk)',0.69664,60,0.696639,60,0,-1,'mobile'),(795049,1,'Central African Republic','CAF','236','Zentralafrikanische Republik (Festnetz)',0.71345,60,0.713445,60,0,-1,'fixed'),(795059,1,'Central African Republic','CAF','23670','Zentralafrikanische Republik (Mobilfunk)',0.50336,60,0.503361,60,0,-1,'mobile'),(795069,1,'Central African Republic','CAF','23675','Zentralafrikanische Republik (Mobilfunk)',0.50336,60,0.503361,60,0,-1,'mobile'),(795079,1,'Central African Republic','CAF','23677','Zentralafrikanische Republik (Mobilfunk)',0.50336,60,0.503361,60,0,-1,'mobile'),(795089,1,'Central African Republic','CAF','2362174','Zentralafrikanische Republik (Sonderziel)',0.50336,60,0.503361,60,0,-1,'premium'),(795099,1,'Central African Republic','CAF','2362175','Zentralafrikanische Republik (Sonderziel)',0.50336,60,0.503361,60,0,-1,'premium'),(795109,1,'Central African Republic','CAF','23636','Zentralafrikanische Republik (Sonderziel)',0.50336,60,0.503361,60,0,-1,'premium'),(795119,1,'Central African Republic','CAF','23672','Zentralafrikanische Republik (Sonderziel)',0.50336,60,0.503361,60,0,-1,'premium'),(795129,1,'Cyprus (Republic of)','CYP','357','Zypern (Festnetz)',0.02437,60,0.0243697,60,0,-1,'fixed'),(795139,1,'Cyprus','CYP','90392','Zypern (Festnetz)',0.02437,60,0.0243697,60,0,-1,'fixed'),(795149,1,'Cyprus (Republic of)','CYP','3579','Zypern (Mobilfunk)',0.04118,60,0.0411765,60,0,-1,'mobile'),(795159,1,'Cyprus (Republic of)','CYP','357700','Zypern (Sonderziel)',0.06639,60,0.0663866,60,0,-1,'premium'),(795169,1,'Cyprus (Republic of)','CYP','357777','Zypern (Sonderziel)',0.06639,60,0.0663866,60,0,-1,'premium'),(795179,1,'Cyprus (Republic of)','CYP','35780','Zypern (Sonderziel)',0.06639,60,0.0663866,60,0,-1,'premium'),(795189,1,'Cyprus (Republic of)','CYP','35790','Zypern (Sonderziel)',0.06639,60,0.0663866,60,0,-1,'premium'),(795199,1,'Cyprus (Republic of)','CYP','3579970','Zypern (Sonderziel)',0.06639,60,0.0663866,60,0,-1,'premium'),(795209,1,'Cyprus (Republic of)','CYP','3579972','Zypern (Sonderziel)',0.06639,60,0.0663866,60,0,-1,'premium'),(795219,1,'Cyprus (Republic of)','CYP','3579973','Zypern (Sonderziel)',0.06639,60,0.0663866,60,0,-1,'premium'),(795225,1,'User-2-User','U2U','ONNET','User-2-User',0,60,0,60,0,-1,'other');
/*!40000 ALTER TABLE `call_rates` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `capabilities_set`
--

DROP TABLE IF EXISTS `capabilities_set`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `capabilities_set` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_set` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL DEFAULT '',
  `id_capability` int(11) NOT NULL DEFAULT '0',
  `is_mandatory` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `idx_capability` (`id_capability`),
  KEY `idx_id_set` (`id_set`) USING BTREE,
  KEY `idx_name` (`name`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='Capabilities Sets';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `capabilities_set`
--

LOCK TABLES `capabilities_set` WRITE;
/*!40000 ALTER TABLE `capabilities_set` DISABLE KEYS */;
INSERT INTO `capabilities_set` VALUES (2,1,'cap_set1',1,0);
/*!40000 ALTER TABLE `capabilities_set` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `capabilities_set2`
--

DROP TABLE IF EXISTS `capabilities_set2`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `capabilities_set2` (
  `set_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL,
  PRIMARY KEY (`set_id`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `capabilities_set2`
--

LOCK TABLES `capabilities_set2` WRITE;
/*!40000 ALTER TABLE `capabilities_set2` DISABLE KEYS */;
INSERT INTO `capabilities_set2` VALUES (13,'Tester');
/*!40000 ALTER TABLE `capabilities_set2` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `capability`
--

DROP TABLE IF EXISTS `capability`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `capability` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `idx_name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='Capabilities Definition';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `capability`
--

LOCK TABLES `capability` WRITE;
/*!40000 ALTER TABLE `capability` DISABLE KEYS */;
INSERT INTO `capability` VALUES (1,'cap1'),(2,'cap2');
/*!40000 ALTER TABLE `capability` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `charging_info`
--

DROP TABLE IF EXISTS `charging_info`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `charging_info` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `pri_ecf` varchar(255) NOT NULL DEFAULT '',
  `sec_ecf` varchar(255) NOT NULL DEFAULT '',
  `pri_ccf` varchar(255) NOT NULL DEFAULT '',
  `sec_ccf` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `idx_name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='Charging Information Templates';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `charging_info`
--

LOCK TABLES `charging_info` WRITE;
/*!40000 ALTER TABLE `charging_info` DISABLE KEYS */;
INSERT INTO `charging_info` VALUES (1,'default_charging_set','','','pri_ccf_address',''),(2,'fwefwef','','','fwefe.com','');
/*!40000 ALTER TABLE `charging_info` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cx_events`
--

DROP TABLE IF EXISTS `cx_events`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cx_events` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `hopbyhop` bigint(20) DEFAULT NULL,
  `endtoend` bigint(20) DEFAULT NULL,
  `id_impu` int(11) DEFAULT NULL,
  `id_impi` int(11) DEFAULT NULL,
  `id_implicit_set` int(11) DEFAULT NULL,
  `type` tinyint(1) NOT NULL DEFAULT '0',
  `subtype` tinyint(4) NOT NULL DEFAULT '0',
  `grp` int(11) DEFAULT '0',
  `reason_info` varchar(255) DEFAULT '',
  `trials_cnt` int(11) DEFAULT '0',
  `diameter_name` varchar(255) DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `idx_hopbyhop` (`hopbyhop`) USING BTREE,
  KEY `idx_endtoend` (`endtoend`),
  KEY `idx_type` (`type`),
  KEY `idx_grp` (`grp`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cx interface RTR and PPR events';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cx_events`
--

LOCK TABLES `cx_events` WRITE;
/*!40000 ALTER TABLE `cx_events` DISABLE KEYS */;
/*!40000 ALTER TABLE `cx_events` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dsai`
--

DROP TABLE IF EXISTS `dsai`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dsai` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `dsai_tag` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='DSAI table';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dsai`
--

LOCK TABLES `dsai` WRITE;
/*!40000 ALTER TABLE `dsai` DISABLE KEYS */;
/*!40000 ALTER TABLE `dsai` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dsai_ifc`
--

DROP TABLE IF EXISTS `dsai_ifc`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dsai_ifc` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_dsai` int(11) NOT NULL DEFAULT '0',
  `id_ifc` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `idx_id_dsai` (`id_dsai`),
  KEY `idx_id_ifc` (`id_ifc`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='DSAI - iFC Mappings';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dsai_ifc`
--

LOCK TABLES `dsai_ifc` WRITE;
/*!40000 ALTER TABLE `dsai_ifc` DISABLE KEYS */;
/*!40000 ALTER TABLE `dsai_ifc` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dsai_impu`
--

DROP TABLE IF EXISTS `dsai_impu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dsai_impu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_dsai` int(11) NOT NULL DEFAULT '0',
  `id_impu` int(11) NOT NULL DEFAULT '0',
  `dsai_value` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `idx_id_dsai` (`id_dsai`),
  KEY `idx_id_impu` (`id_impu`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='DSAI - IMPU/PSI Mappings';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dsai_impu`
--

LOCK TABLES `dsai_impu` WRITE;
/*!40000 ALTER TABLE `dsai_impu` DISABLE KEYS */;
/*!40000 ALTER TABLE `dsai_impu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ifc`
--

DROP TABLE IF EXISTS `ifc`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ifc` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `id_application_server` int(11) DEFAULT NULL,
  `id_tp` int(11) DEFAULT NULL,
  `profile_part_ind` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COMMENT='Initial Filter Criteria';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ifc`
--

LOCK TABLES `ifc` WRITE;
/*!40000 ALTER TABLE `ifc` DISABLE KEYS */;
INSERT INTO `ifc` VALUES (1,'default_ifc',2,1,-1),(2,'mmtel',2,2,-1),(4,'SMS',4,4,-1);
/*!40000 ALTER TABLE `ifc` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `impi`
--

DROP TABLE IF EXISTS `impi`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `impi` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_imsu` int(11) DEFAULT NULL,
  `identity` varchar(255) NOT NULL DEFAULT '',
  `k` tinyblob NOT NULL,
  `auth_scheme` int(11) NOT NULL DEFAULT '0',
  `default_auth_scheme` int(11) NOT NULL DEFAULT '1',
  `amf` tinyblob NOT NULL,
  `op` tinyblob NOT NULL,
  `opc` tinyblob NOT NULL,
  `sqn` varchar(64) NOT NULL DEFAULT '000000000000',
  `ip` varchar(64) NOT NULL DEFAULT '',
  `line_identifier` varchar(64) NOT NULL DEFAULT '',
  `zh_uicc_type` int(11) DEFAULT '0',
  `zh_key_life_time` int(11) DEFAULT '3600',
  `zh_default_auth_scheme` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `idx_identity` (`identity`),
  KEY `idx_id_imsu` (`id_imsu`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 COMMENT='IM Private Identities table';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `impi`
--

LOCK TABLES `impi` WRITE;
/*!40000 ALTER TABLE `impi` DISABLE KEYS */;
INSERT INTO `impi` VALUES (4,2,'bob@volte.guru','bob',255,4,'\\0\\0\\0\\0','','','000000000000','','',0,3600,1),(5,1,'alice@volte.guru','alice',255,4,'\\0\\0\\0\\0','','','000000000000','','',0,3600,1);
/*!40000 ALTER TABLE `impi` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `impi_impu`
--

DROP TABLE IF EXISTS `impi_impu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `impi_impu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_impi` int(11) NOT NULL DEFAULT '0',
  `id_impu` int(11) NOT NULL DEFAULT '0',
  `user_state` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `idx_id_impi` (`id_impi`),
  KEY `idx_id_impu` (`id_impu`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 COMMENT='IM Private/Public Identities Mappings';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `impi_impu`
--

LOCK TABLES `impi_impu` WRITE;
/*!40000 ALTER TABLE `impi_impu` DISABLE KEYS */;
INSERT INTO `impi_impu` VALUES (4,4,4,0),(5,5,5,0);
/*!40000 ALTER TABLE `impi_impu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `impu`
--

DROP TABLE IF EXISTS `impu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `impu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `identity` varchar(255) NOT NULL DEFAULT '',
  `type` tinyint(4) NOT NULL DEFAULT '0',
  `barring` tinyint(4) NOT NULL DEFAULT '0',
  `user_state` tinyint(4) NOT NULL DEFAULT '0',
  `id_sp` int(11) DEFAULT NULL,
  `id_implicit_set` int(11) NOT NULL DEFAULT '0',
  `id_charging_info` int(11) DEFAULT NULL,
  `wildcard_psi` varchar(255) NOT NULL DEFAULT '',
  `display_name` varchar(255) NOT NULL DEFAULT '',
  `psi_activation` tinyint(4) NOT NULL DEFAULT '0',
  `can_register` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `idx_identity` (`identity`),
  KEY `idx_id_impu_implicitset` (`id_implicit_set`),
  KEY `idx_type` (`type`),
  KEY `idx_sp` (`id_sp`),
  KEY `idx_wildcard_psi` (`wildcard_psi`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 COMMENT='IM Public Identities';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `impu`
--

LOCK TABLES `impu` WRITE;
/*!40000 ALTER TABLE `impu` DISABLE KEYS */;
INSERT INTO `impu` VALUES (4,'sip:bob@volte.guru',0,1,0,1,0,1,'','',0,1),(5,'sip:alice@volte.guru',0,1,0,1,0,1,'','',0,1);
/*!40000 ALTER TABLE `impu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `impu_visited_network`
--

DROP TABLE IF EXISTS `impu_visited_network`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `impu_visited_network` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_impu` int(11) NOT NULL DEFAULT '0',
  `id_visited_network` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `idx_id_impu` (`id_impu`),
  KEY `idx_visited_network` (`id_visited_network`),
  KEY `id_visited_network` (`id_visited_network`),
  CONSTRAINT `impu_visited_network_ibfk_1` FOREIGN KEY (`id_visited_network`) REFERENCES `visited_network` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Public Identity - Visited Network mappings';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `impu_visited_network`
--

LOCK TABLES `impu_visited_network` WRITE;
/*!40000 ALTER TABLE `impu_visited_network` DISABLE KEYS */;
/*!40000 ALTER TABLE `impu_visited_network` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `imsu`
--

DROP TABLE IF EXISTS `imsu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `imsu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `scscf_name` varchar(255) NOT NULL,
  `diameter_name` varchar(255) NOT NULL,
  `id_capabilities_set` int(11) DEFAULT NULL,
  `id_preferred_scscf_set` int(11) DEFAULT NULL,
  `credit` decimal(10,5) NOT NULL DEFAULT '0.00000',
  `rate_plan_id` int(11) NOT NULL DEFAULT '1',
  `payment_method` int(11) NOT NULL DEFAULT '1',
  `last_update` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `max_concurrent_calls` int(11) NOT NULL DEFAULT '-1',
  `impi_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_capabilities_set` (`id_capabilities_set`),
  KEY `idx_preferred_scscf` (`id_preferred_scscf_set`),
  KEY `idx_name` (`name`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='IMS Subscription';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `imsu`
--

LOCK TABLES `imsu` WRITE;
/*!40000 ALTER TABLE `imsu` DISABLE KEYS */;
INSERT INTO `imsu` VALUES (1,'0000000003','','',-1,-1,0.00000,1,0,'2017-01-25 11:02:40',2,NULL),(2,'0000000004','','',-1,-1,0.00000,1,0,'2017-01-25 11:03:47',2,NULL);
/*!40000 ALTER TABLE `imsu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `preferred_scscf_set`
--

DROP TABLE IF EXISTS `preferred_scscf_set`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `preferred_scscf_set` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_set` int(11) NOT NULL DEFAULT '0',
  `scscf_name` varchar(255) NOT NULL DEFAULT '',
  `priority` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `id_set` (`id_set`),
  CONSTRAINT `preferred_scscf_set_ibfk_1` FOREIGN KEY (`id_set`) REFERENCES `preferred_scscf_set2` (`set_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Preferred S-CSCF sets';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `preferred_scscf_set`
--

LOCK TABLES `preferred_scscf_set` WRITE;
/*!40000 ALTER TABLE `preferred_scscf_set` DISABLE KEYS */;
/*!40000 ALTER TABLE `preferred_scscf_set` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `preferred_scscf_set2`
--

DROP TABLE IF EXISTS `preferred_scscf_set2`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `preferred_scscf_set2` (
  `set_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL,
  PRIMARY KEY (`set_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `preferred_scscf_set2`
--

LOCK TABLES `preferred_scscf_set2` WRITE;
/*!40000 ALTER TABLE `preferred_scscf_set2` DISABLE KEYS */;
INSERT INTO `preferred_scscf_set2` VALUES (4,'66+26+');
/*!40000 ALTER TABLE `preferred_scscf_set2` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `repository_data`
--

DROP TABLE IF EXISTS `repository_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `repository_data` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sqn` int(11) NOT NULL DEFAULT '0',
  `id_impu` int(11) NOT NULL DEFAULT '0',
  `service_indication` varchar(255) NOT NULL DEFAULT '',
  `rep_data` blob,
  PRIMARY KEY (`id`),
  KEY `idx_id_impu` (`id_impu`),
  KEY `idx_sqn` (`sqn`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Repository Data';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `repository_data`
--

LOCK TABLES `repository_data` WRITE;
/*!40000 ALTER TABLE `repository_data` DISABLE KEYS */;
/*!40000 ALTER TABLE `repository_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sh_notification`
--

DROP TABLE IF EXISTS `sh_notification`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sh_notification` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_impu` int(11) NOT NULL DEFAULT '0',
  `id_application_server` int(11) NOT NULL DEFAULT '0',
  `data_ref` int(11) NOT NULL DEFAULT '0',
  `rep_data` blob,
  `sqn` int(11) DEFAULT '0',
  `service_indication` varchar(255) DEFAULT NULL,
  `id_ifc` int(11) DEFAULT '0',
  `server_name` varchar(255) DEFAULT NULL,
  `scscf_name` varchar(255) DEFAULT NULL,
  `reg_state` int(11) DEFAULT '0',
  `psi_activation` int(11) DEFAULT '0',
  `dsai_tag` varchar(255) DEFAULT NULL,
  `dsai_value` int(11) DEFAULT '0',
  `hopbyhop` bigint(20) DEFAULT '0',
  `endtoend` bigint(20) DEFAULT '0',
  `grp` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `idx_id_impu` (`id_impu`),
  KEY `idx_as` (`id_application_server`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Sh Interface Notifications';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sh_notification`
--

LOCK TABLES `sh_notification` WRITE;
/*!40000 ALTER TABLE `sh_notification` DISABLE KEYS */;
/*!40000 ALTER TABLE `sh_notification` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sh_subscription`
--

DROP TABLE IF EXISTS `sh_subscription`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sh_subscription` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_application_server` int(11) NOT NULL DEFAULT '0',
  `id_impu` int(11) NOT NULL,
  `data_ref` int(11) NOT NULL DEFAULT '0',
  `service_indication` varchar(255) DEFAULT NULL,
  `dsai_tag` varchar(255) DEFAULT NULL,
  `server_name` varchar(255) DEFAULT NULL,
  `expires` bigint(20) NOT NULL DEFAULT '-1',
  PRIMARY KEY (`id`),
  KEY `idx_id_impu` (`id_impu`),
  KEY `idx_id_as` (`id_application_server`) USING BTREE,
  KEY `idx_expires` (`expires`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Sh Interface Subscriptions';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sh_subscription`
--

LOCK TABLES `sh_subscription` WRITE;
/*!40000 ALTER TABLE `sh_subscription` DISABLE KEYS */;
/*!40000 ALTER TABLE `sh_subscription` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shared_ifc_set`
--

DROP TABLE IF EXISTS `shared_ifc_set`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shared_ifc_set` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_set` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL DEFAULT '',
  `id_ifc` int(11) DEFAULT NULL,
  `priority` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `idx_id_set` (`id_set`),
  KEY `idx_priority` (`priority`),
  KEY `idx_name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='Shared IFC Sets';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shared_ifc_set`
--

LOCK TABLES `shared_ifc_set` WRITE;
/*!40000 ALTER TABLE `shared_ifc_set` DISABLE KEYS */;
INSERT INTO `shared_ifc_set` VALUES (1,1,'',2,1);
/*!40000 ALTER TABLE `shared_ifc_set` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shared_ifc_set2`
--

DROP TABLE IF EXISTS `shared_ifc_set2`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shared_ifc_set2` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shared_ifc_set2`
--

LOCK TABLES `shared_ifc_set2` WRITE;
/*!40000 ALTER TABLE `shared_ifc_set2` DISABLE KEYS */;
INSERT INTO `shared_ifc_set2` VALUES (1,'hallo');
/*!40000 ALTER TABLE `shared_ifc_set2` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp`
--

DROP TABLE IF EXISTS `sp`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(16) NOT NULL DEFAULT '',
  `cn_service_auth` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='Service Profiles';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp`
--

LOCK TABLES `sp` WRITE;
/*!40000 ALTER TABLE `sp` DISABLE KEYS */;
INSERT INTO `sp` VALUES (1,'default_sp',0);
/*!40000 ALTER TABLE `sp` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_ifc`
--

DROP TABLE IF EXISTS `sp_ifc`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_ifc` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_sp` int(11) NOT NULL DEFAULT '0',
  `id_ifc` int(11) NOT NULL DEFAULT '0',
  `priority` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `id_sp` (`id_sp`),
  KEY `id_ifc` (`id_ifc`),
  KEY `idx_priority` (`priority`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 COMMENT='Service Profile - IFC mappings';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_ifc`
--

LOCK TABLES `sp_ifc` WRITE;
/*!40000 ALTER TABLE `sp_ifc` DISABLE KEYS */;
INSERT INTO `sp_ifc` VALUES (2,1,2,2),(6,1,1,1);
/*!40000 ALTER TABLE `sp_ifc` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_shared_ifc_set`
--

DROP TABLE IF EXISTS `sp_shared_ifc_set`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_shared_ifc_set` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_sp` int(11) NOT NULL DEFAULT '0',
  `id_shared_ifc_set` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `idx_id_sp` (`id_sp`),
  KEY `idx_id_shared_ifc_set` (`id_shared_ifc_set`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Service Profile - Shared IFC Sets mappings';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_shared_ifc_set`
--

LOCK TABLES `sp_shared_ifc_set` WRITE;
/*!40000 ALTER TABLE `sp_shared_ifc_set` DISABLE KEYS */;
/*!40000 ALTER TABLE `sp_shared_ifc_set` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `spt`
--

DROP TABLE IF EXISTS `spt`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `spt` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_tp` int(11) NOT NULL DEFAULT '0',
  `condition_negated` int(11) NOT NULL DEFAULT '0',
  `grp` int(11) NOT NULL DEFAULT '0',
  `type` int(11) NOT NULL DEFAULT '0',
  `requesturi` varchar(255) DEFAULT NULL,
  `method` varchar(255) DEFAULT NULL,
  `header` varchar(255) DEFAULT NULL,
  `header_content` varchar(255) DEFAULT NULL,
  `session_case` int(11) DEFAULT NULL,
  `sdp_line` varchar(255) DEFAULT NULL,
  `sdp_line_content` varchar(255) DEFAULT NULL,
  `registration_type` int(11) DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `idx_trigger_point` (`id_tp`),
  KEY `idx_grp` (`grp`)
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=utf8 COMMENT='Service Point Trigger';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `spt`
--

LOCK TABLES `spt` WRITE;
/*!40000 ALTER TABLE `spt` DISABLE KEYS */;
INSERT INTO `spt` VALUES (2,1,0,0,1,NULL,'PUBLISH',NULL,NULL,NULL,NULL,NULL,0),(5,1,0,0,2,NULL,NULL,'Event','.*presence.*',NULL,NULL,NULL,0),(6,1,0,0,3,NULL,NULL,NULL,NULL,0,NULL,NULL,0),(7,1,0,1,1,NULL,'PUBLISH',NULL,NULL,NULL,NULL,NULL,0),(8,1,0,1,2,NULL,NULL,'Event','.*presence.*',NULL,NULL,NULL,0),(9,1,0,1,3,NULL,NULL,NULL,NULL,3,NULL,NULL,0),(10,1,0,2,1,NULL,'SUBSCRIBE',NULL,NULL,NULL,NULL,NULL,0),(11,1,0,2,2,NULL,NULL,'Event','.*presence.*',NULL,NULL,NULL,0),(12,1,0,2,3,NULL,NULL,NULL,NULL,1,NULL,NULL,0),(13,1,0,3,1,NULL,'SUBSCRIBE',NULL,NULL,NULL,NULL,NULL,0),(14,1,0,3,2,NULL,NULL,'Event','.*presence.*',NULL,NULL,NULL,0),(15,1,0,3,3,NULL,NULL,NULL,NULL,2,NULL,NULL,0),(17,2,0,0,1,NULL,'INVITE',NULL,NULL,NULL,NULL,NULL,-2),(19,4,0,0,1,NULL,'MESSAGE',NULL,NULL,NULL,NULL,NULL,0),(22,4,0,1,2,NULL,NULL,'Content-Type','application/vnd.3gpp.sms',NULL,NULL,NULL,0),(25,4,0,1,2,NULL,NULL,'Content-Type','text/plain',NULL,NULL,NULL,0);
/*!40000 ALTER TABLE `spt` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_processed_cdrs`
--

DROP TABLE IF EXISTS `tb_processed_cdrs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_processed_cdrs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `imsu_id` int(11) NOT NULL,
  `impi_id` int(11) NOT NULL,
  `src_e164` varchar(64) NOT NULL,
  `dest_e164` varchar(64) NOT NULL,
  `callid` varchar(255) NOT NULL,
  `start` datetime NOT NULL,
  `connect` datetime NOT NULL,
  `stop` datetime NOT NULL,
  `duration` int(11) NOT NULL,
  `price` float NOT NULL,
  `call_rate` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_processed_cdrs`
--

LOCK TABLES `tb_processed_cdrs` WRITE;
/*!40000 ALTER TABLE `tb_processed_cdrs` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_processed_cdrs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tp`
--

DROP TABLE IF EXISTS `tp`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tp` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `condition_type_cnf` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `idx_name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COMMENT='Trigger Points';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tp`
--

LOCK TABLES `tp` WRITE;
/*!40000 ALTER TABLE `tp` DISABLE KEYS */;
INSERT INTO `tp` VALUES (1,'default_tp',0),(2,'mmtel',1),(4,'SMS',1);
/*!40000 ALTER TABLE `tp` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visited_network`
--

DROP TABLE IF EXISTS `visited_network`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `visited_network` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `identity` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `idx_identity` (`identity`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='Visited Networks';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visited_network`
--

LOCK TABLES `visited_network` WRITE;
/*!40000 ALTER TABLE `visited_network` DISABLE KEYS */;
INSERT INTO `visited_network` VALUES (2,'mnc001.mcc001.3gppnetwork.org'),(1,'mnc260.mcc310.3gppnetwork.org');
/*!40000 ALTER TABLE `visited_network` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `zh_uss`
--

DROP TABLE IF EXISTS `zh_uss`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `zh_uss` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_impi` int(11) NOT NULL DEFAULT '0',
  `type` int(11) NOT NULL DEFAULT '1',
  `flags` int(11) NOT NULL DEFAULT '0',
  `naf_group` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_impi` (`id_impi`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COMMENT='Zh-User Security Settings';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `zh_uss`
--

LOCK TABLES `zh_uss` WRITE;
/*!40000 ALTER TABLE `zh_uss` DISABLE KEYS */;
INSERT INTO `zh_uss` VALUES (4,1,0,0,NULL);
/*!40000 ALTER TABLE `zh_uss` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2017-01-25 13:18:16
